CREATE DATABASE  IF NOT EXISTS `greenco` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `greenco`;
-- MySQL dump 10.13  Distrib 8.0.13, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: greenco
-- ------------------------------------------------------
-- Server version	8.0.27

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
 SET NAMES utf8 ;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `answer`
--

DROP TABLE IF EXISTS `answer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `answer` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `description` tinytext COLLATE utf8_unicode_ci,
  `text_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `answer_text_idx` (`text_id`),
  CONSTRAINT `answer_text` FOREIGN KEY (`text_id`) REFERENCES `text` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=90 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `answer`
--

LOCK TABLES `answer` WRITE;
/*!40000 ALTER TABLE `answer` DISABLE KEYS */;
INSERT INTO `answer` VALUES (1,'Answer for Initial questionaire Q1',NULL),(2,'Answer for Initial questionaire Q2',NULL),(3,'Answer for Initial questionaire Q3',NULL),(4,'Answer for Q1.1',700),(5,'Answer for Q1.2',701),(6,'Answer for Q1.3 Option 1',702),(7,'Answer for Q1.3  Option 2',702),(8,'Answer for Q1.3  Option 3',702),(9,'Answer for Q1.4',703),(10,'Answer for Q1.5',704),(11,'Answer for Q1.6',705),(12,'Answer for Q1.7',706),(13,'Answer for Q1.8',707),(14,'Answer for Q1.9',708),(15,'Answer for Q1.10',709),(16,'Answer for Q2.1',720),(17,'Answer for Q2.2',721),(18,'Answer for Q2.3',722),(19,'Answer for Q2.4',723),(20,'Answer for Q2.5',724),(21,'Answer for Q2.6',725),(22,'Answer for Q2.7',726),(23,'Answer for Q2.8',727),(24,'Answer for Q2.9',728),(25,'Answer for Q2.10',729),(26,'Answer for Q3.1',730),(27,'Answer for Q3.2',731),(28,'Answer for Q3.3',732),(29,'Answer for Q3.4',733),(30,'Answer for Q3.5',734),(31,'Answer for Q3.6',735),(32,'Answer for Q3.7',736),(33,'Answer for Q3.8',737),(34,'Answer for Q3.9',738),(35,'Answer for Q3.10',739),(36,'Answer for Q4.1',740),(37,'Answer for Q4.2',741),(38,'Answer for Q4.3',742),(39,'Answer for Q4.4',743),(40,'Answer for Q4.5',744),(41,'Answer for Q4.6',745),(42,'Answer for Q4.7',746),(43,'Answer for Q4.8',747),(44,'Answer for Q4.9',748),(45,'Answer for Q4.10',749),(46,'Answer for Q5.1',750),(47,'Answer for Q5.2',751),(48,'Answer for Q5.3',752),(49,'Answer for Q5.4',753),(50,'Answer for Q5.5',754),(51,'Answer for Q5.6',755),(52,'Answer for Q5.7',756),(53,'Answer for Q5.8',757),(54,'Answer for Q5.9',758),(55,'Answer for Q5.10',759),(56,'Answer for Q6.1',760),(57,'Answer for Q6.2',761),(58,'Answer for Q6.3',762),(59,'Answer for Q6.4',763),(60,'Answer for Q6.5',764),(61,'Answer for Q6.6',765),(62,'Answer for Q6.7',766),(63,'Answer for Q6.8',767),(64,'Answer for Q6.9',768),(65,'Answer for Q6.10',769),(66,'Answer for Q7.1',770),(67,'Answer for Q7.2',771),(68,'Answer for Q7.3',772),(69,'Answer for Q7.4',773),(70,'Answer for Q7.5',774),(71,'Answer for Q7.6',775),(72,'Answer for Q7.7',776),(73,'Answer for Q7.8',777),(74,'Answer for Q7.9',778),(75,'Answer for Q7.10',779),(76,'Answer for Q8.1',780),(77,'Answer for Q8.2',781),(78,'Answer for Q8.3',782),(79,'Answer for Q8.4',783),(80,'Answer for Q8.5',784),(81,'Answer for Q8.6',785),(82,'Answer for Q8.7',786),(83,'Answer for Q8.8',787),(84,'Answer for Q8.9',788),(85,'Answer for Q8.10',789),(86,'Answer for Final questionaire Q1',NULL),(87,'Answer for Final questionaire Q2',NULL),(88,'Answer for Final questionaire Q3',1012),(89,'Answer for Final questionaire Q4',1012);
/*!40000 ALTER TABLE `answer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `assets`
--

DROP TABLE IF EXISTS `assets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `assets` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `path` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `alt` text COLLATE utf8_unicode_ci,
  `text_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`),
  KEY `assets_text_fk` (`text_id`),
  CONSTRAINT `assets_text_fk` FOREIGN KEY (`text_id`) REFERENCES `text` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=152 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `assets`
--

LOCK TABLES `assets` WRITE;
/*!40000 ALTER TABLE `assets` DISABLE KEYS */;
INSERT INTO `assets` VALUES (1,'profile_img','/assets/User/profile_Pics/avatar1.png',NULL,NULL),(2,'profile_img','/assets/User/profile_Pics/avatar2.png',NULL,NULL),(3,'profile_img','/assets/User/profile_Pics/avatar3.png',NULL,NULL),(4,'profile_img','/assets/User/profile_Pics/avatar4.png',NULL,NULL),(5,'profile_img','/assets/User/profile_Pics/avatar5.png',NULL,NULL),(6,'profile_img','/assets/User/profile_Pics/avatar6.png',NULL,NULL),(7,'profile_img','/assets/User/profile_Pics/avatar7.png',NULL,NULL),(8,'profile_img','/assets/User/profile_Pics/avatar8.png',NULL,NULL),(10,'background_img','/assets/Story/background.jpg',NULL,NULL),(11,'option_img','/assets/Story/Difficulty/bronze_medal.png',NULL,124),(12,'option_img','/assets/Story/Difficulty/silver_medal.png',NULL,125),(13,'option_img','/assets/Story/Difficulty/golden_medal.png',NULL,126),(14,'option_img','/assets/Story/Select_Planet/earth.png',NULL,127),(15,'option_img','/assets/Story/Select_Planet/mars.png',NULL,128),(16,'background_img','/assets/Story/Select_Planet/space.jpg',NULL,NULL),(17,'background_img','/assets/background1.png',NULL,NULL),(18,'image','assets/Story/Planet_Room/energy_earth.png','134',NULL),(19,'image','assets/Story/Planet_Room/recycling_earth.png','135',NULL),(20,'image','assets/Story/Planet_Room/initiatives_earth.png','136',NULL),(21,'image','assets/Story/Planet_Room/legislation_earth.png','137',NULL),(22,'image','assets/Story/Planet_Room/ranking_icon.png','138',NULL),(23,'image','assets/Story/Planet_Room/planet_icon.png','139',NULL),(24,'image','assets/Story/Planet_Room/energy_mars.png','134',NULL),(25,'image','assets/Story/Planet_Room/recycling_mars.png','135',NULL),(26,'image','assets/Story/Planet_Room/initiatives_mars.png','136',NULL),(27,'image','assets/Story/Planet_Room/legislation_mars.png','137',NULL),(28,'background_img','assets/Story/Backgrounds/E0-Pollution.jpg',NULL,NULL),(29,'background_img','assets/Story/Planet_Room/background_mars.png',NULL,NULL),(30,'background_img','assets/Story/Backgrounds/b1_0.jpg',NULL,NULL),(31,'background_img','assets/Story/Backgrounds/b1_1.jpg',NULL,NULL),(32,'background_img','assets/Story/Backgrounds/b2_0.jpg',NULL,NULL),(33,'background_img','assets/Story/Backgrounds/b2_1.jpg',NULL,NULL),(34,'background_img','assets/Story/Backgrounds/E3-Paris.jpg',NULL,NULL),(35,'background_img','assets/Story/Backgrounds/E3-Paris+Kerana.jpg',NULL,NULL),(36,'background_img','assets/Story/Backgrounds/E4-Conference.jpg',NULL,NULL),(37,'background_img','assets/Story/Backgrounds/E0-Pollution.jpg',NULL,NULL),(38,'background_img','assets/Story/Backgrounds/S0.jpg',NULL,NULL),(39,'background_img','assets/Story/Backgrounds/M1.jpg',NULL,NULL),(40,'background_img','assets/Story/Backgrounds/I0.jpg',NULL,NULL),(41,'background_img','assets/Story/Backgrounds/I1-Deck.jpg',NULL,NULL),(42,'background_img','assets/Story/Backgrounds/I2-DeckVera.jpg',NULL,NULL),(43,'background_img','assets/Story/Backgrounds/I3-DeckVeraKera.jpg',NULL,NULL),(44,'background_img','assets/Story/Backgrounds/I4-DeckVeraKeraMart.jpg',NULL,NULL),(50,'background_img','assets/Story/Backgrounds/b1_0.jpg',NULL,NULL),(51,'background_img','assets/Story/Backgrounds/b1_1.jpg',NULL,NULL),(52,'background_img','assets/Story/Backgrounds/b1_2.jpg',NULL,NULL),(53,'background_img','assets/Story/Backgrounds/b1_3.jpg',NULL,NULL),(54,'background_img','assets/Story/Backgrounds/b1_4.jpg',NULL,NULL),(55,'background_img','assets/Story/Backgrounds/b1_5.jpg',NULL,NULL),(56,'background_img','assets/Story/Backgrounds/b1_6.jpg',NULL,NULL),(57,'background_img','assets/Story/Backgrounds/b1_7.jpg',NULL,NULL),(58,'background_img','assets/Story/Backgrounds/b1_8.jpg',NULL,NULL),(59,'background_img','assets/Story/Backgrounds/b1_9.jpg',NULL,NULL),(60,'background_img','assets/Story/Backgrounds/b1_10.jpg',NULL,NULL),(61,'background_img','assets/Story/Backgrounds/be_award.jpg',NULL,NULL),(62,'background_img','assets/Story/Backgrounds/b2_0.jpg',NULL,NULL),(63,'background_img','assets/Story/Backgrounds/b2_1.jpg',NULL,NULL),(64,'background_img','assets/Story/Backgrounds/b2_2.jpg',NULL,NULL),(65,'background_img','assets/Story/Backgrounds/b2_3.jpg',NULL,NULL),(66,'background_img','assets/Story/Backgrounds/b2_4.jpg',NULL,NULL),(67,'background_img','assets/Story/Backgrounds/b2_5.jpg',NULL,NULL),(68,'background_img','assets/Story/Backgrounds/b2_6.jpg',NULL,NULL),(69,'background_img','assets/Story/Backgrounds/b2_7.jpg',NULL,NULL),(70,'background_img','assets/Story/Backgrounds/b2_8.jpg',NULL,NULL),(71,'background_img','assets/Story/Backgrounds/b2_9.jpg',NULL,NULL),(72,'background_img','assets/Story/Backgrounds/b2_10.jpg',NULL,NULL),(73,'background_img','assets/Story/Backgrounds/b2_11.jpg',NULL,NULL),(74,'background_img','assets/Story/Backgrounds/b3_0.jpg',NULL,NULL),(75,'background_img','assets/Story/Backgrounds/b3_1.jpg',NULL,NULL),(76,'background_img','assets/Story/Backgrounds/b3_2.jpg',NULL,NULL),(77,'background_img','assets/Story/Backgrounds/b3_3.jpg',NULL,NULL),(78,'background_img','assets/Story/Backgrounds/b3_4.jpg',NULL,NULL),(79,'background_img','assets/Story/Backgrounds/b3_5.jpg',NULL,NULL),(80,'background_img','assets/Story/Backgrounds/b3_6.jpg',NULL,NULL),(81,'background_img','assets/Story/Backgrounds/b3_7.jpg',NULL,NULL),(82,'background_img','assets/Story/Backgrounds/b3_8.jpg',NULL,NULL),(83,'background_img','assets/Story/Backgrounds/b3_9.jpg',NULL,NULL),(84,'background_img','assets/Story/Backgrounds/b3_10.jpg',NULL,NULL),(85,'background_img','assets/Story/Backgrounds/b3_11.jpg',NULL,NULL),(86,'background_img','assets/Story/Backgrounds/b4_0.jpg',NULL,NULL),(87,'background_img','assets/Story/Backgrounds/b4_1.jpg',NULL,NULL),(88,'background_img','assets/Story/Backgrounds/b4_2.jpg',NULL,NULL),(89,'background_img','assets/Story/Backgrounds/b4_3.jpg',NULL,NULL),(90,'background_img','assets/Story/Backgrounds/b4_4.jpg',NULL,NULL),(91,'background_img','assets/Story/Backgrounds/b4_5.jpg',NULL,NULL),(92,'background_img','assets/Story/Backgrounds/b4_6.jpg',NULL,NULL),(93,'background_img','assets/Story/Backgrounds/b4_7.jpg',NULL,NULL),(94,'background_img','assets/Story/Backgrounds/b4_8.jpg',NULL,NULL),(95,'background_img','assets/Story/Backgrounds/b4_9.jpg',NULL,NULL),(96,'background_img','assets/Story/Backgrounds/b4_10.jpg',NULL,NULL),(97,'background_img','assets/Story/Backgrounds/E1-NuclearPlant.jpg',NULL,NULL),(98,'background_img','assets/Story/Backgrounds/E1-NuclearPlant.jpg',NULL,NULL),(99,'background_img','assets/Story/Backgrounds/E1-NuclearPlant.jpg',NULL,NULL),(100,'background_img','assets/Story/Backgrounds/b4_11.jpg',NULL,NULL),(101,'background_img','assets/Story/Backgrounds/b5_0.jpg',NULL,NULL),(102,'background_img','assets/Story/Backgrounds/b5_1.jpg',NULL,NULL),(103,'background_img','assets/Story/Backgrounds/b5_2.jpg',NULL,NULL),(104,'background_img','assets/Story/Backgrounds/b5_3.jpg',NULL,NULL),(105,'background_img','assets/Story/Backgrounds/b5_4.jpg',NULL,NULL),(106,'background_img','assets/Story/Backgrounds/b5_5.jpg',NULL,NULL),(107,'background_img','assets/Story/Backgrounds/b5_6.jpg',NULL,NULL),(108,'background_img','assets/Story/Backgrounds/b5_7.jpg',NULL,NULL),(109,'background_img','assets/Story/Backgrounds/b5_8.jpg',NULL,NULL),(110,'background_img','assets/Story/Backgrounds/b5_9.jpg',NULL,NULL),(111,'background_img','assets/Story/Backgrounds/b5_10.jpg',NULL,NULL),(112,'background_img','assets/Story/Backgrounds/b5_11.jpg',NULL,NULL),(113,'background_img','assets/Story/Backgrounds/b6_0.jpg',NULL,NULL),(114,'background_img','assets/Story/Backgrounds/b6_1.jpg',NULL,NULL),(115,'background_img','assets/Story/Backgrounds/b6_2.jpg',NULL,NULL),(116,'background_img','assets/Story/Backgrounds/b6_3.jpg',NULL,NULL),(117,'background_img','assets/Story/Backgrounds/b6_4.jpg',NULL,NULL),(118,'background_img','assets/Story/Backgrounds/b6_5.jpg',NULL,NULL),(119,'background_img','assets/Story/Backgrounds/b6_6.jpg',NULL,NULL),(120,'background_img','assets/Story/Backgrounds/b6_7.jpg',NULL,NULL),(121,'background_img','assets/Story/Backgrounds/b6_8.jpg',NULL,NULL),(122,'background_img','assets/Story/Backgrounds/b6_9.jpg',NULL,NULL),(123,'background_img','assets/Story/Backgrounds/b6_10.jpg',NULL,NULL),(124,'background_img','assets/Story/Backgrounds/b6_11.jpg',NULL,NULL),(125,'background_img','assets/Story/Backgrounds/b7_0.jpg',NULL,NULL),(126,'background_img','assets/Story/Backgrounds/b7_1.jpg',NULL,NULL),(127,'background_img','assets/Story/Backgrounds/b7_2.jpg',NULL,NULL),(128,'background_img','assets/Story/Backgrounds/b7_3.jpg',NULL,NULL),(129,'background_img','assets/Story/Backgrounds/b7_4.jpg',NULL,NULL),(130,'background_img','assets/Story/Backgrounds/b7_5.jpg',NULL,NULL),(131,'background_img','assets/Story/Backgrounds/b7_6.jpg',NULL,NULL),(132,'background_img','assets/Story/Backgrounds/b7_7.jpg',NULL,NULL),(133,'background_img','assets/Story/Backgrounds/b7_8.jpg',NULL,NULL),(134,'background_img','assets/Story/Backgrounds/b7_9.jpg',NULL,NULL),(135,'background_img','assets/Story/Backgrounds/b7_10.jpg',NULL,NULL),(136,'background_img','assets/Story/Backgrounds/b7_11.jpg',NULL,NULL),(137,'background_img','assets/Story/Backgrounds/b8_0.jpg',NULL,NULL),(138,'background_img','assets/Story/Backgrounds/b8_1.jpg',NULL,NULL),(139,'background_img','assets/Story/Backgrounds/b8_2.jpg',NULL,NULL),(140,'background_img','assets/Story/Backgrounds/b8_3.jpg',NULL,NULL),(141,'background_img','assets/Story/Backgrounds/b8_4.jpg',NULL,NULL),(142,'background_img','assets/Story/Backgrounds/b8_5.jpg',NULL,NULL),(143,'background_img','assets/Story/Backgrounds/b8_6.jpg',NULL,NULL),(144,'background_img','assets/Story/Backgrounds/b8_7.jpg',NULL,NULL),(145,'background_img','assets/Story/Backgrounds/b8_8.jpg',NULL,NULL),(146,'background_img','assets/Story/Backgrounds/b8_9.jpg',NULL,NULL),(147,'background_img','assets/Story/Backgrounds/b8_10.jpg',NULL,NULL),(148,'background_img','assets/Story/Backgrounds/be_0.jpg',NULL,NULL),(149,'background_img','assets/Story/Backgrounds/bm_0.jpg',NULL,NULL),(150,'background_img','assets/Story/Backgrounds/be_award.jpg',NULL,NULL),(151,'background_img','assets/Story/Backgrounds/bm_award.jpg',NULL,NULL);
/*!40000 ALTER TABLE `assets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `award_type`
--

DROP TABLE IF EXISTS `award_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `award_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `level_id` int NOT NULL,
  `planet_id` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `image` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `text_id` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_AWARD_TEXT_idx` (`text_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `award_type`
--

LOCK TABLES `award_type` WRITE;
/*!40000 ALTER TABLE `award_type` DISABLE KEYS */;
INSERT INTO `award_type` VALUES (1,1,'1','/assets/Story/Planet_Room/energy_earth.png',129),(2,2,'1','/assets/Story/Planet_Room/initiatives_earth.png',130),(3,3,'1','/assets/Story/Planet_Room/legislation_earth.png',131),(4,4,'1','/assets/Story/Planet_Room/recycling_earth.png',132),(5,1,'2','/assets/Story/Planet_Room/energy_mars.png',129),(6,2,'2','/assets/Story/Planet_Room/initiatives_mars.png',130),(7,3,'2','/assets/Story/Planet_Room/legislation_mars.png',131),(8,4,'2','/assets/Story/Planet_Room/recycling_earth.png',132);
/*!40000 ALTER TABLE `award_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `choose_option`
--

DROP TABLE IF EXISTS `choose_option`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `choose_option` (
  `component_id` int unsigned NOT NULL,
  `asset_id` int unsigned DEFAULT NULL,
  `method` varchar(55) COLLATE utf8_unicode_ci NOT NULL,
  `value` int unsigned NOT NULL,
  KEY `FK1_screen_component` (`component_id`),
  KEY `asset_id` (`asset_id`),
  CONSTRAINT `FK1_screen_component` FOREIGN KEY (`component_id`) REFERENCES `screen_component` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK2_assets` FOREIGN KEY (`asset_id`) REFERENCES `assets` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `choose_option`
--

LOCK TABLES `choose_option` WRITE;
/*!40000 ALTER TABLE `choose_option` DISABLE KEYS */;
INSERT INTO `choose_option` VALUES (5,11,'update_difficulty',1),(5,12,'update_difficulty',2),(5,13,'update_difficulty',3),(12,14,'update_planet',1),(12,15,'update_planet',2),(5,11,'update_difficulty',1),(5,12,'update_difficulty',2),(5,13,'update_difficulty',3),(12,14,'update_planet',1),(12,15,'update_planet',2);
/*!40000 ALTER TABLE `choose_option` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `component`
--

DROP TABLE IF EXISTS `component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `component` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `component`
--

LOCK TABLES `component` WRITE;
/*!40000 ALTER TABLE `component` DISABLE KEYS */;
INSERT INTO `component` VALUES (1,'Ranged Question'),(2,'Binary Question'),(4,'Story Text'),(5,'Conversation Text'),(6,'Hangman Question'),(7,'Multiple Answer Question'),(8,'Fill Gaps Question'),(9,'Sort Question'),(10,'Choose Option'),(11,'Learning Pill Text'),(12,'Single Answer Question'),(13,'Award');
/*!40000 ALTER TABLE `component` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `country`
--

DROP TABLE IF EXISTS `country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `country` (
  `id` smallint unsigned NOT NULL,
  `acronim` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`acronim`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `country`
--

LOCK TABLES `country` WRITE;
/*!40000 ALTER TABLE `country` DISABLE KEYS */;
INSERT INTO `country` VALUES (0,'bg','bulgarian'),(0,'en','english'),(0,'es','spanish'),(0,'fr','french'),(0,'it','italian'),(0,'ot','other');
/*!40000 ALTER TABLE `country` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `difficulty`
--

DROP TABLE IF EXISTS `difficulty`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `difficulty` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `description` text COLLATE utf8_unicode_ci,
  `text_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `difficulty_text_idx` (`text_id`),
  CONSTRAINT `difficulty_text` FOREIGN KEY (`text_id`) REFERENCES `text` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `difficulty`
--

LOCK TABLES `difficulty` WRITE;
/*!40000 ALTER TABLE `difficulty` DISABLE KEYS */;
INSERT INTO `difficulty` VALUES (0,'Questionnaire',NULL),(1,'Easy',124),(2,'Medium',125),(3,'Hard',126);
/*!40000 ALTER TABLE `difficulty` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `error`
--

DROP TABLE IF EXISTS `error`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `error` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `text_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `error_text_idx` (`text_id`),
  CONSTRAINT `error_text` FOREIGN KEY (`text_id`) REFERENCES `text` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `error`
--

LOCK TABLES `error` WRITE;
/*!40000 ALTER TABLE `error` DISABLE KEYS */;
INSERT INTO `error` VALUES (1,'200',20),(2,'400',21),(3,'401',22),(4,'403',23),(5,'404',24),(6,'500',25);
/*!40000 ALTER TABLE `error` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language`
--

DROP TABLE IF EXISTS `language`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `language` (
  `id` smallint unsigned NOT NULL AUTO_INCREMENT,
  `acronym` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `language`
--

LOCK TABLES `language` WRITE;
/*!40000 ALTER TABLE `language` DISABLE KEYS */;
INSERT INTO `language` VALUES (1,'bg','bulgarian'),(2,'en','english'),(3,'es','spanish'),(4,'fr','french'),(5,'it','italian');
/*!40000 ALTER TABLE `language` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `level`
--

DROP TABLE IF EXISTS `level`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `level` (
  `id` int unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `text_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `level_text_idx` (`text_id`),
  CONSTRAINT `level_text` FOREIGN KEY (`text_id`) REFERENCES `text` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `level`
--

LOCK TABLES `level` WRITE;
/*!40000 ALTER TABLE `level` DISABLE KEYS */;
INSERT INTO `level` VALUES (1,'Energy Consumption',129),(2,'E-Waste Recycling',130),(3,'Initiatives',131),(4,'Legislation',132);
/*!40000 ALTER TABLE `level` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `level_screen`
--

DROP TABLE IF EXISTS `level_screen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `level_screen` (
  `screen_id` int unsigned NOT NULL,
  `level_id` int unsigned NOT NULL,
  `planet_id` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`level_id`,`planet_id`,`screen_id`) USING BTREE,
  KEY `screen_id` (`screen_id`),
  KEY `FK3_planet` (`planet_id`),
  CONSTRAINT `FK1_screen` FOREIGN KEY (`screen_id`) REFERENCES `screen` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK2_level` FOREIGN KEY (`level_id`) REFERENCES `level` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK3_planet` FOREIGN KEY (`planet_id`) REFERENCES `planet` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `level_screen`
--

LOCK TABLES `level_screen` WRITE;
/*!40000 ALTER TABLE `level_screen` DISABLE KEYS */;
/*!40000 ALTER TABLE `level_screen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `main_character`
--

DROP TABLE IF EXISTS `main_character`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `main_character` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `main_character`
--

LOCK TABLES `main_character` WRITE;
/*!40000 ALTER TABLE `main_character` DISABLE KEYS */;
INSERT INTO `main_character` VALUES (1,'Deckard'),(2,'Vera'),(3,'Kerana'),(4,'Marton');
/*!40000 ALTER TABLE `main_character` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `planet`
--

DROP TABLE IF EXISTS `planet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `planet` (
  `id` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `text_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `planet_text_idx` (`text_id`),
  CONSTRAINT `planet_text` FOREIGN KEY (`text_id`) REFERENCES `text` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `planet`
--

LOCK TABLES `planet` WRITE;
/*!40000 ALTER TABLE `planet` DISABLE KEYS */;
INSERT INTO `planet` VALUES ('1','Earth',127),('2','Mars',128);
/*!40000 ALTER TABLE `planet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `question`
--

DROP TABLE IF EXISTS `question`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `question` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `answer_id` int unsigned NOT NULL,
  `component_id` int unsigned DEFAULT NULL,
  `difficulty_id` int unsigned DEFAULT NULL,
  `lower_limit` int unsigned DEFAULT NULL,
  `upper_limit` int unsigned DEFAULT NULL,
  `description` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`,`answer_id`) USING BTREE,
  KEY `component_id` (`component_id`),
  KEY `answer_id` (`answer_id`),
  KEY `difficulty_id` (`difficulty_id`),
  KEY `question_ibfk_1` (`component_id`),
  CONSTRAINT `FK1_component` FOREIGN KEY (`component_id`) REFERENCES `screen_component` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK2_answer` FOREIGN KEY (`answer_id`) REFERENCES `answer` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK3_difficulty` FOREIGN KEY (`difficulty_id`) REFERENCES `difficulty` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=88 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `question`
--

LOCK TABLES `question` WRITE;
/*!40000 ALTER TABLE `question` DISABLE KEYS */;
INSERT INTO `question` VALUES (1,1,1,0,1,5,'Initial questionaire Q1'),(2,2,1,0,1,5,'Initial questionaire Q2'),(3,3,1,0,1,5,'Initial questionaire Q3'),(4,4,15,1,NULL,NULL,'Q1.1'),(5,5,17,1,NULL,NULL,'Q1.2'),(6,6,19,1,NULL,NULL,'Q1.3'),(7,9,21,2,NULL,NULL,'Q1.4'),(8,10,23,2,NULL,NULL,'Q1.5'),(9,11,25,2,NULL,NULL,'Q1.6'),(10,12,27,3,NULL,NULL,'Q1.7'),(11,13,29,3,NULL,NULL,'Q1.8'),(12,14,31,3,NULL,NULL,'Q1.9'),(13,15,33,3,NULL,NULL,'Q1.10'),(14,16,15,1,NULL,NULL,'Q2.1'),(15,17,15,1,NULL,NULL,'Q2.2'),(16,18,41,1,NULL,NULL,'Q2.3'),(17,19,43,2,NULL,NULL,'Q2.4'),(18,20,45,2,NULL,NULL,'Q2.5'),(19,21,47,2,NULL,NULL,'Q2.6'),(20,22,49,3,NULL,NULL,'Q2.7'),(21,23,51,3,NULL,NULL,'Q2.8'),(22,24,53,3,NULL,NULL,'Q2.9'),(23,25,55,3,NULL,NULL,'Q2.10'),(24,26,58,1,NULL,NULL,'Q3.1'),(25,27,60,1,NULL,NULL,'Q3.2'),(26,28,62,1,NULL,NULL,'Q3.3'),(27,29,64,2,NULL,NULL,'Q3.4'),(28,30,66,2,NULL,NULL,'Q3.5'),(29,31,68,2,NULL,NULL,'Q3.6'),(30,32,70,3,NULL,NULL,'Q3.7'),(31,33,72,3,NULL,NULL,'Q3.8'),(32,34,74,3,NULL,NULL,'Q3.9'),(33,35,76,3,NULL,NULL,'Q3.10'),(34,36,79,1,NULL,NULL,'Q4.1'),(35,37,81,1,NULL,NULL,'Q4.2'),(36,38,83,1,NULL,NULL,'Q4.3'),(37,39,85,2,NULL,NULL,'Q4.4'),(38,40,87,2,NULL,NULL,'Q4.5'),(39,41,89,2,NULL,NULL,'Q4.6'),(40,42,91,3,NULL,NULL,'Q4.7'),(41,43,93,3,NULL,NULL,'Q4.8'),(42,44,95,3,NULL,NULL,'Q4.9'),(43,45,97,3,NULL,NULL,'Q4.10'),(44,46,100,1,NULL,NULL,'Q5.1'),(45,47,102,1,NULL,NULL,'Q5.2'),(46,48,104,1,NULL,NULL,'Q5.3'),(47,49,106,2,NULL,NULL,'Q5.4'),(48,50,108,2,NULL,NULL,'Q5.5'),(49,51,110,2,NULL,NULL,'Q5.6'),(50,52,112,3,NULL,NULL,'Q5.7'),(51,53,114,3,NULL,NULL,'Q5.8'),(52,54,116,3,NULL,NULL,'Q5.9'),(53,55,118,3,NULL,NULL,'Q5.10'),(54,56,122,1,NULL,NULL,'Q6.1'),(55,57,124,1,NULL,NULL,'Q6.2'),(56,58,126,1,NULL,NULL,'Q6.3'),(57,59,128,2,NULL,NULL,'Q6.4'),(58,60,130,2,NULL,NULL,'Q6.5'),(59,61,132,2,NULL,NULL,'Q6.6'),(60,62,134,3,NULL,NULL,'Q6.7'),(61,63,136,3,NULL,NULL,'Q6.8'),(62,64,138,3,NULL,NULL,'Q6.9'),(63,65,140,3,NULL,NULL,'Q6.10'),(64,66,143,1,NULL,NULL,'Q7.1'),(65,67,145,1,NULL,NULL,'Q7.2'),(66,68,147,1,NULL,NULL,'Q7.3'),(67,69,149,2,NULL,NULL,'Q7.4'),(68,70,151,2,NULL,NULL,'Q7.5'),(69,71,153,2,NULL,NULL,'Q7.6'),(70,72,155,3,NULL,NULL,'Q7.7'),(71,73,157,3,NULL,NULL,'Q7.8'),(72,74,159,3,NULL,NULL,'Q7.9'),(73,75,161,3,NULL,NULL,'Q7.10'),(74,76,164,1,NULL,NULL,'Q8.1'),(75,77,166,1,NULL,NULL,'Q8.2'),(76,78,168,1,NULL,NULL,'Q8.3'),(77,79,170,2,NULL,NULL,'Q8.4'),(78,80,172,2,NULL,NULL,'Q8.5'),(79,81,174,2,NULL,NULL,'Q8.6'),(80,82,176,3,NULL,NULL,'Q8.7'),(81,83,178,3,NULL,NULL,'Q8.8'),(82,84,180,3,NULL,NULL,'Q8.9'),(83,85,182,3,NULL,NULL,'Q8.10'),(84,86,1,0,0,5,'Final questionaire Q1'),(85,87,1,0,0,5,'Final questionaire Q2'),(86,88,1,0,NULL,NULL,'Final questionaire Q3'),(87,89,1,0,NULL,NULL,'Final questionaire Q4');
/*!40000 ALTER TABLE `question` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `question_answer_text`
--

DROP TABLE IF EXISTS `question_answer_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `question_answer_text` (
  `question_id` int unsigned DEFAULT NULL,
  `text_id` int unsigned DEFAULT NULL,
  `answer_id` int unsigned DEFAULT NULL,
  KEY `question_text_ibfk_2` (`text_id`),
  KEY `question_text_ibfk_1` (`question_id`),
  KEY `answer_id` (`answer_id`),
  CONSTRAINT `question_answer_text_ibfk_1` FOREIGN KEY (`question_id`) REFERENCES `question` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `question_answer_text_ibfk_2` FOREIGN KEY (`text_id`) REFERENCES `text` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `question_answer_text_ibfk_3` FOREIGN KEY (`answer_id`) REFERENCES `answer` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `question_answer_text`
--

LOCK TABLES `question_answer_text` WRITE;
/*!40000 ALTER TABLE `question_answer_text` DISABLE KEYS */;
INSERT INTO `question_answer_text` VALUES (81,587,83),(81,687,83),(82,588,84),(82,688,84),(83,589,85),(83,689,85),(76,682,78),(77,583,79),(77,683,79),(78,584,80),(78,684,80),(79,585,81),(79,685,81),(80,586,82),(80,686,82),(71,577,73),(71,677,73),(72,578,74),(72,678,74),(73,579,75),(73,679,75),(74,580,76),(74,680,76),(75,581,77),(75,681,77),(76,582,78),(67,673,69),(68,574,70),(68,674,70),(69,575,71),(69,675,71),(70,576,72),(70,676,72),(60,666,62),(61,567,63),(61,667,63),(62,568,64),(62,668,64),(63,569,65),(63,669,65),(64,570,66),(64,670,66),(65,571,67),(65,671,67),(66,572,68),(66,672,68),(55,561,57),(55,661,57),(56,562,58),(56,662,58),(57,563,59),(57,663,59),(58,564,60),(58,664,60),(59,565,61),(59,665,61),(60,566,62),(49,655,51),(50,556,52),(50,656,52),(51,557,53),(51,657,53),(52,558,54),(52,658,54),(53,559,55),(53,659,55),(54,560,56),(54,660,56),(43,649,45),(44,550,46),(44,650,46),(45,551,47),(45,651,47),(46,552,48),(46,652,48),(47,553,49),(47,653,49),(48,554,50),(48,654,50),(49,555,51),(38,544,40),(38,644,40),(39,545,41),(39,645,41),(40,546,42),(40,646,42),(41,547,43),(41,647,43),(42,548,44),(42,648,44),(43,549,45),(32,538,34),(32,638,34),(33,539,35),(33,639,35),(34,540,36),(34,640,36),(35,541,37),(35,641,37),(36,542,38),(36,642,38),(37,543,39),(37,643,39),(26,632,28),(27,533,29),(27,633,29),(28,534,30),(28,634,30),(29,535,31),(29,635,31),(30,536,32),(30,636,32),(31,537,33),(31,637,33),(21,527,23),(21,627,23),(22,528,24),(22,628,24),(23,529,25),(23,629,25),(24,530,26),(24,630,26),(25,531,27),(25,631,27),(26,532,28),(14,520,16),(14,620,16),(15,521,17),(15,621,17),(16,522,18),(16,622,18),(17,623,19),(17,523,19),(18,524,20),(18,624,20),(19,525,21),(19,625,21),(20,526,22),(20,626,22),(11,607,13),(12,508,14),(12,608,14),(13,509,15),(13,609,15),(9,605,11),(10,506,12),(10,606,12),(11,507,13),(7,603,9),(8,504,10),(8,604,10),(9,505,11),(5,601,5),(6,502,6),(6,602,6),(7,503,9),(1,67,1),(2,68,2),(3,69,3),(4,500,4),(4,600,4),(5,501,5),(84,1008,86),(85,1009,87),(86,1010,88),(87,1011,89),(86,1012,88),(87,1012,89),(67,573,69);
/*!40000 ALTER TABLE `question_answer_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `screen`
--

DROP TABLE IF EXISTS `screen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `screen` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `background` int unsigned NOT NULL DEFAULT '10',
  `is_static` tinyint(1) NOT NULL DEFAULT '0',
  `url` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `planet_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  UNIQUE KEY `FK-screen-planet` (`id`,`planet_id`),
  KEY `assets_fk1` (`background`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=204 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `screen`
--

LOCK TABLES `screen` WRITE;
/*!40000 ALTER TABLE `screen` DISABLE KEYS */;
INSERT INTO `screen` VALUES (1,'Login',0,1,NULL,NULL),(2,'Language_selector',0,1,NULL,NULL),(3,'Signup',0,1,NULL,NULL),(4,'Recover_password_email',0,1,NULL,NULL),(5,'Recover_password',0,1,NULL,NULL),(6,'User_profile',0,1,NULL,NULL),(7,'User_change_information',0,1,NULL,NULL),(8,'User_choose_avatar',0,1,NULL,NULL),(10,'Initial_questionnaire',10,0,NULL,NULL),(11,'User_select_difficulty',10,0,NULL,NULL),(12,'Story Introduction Part 1',40,0,NULL,NULL),(13,'Story Introduction Part 2 Deckard',41,0,NULL,NULL),(14,'Story Introduction Part 2 Vera',42,0,NULL,NULL),(15,'Story Introduction Part 3 Kerana',43,0,NULL,NULL),(16,'Story Introduction Part 3 Marton',44,0,NULL,NULL),(17,'User_select_planet',10,0,NULL,NULL),(18,'Story Planet Introduction',10,0,'(NULL)','1'),(19,'Planet_Room_Earth',28,1,'/story/planetroom','1'),(20,'Room1_Introduction',50,0,NULL,'1'),(21,'Question_1.1',51,0,NULL,'1'),(22,'Question_1.2',52,0,NULL,'1'),(23,'Question_1.3',53,0,NULL,'1'),(24,'Question_1.4',54,0,NULL,'1'),(25,'Question_1.5',55,0,NULL,'1'),(26,'Question_1.6',56,0,NULL,'1'),(27,'Question_1.7',57,0,NULL,'1'),(28,'Question_1.8',58,0,NULL,'1'),(29,'Question_1.9',59,0,NULL,'1'),(30,'Question_1.10',60,0,NULL,'1'),(31,'Room1_Award screen',61,0,NULL,NULL),(19,'Planet_Room_Mars',149,1,'/story/planetroom','2'),(99,'User Barscore',0,0,NULL,NULL),(9,'Ranking',0,1,NULL,NULL),(100,'Splash',0,1,NULL,NULL),(40,'Room2_Introduction',62,0,NULL,'1'),(41,'Question_2.1',63,0,NULL,'1'),(42,'Question_2.2',64,0,NULL,'1'),(43,'Question_2.3',65,0,NULL,'1'),(44,'Question_2.4',66,0,NULL,'1'),(45,'Question_2.5',67,0,NULL,'1'),(46,'Question_2.6',68,0,NULL,'1'),(47,'Question_2.7',69,0,NULL,'1'),(48,'Question_2.8',70,0,NULL,'1'),(49,'Question_2.9',71,0,NULL,'1'),(50,'Question_2.10',72,0,NULL,'1'),(60,'Room3_Introduction',74,0,NULL,'1'),(61,'Question_3.1',75,0,NULL,'1'),(62,'Question_3.2',76,0,NULL,'1'),(63,'Question_3.3',77,0,NULL,'1'),(64,'Question_3.4',78,0,NULL,'1'),(65,'Question_3.5',79,0,NULL,'1'),(66,'Question_3.6',80,0,NULL,'1'),(67,'Question_3.7',81,0,NULL,'1'),(68,'Question_3.8',82,0,NULL,'1'),(69,'Question_3.9',83,0,NULL,'1'),(70,'Question_3.10',84,0,NULL,'1'),(80,'Room4_Introduction',86,0,NULL,'1'),(81,'Question_4.1',87,0,NULL,'1'),(82,'Question_4.2',88,0,NULL,'1'),(83,'Question_4.3',89,0,NULL,'1'),(84,'Question_4.4',90,0,NULL,'1'),(85,'Question_4.5',91,0,NULL,'1'),(86,'Question_4.6',92,0,NULL,'1'),(87,'Question_4.7',93,0,NULL,'1'),(88,'Question_4.8',94,0,NULL,'1'),(89,'Question_4.9',95,0,NULL,'1'),(90,'Question_4.10',96,0,NULL,'1'),(120,'Room5_Introduction',101,0,NULL,'2'),(121,'Question_5.1',102,0,NULL,'2'),(122,'Question_5.2',103,0,NULL,'2'),(123,'Question_5.3',104,0,NULL,'2'),(124,'Question_5.4',105,0,NULL,'2'),(125,'Question_5.5',106,0,NULL,'2'),(126,'Question_5.6',107,0,NULL,'2'),(127,'Question_5.7',108,0,NULL,'2'),(128,'Question_5.8',109,0,NULL,'2'),(129,'Question_5.9',110,0,NULL,'2'),(130,'Question_5.10',111,0,NULL,'2'),(140,'Room6_Intrudoction',113,0,NULL,'2'),(141,'Question_6.1',114,0,NULL,'2'),(142,'Question_6.2',115,0,NULL,'2'),(143,'Question_6.3',116,0,NULL,'2'),(144,'Question_6.4',117,0,NULL,'2'),(145,'Question_6.5',118,0,NULL,'2'),(146,'Question_6.6',119,0,NULL,'2'),(147,'Question_6.7',120,0,NULL,'2'),(148,'Question_6.8',121,0,NULL,'2'),(149,'Question_6.9',122,0,NULL,'2'),(150,'Question_6.10',123,0,NULL,'2'),(160,'Room7_Introduction',125,0,NULL,'2'),(161,'Question_7.1',126,0,NULL,'2'),(162,'Question_7.2',127,0,NULL,'2'),(163,'Question_7.3',128,0,NULL,'2'),(164,'Question_7.4',129,0,NULL,'2'),(165,'Question_7.5',130,0,NULL,'2'),(166,'Question_7.6',131,0,NULL,'2'),(167,'Question_7.7',132,0,NULL,'2'),(168,'Question_7.8',133,0,NULL,'2'),(169,'Question_7.9',134,0,NULL,'2'),(170,'Question_7.10',135,0,NULL,'2'),(180,'Room8_Introduction',137,0,NULL,'2'),(181,'Question_8.1',138,0,NULL,'2'),(182,'Question_8.2',139,0,NULL,'2'),(183,'Question_8.3',140,0,NULL,'2'),(184,'Question_8.4',141,0,NULL,'2'),(185,'Question_8.5',142,0,NULL,'2'),(186,'Question_8.6',143,0,NULL,'2'),(187,'Question_8.7',144,0,NULL,'2'),(188,'Question_8.8',145,0,NULL,'2'),(189,'Question_8.9',146,0,NULL,'2'),(190,'Question_8.10',147,0,NULL,'2'),(191,'Room1_Award screen',151,0,NULL,'2'),(200,'final_questionaire',10,0,NULL,NULL),(201,'Earth saved',150,0,NULL,'1'),(202,'Mars saved',151,0,NULL,'2'),(203,'Universe saved',10,0,NULL,NULL);
/*!40000 ALTER TABLE `screen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `screen_assets`
--

DROP TABLE IF EXISTS `screen_assets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `screen_assets` (
  `screen_id` int unsigned DEFAULT NULL,
  `assets_id` int unsigned DEFAULT NULL,
  `planet_id` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  KEY `screen_id` (`screen_id`),
  KEY `screen_assets_ibfk_2` (`assets_id`),
  KEY `screen_assets_ibfk_3` (`planet_id`),
  CONSTRAINT `screen_assets_ibfk_1` FOREIGN KEY (`screen_id`) REFERENCES `screen` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `screen_assets_ibfk_2` FOREIGN KEY (`assets_id`) REFERENCES `assets` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `screen_assets_ibfk_3` FOREIGN KEY (`planet_id`) REFERENCES `planet` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `screen_assets`
--

LOCK TABLES `screen_assets` WRITE;
/*!40000 ALTER TABLE `screen_assets` DISABLE KEYS */;
INSERT INTO `screen_assets` VALUES (19,18,'1'),(19,19,'1'),(19,20,'1'),(19,21,'1'),(19,22,'1'),(19,23,'1'),(19,24,'2'),(19,25,'2'),(19,26,'2'),(19,27,'2'),(19,22,'2'),(19,23,'2'),(20,24,'1'),(21,25,'1'),(22,26,'1'),(23,27,'1'),(24,28,'1'),(25,29,'1'),(26,30,'1'),(27,31,'1'),(28,33,'1'),(29,18,'1'),(30,34,'1'),(40,19,'1'),(41,19,'1'),(42,19,'1'),(43,19,'1'),(44,19,'1'),(45,19,'1'),(46,19,'1'),(47,19,'1'),(48,19,'1'),(49,19,'1'),(50,19,'1'),(19,18,'1'),(19,19,'1'),(19,20,'1'),(19,21,'1'),(19,22,'1'),(19,23,'1'),(19,24,'2'),(19,25,'2'),(19,26,'2'),(19,27,'2'),(19,22,'2'),(19,23,'2'),(20,24,'1'),(21,25,'1'),(22,26,'1'),(23,27,'1'),(24,28,'1'),(25,29,'1'),(26,30,'1'),(27,31,'1'),(28,33,'1'),(29,18,'1'),(30,34,'1'),(40,19,'1'),(41,19,'1'),(42,19,'1'),(43,19,'1'),(44,19,'1'),(45,19,'1'),(46,19,'1'),(47,19,'1'),(48,19,'1'),(49,19,'1'),(50,19,'1');
/*!40000 ALTER TABLE `screen_assets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `screen_component`
--

DROP TABLE IF EXISTS `screen_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `screen_component` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `screen_id` int unsigned DEFAULT NULL,
  `component_id` int unsigned DEFAULT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `planet_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `question_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `screen_id` (`screen_id`),
  KEY `screen_component_ibfk_2` (`component_id`),
  KEY `planet_id` (`planet_id`),
  CONSTRAINT `screen_component_ibfk_1` FOREIGN KEY (`screen_id`) REFERENCES `screen` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `screen_component_ibfk_2` FOREIGN KEY (`component_id`) REFERENCES `component` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=192 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `screen_component`
--

LOCK TABLES `screen_component` WRITE;
/*!40000 ALTER TABLE `screen_component` DISABLE KEYS */;
INSERT INTO `screen_component` VALUES (1,10,1,NULL,NULL,1),(2,10,1,NULL,NULL,2),(3,10,1,NULL,NULL,3),(4,11,4,NULL,NULL,NULL),(5,11,10,'(NULL)',NULL,NULL),(6,12,4,'Introduction Story Text',NULL,NULL),(7,13,5,'Introduction Story Text Deckard',NULL,NULL),(8,14,5,'Introduction Story Text Vera',NULL,NULL),(9,15,5,'Introduction Story Text Kerana',NULL,NULL),(10,16,5,'Introduction Story Text Marton',NULL,NULL),(11,17,4,'Decide Your Adventure Text',NULL,NULL),(12,17,10,'Decide Your Adventure Options',NULL,NULL),(13,18,4,'Planet Introduction Text',NULL,NULL),(14,20,4,'Room1_Intruduction','1',NULL),(15,21,12,'Question1.1','1',4),(16,21,11,'Learning Pill1.1','1',NULL),(17,22,6,'Question1.2','1',5),(18,22,11,'Learning Pill1.2','1',NULL),(19,23,7,'Question1.3','1',6),(20,23,11,'Learning Pill1.3','1',NULL),(21,24,12,'Question1.4','1',7),(22,24,11,'Learning Pill1.4','1',NULL),(23,25,9,'Question1.5','1',8),(24,25,11,'Learning Pill1.5','1',NULL),(25,26,12,'Question1.6','1',9),(26,26,11,'Learning Pill1.6','1',NULL),(27,27,12,'Question1.7','1',10),(28,27,11,'Learning Pill1.7','1',NULL),(29,28,12,'Question1.8','1',11),(30,28,11,'Learning Pill1.8','1',NULL),(31,29,12,'Question1.9','1',12),(32,29,11,'Learning Pill1.9','1',NULL),(33,30,12,'Question1.10','1',13),(34,30,11,'Learning Pill1.10','1',NULL),(35,31,13,'Room1_Award',NULL,NULL),(36,40,4,'Room2_Introduction','1',NULL),(37,41,12,'Question2.1','1',14),(38,41,11,'Learning_Pill2.1','1',NULL),(39,42,12,'Question2.2','1',15),(40,42,11,'Learning_Pill2.2','1',NULL),(41,43,7,'Question2.3','1',16),(42,43,11,'Learning_Pill2.3','1',NULL),(43,44,6,'Question2.4','1',17),(44,44,11,'Learning_Pill2.4','1',NULL),(45,45,12,'Question2.5','1',18),(46,45,11,'Learning_Pill2.5','1',NULL),(47,46,12,'Question2.6','1',19),(48,46,11,'Learning_Pill2.6','1',NULL),(49,47,7,'Question2.7','1',20),(50,47,11,'Learning_Pill2.7','1',NULL),(51,48,6,'Question2.8','1',21),(52,48,11,'Learning_Pill2.8','1',NULL),(53,49,12,'Question2.9','1',22),(54,49,11,'Learning_Pill2.9','1',NULL),(55,50,12,'Question2.10','1',23),(56,50,11,'Learning_Pill2.10','1',NULL),(57,60,4,'Room3_Introduction','1',NULL),(58,61,8,'Question3.1','1',24),(59,61,11,'Learning Pill3.1','1',NULL),(60,62,6,'Question3.2','1',25),(61,62,11,'Learning Pill3.2','1',NULL),(62,63,12,'Question3.3','1',26),(63,63,11,'Learning Pill3.3','1',NULL),(64,64,12,'Question3.4','1',27),(65,64,11,'Learning Pill3.4','1',NULL),(66,65,7,'Question3.5','1',28),(67,65,11,'Learning Pill3.5','1',NULL),(68,66,12,'Question3.6','1',29),(69,66,11,'Learning Pill3.6','1',NULL),(70,67,8,'Question3.7','1',30),(71,67,11,'Learning Pill3.7','1',NULL),(72,68,12,'Question3.8','1',31),(73,68,11,'Learning Pill3.8','1',NULL),(74,69,12,'Question3.9','1',32),(75,69,11,'Learning Pill3.9','1',NULL),(76,70,12,'Question3.10','1',33),(77,70,11,'Learning Pill3.10','1',NULL),(78,80,4,'Room4_Introduction','1',NULL),(79,81,8,'Question4.1','1',34),(80,81,11,'Learning Pill4.1','1',NULL),(81,82,12,'Question4.2','1',35),(82,82,11,'Learning Pill4.2','1',NULL),(83,83,12,'Question4.3','1',36),(84,83,11,'Learning Pill4.3','1',NULL),(85,84,8,'Question4.4','1',37),(86,84,11,'Learning Pill4.4','1',NULL),(87,85,12,'Question4.5','1',38),(88,85,11,'Learning Pill4.5','1',NULL),(89,86,12,'Question4.6','1',39),(90,86,11,'Learning Pill4.6','1',NULL),(91,87,8,'Question4.7','1',40),(92,87,11,'Learning Pill4.7','1',NULL),(93,88,12,'Question4.8','1',41),(94,88,11,'Learning Pill4.8','1',NULL),(95,89,12,'Question4.9','1',42),(96,89,11,'Learning Pill4.9','1',NULL),(97,90,12,'Question4.10','1',43),(98,90,11,'Learning Pill4.10','1',NULL),(99,120,4,'Room5_Introduction','2',NULL),(100,121,9,'Question5.1','2',44),(101,121,11,'Learning Pill5.1','2',NULL),(102,122,8,'Question5.2','2',45),(103,122,11,'Learning Pill5.2','2',NULL),(104,123,12,'Question5.3','2',46),(105,123,11,'Learning Pill5.3','2',NULL),(106,124,8,'Question5.4','2',47),(107,124,11,'Learning Pill5.4','2',NULL),(108,125,12,'Question5.5','2',48),(109,125,11,'Learning Pill5.5','2',NULL),(110,126,6,'Question5.6','2',49),(111,126,11,'Learning Pill5.6','2',NULL),(112,127,12,'Question5.7','2',50),(113,127,11,'Learning Pill5.7','2',NULL),(114,128,7,'Question5.8','2',51),(115,128,11,'Learning Pill5.8','2',NULL),(116,129,12,'Question5.9','2',52),(117,129,11,'Learning Pill5.9','2',NULL),(118,130,12,'Question5.10','2',53),(119,130,11,'Learning Pill5.10','2',NULL),(121,140,4,'Room6_Introduction','2',NULL),(122,141,12,'Question6.1','2',54),(123,141,11,'Learning Pill6.1','2',NULL),(124,142,12,'Question6.2','2',55),(125,142,11,'Learning Pill6.2','2',NULL),(126,143,7,'Question6.3','2',56),(127,143,11,'Learning Pill6.3','2',NULL),(128,144,6,'Question6.4','2',57),(129,144,11,'Learning Pill6.4','2',NULL),(130,145,12,'Question6.5','2',58),(131,145,11,'Learning Pill6.5','2',NULL),(132,146,12,'Question6.6','2',59),(133,146,11,'Learning Pill6.6','2',NULL),(134,147,7,'Question6.7','2',60),(135,147,11,'Learning Pill6.7','2',NULL),(136,148,6,'Question6.8','2',61),(137,148,11,'Learning Pill6.8','2',NULL),(138,149,12,'Question6.9','2',62),(139,149,11,'Learning Pill6.9','2',NULL),(140,150,12,'Question6.10','2',63),(141,150,11,'Learning Pill6.10','2',NULL),(142,160,4,'Room7_Introduction','2',NULL),(143,161,7,'Question7.1','2',64),(144,161,11,'Learning Pill7.1','2',NULL),(145,162,12,'Question7.2','2',65),(146,162,11,'Learning Pill7.2','2',NULL),(147,163,12,'Question7.3','2',66),(148,163,11,'Learning Pill7.3','2',NULL),(149,164,12,'Question7.4','2',67),(150,164,11,'Learning Pill7.4','2',NULL),(151,165,12,'Question7.5','2',68),(152,165,11,'Learning Pill7.5','2',NULL),(153,166,6,'Question7.6','2',69),(154,166,11,'Learning Pill7.6','2',NULL),(155,167,7,'Question7.7','2',70),(156,167,11,'Learning Pill7.7','2',NULL),(157,168,6,'Question7.8','2',71),(158,168,11,'Learning Pill7.8','2',NULL),(159,169,8,'Question7.9','2',72),(160,169,11,'Learning Pill7.9','2',NULL),(161,170,12,'Question7.10','2',73),(162,170,11,'Learning Pill7.10','2',NULL),(163,180,4,'Room8_Introduction','2',NULL),(164,181,8,'Question8.1','2',74),(165,181,11,'Learning Pill8.1','2',NULL),(166,182,12,'Question8.2','2',75),(167,182,11,'Learning Pill8.2','2',NULL),(168,183,12,'Question8.3','2',76),(169,183,11,'Learning Pill8.3','2',NULL),(170,184,8,'Question8.4','2',77),(171,184,11,'Learning Pill8.4','2',NULL),(172,185,9,'Question8.5','2',78),(173,185,11,'Learning Pill8.5','2',NULL),(174,186,12,'Question8.6','2',79),(175,186,11,'Learning Pill8.6','2',NULL),(176,187,12,'Question8.7','2',80),(177,187,11,'Learning Pill8.7','2',NULL),(178,188,8,'Question8.8','2',81),(179,188,11,'Learning Pill8.8','2',NULL),(180,189,9,'Question8.9','2',82),(181,189,11,'Learning Pill8.9','2',NULL),(182,190,12,'Question8.10','2',83),(183,190,11,'Learning Pill8.10','2',NULL),(184,191,13,'Mars_award','2',NULL),(185,200,1,'Final Questionaire Q1 ',NULL,84),(186,200,1,'Final Questionaire Q2',NULL,85),(187,200,12,'Final Questionaire Q3',NULL,86),(188,200,12,'Final Questionaire Q4',NULL,87),(189,201,4,'EarthSaved','1',NULL),(190,202,4,'MarsSaved','2',NULL),(191,203,4,'UniverseSaved',NULL,NULL);
/*!40000 ALTER TABLE `screen_component` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `screen_text`
--

DROP TABLE IF EXISTS `screen_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `screen_text` (
  `screen_id` int unsigned DEFAULT NULL,
  `text_id` int unsigned DEFAULT NULL,
  KEY `screen_id` (`screen_id`),
  KEY `screen_text_ibfk_2` (`text_id`),
  CONSTRAINT `screen_text_ibfk_1` FOREIGN KEY (`screen_id`) REFERENCES `screen` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `screen_text_ibfk_2` FOREIGN KEY (`text_id`) REFERENCES `text` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `screen_text`
--

LOCK TABLES `screen_text` WRITE;
/*!40000 ALTER TABLE `screen_text` DISABLE KEYS */;
INSERT INTO `screen_text` VALUES (1,1),(1,2),(1,3),(1,5),(1,6),(1,7),(1,8),(1,9),(1,10),(1,11),(1,12),(1,13),(2,14),(2,15),(2,16),(2,17),(2,18),(2,19),(3,26),(3,27),(3,28),(3,29),(3,31),(3,32),(3,33),(3,34),(3,35),(3,36),(3,37),(3,38),(3,39),(3,40),(3,41),(3,42),(3,43),(3,44),(3,45),(3,46),(3,47),(3,48),(3,49),(3,50),(3,51),(3,52),(3,1),(3,2),(3,3),(3,5),(3,10),(3,11),(4,53),(4,54),(4,55),(4,56),(4,57),(4,58),(4,26),(4,27),(4,41),(4,50),(4,13),(5,59),(5,60),(5,61),(5,62),(5,64),(5,65),(5,66),(5,11),(19,999),(7,908),(19,50),(19,910),(19,911),(19,912),(19,913),(19,914),(NULL,998),(NULL,997),(NULL,996),(3,995),(1,3),(3,3),(5,3),(3,29),(5,59),(7,50),(8,50),(6,50),(9,50),(31,133),(7,44),(7,61),(6,999),(9,999),(9,138),(6,143),(9,143),(6,144),(9,144),(6,145),(6,146),(7,147),(7,149),(7,150),(7,151),(7,152),(7,153),(7,154),(8,155),(8,156),(8,157),(8,158),(7,159),(8,159),(6,161),(6,162),(7,162),(8,162),(9,164),(6,127),(6,128),(6,1000),(6,1001),(19,139),(19,138),(19,908),(19,1002),(19,1003),(31,1004),(31,1005),(31,1006),(31,1007),(31,1003),(31,1002),(3,1019),(3,1020),(19,1021),(19,1022),(19,1000),(19,1001),(19,124),(19,125),(19,126),(19,950),(19,951),(19,952),(NULL,1023),(NULL,1024),(NULL,1025),(NULL,1026),(5,1020),(19,146),(19,1023),(NULL,50);
/*!40000 ALTER TABLE `screen_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `screen_transition`
--

DROP TABLE IF EXISTS `screen_transition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `screen_transition` (
  `from_screen` int unsigned NOT NULL,
  `to_screen` int unsigned NOT NULL,
  `difficulty_id` int unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`from_screen`,`to_screen`,`difficulty_id`) USING BTREE,
  KEY `to_screen` (`to_screen`),
  KEY `screen_transition_ibfk_3` (`difficulty_id`),
  KEY `from_screen` (`from_screen`),
  CONSTRAINT `screen_transition_ibfk_1` FOREIGN KEY (`from_screen`) REFERENCES `screen` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `screen_transition_ibfk_2` FOREIGN KEY (`to_screen`) REFERENCES `screen` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `screen_transition_ibfk_3` FOREIGN KEY (`difficulty_id`) REFERENCES `difficulty` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `screen_transition`
--

LOCK TABLES `screen_transition` WRITE;
/*!40000 ALTER TABLE `screen_transition` DISABLE KEYS */;
INSERT INTO `screen_transition` VALUES (200,1,0),(16,11,0),(10,12,0),(12,13,0),(13,14,0),(14,15,0),(15,16,0),(11,17,0),(201,17,0),(202,17,0),(17,18,0),(31,18,0),(31,18,1),(18,19,0),(20,21,0),(21,22,0),(22,23,0),(23,24,2),(23,24,3),(24,25,2),(24,25,3),(25,26,2),(25,26,3),(26,27,3),(27,28,3),(28,29,3),(29,30,3),(23,31,1),(26,31,2),(30,31,3),(43,31,1),(46,31,2),(50,31,3),(63,31,1),(66,31,2),(70,31,3),(83,31,1),(86,31,2),(90,31,3),(40,41,0),(41,42,0),(42,43,0),(43,44,2),(43,44,3),(44,45,2),(44,45,3),(45,46,2),(45,46,3),(46,47,3),(47,48,3),(48,49,3),(49,50,3),(60,61,0),(61,62,0),(62,63,0),(63,64,2),(63,64,3),(64,65,2),(64,65,3),(65,66,2),(65,66,3),(66,67,3),(67,68,3),(68,69,3),(69,70,3),(80,81,0),(81,82,0),(82,83,0),(83,84,2),(83,84,3),(84,85,2),(84,85,3),(85,86,2),(85,86,3),(86,87,3),(87,88,3),(88,89,3),(89,90,3),(120,121,0),(121,122,0),(122,123,0),(123,124,2),(123,124,3),(124,125,2),(124,125,3),(125,126,2),(125,126,3),(126,127,3),(127,128,3),(128,129,3),(129,130,3),(140,141,0),(141,142,0),(142,143,0),(143,144,2),(143,144,3),(144,145,2),(144,145,3),(145,146,2),(145,146,3),(146,147,3),(147,148,3),(148,149,3),(149,150,3),(160,161,0),(161,162,0),(162,163,0),(163,164,2),(163,164,3),(164,165,2),(164,165,3),(165,166,2),(165,166,3),(166,167,3),(167,168,3),(168,169,3),(169,170,3),(180,181,0),(181,182,0),(182,183,0),(183,184,2),(183,184,3),(184,185,2),(184,185,3),(185,186,2),(185,186,3),(186,187,3),(187,188,3),(188,189,3),(189,190,3),(123,191,1),(126,191,2),(130,191,3),(143,191,1),(146,191,2),(150,191,3),(163,191,1),(166,191,2),(170,191,3),(183,191,1),(186,191,2),(190,191,3),(203,200,0);
/*!40000 ALTER TABLE `screen_transition` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `story_dialogue`
--

DROP TABLE IF EXISTS `story_dialogue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `story_dialogue` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `component_id` int unsigned DEFAULT NULL,
  `character_id` int unsigned DEFAULT NULL,
  `answer_id` int unsigned DEFAULT NULL,
  `text_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `component_id` (`component_id`),
  KEY `character_id` (`character_id`),
  KEY `story_dialogue_ibfk_3` (`answer_id`),
  KEY `story_dialogue_text_idx` (`text_id`),
  CONSTRAINT `FK_story_dialogue_screen_component` FOREIGN KEY (`component_id`) REFERENCES `screen_component` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `story_dialogue_ibfk_2` FOREIGN KEY (`character_id`) REFERENCES `main_character` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `story_dialogue_ibfk_3` FOREIGN KEY (`answer_id`) REFERENCES `answer` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `story_dialogue_text` FOREIGN KEY (`text_id`) REFERENCES `text` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=103 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `story_dialogue`
--

LOCK TABLES `story_dialogue` WRITE;
/*!40000 ALTER TABLE `story_dialogue` DISABLE KEYS */;
INSERT INTO `story_dialogue` VALUES (1,4,NULL,NULL,70),(2,6,NULL,NULL,71),(3,7,1,NULL,72),(4,8,2,NULL,73),(5,9,3,NULL,74),(6,10,4,NULL,75),(7,11,NULL,NULL,76),(8,13,NULL,NULL,77),(9,14,1,NULL,900),(10,16,NULL,4,800),(11,18,NULL,5,801),(13,20,NULL,6,802),(15,22,NULL,9,803),(16,24,NULL,10,804),(17,26,NULL,11,805),(18,28,NULL,12,806),(19,30,NULL,13,807),(20,32,NULL,14,810),(21,34,NULL,15,811),(22,35,NULL,NULL,133),(23,36,2,NULL,901),(24,38,NULL,16,820),(25,40,NULL,17,821),(26,42,NULL,18,822),(27,44,NULL,19,823),(28,46,NULL,20,824),(29,48,NULL,21,825),(30,50,NULL,22,826),(31,52,NULL,23,827),(32,54,NULL,24,828),(33,56,NULL,25,829),(34,57,3,NULL,902),(35,59,NULL,26,830),(36,61,NULL,27,831),(37,63,NULL,28,832),(38,65,NULL,29,833),(39,67,NULL,30,834),(40,69,NULL,31,835),(41,71,NULL,32,836),(42,73,NULL,33,837),(43,75,NULL,34,838),(44,77,NULL,35,839),(45,78,4,NULL,903),(46,80,NULL,36,840),(47,82,NULL,37,841),(48,84,NULL,38,842),(49,86,NULL,39,843),(50,88,NULL,40,844),(51,90,NULL,41,845),(52,92,NULL,42,846),(53,94,NULL,43,847),(54,96,NULL,44,848),(55,98,NULL,45,849),(56,99,1,NULL,904),(57,101,NULL,46,850),(58,103,NULL,47,851),(59,105,NULL,48,852),(60,107,NULL,49,853),(61,109,NULL,50,854),(62,111,NULL,51,855),(63,113,NULL,52,856),(64,115,NULL,53,857),(65,117,NULL,54,858),(66,119,NULL,55,859),(67,121,2,NULL,905),(68,123,NULL,56,860),(69,125,NULL,57,861),(70,127,NULL,58,862),(71,129,NULL,59,863),(72,131,NULL,60,864),(73,133,NULL,61,865),(74,135,NULL,62,866),(75,137,NULL,63,867),(76,139,NULL,64,868),(77,141,NULL,65,869),(78,142,3,NULL,906),(79,144,NULL,66,870),(80,146,NULL,67,871),(81,148,NULL,68,872),(82,150,NULL,69,873),(83,152,NULL,70,874),(84,154,NULL,71,875),(85,156,NULL,72,876),(86,158,NULL,73,877),(87,160,NULL,74,878),(88,162,NULL,75,879),(89,163,4,NULL,907),(90,165,NULL,76,880),(91,167,NULL,77,881),(92,169,NULL,78,882),(93,171,NULL,79,883),(94,173,NULL,80,884),(95,175,NULL,81,885),(96,177,NULL,82,886),(97,179,NULL,83,887),(98,181,NULL,84,888),(99,183,NULL,85,889),(100,189,NULL,NULL,1013),(101,190,NULL,NULL,1014),(102,191,NULL,NULL,1015);
/*!40000 ALTER TABLE `story_dialogue` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `text`
--

DROP TABLE IF EXISTS `text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `text` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `language_id` smallint unsigned NOT NULL,
  `description` varchar(120) COLLATE utf8_unicode_ci NOT NULL,
  `key` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `text` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`,`language_id`) USING BTREE,
  KEY `text_language` (`language_id`),
  CONSTRAINT `text_language_fk1` FOREIGN KEY (`language_id`) REFERENCES `language` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1027 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `text`
--

LOCK TABLES `text` WRITE;
/*!40000 ALTER TABLE `text` DISABLE KEYS */;
INSERT INTO `text` VALUES (1,1,'User label BG','label_alias','Потребителско име'),(1,2,'User label EN','label_alias','Username'),(1,3,'User label ES','label_alias','Usuario'),(1,4,'User label FR','label_alias','Mon identifiant'),(1,5,'User label IT','label_alias','Nome utente'),(2,1,'example of user name BG','placeholder_alias','user1234'),(2,2,'example of user name EN','placeholder_alias','user1234'),(2,3,'example of user name ES','placeholder_alias','user1234'),(2,4,'example of user name FR','placeholder_alias','exemple1234'),(2,5,'example of user name IT','placeholder_alias','utente1234'),(3,1,'Password label BG','label_password','Парола'),(3,2,'Password label EN','label_password','Password'),(3,3,'Password label ES','label_password','Contraseña'),(3,4,'Password label FR','label_password','Mon mot de passe'),(3,5,'Password label IT','label_password','Password'),(5,1,'show password label BG','show_password_button','Покажи паролата'),(5,2,'show password label EN','show_password_button','Show Password'),(5,3,'show password label ES','show_password_button','Mostrar Contraseña'),(5,4,'show password label FR','show_password_button','Afficher mon mot de passe'),(5,5,'show password label IT','show_password_button','Mostra Password'),(6,1,'Remember user label BG','remember_button','Запомни ме'),(6,2,'Remember user label EN','remember_button','Remember Me'),(6,3,'Remember user label ES','remember_button','Recordar usuario'),(6,4,'Remember user label FR','remember_button','Se souvenir de moi'),(6,5,'Remember user label IT','remember_button','Ricordami'),(7,1,'login label BG','login_button','ВЛЕЗ'),(7,2,'login label EN','login_button','LOGIN'),(7,3,'login label ES','login_button','LOGIN'),(7,4,'login label FR','login_button','Se connecter'),(7,5,'login label IT','login_button','LOGIN'),(8,1,'Recover password label BG','forgot_password_button','Забравена парола'),(8,2,'Recover password label EN','forgot_password_button','Recover Password'),(8,3,'Recover password label ES','forgot_password_button','Recuperar Contraseña'),(8,4,'Recover password label FR','forgot_password_button','J\'ai oublié mon mot de passe'),(8,5,'Recover password label IT','forgot_password_button','Recupera Password'),(9,1,'Sing up label BG','register_button','Регистрирай се'),(9,2,'Sing up label EN','register_button','Sign up here'),(9,3,'Sing up label ES','register_button','Registrarse'),(9,4,'Sing up label FR','register_button','Créer un compte'),(9,5,'Sing up label IT','register_button','Iscriversi qui'),(10,1,'Username error message BG','invalid_alias','Невалидно потребителско име. Потребителското име трябва да съдържа между 3 и 16 символа.'),(10,2,'Username error message EN','invalid_alias','Invalid Username. Must contain between 3 and 16 characters.'),(10,3,'Username error message ES','invalid_alias','Nombre de usuario no válido. Debe contener entre 3 y 16 caracteres'),(10,4,'Username error message FR','invalid_alias','Identifiant invalide. Un identifiant doit comprendre entre 3 et 16 caractères.'),(10,5,'Username error message IT','invalid_alias','Nome utente non valido. Deve contenere tra 3 e 16 caratteri.'),(11,1,'invalid password message BG','invalid_password','Невалидна парола! Паролата трябва да е дълга поне 8 символа и да съдържа поне една буква и една цифра.'),(11,2,'invalid password message EN','invalid_password','Invalid password. Must be at least 8 characters long and contain at least one letter and one number.'),(11,3,'invalid password message ES','invalid_password','Contraseña incorrecta. Debe contener al menos 8 caracteres, una letra y un número'),(11,4,'invalid password message FR','invalid_password','Mot de passe invalide. Un mot de passe doit comprendre au moins 8 caractères, et contenir au moins une lettre et un chiffre. Il ne doit pas contenir de caractères spéciaux.'),(11,5,'invalid password message IT','invalid_password','Password non valida. Deve essere lunga almeno 8 caratteri e contenere almeno una lettera e un numero.'),(12,1,'Invalid username message BG','invalid_credentials','Невалидно потребителско име или парола'),(12,2,'Invalid username message EN','invalid_credentials','Invalid Username or Password'),(12,3,'Invalid username message ES','invalid_credentials','Usuario o Contraseña incorrectos'),(12,4,'Invalid username message FR','invalid_credentials','Identifiant ou mot de passe invalide'),(12,5,'Invalid username message IT','invalid_credentials','Nome utente o password non validi'),(13,1,'server error message BG','server_error','Нещо се обърка, опитай отново по-късно'),(13,2,'server error message EN','server_error','Something went wrong, try again later'),(13,3,'server error message ES','server_error','Algo ha ido mal, inténtalo de nuevo más tarde'),(13,4,'server error message FR','server_error','Oups, il y a eu un problème. Essaye à nouveau plus tard.'),(13,5,'server error message IT','server_error','Qualcosa è andato storto, riprova più tardi'),(14,1,'language label BG','placeholder','Език'),(14,2,'language label EN','placeholder','Language'),(14,3,'language label ES','placeholder','Idioma'),(14,4,'language label FR','placeholder','Langue'),(14,5,'language label IT','placeholder','Lingua'),(15,1,'Spanish option label BG','label_spanish','Español'),(15,2,'Spanish option label EN','label_spanish','Spanish'),(15,3,'Spanish option label ES','label_spanish','Español'),(15,4,'Spanish option label FR','label_spanish','Español'),(15,5,'Spanish option label IT','label_spanish','Español'),(16,1,'English option label BG','label_english','English'),(16,2,'English option label EN','label_english','English'),(16,3,'English option label ES','label_english','English'),(16,4,'English option label FR','label_english','English'),(16,5,'English option label IT','label_english','English'),(17,1,'French option label BG','label_french','Français'),(17,2,'French option label EN','label_french','French'),(17,3,'French option label ES','label_french','Français'),(17,4,'French option label FR','label_french','Français'),(17,5,'French option label IT','label_french','Français'),(18,1,'Italian option label BG','label_italian','Italiana'),(18,2,'Italian option label EN','label_italian','Italian'),(18,3,'Italian option label ES','label_italian','Italiana'),(18,4,'Italian option label FR','label_italian','Italiana'),(18,5,'Italian option label IT','label_italian','Italiana'),(19,1,'Bulgarian option label BG','label_bulgarian','Български'),(19,2,'Bulgarian option label EN','label_bulgarian','Bulgarian'),(19,3,'Bulgarian option label ES','label_bulgarian','Български'),(19,4,'Bulgarian option label FR','label_bulgarian','Български'),(19,5,'Bulgarian option label IT','label_bulgarian','Български'),(20,1,'Correct message BG','200','Всичко е наред!'),(20,2,'Correct message EN','200','Everything went well!'),(20,3,'Correct message ES','200','Todo ha ido bien!'),(20,4,'Correct message FR','200','Tout s\'est bien passé !'),(20,5,'Correct message IT','200','Tutto è andato bene!'),(21,1,'General error message BG','400','Нещо се обърка!'),(21,2,'General error message EN','400','Something went wrong!'),(21,3,'General error message ES','400','Algo ha ido mal!'),(21,4,'General error message FR','400','Oups, il y a eu un problème !'),(21,5,'General error message IT','400','Qualcosa è andato storto!'),(22,1,'Need og logging message BG','401','Трябва да влезеш в профила си, за достъп до тази страница.'),(22,2,'Need og logging message EN','401','You need to log in to access this page.'),(22,3,'Need og logging message ES','401','Necesitas loguearte para acceder a esta página'),(22,4,'Need og logging message FR','401','Tu dois t\'identifier pour accéder à cette page'),(22,5,'Need og logging message IT','401','È necessario accedere a questa pagina.'),(23,1,'No permissions message BG','403','Нямате разрешение за достъп до тази страница.'),(23,2,'No permissions message EN','403','You do not have permission to access this page.'),(23,3,'No permissions message ES','403','No tienes permisos para acceder a esta página'),(23,4,'No permissions message FR','403','Tu n\'as pas la permission d\'accéder à cette page'),(23,5,'No permissions message IT','403','Non hai il permesso di accedere a questa pagina.'),(24,1,'Page not found message BG','404','Страницата, която търсите, не може да бъде намерена.'),(24,2,'Page not found message EN','404','The page you were looking for could not be found.'),(24,3,'Page not found message ES','404','La página que estás buscando no existe'),(24,4,'Page not found message FR','404','La page que tu cherches n\'est pas disponible'),(24,5,'Page not found message IT','404','La pagina che cercavi non è stata trovata.'),(25,1,'server error, solving it message BG','500','Нещо се е объркало от наша страна. Работим, за да отстраним повредата.'),(25,2,'server error, solving it message EN','500','Something went wrong on our side. We are working to fix it.'),(25,3,'server error, solving it message ES','500','Ha habido un error en el servidor. Estamos trabajando en ello'),(25,4,'server error, solving it message FR','500','Oups, il y a un problème de notre côté ! Nous travaillons à sa résolution.'),(25,5,'server error, solving it message IT','500','Qualcosa è andato storto dalla nostra parte. Stiamo lavorando per sistemarlo.'),(26,1,'email label BG','label_email','Имейл'),(26,2,'email label EN','label_email','Email'),(26,3,'email label ES','label_email','Email'),(26,4,'email label FR','label_email','Email'),(26,5,'email label IT','label_email','Email'),(27,1,'example of email BG','placeholder_email','example@domain.com'),(27,2,'example of email EN','placeholder_email','example@domain.com'),(27,3,'example of email ES','placeholder_email','ejemplo@dominio.com'),(27,4,'example of email FR','placeholder_email','exemple@domain.com'),(27,5,'example of email IT','placeholder_email','example@domain.com'),(28,1,'home country label BG','label_country','Държава на произход'),(28,2,'home country label EN','label_country','Home Country'),(28,3,'home country label ES','label_country','País Natal'),(28,4,'home country label FR','label_country','Pays d\'origine'),(28,5,'home country label IT','label_country','Home Paese'),(29,1,'Choose a contry label BG','placeholder_country','Избери държава'),(29,2,'Choose a contry label EN','placeholder_country','Choose a country'),(29,3,'Choose a contry label ES','placeholder_country','Selecciona tu país'),(29,4,'Choose a contry label FR','placeholder_country','Choisir un pays'),(29,5,'Choose a contry label IT','placeholder_country','Scegliere un paese'),(31,1,'Select country label BG','subheader_country','Избери една от следните държави'),(31,2,'Select country label EN','subheader_country','Select one of the following countries'),(31,3,'Select country label ES','subheader_country','Selecciona alguno de los siguientes países'),(31,4,'Select country label FR','subheader_country','Selectionner l\'un des pays suivants'),(31,5,'Select country label IT','subheader_country','Seleziona uno dei seguenti paesi'),(32,1,'Spain label BG','label_country_1','Испания'),(32,2,'Spain label EN','label_country_1','Spain'),(32,3,'Spain label ES','label_country_1','España'),(32,4,'Spain label FR','label_country_1','Espagne'),(32,5,'Spain label IT','label_country_1','Spagna'),(33,1,'France label BG','label_country_2','Франция'),(33,2,'France label EN','label_country_2','France'),(33,3,'France label ES','label_country_2','Francia'),(33,4,'France label FR','label_country_2','France'),(33,5,'France label IT','label_country_2','Francia'),(34,1,'Italy label BG','label_country_3','Италия'),(34,2,'Italy label EN','label_country_3','Italy'),(34,3,'Italy label ES','label_country_3','Italia'),(34,4,'Italy label FR','label_country_3','Italie'),(34,5,'Italy label IT','label_country_3','Italia'),(35,1,'Bulgary label BG','label_country_4','България'),(35,2,'Bulgary label EN','label_country_4','Bulgaria'),(35,3,'Bulgary label ES','label_country_4','Bulgaria'),(35,4,'Bulgary label FR','label_country_4','Bulgarie'),(35,5,'Bulgary label IT','label_country_4','Bulgaria'),(36,1,'United Kingdom label BG','label_country_5','Великобритания'),(36,2,'United Kingdom label EN','label_country_5','United Kingdom'),(36,3,'United Kingdom label ES','label_country_5','Reino Unido'),(36,4,'United Kingdom label FR','label_country_5','Grande-Bretagne'),(36,5,'United Kingdom label IT','label_country_5','Regno Unito'),(37,1,'Man gender BG','label_gender_1','Мъж'),(37,2,'Man gender EN','label_gender_1','Man'),(37,3,'Man gender ES','label_gender_1','Hombre'),(37,4,'Man gender FR','label_gender_1','Homme'),(37,5,'Man gender IT','label_gender_1','Uomo'),(38,1,'Woman gender BG','label_gender_2','Жена'),(38,2,'Woman gender EN','label_gender_2','Woman'),(38,3,'Woman gender ES','label_gender_2','Mujer'),(38,4,'Woman gender FR','label_gender_2','Femme'),(38,5,'Woman gender IT','label_gender_2','Donna'),(39,1,'Prefer not to say gender BG','label_gender_3','Предпочитам да не споделям'),(39,2,'Prefer not to say gender EN','label_gender_3','Prefer not to say'),(39,3,'Prefer not to say gender ES','label_gender_3','Prefiero no decirlo'),(39,4,'Prefer not to say gender FR','label_gender_3','Non binaire'),(39,5,'Prefer not to say gender IT','label_gender_3','Preferisco non dire'),(40,1,'Register label BG','signup_button','РЕГИСТРАЦИЯ'),(40,2,'Register label EN','signup_button','REGISTER'),(40,3,'Register label ES','signup_button','REGISTRAR'),(40,4,'Register label FR','signup_button','S\'enregistrer'),(40,5,'Register label IT','signup_button','REGISTRA'),(41,1,'Invalid email label BG','invalid_email','Невалиден имейл'),(41,2,'Invalid email label EN','invalid_email','Invalid email'),(41,3,'Invalid email label ES','invalid_email','Email incorrecto'),(41,4,'Invalid email label FR','invalid_email','Email invalide'),(41,5,'Invalid email label IT','invalid_email','E-mail non valida'),(42,1,'Invalid country label BG','invalid_country','Невалидна държава'),(42,2,'Invalid country label EN','invalid_country','Invalid country'),(42,3,'Invalid country label ES','invalid_country','País incorrecto'),(42,4,'Invalid country label FR','invalid_country','Pays invalide'),(42,5,'Invalid country label IT','invalid_country','Paese non valido'),(43,1,'Invalid gender label BG','invalid_gender','Избери опция за пол'),(43,2,'Invalid gender label EN','invalid_gender','Invalid gender'),(43,3,'Invalid gender label ES','invalid_gender','Género incorrecto'),(43,4,'Invalid gender label FR','invalid_gender','Gendre invalide'),(43,5,'Invalid gender label IT','invalid_gender','Genere non valido'),(44,1,'email in use message BG','email_used','Този имейл вече е регистриран в системата'),(44,2,'email in use message EN','email_used','Email already in use'),(44,3,'email in use message ES','email_used','Email ya en uso'),(44,4,'email in use message FR','email_used','Email déjà utilisé'),(44,5,'email in use message IT','email_used','Email già in uso'),(45,1,'Username in use message BG','alias_used','Това потребителско име вече е регистрирано в системата'),(45,2,'Username in use message EN','alias_used','Username already in use'),(45,3,'Username in use message ES','alias_used','Nombre de usuario ya en uso'),(45,4,'Username in use message FR','alias_used','Identifiant déjà utilisé'),(45,5,'Username in use message IT','alias_used','Nome utente già in uso'),(46,1,'Error on signing up message BG','invalid_signup','Възникна грешка при регистрацията, моля, опитай отново по-късно'),(46,2,'Error on signing up message EN','invalid_signup','An error has occurred while signing up, please try again later'),(46,3,'Error on signing up message ES','invalid_signup','Ha ocurrido un error durante el registro. Por favor, inténtalo de nuevo más tarde'),(46,4,'Error on signing up message FR','invalid_signup','Oups, une erreur est survenue lors de l\'authentification. Ré-essaye dans un moment, s\'il te plaît'),(46,5,'Error on signing up message IT','invalid_signup','Si è verificato un errore durante la registrazione, riprovare più tardi'),(47,1,'Invalid birth date label BG','invalid_birth_date','Невалидна дата на раждане'),(47,2,'Invalid birth date label EN','invalid_birth_date','Invalid birth date'),(47,3,'Invalid birth date label ES','invalid_birth_date','Fecha de nacimiento incorrecta'),(47,4,'Invalid birth date label FR','invalid_birth_date','Date de naissance invalide'),(47,5,'Invalid birth date label IT','guest_signup','Data di nascita non valida'),(48,1,'Age advice message BG','guest_signup','Ако нямаш 16 години и искаш да използваш нашата платформа безопасно те каним да влезеш като гост. Така ще можеш да разгледаш публичното ни съдържание, без да е предоставяш лична информация. Натисни \"\"Влез като гост\"\", за да започнеш!'),(48,2,'Age advice message EN','guest_signup','If you are under 16 and want to use our platform safely, we invite you to log in as a guest. This option will allow you to explore and enjoy our public content without having to provide personal information Click on \"\"Log in as a guest\"\" to start.'),(48,3,'Age advice message ES','guest_signup','Si tienes menos de 16 años y quieres usar la plataforma de una forma segura, te invitamos a registrarte como invitado. Esta opcion te permitirá acceder a todo el contenido público sin teener que registrar tus datos personales. Pulsa en \"\"Acceder como invitado\"\" Para empezar'),(48,4,'Age advice message FR','guest_signup','Si tu as moins de 16 ans, nous t\'invitons à te connecter comme invité pour utiliser notre plateforme. Cette option te permettra de profiter du jeu sans avoir à donner d\'informations personnelles. Clique sur le bouton \"\"Se connecter en tant qu\'invité\"\".'),(48,5,'Age advice message IT','guest_signup','Se hai meno di 16 anni e vuoi utilizzare la nostra piattaforma in modo sicuro, ti invitiamo ad accedere come ospite. Questa opzione ti permetterà di esplorare e godere dei nostri contenuti pubblici senza dover fornire informazioni personali Clicca su \"\"Accedi come ospite\"\" per iniziare.'),(49,1,'Guest loging label BG','guest_signup_button','Влез като гост'),(49,2,'Guest loging label EN','guest_signup_button','Log in as a guest'),(49,3,'Guest loging label ES','guest_signup_button','Acceder como invitado'),(49,4,'Guest loging label FR','guest_signup_button','Se connecter en tant qu\'invité'),(49,5,'Guest loging label IT','guest_signup_button','Accedi come un ospite'),(50,1,'back label BG','back_button','Обратно'),(50,2,'back label EN','back_button','Back'),(50,3,'back label ES','back_button','Atrás'),(50,4,'back label FR','back_button','Retour'),(50,5,'back label IT','back_button','Indietro'),(51,1,'birth date label BG','label_birth_date','Дата на раждане'),(51,2,'birth date label EN','label_birth_date','Birth date'),(51,3,'birth date label ES','label_birth_date','Año de nacimiento'),(51,4,'birth date label FR','label_birth_date','Date de naissance'),(51,5,'birth date label IT','label_birth_date','Data di nascita'),(52,1,'date format label to explain the format 30/09/2023 BG','placeholder_birth_date','дд/мм/гггг'),(52,2,'date format label to explain the format 30/09/2023 EN','placeholder_birth_date','dd/mm/yyyy'),(52,3,'date format label to explain the format 30/09/2023 ES','placeholder_birth_date','dd/mm/yyyy'),(52,4,'date format label to explain the format 30/09/2023 FR','placeholder_birth_date','jj/mm/aaaa'),(52,5,'date format label to explain the format 30/09/2023 IT','placeholder_birth_date','gg/mm/aaaa'),(53,1,'Recover password label BG','header','Забравена парола'),(53,2,'Recover password label EN','header','Recover Password'),(53,3,'Recover password label ES','header','Recuperar Contraseña'),(53,4,'Recover password label FR','header','J\'ai oublié mon mot de passe'),(53,5,'Recover password label IT','header','Recupera Password'),(54,1,'Message to explain that the email is associated with the account BG','description','Въведи имейла, с който си се регистрирал, за да получиш на него връзка за задаване на нова парола.'),(54,2,'Message to explain that the email is associated with the account EN','description','Enter the email address associated with your account, and we will email you a link to reset your password'),(54,3,'Message to explain that the email is associated with the account ES','description','El email introducido está asociado con tu cuenta de usuario y podrá utilizarse para reestablecer la contraseña en caso de olvido.'),(54,4,'Message to explain that the email is associated with the account FR','description','Entre l\'adresse mail associée à ton compte, et nous t\'enverrons un mail avec un lien pour réinitialiser ton mot de passe.'),(54,5,'Message to explain that the email is associated with the account IT','description','Inserisci l\'indirizzo email associato al tuo account e ti invieremo un link per reimpostare la password'),(55,1,'send email label BG','send_button','ИЗПРАТИ ИМЕЙЛ'),(55,2,'send email label EN','send_button','SEND EMAIL'),(55,3,'send email label ES','send_button','ENVIAR CORREO'),(55,4,'send email label FR','send_button','Envoyer un e-mail'),(55,5,'send email label IT','send_button','INVIARE E-MAIL'),(56,1,'email not found message BG','email_not_found','Въведеният имейл не е свързан с регистриран потребител'),(56,2,'email not found message EN','email_not_found','The email address entered does not belong to any user'),(56,3,'email not found message ES','email_not_found','El email introducido no pertenece a ningún usuario'),(56,4,'email not found message FR','email_not_found','Cette adresse mail ne correspond pas à un utilisateur enregistré'),(56,5,'email not found message IT','email_not_found','L\'indirizzo email inserito non appartiene a nessun utente'),(57,1,'Success Email Sent message BG','email_sent','На въведения имейл е изпратено съобщение'),(57,2,'Success Email Sent message EN','email_sent','An email has been sent to the entered address'),(57,3,'Success Email Sent message ES','email_sent','El email ha sido enviado a la dirección indicada'),(57,4,'Success Email Sent message FR','email_sent','Un e-mail a été envoyé à l\'adresse indiquée'),(57,5,'Success Email Sent message IT','email_sent','Un\'e-mail è stata inviata all\'indirizzo inserito'),(58,1,'Error Sending Email BG','error_sending_mail','По време на изпращането на имейла е възникнала грешка. Моля, опитай отново по-късно!'),(58,2,'Error Sending Email EN','error_sending_mail','An error occurred while sending the email. Please try again'),(58,3,'Error Sending Email ES','error_sending_mail','Ha ocurrido un error al enviar el email. Por favor, inténtalo de nuevo'),(58,4,'Error Sending Email FR','error_sending_mail','Oups, une erreur a été rencontrée pendant l\'envoi du mail'),(58,5,'Error Sending Email IT','error_sending_mail','Si è verificato un errore durante l\'invio dell\'e-mail. Si prega di riprovare'),(59,1,'Recover Password label BG','header','Промяна на паролата'),(59,2,'Recover Password label EN','header','Change Password'),(59,3,'Recover Password label ES','header','Cambiar Contraseña'),(59,4,'Recover Password label FR','header','Changer de mot de passe'),(59,5,'Recover Password label IT','header','Cambia Password'),(60,1,'Description for Recover Password BG','description','Въведи нова парола. След като въведеш новата си парола, информацията ще се актуализира автоматично и след няколко секунди ще бъдеш пренасочен към страницата за вход.'),(60,2,'Description for Recover Password EN','description','Enter a new password. Once you have entered your new password, your information will automatically update on our page and you will be redirected to the login page after a few seconds.'),(60,3,'Description for Recover Password ES','description','Introduce una nueva contraseña. Una vez introducida, tu información se actualizará automáticamente en nuestra página y se redirigirá a la página de inicio de sesión tras de unos segundos'),(60,4,'Description for Recover Password FR','description','Entre un nouveau mot de passe. Une fois le nouveau de passe entré, l\'information sera automatiquement enregistrée et tu seras redirigé vers la page d\'accueil après quelques secondes'),(60,5,'Description for Recover Password IT','description','Inserisci una nuova password. Una volta inserita la tua nuova password, le tue informazioni si aggiorneranno automaticamente sulla nostra pagina e sarai reindirizzato alla pagina di login dopo pochi secondi.'),(61,1,'Label for Password field BG','label_new_password','Нова парола'),(61,2,'Label for Password field EN','label_new_password','New Password'),(61,3,'Label for Password field ES','label_new_password','Nueva Contraseña'),(61,4,'Label for Password field FR','label_new_password','Nouveau mot de passe'),(61,5,'Label for Password field IT','label_new_password','Nuova Password'),(62,1,'Label for Confirm Password field BG','label_confirm_password','Потвърди паролата'),(62,2,'Label for Confirm Password field EN','label_confirm_password','Confirm Password'),(62,3,'Label for Confirm Password field ES','label_confirm_password','Confirmar Constraseña'),(62,4,'Label for Confirm Password field FR','label_confirm_password','Confirmer le mot de passe'),(62,5,'Label for Confirm Password field IT','label_confirm_password','Confermare la password'),(64,1,'Error Passwords Do Not Match BG','error_match','Паролите не съвпадат'),(64,2,'Error Passwords Do Not Match EN','error_match','Passwords do not match'),(64,3,'Error Passwords Do Not Match ES','error_match','Las constraseñas no coinciden'),(64,4,'Error Passwords Do Not Match FR','error_match','Les mots de passe ne sont pas identiques'),(64,5,'Error Passwords Do Not Match IT','error_match','Le password non corrispondono'),(65,1,'Success Password Changed BG','password_changed','Паролата е променена успешно'),(65,2,'Success Password Changed EN','password_changed','Password changed successfully'),(65,3,'Success Password Changed ES','password_changed','Contraseña cambiada correctamente'),(65,4,'Success Password Changed FR','password_changed','Le mot de passe a été changé avec succès'),(65,5,'Success Password Changed IT','password_changed','Password cambiata con successo'),(66,1,'Error Changing Password BG','error_change_password','Грешка при промяна на паролата'),(66,2,'Error Changing Password EN','error_change_password','Error changing password'),(66,3,'Error Changing Password ES','error_change_password','Error modificando la contraseña'),(66,4,'Error Changing Password FR','error_change_password','Oups, une erreur est survenue pendant le changement de mot de passe'),(66,5,'Error Changing Password IT','error_change_password','Errore nel cambiare la password'),(67,1,'Initial Questionnaire Q1 BG','question_text','Доколко си запознат с концепцията за дигитално замърсяване и неговото въздействие върху околната среда? (1. изобщо не, 5. експерт)'),(67,2,'Initial Questionnaire Question 1 EN','question_text','How familiar are you with the concept of digital pollution and its impact on the environment?'),(67,3,'Initial Questionnaire Question 1 ES','question_text','¿Estás familiarizado con el concepto de contaminación digital y su impacto en el medio ambiente?'),(67,4,'Initial Questionnaire Question 1 FR','question_text','Sais-tu ce qu’est la pollution numérique ? (1. Pas du tout ;10. Oui, très bien)'),(67,5,'Initial Questionnaire Question 1 IT','question_text','Quanto conosci il concetto di inquinamento digitale e il suo impatto sull\'ambiente?(1. Per niente; 10. Sì, molto bene)'),(68,1,'Initial Questionnaire Q2 BG','question_text','Доколко си запознат с добри практики, свързани с отговорното използване на технологиите и със зелените технологии(1. изобщо не, 5. експерт)'),(68,2,'Initial Questionnaire Question 2 EN','question_text','How familiar are you with practices related to responsible use of technology and green computing?'),(68,3,'Initial Questionnaire Question 2 ES','question_text','¿Estás familiarizado con las prácticas relacionadas con el uso responsable de la tecnología y la informática ecológica?'),(68,4,'Initial Questionnaire Question 2 FR','question_text','Connais-tu des pratiques d’utilisation responsable du numérique ? (1. Aucune, 10. Oui, beaucoup)'),(68,5,'Initial Questionnaire Question 2 IT','question_text','Hai familiarità con le pratiche relative all\'uso responsabile della tecnologia e del green computing?(1. Per niente; 10. Sì, molto bene)'),(69,1,'Initial Questionnaire Q3 BG','question_text','Доколко смяташ, че е важно хората да предприемат стъпки за намаляване на дигиталното замърсяване и да предприемат действия за преминаването към зелени технологии?  (1. изобщо не е важно, 5. изключително важно)'),(69,2,'Initial Questionnaire Question 3 EN','question_text','How important do you believe it is for individuals to take steps towards reducing digitalpollution and adopting green computing practices?'),(69,3,'Initial Questionnaire Question 3 ES','question_text','¿Hasta qué punto crees que es importante que las personas tomen medidas para reducir la contaminación digital y adoptar prácticas informáticas ecológicas?'),(69,4,'Initial Questionnaire Question 3 FR','question_text','Selon toi, est-il important de réduire la pollution numérique ? (1. Pas important, 10. Très important)'),(69,5,'Initial Questionnaire Question 3 IT','question_text','Quanto è importante per le persone adottare misure per ridurre l\'inquinamento digitale e adottare pratiche di green computing?(1. Per niente; 10. Sì, molto bene)'),(70,1,'Select Difficulty BG',NULL,'Избери нивото на трудност, на което искаш да започнеш. Препоръчваме да започнеш на по-лесна трудност.'),(70,2,'Select Difficulty EN',NULL,'Select which level you want to play. You can start with easy and level up later, or start at a higher level if you feel like it.'),(70,3,'Select Difficulty ES',NULL,'Selecciona el nivel en el que quieres jugar. Puedes empezar con un nivel fácil y subir de nivel más adelante, o empezar en un nivel superior si te apetece'),(70,4,'Select Difficulty FR',NULL,'Sélectionne le niveau auquel tu souhaites jouer. Tu peux commencer par le niveau facile et passer au niveau supérieur plus tard, ou commencer à un niveau plus élevé si tu en as envie.'),(70,5,'Select Difficulty IT',NULL,'Seleziona il livello che vuoi per giocare. Si può iniziare con facile e salire di livello più tardi, o iniziare a un livello superiore, se ne avete voglia.'),(71,1,'Story Introduction Part 1 BG',NULL,'От години човечеството знае, че не може да продължава да живее по този разрушителен начин. \n\nЗнаеш ли, [player name], че дори и най-малките ни действия имат огромно въздействие върху околната среда? \n\nСега си част от екипа на GreenCo. Време е за действие. \n\nЧрез червеева дупка ще пътуваш между настоящето на Земята и бъдещето на Марс, където ще изпълняваш различни мисии. \n\nДекарт, Вера, Керана и Мартон ще ти помагат в различните мисии. \n\nС твоята помощ, [player name], може би ще успеем да спасим човечеството и да пренапишем историята.'),(71,2,'Story Introduction Part 1 EN',NULL,'For years, people knew that it could not continue on this path of destruction. \n\nDid you know, [player name], that small acts have a tremendous environmental impact? \n\nNow, you are part of the GreenCo team. It\'s time to act. \n\nThrough a wormhole, you will travel to the present on Earth and the future on Mars to complete different missions. \n\nDeckard, Vera, Kerana and Marton will guide you on every planet. \n\nWith your help, [player name], we might be able to save humanity and change history.'),(71,3,'Story Introduction Part 1 ES',NULL,'Durante años, la gente supo que no podía continuar por este camino de destrucción. \n\n¿Sabías [player name] que los pequeños actos tienen un tremendo impacto medioambiental? \n\nAhora formas parte del equipo GreenCo. ¡Es hora de actuar! \n\nA través de un agujero de gusano, viajarás al presente en la Tierra y al futuro en Marte para completar diferentes misiones. \n\nDeckart, Vera, Kerana y Marton te guiarán en cada planeta. \n\nCon tu ayuda, [player name], quizá podamos salvar a la humanidad y cambiar la historia.'),(71,4,'Story Introduction Part 1 FR',NULL,'[player name], sais-tu que les petits gestes ont un impact considérable sur l\'environnement ? \n\nMaintenant, tu fais partie de l\'équipe GreenCo. Il est temps d\'agir.\n\nÀ travers un vortex, tu voyageras dans le présent sur Terre et dans le futur sur Mars pour accomplir différentes missions. \n\nDeckard, Vera, Kerana et Marton te guideront sur chaque planète. \n\nAvec ton aide, [player name], nous pourrons peut-être sauver l\'humanité et changer l\'histoire.'),(71,5,'Story Introduction Part 1 IT',NULL,'Per anni, la gente sapeva che non poteva continuare su questa strada di distruzione. Lo sapevi, [player name], che i piccoli artisti hanno un enorme impatto ambientale? Ora, fai parte della squadra GreenCo. È ora di agire. Attraverso un tunnel spaziale, viaggerai verso il presente sulla Terra e il futuro su Marte per completare diverse missioni. Deckart, Vera, Kerana e Marton ti guideranno su ogni pianeta. Con il tuo aiuto, [player name], potremmo essere in grado di salvare l\'umanità e cambiare la storia.'),(72,1,'Story Introduction Part 2 Deckard BG',NULL,'Здравей, [player name]! Благодаря ти за помощта!\n\nТрябва да изпълниш общо осем мисии, за да спасиш човечеството. Мисиите са разпределени на две планети, а именно на Земята и на Марс. На всяка планета има четири различни мисии, в които можеш да се включиш. \n\nМежду другото, аз съм Декарт и ще ти помагам в мисиите, свързани с темата за потребление на енергия. '),(72,2,'Story Introduction Part 2 Deckard EN',NULL,'Hello, [player name]. Thank you very much for your help. \n\nYou must complete eight missions on Earth and Mars to save humanity. On each planet, you will find four different missions. \n\nBy the way, I\'m Deckard, and I will be your guide through the Energy Consumption missions. \n\nVera:'),(72,3,'Story Introduction Part 2 Deckard ES',NULL,'Hola [player name]. Muchas gracias por tu ayuda. \n\nDebes completar un total de ocho misiones entre la Tierra y Marte para salvar a la humanidad. En cada planeta, encontrarás cuatro misiones diferentes. \n\nPor cierto, soy Deckard, y seré tu guía en las misiones de Consumo de Energía.'),(72,4,'Story Introduction Part 2 Deckard FR',NULL,'Bonjour, [player name]. Merci beaucoup pour ton aide. \n\nTu vas devoir accomplir 8 missions sur la Terre et sur Mars pour sauver l\'humanité. Sur chaque planète, on te proposera quatre missions différentes. \n\nAu fait, je m\'appelle Deckard et je serai ton guide pour les missions relatives à la consommation d\'énergie. \n\nEt maintenant, laisse-moi te présenter Vera.'),(72,5,'Story Introduction Part 2 Deckard IT',NULL,'Ciao, [player name]. Grazie mille per il vostro aiuto. Devi completare otto missioni sulla Terra e su Marte per salvare l\'umanità. Su ogni pianeta, troverete quattro diverse missioni. A proposito, sono Deckard, e sarò la vostra guida nelle missioni di consumo energetico. Vera:'),(73,1,'Story Introduction Part 2 Vera BG',NULL,'Здравей, [player name]! Аз съм Вера и съм специалист в рециклирането на електронни отпадъци. \n\nВсяка задача ти носи бронзови, сребърни и златни значки. Когато получиш златна значка, значи си изпълнил мисията успешно.'),(73,2,'Story Introduction Part 2 Vera EN',NULL,'Hi, [player name]. I´m Vera, and I specialise in E-Waste Recycling. \n\nIn each mission, you will receive bronze, silver and gold badges. When you get a golden badge, you have completed the mission.'),(73,3,'Story Introduction Part 2 Vera ES',NULL,'Hola, [player name]. Soy Vera, y estoy especializada en Reciclaje de Residuos Electrónicos. \n\nEn cada misión, recibirás insignias de bronce, plata y oro. Cuando consigas una insignia de oro, habrás completado la misión.'),(73,4,'Story Introduction Part 2 Vera FR',NULL,'Salut [player name]. Je m\'appelle Vera et je suis spécialisée dans le recyclage des déchets électroniques. \n\nPour chaque mission, tu recevras un badge, en bronze, en argent ou en or. Tu termines la mission quand tu obtiens le badge d\'or.'),(73,5,'Story Introduction Part 2 Vera IT',NULL,'Ciao, [nome giocatore]. Sono Vera, e sono specializzata in riciclo di e-rifiuti (rifiuti elettronici) . In ogni missione, riceverai distintivi in bronzo, argento e oro. Quando ottieni un distintivo d\'oro, hai completato la missione.'),(74,2,'Story Introduction Part 3 Kerana EN',NULL,'We are delighted you are with us! I am Kerana, and I will be your guide in the missions of the Earth and Mars Initiatives. [player name], you will earn points for each mission in addition to badges. We have recruited other interns, and the points wil be on a scoreboard.'),(74,3,'Story Introduction Part 3 Kerana ES',NULL,'¡Estamos encantados de que estés con nosotros! Soy Kerana, y seré tu guía en las misiones de las Iniciativas Tierra y Marte. [player name], ganarás puntos por cada misión, además de insignias. Hemos reclutado a otros becarios, y los puntos aparecerán en un marcador.'),(74,4,'Story Introduction Part 3 Kerana FR',NULL,'Je suis Kerana, et je serai ta guide pour les missions relatives aux Initiatives sur Terre et sur Mars. En accomplissant les missions, tu gagneras des points en plus des badges. Tes points seront inscrits sur un tableau d\'affichage.'),(74,5,'Story Introduction Part 3 Kerana IT',NULL,'Siamo lieti che tu sia con noi! Io sono Kerana, e sarò la tua guida nelle missioni inziative sulla Terra e su Marte . [player name], guadagnerai punti per ogni missione oltre ai badge. Abbiamo reclutato altri tirocinanti, e i punti saranno su un tabellone.'),(75,1,'Story Introduction Part 3 Marton BG',NULL,'Ще трябва да дадеш всичко от себе си, за да спасиш човечеството. Аз съм Мартон, и съм специалист в областта законодателството. Не забравяй, че на всяка планета трябва да изпълниш четири мисии. Готов ли си? Да вървим!'),(75,2,'Story Introduction Part 3 Marton EN',NULL,'So, try your best to save humanity together, and you can be the best. I´m Marton, specialising in Legislation. Remember that four missions have to be completed on each planet. Are you ready? Let\'s go to the spaceship!'),(75,3,'Story Introduction Part 3 Marton ES',NULL,'Así que, esfuérzate al máximo para salvar juntos a la humanidad, y podrás ser el mejor. Soy Marton, especializado en Legislación. Recuerda que hay que completar cuatro misiones en cada planeta. ¿Estás preparado? ¡Vamos a la nave espacial!'),(75,4,'Story Introduction Part 3 Marton FR',NULL,'Je suis Marton, spécialisé dans la législation. N\'oublie pas que 4 missions doivent être accomplies sur chaque planète. Tu es prêt(e ? Alors commençons !'),(75,5,'Story Introduction Part 3 Marton IT',NULL,'Quindi, fai del tuo meglio per salvare l\'umanità insieme, e puoi essere il migliore. Sono Marton, specializzata in legislazione. Ricordate che quattro missioni devono essere completate su ogni pianeta. Allora, sei pronto, eh? Andiamo alla nave spaziale!'),(76,1,'Decide your adventure BG',NULL,'Време е, [player name], да вземеш първото си решение. Къде предпочиташ да започнеш - на Земята, или на Марс в бъдещето?'),(76,2,'Decide your adventure EN',NULL,'It\'s time, [player name], to make your first decision. Would you rather start saving the Earth today or prefer to travel to the future and go to Mars?'),(76,3,'Decide your adventure ES',NULL,'Ha llegado el momento de tomar tu primera decisión [player name]. ¿Prefieres comenzar salvando la Tierra o prefieres viajar al futuro e ir a Marte?'),(76,4,'Decide your adventure FR',NULL,'[player name], préfères-tu commencer par sauver la Terre aujourd\'hui, ou voyager dans le futur et aller sur Mars ?'),(76,5,'Decide your adventure IT',NULL,'È il momento, [player name], di prendere la prima decisione. Preferisci iniziare a salvare la Terra oggi o preferisci viaggiare nel futuro e andare su Marte?'),(77,1,'Earth Introduction BG',NULL,'Добре дошъл на Земята, [player name]!\n\nСлед няколко години околната среда ще бъде по-замърсена от ИТ индустрията, отколкото от автомобилите или мотоциклетите, което ще допринесе значително за повишаването на емисиите на парникови газове.\n\nСитуацията е критична и за да можем да продължим да живеем на Земята, трябва да променим навиците си.\n\nТрябва да изпълниш четири мисии. \n\nДекарт, Вера, Керана и Мартон ще ти помагат. Готов ли си?'),(77,2,'Earth Introduction EN',NULL,'Welcome to the Earth, [player name]!!! \n\nIn a few years, the Environment will be more polluted by the Information Technology Industry than by cars or motorcycles, contributing significantly to greenhouse gas emissions. \n\nWe are in a critical situation and must change our habits to continue living on Earth. \n\nYou have four missions to complete. \n\nDeckart, Vera, Kerana and Marton will help you. Are you ready?'),(77,3,'Earth Introduction ES',NULL,'¡¡¡Bienvenido a la Tierra [player name]!!! \n\nDentro de unos años, el Medio Ambiente estará más contaminado por la Industria de la Tecnología de la Información que por los coches o las motos, contribuyendo significativamente a las emisiones de gases de efecto invernadero. \n\nEstamos en una situación crítica y debemos cambiar nuestros hábitos para seguir viviendo en la Tierra. \n\nTienes cuatro misiones que completar. \n\nDeckart, Vera, Kerana y Marton te ayudarán. ¿Estáis preparados?'),(77,4,'Earth Introduction FR',NULL,'Bienvenue sur Terre, [player name] !!! \n\nDans quelques années, l\'environnement sera plus pollué par l\'industrie des technologies de l\'information que par les voitures ou les motos, ce qui contribura de manière significative aux émissions de gaz à effet de serre. \n\nNous sommes dans une situation critique et devons changer nos habitudes pour continuer à vivre sur Terre. \n\nTu as quatre missions à accomplir. \n\nDeckard, Vera, Kerana et Marton t\'aideront. Es-tu prêt(e) ?'),(77,5,'Earth Introduction IT',NULL,'Benvenuti sulla Terra, [player name]!!! Tra qualche anno, l\'ambiente sarà più inquinato dall\'industria delle tecnologie dell\'informazione che dalle automobili o dai motocicli, contribuendo in modo significativo alle emissioni di gas serra. Siamo in una situazione critica e dobbiamo cambiare le nostre abitudini per continuare a vivere sulla Terra. Hai quattro missioni da completare. Deckart, Vera, Kerana e Marton vi aiuteranno. Allora, sei pronto, eh?'),(124,1,'Difficulty level easy BG','difficulty_name','Лесно'),(124,2,'Difficulty level easy EN','difficulty_name','Easy'),(124,3,'Difficulty level easy ES','difficulty_name','Fácil'),(124,4,'Difficulty level easy FR','difficulty_name','Facile'),(124,5,'Difficulty level easy IT','difficulty_name','Facile'),(125,1,'Difficulty level medium english BG','difficulty_name','Средно'),(125,2,'Difficulty level medium english EN','difficulty_name','Medium'),(125,3,'Difficulty level medium english ES','difficulty_name','Medio'),(125,4,'Difficulty level medium english FR','difficulty_name','Moyen'),(125,5,'Difficulty level medium english IT','difficulty_name','Medio'),(126,1,'Difficulty level hard english BG','difficulty_name','Трудно'),(126,2,'Difficulty level hard english EN','difficulty_name','Hard'),(126,3,'Difficulty level hard english ES','difficulty_name','Dificil'),(126,4,'Difficulty level hard english FR','difficulty_name','Difficile'),(126,5,'Difficulty level hard english IT','difficulty_name','Duro'),(127,1,'Planet earth english BG','planet_name','Земя'),(127,2,'Planet earth english EN','planet_name','Earth'),(127,3,'Planet earth english ES','planet_name','Tierra'),(127,4,'Planet earth english FR','planet_name','Terre'),(127,5,'Planet earth english IT','planet_name','Terra'),(128,1,'Planet mars english BG','planet_name','Марс'),(128,2,'Planet mars english EN','planet_name','Mars'),(128,3,'Planet mars english ES','planet_name','Marte'),(128,4,'Planet mars english FR','planet_name','Mars'),(128,5,'Planet mars english IT','planet_name','Marte'),(129,1,'Energy Consumption room BG','level_name','Потребление на енергия'),(129,2,'Energy Consumption room EN','level_name','Energy Consumption'),(129,3,'Energy Consumption room ES','level_name','Consumo de energía'),(129,4,'Energy Consumption room FR','level_name','Consommation d\'énergie'),(129,5,'Energy Consumption room IT','level_name','Consumo di energia'),(130,1,'E-waste recycling room BG','level_name','Рециклиране на електронни отпадъци'),(130,2,'E-waste recycling room EN','level_name','E-waste recycling'),(130,3,'E-waste recycling room ES','level_name','Reciclaje de resíduos electrónicos'),(130,4,'E-waste recycling room FR','level_name','Recyclage des déchets'),(130,5,'E-waste recycling room IT','level_name','Riciclo dei rifiuti elettronici'),(131,1,'Initiatives room BG','level_name','Инициативи'),(131,2,'Initiatives room EN','level_name','Initiatives'),(131,3,'Initiatives room ES','level_name','Iniciativas'),(131,4,'Initiatives room FR','level_name','Initiatives'),(131,5,'Initiatives room IT','level_name','Iniziative'),(132,1,'Legislation room BG','level_name','Законодателство'),(132,2,'Legislation room EN','level_name','Legislation'),(132,3,'Legislation room ES','level_name','Legislación'),(132,4,'Legislation room FR','level_name','Législation'),(132,5,'Legislation room IT','level_name','Legislazione'),(133,1,'Get award text BG','text','Поздравления! Получи значка за успешно завършване на ниво [level] на планетата [planet] на [difficulty] ниво на трудност .'),(133,2,'Get award text EN','text','Congratulations! You\'ve received the award for completing [planet]\'s [level] level on [difficulty] difficulty'),(133,3,'Get award text ES','text','Enhorabuena! Has recibido el trofeo por completar el nivel [level] de [planet] en el nivel [difficulty]'),(133,4,'Get award text FR','text','Bravo ! Tu as obtenu une récompense pour avoir terminé le niveau [level] sur la planète [planet] avec en mode [difficulty]'),(133,5,'Get award text IT','text','Congratulazioni! Hai ricevuto il premio per aver completato il livello [level] del [planet] in [difficulty]'),(134,1,'Alternative text Energy Consumption Icon BG','ec_icon','Потребление на енергия'),(134,2,'Alternative text Energy Consumption Icon EN','ec_icon','Energy Consumption'),(134,3,'Alternative text Energy Consumption Icon ES','ec_icon','Consumo de energía'),(134,4,'Alternative text Energy Consumption Icon FR','ec_icon','Consommation d\'énergie'),(134,5,'Alternative text Energy Consumption Icon IT','ec_icon','Consumo di energia'),(135,1,'Alternative text E-Waste Recycling Icon BG','ewr_icon','Рециклиране на електронни отпадъци'),(135,2,'Alternative text E-Waste Recycling Icon EN','ewr_icon','E-Waste Recycling'),(135,3,'Alternative text E-Waste Recycling Icon ES','ewr_icon','Reciclaje de resíduos electrónicos'),(135,4,'Alternative text E-Waste Recycling Icon FR','ewr_icon','Recyclage des déchets électroniques'),(135,5,'Alternative text E-Waste Recycling Icon IT','ewr_icon','Riciclo dei rifiuti elettronici'),(136,1,'Alternative text Initiatives Icon BG','initiatives_icon','Инициативи'),(136,2,'Alternative text Initiatives Icon EN','initiatives_icon','Initiatives'),(136,3,'Alternative text Initiatives Icon ES','initiatives_icon','Iniciativas'),(136,4,'Alternative text Initiatives Icon FR','initiatives_icon','Initiatives'),(136,5,'Alternative text Initiatives Icon IT','initiatives_icon','Iniziative'),(137,1,'Alternative text Legislation Icon BG','legislation_icon','Законодателство'),(137,2,'Alternative text Legislation Icon EN','legislation_icon','Legislation'),(137,3,'Alternative text Legislation Icon ES','legislation_icon','Legislación'),(137,4,'Alternative text Legislation Icon FR','legislation_icon','Législation'),(137,5,'Alternative text Legislation Icon IT','legislation_icon','Legislazione'),(138,1,'Ranking label BG','ranking_icon','Класация'),(138,2,'Ranking label EN','ranking_icon','Ranking'),(138,3,'Ranking label ES','ranking_icon','Clasificación'),(138,4,'Ranking label FR','ranking_icon','Classement'),(138,5,'Ranking label IT','ranking_icon','Classifica'),(139,1,'Planet label BG','planet_icon','Планета'),(139,2,'Planet label EN','planet_icon','Planet'),(139,3,'Planet label ES','planet_icon','Planeta'),(139,4,'Planet label FR','planet_icon','Planète'),(139,5,'Planet label IT','planet_icon','Pianeta'),(143,1,'NationalRank label BG','NationalRank','Национална класация'),(143,2,'NationalRank label EN','NationalRank','National Ranking'),(143,3,'NationalRank label ES','NationalRank','Clasificación Nacional'),(143,4,'NationalRank label FR','NationalRank','Classement national'),(143,5,'NationalRank label IT','NationalRank','Classifica Nazionale'),(144,1,'InterationalRank label BG','InterationalRank','Международна класация'),(144,2,'InterationalRank label EN','InterationalRank','Interational Ranking'),(144,3,'InterationalRank label ES','InterationalRank','Clasificación Internacional'),(144,4,'InterationalRank label FR','InterationalRank','Classement international'),(144,5,'InterationalRank label IT','InterationalRank','Ranking internazionale'),(145,1,'Award list label BG','Awards','Награди'),(145,2,'Award list label EN','Awards','Awards'),(145,3,'Award list label ES','Awards','Lista de Trofeos'),(145,4,'Award list label FR','Awards','Récompenses'),(145,5,'Award list label IT','Awards','Premi'),(146,1,'Edit profile label BG','EditInfo','Редактиране на профил'),(146,2,'Edit profile label EN','EditInfo','Edit Profile'),(146,3,'Edit profile label ES','EditInfo','Editar perfil'),(146,4,'Edit profile label FR','EditInfo','Editer son profil'),(146,5,'Edit profile label IT','EditInfo','Modifica profilo'),(147,1,'New email label BG','newEmail','Нов имейл'),(147,2,'New email label EN','newEmail','New Email'),(147,3,'New email label ES','newEmail','Nuevo Email'),(147,4,'New email label FR','newEmail','Nouvel e-mail'),(147,5,'New email label IT','newEmail','Nuova Email'),(149,1,'Tap picture to edit label BG','tapPicture','Редактиране на профилната снимка'),(149,2,'Tap picture to edit label EN','tapPicture','Tap to edit your profile picture'),(149,3,'Tap picture to edit label ES','tapPicture','Pulsa para editar tu imagen de perfil'),(149,4,'Tap picture to edit label FR','tapPicture','Clique pour modifier la photo associée à ton profil'),(149,5,'Tap picture to edit label IT','tapPicture','Tocca per modificare l\'immagine del tuo profilo'),(150,1,'updateProfileOk BG','updateProfileOk','Профилът е актуализиран успешно'),(150,2,'updateProfileOk EN','updateProfileOk','Profile updated successfully'),(150,3,'updateProfileOk ES','updateProfileOk','Perfil actualizado correctamente'),(150,4,'updateProfileOk FR','updateProfileOk','Profil mis à jour avec succès'),(150,5,'updateProfileOk IT','updateProfileOk','Profilo aggiornato con successo'),(151,1,'updateProfileOError BG','updateProfileOError','Грешка при актуализиране на профила'),(151,2,'updateProfileOError EN','updateProfileOError','Error updating profile'),(151,3,'updateProfileOError ES','updateProfileOError','Error al actualizar el perfil'),(151,4,'updateProfileOError FR','updateProfileOError','Erreur pendant la mise à jour du profil'),(151,5,'updateProfileOError IT','updateProfileOError','Errore nell\'aggiornamento del profilo'),(152,1,'fill Password label BG','','Моля, попълни информацията за паролата'),(152,2,'fill Password label EN','fillPassword','Please, fill the password information'),(152,3,'fill Password label ES','fillPassword','Por favor, completa el campo de contraseña'),(152,4,'fill Password label FR','fillPassword','Merci de définir ton mot de passe'),(152,5,'fill Password label IT','fillPassword','Inserisci le informazioni sulla password'),(153,1,'email Error label BG','emailError','Грешка при проверка на имейл'),(153,2,'email Error label EN','emailError','Error checking email'),(153,3,'email Error label ES','emailError','Error al consultar el correo'),(153,4,'email Error label FR','emailError','Oups, une erreur est survenue pendant la vérification de ton email.'),(153,5,'email Error label IT','emailError','Errore di controllo e-mail'),(154,1,'fill Email label BG','fillEmail','Моля, попълни информацията за имейла'),(154,2,'fill Email label EN','fillEmail','Please, fill the email information'),(154,3,'fill Email label ES','fillEmail','Por favor, completa el campo de email'),(154,4,'fill Email label FR','fillEmail','Merci de remplir ton adresse mail'),(154,5,'fill Email label IT','fillEmail','Si prega di compilare le informazioni e-mail'),(155,1,'no Avatars label BG','noAvatars','Няма налични аватари'),(155,2,'no Avatars label EN','noAvatars','No avatars available'),(155,3,'no Avatars label ES','noAvatars','No hay avatares disponibles'),(155,4,'no Avatars label FR','noAvatars','Aucun avatar disponible'),(155,5,'no Avatars label IT','noAvatars','Nessun avatar disponibile'),(156,1,'error getting avatars label BG','avatarErrorget','Грешка при получаване на аватари'),(156,2,'error getting avatars label EN','avatarErrorget','Error getting avatars'),(156,3,'error getting avatars label ES','avatarErrorget','Error al acceder a los avatares'),(156,4,'error getting avatars label FR','avatarErrorget','Oups, une erreur est survenue pendant le téléchargement de l\'avatar'),(156,5,'error getting avatars label IT','avatarErrorget','Errore nell\'ottenere gli avatar'),(157,1,'Avatar update error label BG','avatarErrorUpdate','Грешка при актуализиране на аватар'),(157,2,'Avatar update error label EN','avatarErrorUpdate','Error updating avatar'),(157,3,'Avatar update error label ES','avatarErrorUpdate','Error actualizando los avatares'),(157,4,'Avatar update error label FR','avatarErrorUpdate','Oups, une erreur est survenue pendant la mise à jour de l\'avatar'),(157,5,'Avatar update error label IT','avatarErrorUpdate','Errore di aggiornamento avatar'),(158,1,'Avatar update correctly label BG','avatarUpdate','Аватарът е актуализиран успешно'),(158,2,'Avatar update correctly label EN','avatarUpdate','Avatar updated successfully'),(158,3,'Avatar update correctly label ES','avatarUpdate','Avatar actualizado correctamente'),(158,4,'Avatar update correctly label FR','avatarUpdate','Avatar mis à jour'),(158,5,'Avatar update correctly label IT','avatarUpdate','Avatar aggiornato con successo'),(159,1,'Update label BG','Update','Актуализация'),(159,2,'Update label EN','Update','Update'),(159,3,'Update label ES','Update','Actualizar'),(159,4,'Update label FR','Update','Mise à jour'),(159,5,'Update label IT','Update','Aggiornare'),(161,1,'close session label BG','closeSession','Излез от профила'),(161,2,'close session label EN','closeSession','Close Session'),(161,3,'close session label ES','closeSession','Cerrar Sesión'),(161,4,'close session label FR','closeSession','Fermer la session'),(161,5,'close session label IT','closeSession','Sessione di chiusura'),(162,1,'userprofile BG','userprofile','Потребителски профил'),(162,2,'userprofile EN','userprofile','User profile'),(162,3,'userprofile ES','userprofile','Perfil de usuario'),(162,4,'userprofile FR','userprofile','Profil utilisateur'),(162,5,'userprofile IT','userprofile','Profilo utente'),(164,1,'player BG','player','Данни за играча'),(164,2,'player EN','player','Player Data'),(164,3,'player ES','player','Información del usuario'),(164,4,'player FR','player','Données du joueur'),(164,5,'player IT','player','Dati del giocatore'),(500,1,'Text Question Q1.1 BG','question_text','Както знаеш, изключително важно е да намалим потреблението на електроенергия, генерирано от дигитални технологии. Например, ако интернет беше държава, знаеш ли къде щеше да се намира в международните класации по потреблението на електроенергия през 2021 г.? '),(500,2,'Text Question Q1.1 EN','question_text','As you know, it is important to reduce the electricity consumption induced by digital technology. For instance, If the internet was a country, do you know what would have been its rank for electricity usage in 2021?'),(500,3,'Text Question Q1.1 ES','question_text','Como sabes, es importante reducir el consumo eléctrico producido por la tecnología digital. Por ejemplo, si internet fuera un país, ¿sabes cuál sería su posición en cuanto a consumo eléctrico en 2021?'),(500,4,'Text Question Q1.1 FR','question_text','Comme tu le sais, il est important de réduire la consommation d\'électricité induite par la technologie numérique. Si Internet était un pays, quel aurait été son rang en matière de consommation d\'électricité en 2021 ?'),(500,5,'Text Question Q1.1 IT','question_text','Come sai, è importante ridurre il consumo di energia elettrica indotto dalla tecnologia digitale. Per esempio, Se internet era un paese, sai quale sarebbe stato il suo rango per l\'utilizzo di energia elettrica nel 2021? '),(501,1,'Text Question Q1.2 BG','question_text','Именно поради тази причина е толкова важно да се ограничим в потреблението си на електроенергия, когато това е възможно. Повечето електроуреди консумират енергия дори и в режим на готовност! Знаеш ли как наричаме енергията, която един електроуред консумира в режим на готовност? '),(501,2,'Text Question Q1.2 EN','question_text','It is thus essential to reduce energy consumption whenever it is possible. Most electronic devices consume power in standby mode. Do you know how we call the power an appliance consumes in standby mode?'),(501,3,'Text Question Q1.2 ES','question_text','Por eso es esencial reducir el consumo de energía siempre que sea posible. La mayoría de los aparatos electrónicos consumen energía en modo de espera. ¿Sabes cómo llamamos a la energía que consume un aparato en modo de espera?'),(501,4,'Text Question Q1.2 FR','question_text','Il est donc essentiel de réduire la consommation d’énergie chaque fois que cela est possible. La plupart des appareils électroniques consomment de l\'énergie en mode veille. C\'est vraiment du ...'),(501,5,'Text Question Q1.2 IT','question_text','Per questo motivo è fondamentale ridurre il consumo di energia ogni volta che è possibile. La maggior parte dei dispositivi elettronici consuma energia in modalità standby. Sapete come si chiama l\'energia consumata da un dispositivo in modalità standby?'),(502,1,'Text Question Q1.3c BG','question_text','Ако искаш да намалиш фантомната консумация на електроенергия в дома си, кои уреди от изброените си струва да изключиш или извадиш от електрическата мрежа, когато не ги използваш? '),(502,2,'Text Question Q1.3c EN','question_text','If you want to reduce the vampire power at your home, which appliances among the following are worth switching off or unplugging when you are not using it?'),(502,3,'Text Question Q1.3c ES','question_text','Si quieres reducir la energía vampírica de tu casa, ¿qué electrodomésticos de los siguientes merece la pena apagar o desenchufar cuando no los estés utilizando?'),(502,4,'Text Question Q1.3c FR','question_text','Si tu souhaites réduire ce gaspillage à la maison, quels appareils parmi les suivants peuvent être éteints ou débranchés lorsque tu ne les utilises pas ?'),(502,5,'Text Question Q1.3c IT','question_text','Se vuoi ridurre il vampire power a casa tua, quali elettrodomestici tra i seguenti vale la pena spegnere o scollegare quando non lo stai usando? '),(503,1,'Text Question Q1.4 BG','question_text','Борбата с фантомната консумация на електроенергия не е единственият начин, по който можеш да намалиш потреблението си на електроенергия. Нека разгледаме видео стрийминга, например. Знаеш ли какъв процент е той от общия интернет трафик през 2019 г.? '),(503,2,'Text Question Q1.4 EN','question_text','Fighting against vampire power is not the only way to reduce energy consumption. Let us consider video streaming for example. Do you know what percentage of Internet traffic streaming represented in 2019?'),(503,3,'Text Question Q1.4 ES','question_text','Luchar contra la energía vampírica no es la única forma de reducir el consumo energético. Pensemos, por ejemplo, en el streaming de vídeo. ¿Sabes qué porcentaje del tráfico de Internet representó el streaming en 2019?'),(503,4,'Text Question Q1.4 FR','question_text','Lutter contre le gaspillage n’est pas le seul moyen de réduire sa consommation d’énergie. Prenons par exemple le streaming vidéo. Sais-tu quel pourcentage du trafic Internet cela représentait en 2019 ?'),(503,5,'Text Question Q1.4 IT','question_text','Combattere il vampire power (o energia di standby) non è l\'unico modo per ridurre il consumo energetico. Consideriamo lo streaming video per esempio. Sai quale percentuale di streaming del traffico Internet ha rappresentato nel 2019? '),(504,1,'Text Question Q1.5 BG','question_text','За да можем да стриймваме видео, са необходими много компютри по целия свят. Не можеш да намалиш енергията, която тези компютри консумират, но можеш да избереш устройство, на което да стриймваш видео, което не консумира твърде много енергия. Помогни ми да подредя следните уреди от най-малко към най-много консумиращи енергия (при равни други условия). '),(504,2,'Text Question Q1.5 EN','question_text','To make streaming possible, it requires many computers all over the world. You can not decrease their power consumption, but you can choose an appliance to watch your videos that do not consume too much. Help me to order the following appliances from least to most power consuming (all else being equal).'),(504,3,'Text Question Q1.5 ES','question_text','Para hacer posible el streaming, se necesitan muchos ordenadores en todo el mundo. No puedes disminuir su consumo, pero puedes elegir un aparato para ver tus vídeos que no consuma demasiada energía.\nAyúdame a ordenar los siguientes aparatos de menor a mayor consumo de energía (en igualdad de condiciones).'),(504,4,'Text Question Q1.5 FR','question_text','Pour rendre le streaming possible, il faut de nombreux ordinateurs partout dans le monde. Tu ne peux pas diminuer leur consommation électrique, mais tu peux choisir un appareil pour regarder tes vidéos qui ne consomme pas trop. Aide-moi à classer les appareils suivants du moins au plus consommateur d\'énergie (toutes choses étant égales par ailleurs).'),(504,5,'Text Question Q1.5 IT','question_text','Per rendere possibile lo streaming, richiede molti computer in tutto il mondo. Non è possibile ridurre il loro consumo energetico, ma è possibile scegliere un apparecchio per guardare i video che non consumano troppo. Aiutami a ordinare i seguenti apparecchi dal minimo al più consumo di energia (tutto il resto è uguale). '),(505,1,'Text Question Q1.6 BG','question_text','Ако приемем, че ще избереш да стриймваш видео на смартфона си, вярно ли е, че Wi-Fi връзката ще изисква по-малко електроенергия от 4G връзката? '),(505,2,'Text Question Q1.6 EN','question_text','So you choose to watch streaming on your smartphone. Is it true that a Wi-Fi connection will require less energy than a 4G one?'),(505,3,'Text Question Q1.6 ES','question_text','Así que eliges ver streaming en tu smartphone. ¿Es cierto que una conexión Wi-Fi requiere menos energía que una 4G?'),(505,4,'Text Question Q1.6 FR','question_text','Tu choisis donc de regarder du streaming sur ton smartphone. Est-il vrai qu’une connexion Wi-Fi nécessitera moins d’énergie qu’une connexion 4G ?'),(505,5,'Text Question Q1.6 IT','question_text','Quindi scegli di guardare lo streaming sul tuo smartphone. È vero che una connessione Wi-Fi richiede meno energia di una connessione 4G? '),(506,1,'Text Question Q1.7 BG','question_text','Малките икономии на енергия могат да изглеждат безполезни и нищожни на фона на всичко останало. Затова нека направим някои изчисления. Представи си, че една гейминг конзола консумира 5 вата, докато е в режим на готовност. Да кажем, че за една година тя остава в режим на готовност 20 часа/ден и в продължение на 350 дни. Колко електроенергия ще спестиш, ако вместо това я изключиш от електрическата мрежа? '),(506,2,'Text Question Q1.7 EN','question_text','Small energy savings might look futile to you. So, let’s do some estimation. Imagine that a game station consumes 5 Watts while in standby mode. Consider now that in one year, it stays in standby mode for 20 hours/day, and for 350 days. How much power would he save if he unplugged it instead?'),(506,3,'Text Question Q1.7 ES','question_text','Un pequeño ahorro de energía puede parecerte inútil. Hagamos una estimación. Imaginemos que una consola consume 5 vatios en modo de espera. Considera ahora que, en un año, permanece en modo de espera 20 horas al día, y durante 350 días. ¿Cuánta energía ahorraría si decides desenchufarla?'),(506,4,'Text Question Q1.7 FR','question_text','De petites économies d’énergie peuvent sembler futiles. Alors, faisons une estimation. Imaginons qu\'une station de jeu consomme 5 watts en mode veille. Considérons maintenant qu\'en un an, cette console reste en mode veille 20 heures par jour, et ce pendant 350 jours. Quelle quantité d’énergie économiserait-on si on débranchait la console plutôt que de la laisser en veille?'),(506,5,'Text Question Q1.7 IT','question_text','Un piccolo risparmio energetico potrebbe sembrarti inutile. Quindi, facciamo una stima. Immaginate che una stazione di gioco consumi 5 Watt in modalità standby. Considera ora che in un anno, rimane in modalità standby per 20 ore/ giorno e per 350 giorni. Quanta energia salverebbe se la staccasse invece? '),(507,1,'Text Question Q1.8 BG','question_text','Имаш ли представа какво можеш да захраниш с 35 kWh? '),(507,2,'Text Question Q1.8 EN','question_text','Do you have any idea of what can be powered with 35 kWh?'),(507,3,'Text Question Q1.8 ES','question_text','¿Sabes la cantidad de cosas que se puede alimentar con 35 kWh?'),(507,4,'Text Question Q1.8 FR','question_text','Que peut-on faire avec 35 kWh ?'),(507,5,'Text Question Q1.8 IT','question_text','Avete idea di cosa possa essere alimentato con 35 kWh? '),(508,1,'Text Question Q1.9 BG','question_text','Вярно ли е, че през 2022 г. в света са продадени повече от 5 милиона гейминг конзоли? '),(508,2,'Text Question Q1.9 EN','question_text','Is it true that in 2022, more than 5 million game stations were sold globally?'),(508,3,'Text Question Q1.9 ES','question_text','¿Es cierto que en 2022 se vendieron más de 5 millones de videoconsolas en todo el mundo?'),(508,4,'Text Question Q1.9 FR','question_text','Est-il vrai qu’en 2022, plus de 5 millions de stations de jeux ont été vendues dans le monde ?'),(508,5,'Text Question Q1.9 IT','question_text','È vero che nel 2022 più di 5 milioni di stazioni di gioco sono state vendute a livello globale? '),(509,1,'Text Question Q1.10 BG','question_text','Ако собствениците на 5 милиона гейминг конзоли пестят по 35 kWh годишно, каква ще бъде общата икономия на енергия във ват-часове? '),(509,2,'Text Question Q1.10 EN','question_text','If 5 million gaming station owners achieve savings of 35 kWh per year, what would be the total energy savings in terms of watt-hours?'),(509,3,'Text Question Q1.10 ES','question_text','Si 5 millones de propietarios de videoconsolas consiguen un ahorro de 35 kWh al año, ¿cuál sería el ahorro total de energía en términos de vatios-hora?'),(509,4,'Text Question Q1.10 FR','question_text','Si 5 millions de propriétaires de stations de jeux réalisent 35 kWh d\'économie par an, quelle serait l’économie d’énergie totale en termes de wattheures ?'),(509,5,'Text Question Q1.10 IT','question_text','Se 5 milioni di possessori di stazioni di gioco ottengono un risparmio di 35 kWh all\'anno, quale sarebbe il risparmio energetico totale in termini di wattora? '),(520,1,'Text Question Q2.1 BG','question_text','Мисля, че трябва да започнем от самото начало. Можеш ли да ни помогнеш да определим какво представляват електронните отпадъци? '),(520,2,'Text Question Q2.1 EN','question_text','I think we should start at the very beginning. Could you help us define what e-waste is?'),(520,3,'Text Question Q2.1 ES','question_text','Creo que deberíamos empezar por el principio. ¿Podrías ayudarnos a definir qué es la basura electrónica?'),(520,4,'Text Question Q2.1 FR','question_text','Commençons par le commencement. Peux-tu nous aider à définir ce qu’est un déchet électronique ?'),(520,5,'Text Question Q2.1 IT','question_text','Credo che dovremmo cominciare proprio dall\'inizio. Puoi aiutarci a definire cosa sono i rifiuti elettronici? '),(521,1,'Text Question Q2.2 BG','question_text','Много е важно всички да разберем защо електронните отпадъци се превръщат в такъв проблем. Вярно ли е, че намаляването на количеството на редките и ценни материали е сред основните проблеми, свързани с неправилното изхвърляне на електронни отпадъци? '),(521,2,'Text Question Q2.2 EN','question_text','It is very important that we all understand why electronic waste is becoming such a problem. Is it true that the decrease in rare and valuable materials is among the main concerns, related to the improper disposal of electronic waste?'),(521,3,'Text Question Q2.2 ES','question_text','Es muy importante que todos entendamos por qué los residuos electrónicos se están convirtiendo en un problema. ¿Es cierto que la disminución de materiales raros y valiosos se encuentra entre las principales preocupaciones, relacionadas con la eliminación inadecuada de residuos electrónicos?'),(521,4,'Text Question Q2.2 FR','question_text','Las déchets électroniques deviennent un problème. Est-il vrai que la diminution des matériaux rares et précieux fait partie des principales préoccupations liées à l\'élimination inappropriée des déchets électroniques ?'),(521,5,'Text Question Q2.2 IT','question_text','È molto importante che tutti comprendiamo perché i rifiuti elettronici stanno diventando un problema. È vero che la diminuzione dei materiali rari e pregiati è tra le principali preoccupazioni, legate allo smaltimento improprio dei rifiuti elettronici? '),(522,1,'Text Question Q2.3 BG','question_text','Съществуват някои противоречиви представи за големите домакински уреди. Кои от изброените НЕ се считат за големи домакински уреди? '),(522,2,'Text Question Q2.3 EN','question_text','There has been some misconception about large household appliances. Which of the following are NOT considered large household appliances?'),(522,3,'Text Question Q2.3 ES','question_text','Existe una idea equivocada sobre los grandes electrodomésticos. ¿Cuáles de los siguientes NO se consideran grandes electrodomésticos?'),(522,4,'Text Question Q2.3 FR','question_text','Il existe certaines fausses idées concernant les déchets. Parmi les appareils suivants, lesquels ne sont PAS considérés comme de gros appareils électroménagers ?'),(522,5,'Text Question Q2.3 IT','question_text','C\'è stato qualche equivoco sui grandi elettrodomestici. Quali di questi NON sono considerati grandi elettrodomestici? '),(523,1,'Text Question Q2.4 BG','question_text','Интересно е, че класификацията на електронните отпадъци е трудна за разбиране от толкова много хора! Особена трудност представлява класификацията на лаптопите. Знаеш ли в коя категория уреди попадат лаптопите? '),(523,2,'Text Question Q2.4 EN','question_text','It is interesting that the classification of electronic waste is difficult for so many people to grasp! One particular difficulty is the classification of laptops. Do you know what category of appliances do laptops fall into?'),(523,3,'Text Question Q2.4 ES','question_text','Es interesante que la clasificación de los residuos electrónicos resulte difícil de entender para tanta gente. Una dificultad particular es la clasificación de los ordenadores portátiles. ¿Sabes a qué categoría de aparatos pertenecen los ordenadores portátiles?'),(523,4,'Text Question Q2.4 FR','question_text','La classification des déchets électroniques est parfois difficile à comprendre ! Sais-tu à quelle catégorie d’appareils appartiennent les ordinateurs portables ?'),(523,5,'Text Question Q2.4 IT','question_text','È interessante notare che la classificazione dei rifiuti elettronici è difficile da capire per così tante persone! Una difficoltà particolare è la classificazione dei computer portatili. Sai in quale categoria di elettrodomestici rientrano i laptop? '),(524,1,'Text Question Q2.5 BG','question_text','Повечето от нас не знаят, че по-старите монитори са много трудни за рециклиране поради големите количества олово в тях. Знаеш ли кой е компонентът, който съдържа най-много олово? '),(524,2,'Text Question Q2.5 EN','question_text','Most of us are not aware that older monitors are very hard to recycle because of the large quantities of lead inside. Do you know what the component that contains the most lead is?'),(524,3,'Text Question Q2.5 ES','question_text','La mayoría de nosotros no sabemos que los monitores antiguos son muy difíciles de reciclar debido a las grandes cantidades de plomo que contienen. ¿Sabes cuál es el componente que contiene más plomo?'),(524,4,'Text Question Q2.5 FR','question_text','Les anciens écrans (d’ordinateur ou de télévision) sont très difficiles à recycler en raison de la grande quantité de plomb qu’ils contiennent. Sais-tu quel est le composant qui contient le plus de plomb dans les anciens écrans ?'),(524,5,'Text Question Q2.5 IT','question_text','La maggior parte di noi non sono consapevoli che i monitor più vecchi sono molto difficili da riciclare a causa delle grandi quantità di piombo all\'interno. Sai qual è il componente che contiene più piombo? '),(525,1,'Text Question Q2.6 BG','question_text','Можем ли да поговорим повече за големите домакински уреди? Вярно ли е, че за да бъдат рециклирани, те трябва да бъдат взети от специализирани фирми, които безопасно ги разглобяват за рециклиране и повторна употреба? '),(525,2,'Text Question Q2.6 EN','question_text','Can we talk more about large household appliances? Is it true that to recycle them, they can be picked up by dedicated companies that safely dismantle them for recycling and reuse?'),(525,3,'Text Question Q2.6 ES','question_text','¿Podemos hablar más sobre los grandes electrodomésticos? ¿Es cierto que, para reciclarlos, pueden recogerlos empresas especializadas que los desmontan de forma segura para reciclarlos y reutilizarlos?'),(525,4,'Text Question Q2.6 FR','question_text','Parlons maintenant des gros électroménagers. Est-il vrai que pour les recycler, ils peuvent être récupérés par des entreprises dédiées qui les démantèlent en toute sécurité pour les recycler et les réutiliser ?'),(525,5,'Text Question Q2.6 IT','question_text','Possiamo parlare di più di grandi elettrodomestici? È vero che per riciclarli possono essere raccolti da aziende dedicate che li smantellano in modo sicuro per il riciclaggio e il riutilizzo? '),(526,1,'Text Question Q2.7 BG','question_text','Малко хора знаят кои са най-често срещаните опасни вещества в електронните отпадъци. Можеш ли да изброиш някои от тях? '),(526,2,'Text Question Q2.7 EN','question_text','Not many people know the most mentioned hazardous substances in electronic waste. Can you list a few?'),(526,3,'Text Question Q2.7 ES','question_text','No mucha gente conoce las sustancias peligrosas más mencionadas en los residuos electrónicos. ¿Puede enumerar algunas?'),(526,4,'Text Question Q2.7 FR','question_text','Peu de gens connaissent les substances dangereuses les plus mentionnées dans les déchets électroniques. Peux-tu en énumérer quelques-unes ?'),(526,5,'Text Question Q2.7 IT','question_text','Non molte persone conoscono le sostanze pericolose più menzionate nei rifiuti elettronici. Puoi elencarne alcuni? '),(527,1,'Text Question Q2.8 BG','question_text','Съществува известно объркване относно съкращението ОЕЕО. Какво означава то? '),(527,2,'Text Question Q2.8 EN','question_text','There has been some confusion about the abbreviation WEEE. What does it stand for?'),(527,3,'Text Question Q2.8 ES','question_text','Ha habido cierta confusión sobre la abreviatura RAEE. ¿Qué significa? '),(527,4,'Text Question Q2.8 FR','question_text','Sais-tu ce que signifie l\'abréviation DEEE ?'),(527,5,'Text Question Q2.8 IT','question_text','C\'è stata una certa confusione sull\'abbreviazione RAEE. Che cosa sta per? '),(528,1,'Text Question Q2.9 BG','question_text','Много хора не разбират, че изхвърлянето на стария лаптоп се различава от изхвърлянето на други електроуреди, тъй като преди да го рециклираш, трябва да унищожиш данните на него. Можеш ли да обобщиш защо това е важно? '),(528,2,'Text Question Q2.9 EN','question_text','Most people do not understand that disposing of your old laptop is different from other technology, as you must destroy the data before you recycle it. Can you summarise why this is important?'),(528,3,'Text Question Q2.9 ES','question_text','La mayoría de la gente no entiende que deshacerse de su viejo portátil es diferente de otras tecnologías, ya que hay que destruir los datos antes de reciclarlo. ¿Puedes indicar por qué es importante? '),(528,4,'Text Question Q2.9 FR','question_text','Pourquoi est-il si important de détruire les données de ton ancien ordinateur portable avant de le mettre au rebut ?'),(528,5,'Text Question Q2.9 IT','question_text','La maggior parte delle persone non capisce che lo smaltimento del vostro vecchio computer portatile è diverso da altre tecnologie, in quanto è necessario distruggere i dati prima di riciclarlo. Può riassumere perché questo è importante? '),(529,1,'Text Question Q2.10 BG','question_text','Можеш ли да ни кажеш дали е вярно, че батериите не са категория електронни отпадъци? '),(529,2,'Text Question Q2.10 EN','question_text','Can you tell us if it is true that batteries are not a category of electronic waste?'),(529,3,'Text Question Q2.10 ES','question_text','¿Puede decirnos si es cierto que las pilas no son una categoría de residuos electrónicos?'),(529,4,'Text Question Q2.10 FR','question_text','Est-il vrai que les piles n\'appartiennent pas à la catégorie de déchets électroniques ?'),(529,5,'Text Question Q2.10 IT','question_text','Può dirci se è vero che le batterie non sono una categoria di rifiuti elettronici? '),(530,1,'Text Question Q3.1 BG','question_text','На 25 септември 2015 г. държавите членки на ______ ратифицират Програмата до ______ г. за устойчиво развитие.'),(530,2,'Text Question Q3.1 EN','question_text','On September 25, 2015, all United ______ member states ratified the ______Agenda for Sustainable Development.'),(530,3,'Text Question Q3.1 ES','question_text','El 25 de septiembre de 2015, todos los miembros de las ______ Unidas ratificaron la Agenda ______ para el Desarrollo Sostenible'),(530,4,'Text Question Q3.1 FR','question_text','Le 25 septembre 2015, tous les États membres des ______ Unies ont ratifié l’Agenda ______ pour le développement durable.'),(530,5,'Text Question Q3.1 IT','question_text','Il 25 settembre 2015 tutti gli ______ membri hanno ratificato l\'Agenda________  per lo Sviluppo Sostenibile. '),(531,1,'Text Question Q3.2 BG','question_text','В кой европейски град е прието международно споразумение за изменението на климата? '),(531,2,'Text Question Q3.2 EN','question_text','In which European city was adopted an international climate change agreement?'),(531,3,'Text Question Q3.2 ES','question_text','¿En qué ciudad europea se adoptó un acuerdo internacional sobre el cambio climático?'),(531,4,'Text Question Q3.2 FR','question_text','Dans quelle ville européenne a été adopté un accord international sur le changement climatique ?'),(531,5,'Text Question Q3.2 IT','question_text','In quale città europea è stato adottato un accordo internazionale sul cambiamento climatico? '),(532,1,'Text Question Q3.3 BG','question_text','Климатична неутралност касае възстановяване на баланса по отношение на вредните емисии до състоянието отпреди сто и половина века. Вярно ли е това твърдение? '),(532,2,'Text Question Q3.3 EN','question_text','Climate neutrality means restoring the planet\'s balance, in terms of emissions and removals, to the pre-industrial levels (around 1850). True or false?'),(532,3,'Text Question Q3.3 ES','question_text','La neutralidad climática significa restablecer el equilibrio del planeta, en términos de emisiones y absorciones a la era preindustrial(1850)  ¿Es verdadero o falso?'),(532,4,'Text Question Q3.3 FR','question_text','Vrai ou Faux ? La neutralité climatique signifie rétablir l\'équilibre des émissions et des absorptions des gaz à effets de serre, pour retrouver l\'état d\'avant l\'aire industrielle.'),(532,5,'Text Question Q3.3 IT','question_text','Neutralità climatica significa riportare l\'equilibrio del pianeta, in termini di emissioni e rimozioni, allo stato in cui era cento secoli e mezzo fa. È vero o falso? '),(533,1,'Text Question Q3.4 BG','question_text','Колко цели за устойчиво развитие има Програмата на ООН до 2030 г.? '),(533,2,'Text Question Q3.4 EN','question_text','How many sustainable development goals has the United Nations 2030 Agenda?'),(533,3,'Text Question Q3.4 ES','question_text','¿Cuántos objetivos de desarrollo sostenible tiene la Agenda 2030 de las Naciones Unidas?'),(533,4,'Text Question Q3.4 FR','question_text','Combien d’objectifs de développement durable compte l’Agenda 2030 des Nations Unies ?'),(533,5,'Text Question Q3.4 IT','question_text','Quanti obiettivi di sviluppo sostenibile ha l\'Agenda 2030 delle Nazioni Unite? '),(534,1,'Text Question Q3.5 BG','question_text','Парижкото споразумение има за цел да: '),(534,2,'Text Question Q3.5 EN','question_text','The Paris agreement aimed to:'),(534,3,'Text Question Q3.5 ES','question_text','El acuerdo de París pretendía:'),(534,4,'Text Question Q3.5 FR','question_text','L’accord de Paris vise à :'),(534,5,'Text Question Q3.5 IT','question_text','l\'accordo di Parigi mirava a: '),(535,1,'Text Question Q3.6 BG','question_text','Тринадесетата цел на Програмата на ООН до 2030 г. се фокусира върху необходимостта от предприемане на спешни действия за борба с изменението на климата и неговите последици, които засягат всички страни по света. Какво е общото определение на тази цел?'),(535,2,'Text Question Q3.6 EN','question_text','The 13th Goal of the Agenda 2030 focuses on the need to take urgent action to end climate change, which affects every country in the world. What is the definition of this goal?'),(535,3,'Text Question Q3.6 ES','question_text','El Objetivo 13 de la Agenda 2030 se centra en la necesidad de tomar medidas urgentes para acabar con el cambio climático, que afecta a todos los países del mundo. ¿Cuál es la definición de este objetivo?'),(535,4,'Text Question Q3.6 FR','question_text','L\'objectif 13 de l’Agenda 2030 insiste sur la nécessité de prendre des mesures urgentes pour mettre fin au réchauffement planétaire, qui affecte tous les pays du monde. Quel est cet objectif ?'),(535,5,'Text Question Q3.6 IT','question_text','Il 13° Obiettivo dell\'Agenda 2030 si concentra sulla necessità di intraprendere azioni urgenti per porre fine al cambiamento climatico, che interessa tutti i Paesi del mondo. Qual è la definizione di questo obiettivo?'),(536,1,'Text Question Q3.7 BG','question_text','ЕС се съгласи да намали емисиите с поне ______ % до 2030 г., в сравнение с ангажимента си за ______ % през 2014 г. '),(536,2,'Text Question Q3.7 EN','question_text','The EU has agreed to cut emissions by at least ______ % by 2030, up from its ______ % commitment in 2014.'),(536,3,'Text Question Q3.7 ES','question_text','La UE ha acordado reducir las emisiones al menos un ______% para 2030, lo que supone un aumento respecto a su compromiso del 2014 de un ______%'),(536,4,'Text Question Q3.7 FR','question_text','L’UE s’est engagée à réduire ses émissions d’au moins ______ % d’ici 2030, alors qu\'il était de ______ % en 2014.'),(536,5,'Text Question Q3.7 IT','question_text','l\'UE ha accettato di ridurre le emissioni di almeno il ______ % entro il 2030, rispetto al suo impegno del ______ % nel 2014. '),(537,1,'Text Question Q3.8 BG','question_text','Програмата до 2030 г. има 90 интегрирани и неделими цели, обхващащи икономическата, социалната и екологичната сфера. Вярно или невярно е това? '),(537,2,'Text Question Q3.8 EN','question_text','The 2030 Agenda has 90 integrated and indivisible targets spanning the economic, social and environmental spheres. It´s true or false?'),(537,3,'Text Question Q3.8 ES','question_text','La Agenda 2030 tiene 90 objetivos integrados e indivisibles que abarcan las esferas económica, social y medioambiental. ¿Es verdadero o falso?'),(537,4,'Text Question Q3.8 FR','question_text','Vrai ou faux : l’Agenda 2030 comporte 90 objectifs intégrés et indivisibles couvrant les sphères économique, sociale et environnementale.'),(537,5,'Text Question Q3.8 IT','question_text','l\'Agenda 2030 ha 90 obiettivi integrati e indivisibili che abbracciano i settori economico, sociale e ambientale. È vero o falso? '),(538,1,'Text Question Q3.9 BG','question_text','Дванадесетата цел на Програмата до 2030 г. касае осигуряването на устойчиви модели на потребление и производство, целящи да компенсират част от вредите, които сме нанесли на планетата. Какво друго е включено в определението на тази цел?'),(538,2,'Text Question Q3.9 EN','question_text','The 12th Goal of the Agenda 2030 is about on how to use and produce in sustainable ways that will reverse the harm that we have inflicted on the planet. What is the definition of this goal?'),(538,3,'Text Question Q3.9 ES','question_text','El Objetivo 12 de la Agenda 2030 trata sobre cómo utilizar y producir de forma sostenible para revertir el daño que hemos infligido al planeta. ¿Cuál es la definición de este objetivo?'),(538,4,'Text Question Q3.9 FR','question_text','L\'objectif 12 de l’Agenda 2030 porte sur la manière d’utiliser et de produire de manière durable. Quel est cet objectif ?'),(538,5,'Text Question Q3.9 IT','question_text','Il 12° obiettivo dell\'Agenda 2030 riguarda il modo in cui utilizzare e produrre in modo sostenibile per invertire i danni che abbiamo inflitto al pianeta. Qual è la definizione di questo obiettivo?'),(539,1,'Text Question Q3.10 BG','question_text','Деветата цел на Програмата до 2030 г. е насочена към изграждането на гъвкава инфраструктура, насърчаване на приобщаваща и устойчива индустриализация. Какво друго е включено в определението на тази цел?'),(539,2,'Text Question Q3.10 EN','question_text','The 9th Goal of the Agenda 2030 aims at building resilient infrastructure, promoting inclusive and sustainable industrialization. What is the definition of this goal?'),(539,3,'Text Question Q3.10 ES','question_text','El 9º Objetivo de la Agenda 2030 pretende construir infraestructuras resilientes y promover una industrialización inclusiva y sostenible. ¿Cuál es la definición de este objetivo?'),(539,4,'Text Question Q3.10 FR','question_text','L\'objectif 9 de l’Agenda 2030 vise à encourager un développement économique durable. Quel est cet objectif ?'),(539,5,'Text Question Q3.10 IT','question_text','Il 9° Obiettivo dell\'Agenda 2030 mira a costruire infrastrutture resilienti e a promuovere un\'industrializzazione inclusiva e sostenibile. Qual è la definizione di questo obiettivo?'),(540,1,'Text Question Q4.1 BG','question_text','Устойчиво е това развитие, което задоволява настоящите ни нужди, без да застрашава способността на ______ поколения да задоволяват своите. '),(540,2,'Text Question Q4.1 EN','question_text','Sustainable Development means a kind of development that meets the needs of the present without compromising the ability of ______ generations to meet their own needs'),(540,3,'Text Question Q4.1 ES','question_text','El desarrollo sostenible significa un tipo de desarrollo que satisface las necesidades del presente sin comprometer la capacidad de ______ generaciones para satisfacer sus propias necesidades'),(540,4,'Text Question Q4.1 FR','question_text','Le développement durable désigne un type de développement qui répond aux besoins du présent sans compromettre la capacité des ______ générations à répondre à leurs propres besoins.'),(540,5,'Text Question Q4.1 IT','question_text','Sviluppo sostenibile significa sviluppo che risponde ai bisogni del presente senza compromettere la capacità delle ______ generazioni di soddisfare i propri bisogni '),(541,1,'Text Question Q4.2 BG','question_text','Кое от изброените не е принцип на устойчивото развитие? '),(541,2,'Text Question Q4.2 EN','question_text','Which of the following is not a principle of sustainable development?'),(541,3,'Text Question Q4.2 ES','question_text','¿Cuál de los siguientes no es un principio del desarrollo sostenible?'),(541,4,'Text Question Q4.2 FR','question_text','Lequel des énoncés suivants n’est pas un principe de développement durable ?'),(541,5,'Text Question Q4.2 IT','question_text','Quale di questi non è un principio di sviluppo sostenibile? '),(542,1,'Text Question Q4.3 BG','question_text','Кога международната общност официално започва обсъждането на темата за околната среда? '),(542,2,'Text Question Q4.3 EN','question_text','When the International Community officially started the discussion on the environment?'),(542,3,'Text Question Q4.3 ES','question_text','¿Cuándo y dónde se inició el debate de la Comunidad Internacional?'),(542,4,'Text Question Q4.3 FR','question_text','En quelle année, la communauté internationale a-t-elle commencé à discuter de l\'environnement ?'),(542,5,'Text Question Q4.3 IT','question_text','Quando la comunità internazionale ha iniziato ufficialmente la discussione sull\'ambiente ? '),(543,1,'Text Question Q4.4 BG','question_text','През 1987 г. Световната комисия по околна среда и развитие изготвя доклад, наречен „______ ни бъдеще“, който днес е известен като Доклада Брунтланд. В този доклад за първи път се описва тясната връзка между икономическото развитие и качеството на околната среда.'),(543,2,'Text Question Q4.4 EN','question_text','What is the title of the Brundtland Report, written in 1987 in New York, that describes for the first time the close connection between economic development and environmental quality? Our ______ Future'),(543,3,'Text Question Q4.4 ES','question_text','¿Cuál es el título del Informe Brundtland, redactado en 1987 en Nueva York, que describe por primera vez la estrecha relación entre desarrollo económico y calidad medioambiental?   Nuestro Futuro ______'),(543,4,'Text Question Q4.4 FR','question_text','Quel est le titre du rapport Brundtland, rédigé en 1987 à New York, qui décrit pour la première fois le lien étroit entre développement économique et qualité de l\'environnement ? Notre futur à ______ (Our Common Future)'),(543,5,'Text Question Q4.4 IT','question_text','Qual è il titolo del Rapporto Brundtland, scritto nel 1987 a New York, che descrive per la prima volta lo stretto legame tra sviluppo economico e qualità ambientale? Il nostro futuro ______'),(544,1,'Text Question Q4.5 BG','question_text','Кой от тези два известни документа е приет първи? '),(544,2,'Text Question Q4.5 EN','question_text','Which of these 2 famous documents was adopted first?'),(544,3,'Text Question Q4.5 ES','question_text','¿Cuál de estos 2 famosos documentos se adoptó primero?'),(544,4,'Text Question Q4.5 FR','question_text','Lequel de ces deux textes a été adopté en premier ?'),(544,5,'Text Question Q4.5 IT','question_text','Quale di questi due famosi documenti è stato adottato per primo? '),(545,1,'Text Question Q4.6 BG','question_text','Коя голяма държава не е подписала Протокола от Киото? '),(545,2,'Text Question Q4.6 EN','question_text','What major Nation has not signed the Kyoto Protocol?'),(545,3,'Text Question Q4.6 ES','question_text','¿Qué gran nación no ha firmado el Protocolo de Kioto?'),(545,4,'Text Question Q4.6 FR','question_text','Quelle grande nation n’a pas signé le protocole de Kyoto ?'),(545,5,'Text Question Q4.6 IT','question_text','Quale grande nazione non ha firmato il Protocollo di Kyoto? '),(546,1,'Text Question Q4.7 BG','question_text','През коя година е приета Декларацията на хилядолетието на ООН? ______ '),(546,2,'Text Question Q4.7 EN','question_text','In which year United Nations Millennium Declaration was adopted? ______'),(546,3,'Text Question Q4.7 ES','question_text','¿En qué año se adoptó la Declaración del Milenio de las Naciones Unidas? ______'),(546,4,'Text Question Q4.7 FR','question_text','En quelle année la Déclaration du Millénaire des Nations Unies (United Nations Millennium Declaration) a-t-elle été adoptée ? ______'),(546,5,'Text Question Q4.7 IT','question_text','In che anno è stata adottata la Dichiarazione del Millennio delle Nazioni Unite? ______ '),(547,1,'Text Question Q4.8 BG','question_text','Пакетът на ЕС за климата и енергетиката (CARE) (2008 г.) включва набор от обвързващи законодателни актове, насочени към постигане до 2020 г. на т. нар. цели 20-20-20. Кое от изброените не е включено в декларираните цели? '),(547,2,'Text Question Q4.8 EN','question_text','The EU Climate and Energy (CARE) Package (2008) included a set of binding legislation aimed at reaching, by 2020, the so-called 20-20-20 targets. Which of the following is not included in the objectives declared?'),(547,3,'Text Question Q4.8 ES','question_text','El Paquete sobre Clima y Energía (CARE) de la UE (2008) incluía un conjunto de normas vinculantes destinadas a alcanzar, para 2020, los denominados objetivos 20-20-20. ¿Cuál de los siguientes no está incluido en los objetivos declarados? '),(547,4,'Text Question Q4.8 FR','question_text','Le paquet climat-énergie (ou énergie-climat, ou plan climat) de 2008 comprenait un ensemble de lois contraignantes visant à atteindre, d’ici 2020, les objectifs dits 20-20-20. Lequel des éléments suivants ne figure pas dans les objectifs déclarés ?'),(547,5,'Text Question Q4.8 IT','question_text','Il pacchetto Clima ed Energia (CARE) dell\'UE (2008) comprendeva una serie di normative vincolanti volte a raggiungere, entro il 2020, i cosiddetti obiettivi 20-20-20. Quali dei seguenti elementi non sono inclusi negli obiettivi dichiarati? '),(548,1,'Text Question Q4.9 BG','question_text','С водещата инициатива на ЕС: Европа за ефективно използване на ресурсите, Европейската комисия изготви нов план за постигане на дългосрочната цел за намаляване на вътрешните емисии с 80 до 95% до 2050 г. (Пътна карта за преминаване към конкурентоспособна нисковъглеродна икономика през 2050 г.) . В тази пътна карта са определени междинни етапи за 2020 г., 2030 г. и 2040 г. Кои са правилните междинни цели? '),(548,2,'Text Question Q4.9 EN','question_text','With the EU Flagship Initiative: Resource efficient Europe, the European Commission produced a new plan to meet the long-term target of reducing domestic emissions by 80 to 95% by 2050 (the Roadmap for moving to a competitive low carbon economy in 2050 . This Roadmap sets intermediate milestones for 2020, 2030 and 2040. What are the right milestones?'),(548,3,'Text Question Q4.9 ES','question_text','Con la Iniciativa emblemática de la UE: Una Europa que utilice eficazmente los recursos, la Comisión Europea elaboró un nuevo plan para cumplir el objetivo a largo plazo de reducir las emisiones nacionales entre un 80 y un 95% para 2050 (la Hoja de ruta para pasar a una economía competitiva con bajas emisiones de carbono en 2050 . Esta Hoja de ruta establece hitos intermedios para 2020, 2030 y 2040. ¿Cuáles son los hitos adecuados?'),(548,4,'Text Question Q4.9 FR','question_text','Avec l\'initiative phare de l\'UE : « Une Europe efficace dans l\'utilisation des ressources », la Commission Européenne a produit un nouveau plan pour atteindre l\'objectif à long terme de réduction des émissions nationales de 80 à 95% d\'ici 2050 (feuille de route pour passer à une économie compétitive à faibles émissions de carbone en 2050). Cette feuille de route fixe des jalons intermédiaires pour 2020, 2030 et 2040. Quels sont les bons jalons ?'),(548,5,'Text Question Q4.9 IT','question_text','Con l\'iniziativa faro dell\'UE: Europa efficiente nelle risorse, la Commissione europea ha elaborato un nuovo piano per raggiungere l\'obiettivo a lungo termine di ridurre le emissioni domestiche dell\'80-95% entro il 2050 (la tabella di marcia per passare a un\'economia competitiva a basse emissioni di carbonio nel 2050 . Questa tabella di marcia fissa le tappe intermedie per il 2020, 2030 e 2040. Quali sono le pietre miliari giuste? '),(549,1,'Text Question Q4.10 BG','question_text','През 2019 г. Европейската комисия описва своя план за намаляване на емисиите с поне 55 % до 2030 г. в сравнение с нивата от 1990 г. и превръщането на Европейския съюз в първия климатично неутрален континент до 2050 г. Как се нарича този план? '),(549,2,'Text Question Q4.10 EN','question_text','In 2019 the European Commission described its plan to reduce emissions by at least 55% by 2030, compared to 1990 levels, and make the European Union the first climate-neutral continent by 2050. How is this plan called?'),(549,3,'Text Question Q4.10 ES','question_text','En 2019, la Comisión Europea describió su plan para reducir las emisiones en al menos un 55% para 2030, en comparación con los niveles de 1990, y convertir a la Unión Europea en el primer continente climáticamente neutro para 2050. ¿Cómo se llama este plan?'),(549,4,'Text Question Q4.10 FR','question_text','En 2019, la Commission européenne a décrit son plan visant à réduire les émissions d\'au moins 55% d\'ici 2030, par rapport aux niveaux de 1990, et à faire de l\'Union européenne le premier continent climatiquement neutre d\'ici 2050. Comment s\'appelle ce plan ?'),(549,5,'Text Question Q4.10 IT','question_text','Nel 2019 la Commissione europea ha descritto il suo piano per ridurre le emissioni di almeno il 55% entro il 2030, rispetto ai livelli del 1990, e rendere l\'Unione europea il primo continente neutrale dal punto di vista climatico entro il 2050. Come si chiama questo piano? '),(550,1,'Text Question Q5.1 BG','question_text','На Марс ще трябва да инсталираме електроцентрали, за да произвеждаме енергия. Важно е да се избере производство на енергия, което ограничава емисиите на парникови газове. Подреди следните енергийни източници във възходящ ред по отношение на емисиите на парникови газове на kwh. '),(550,2,'Text Question Q5.1 EN','question_text','On Mars, we will need to install power plants, in order to produce energy. It is important to choose energy production that limits greenhouse gas emission. Order the following energy sources in increasing order of greenhouse gas emission per kwh.'),(550,3,'Text Question Q5.1 ES','question_text','En Marte habrá que instalar centrales eléctricas para producir energía. Es importante elegir una producción de energía que limite la emisión de gases de efecto invernadero. Ordena las siguientes fuentes de energía en orden creciente de emisión de gases de efecto invernadero por kwh'),(550,4,'Text Question Q5.1 FR','question_text','Sur Mars, nous devrons installer des centrales électriques pour produire de l’énergie. Il est important de choisir une production d’énergie limitant les émissions de gaz à effet de serre. Classe les sources d’énergie suivantes par ordre croissant d’émission de gaz à effet de serre par kWh.'),(550,5,'Text Question Q5.1 IT','question_text','Su Marte dovremo installare centrali elettriche per produrre energia. È importante scegliere una produzione di energia che limiti le emissioni di gas serra. Ordinare le seguenti fonti di energia in ordine crescente di emissione di gas serra per kwh. '),(551,1,'Text Question Q5.2 BG','question_text','За да улесним комуникацията на Марс, ще репликираме земния Интернет. Но какво е Интернет? Това е ______ от компютърни мрежи. '),(551,2,'Text Question Q5.2 EN','question_text','To ease communication, a Mars version of the Internet will be installed. But what is the internet? It is a ______ of networks of computers.'),(551,3,'Text Question Q5.2 ES','question_text','Para facilitar la comunicación, se instalará una versión marciana de Internet. Pero, ¿qué es Internet?   Es una ______ de redes de ordenadores'),(551,4,'Text Question Q5.2 FR','question_text','Pour faciliter la communication, une version Mars d\'Internet sera installée. Mais qu’est-ce qu’Internet ? Il s\'agit d\'un ______ de réseaux d\'ordinateurs.'),(551,5,'Text Question Q5.2 IT','question_text','Per facilitare la comunicazione, verrà installata una versione di Internet di Marte. Ma che cos\'è internet? Si tratta di reti di computer.'),(552,1,'Text Question Q5.3 BG','question_text','За да бъде възможно инсталирането на интернет, са необходими много елементи. Кой от изброените елементи е най-енергоемък? '),(552,2,'Text Question Q5.3 EN','question_text','To make Internet installation possible, many elements are necessary. Among the following, which one is the most power-consuming?'),(552,3,'Text Question Q5.3 ES','question_text','Para hacer posible la instalación de Internet son necesarios muchos elementos. Entre los siguientes, ¿cuál es el que consume más energía?'),(552,4,'Text Question Q5.3 FR','question_text','Pour rendre possible le déploiement d\'Internet, de nombreux éléments sont nécessaires. Parmi les éléments suivants, lequel est le plus consommateur d’énergie ?'),(552,5,'Text Question Q5.3 IT','question_text','Per rendere possibile l\'installazione di Internet, sono necessari molti elementi. Tra i seguenti, quale è il più consumo di energia? '),(553,1,'Text Question Q5.4 BG','question_text','Когато изпращаш имейл, той обикновено се съхранява на 4 различни компютъра (2 от страна на изпращача и 2 от страна на получателя). Когато едно и също електронно писмо се изпрати до 10 получатели едновременно, то ще бъде съхранено ______ пъти. '),(553,2,'Text Question Q5.4 EN','question_text','When an email is sent, it is generally stored on 4 different computers (2 on the sender side and 2 on the recipient side). When the same email is sent to 10 recipients at a time, how many times will it be stored? ______ times.'),(553,3,'Text Question Q5.4 ES','question_text','Cuando se envía un correo electrónico, generalmente se almacena en 4 ordenadores diferentes (2 en el lado del remitente y 2 en el lado del destinatario). Cuando se envía el mismo correo electrónico a 10 destinatarios a la vez, ¿cuántas veces se almacenará? ______ veces'),(553,4,'Text Question Q5.4 FR','question_text','Lorsqu’un email est envoyé, il est généralement stocké sur 4 ordinateurs différents (2 côté expéditeur et 2 côté destinataire). Lorsque le même email est envoyé à 10 destinataires à la fois, combien de fois sera-t-il stocké ? ______ fois.'),(553,5,'Text Question Q5.4 IT','question_text','Quando un\'e-mail viene inviata, viene generalmente archiviata su 4 computer diversi (2 sul lato mittente e 2 sul lato destinatario). Quando la stessa e-mail viene inviata a 10 destinatari alla volta, quante volte verrà memorizzata? ______ volte. '),(554,1,'Text Question Q5.5 BG','question_text','Така че, когато една снимка е изпратена по имейл до 10 получателя едновременно, тя ще бъде съхранена поне 22 пъти. Поради тази причина на Марс смятаме да забраним изпращането на имейли с прикачен файл до повече от 3 души едновременно. Кой тогава е най-добрият начин да изпратиш една снимка до 10 получателя? '),(554,2,'Text Question Q5.5 EN','question_text','So when a picture is emailed to 10 recipients at a time, it will be stored at least 22 times. For this reason, on Mars, it has been decided to prohibit sending mails with an attachment to more than 3 people at the same time. So, how the picture should be transmitted to the 10 friends ?'),(554,3,'Text Question Q5.5 ES','question_text','Cuando una imagen se envía por correo electrónico a 10 destinatarios a la vez, se almacenará al menos 22 veces. Por esta razón, en Marte se ha decidido prohibir el envío de correos con un archivo adjunto a más de 3 personas al mismo tiempo. Entonces, ¿cómo transmitir la foto a los 10 amigos?'),(554,4,'Text Question Q5.5 FR','question_text','Ainsi, lorsqu’une photo est envoyée par courrier électronique à 10 destinataires à la fois, elle sera stockée au moins 22 fois. Pour cette raison, sur Mars, il a été décidé d\'interdire l\'envoi de mails avec pièce jointe à plus de 3 personnes en même temps. Alors, comment transmettre la photo à tes 10 amis ?'),(554,5,'Text Question Q5.5 IT','question_text','Quindi, quando un\'immagine viene inviata a 10 destinatari alla volta, verrà memorizzata almeno 22 volte. Per questo motivo, su Marte, è stato deciso di vietare l\'invio di mail con un allegato a più di 3 persone contemporaneamente. Così, come l\'immagine dovrebbe essere trasmessa ai 10 amici ? '),(555,1,'Text Question Q5.6 BG','question_text','За да намалиш трафика, който електронната ти поща генерира, можеш да се _______ от имейл бюлетините, които не четеш. '),(555,2,'Text Question Q5.6 EN','question_text','To reduce the email traffic on the internet, you can _ _ _ _ _ _ _ _ _ _ the mailing lists you don’t read.'),(555,3,'Text Question Q5.6 ES','question_text','Para reducir el tráfico de emails en Internet, tu puedes ___ __ ____ la lista de correos que no leas'),(555,4,'Text Question Q5.6 FR','question_text','Pour réduire le nombre de mails, tu peux te __________ des listes de diffusion que tu ne lis pas.'),(555,5,'Text Question Q5.6 IT','question_text','Per ridurre il traffico di posta elettronica su Internet, è possibile _____________ le mailing list che non si leggono. '),(556,1,'Text Question Q5.7 BG','question_text','На Земята интернет трафикът непрекъснато нараства, което налага увеличаването на капацитета на Интернет. Експертите са смятали, че месечният обмен на данни в интернет ще нарасне от 2 ексабайта данни през 2016 г. до 14 през 2021 г. Какво е ексабайт? '),(556,2,'Text Question Q5.7 EN','question_text','On Earth, the Internet traffic was continuously growing, which obliged humans to increase the Internet capacity. Experts estimate that the monthly data exchange on the Internet goes from 2 exabytes of data in 2016 to 14 in 2021. What is an exabyte?'),(556,3,'Text Question Q5.7 ES','question_text','En la Tierra, el tráfico de Internet no ha dejado de crecer, lo que ha obligado a los humanos a aumentar su capacidad. Los expertos calculan que el intercambio mensual de datos en Internet pasará de 2 exabytes de datos en 2016 a 14 en 2021.    \n¿Qué es un exabyte?'),(556,4,'Text Question Q5.7 FR','question_text','Sur Terre, le trafic Internet ne cesse de croître, ce qui oblige les terriens à augmenter la capacité d\'Internet. Les experts estiment que l\'échange mensuel de données sur Internet est passé de 2 exaoctets de données en 2016 à 14 en 2021. Qu\'est-ce qu\'un exaoctet ?'),(556,5,'Text Question Q5.7 IT','question_text','Sulla Terra, il traffico Internet era in continua crescita, che ha costretto gli esseri umani ad aumentare la capacità di Internet. Gli esperti stimano che lo scambio mensile di dati su Internet va da 2 exabyte di dati nel 2016 a 14 nel 2021. Che cosa è un Exabyte? '),(557,1,'Text Question Q5.8 BG','question_text','Кое от следните действия ще намали интернет трафика на Марс ? '),(557,2,'Text Question Q5.8 EN','question_text','Which of the following actions will reduce the Internet Traffic on Mars ?'),(557,3,'Text Question Q5.8 ES','question_text','¿Cuál de las siguientes acciones reducirá el tráfico de Internet en Marte?'),(557,4,'Text Question Q5.8 FR','question_text','Quelles actions parmi les suivantes permettent de réduire le trafic Internet sur Mars ?'),(557,5,'Text Question Q5.8 IT','question_text','Quali delle seguenti azioni ridurranno il traffico Internet su Marte ? '),(558,1,'Text Question Q5.9 BG','question_text','Намаляването на броя на заявките в дадена търсачка намалява ли трафика в интернет? '),(558,2,'Text Question Q5.9 EN','question_text','Does reducing the number of queries on a search engine reduce the Internet traffic?'),(558,3,'Text Question Q5.9 ES','question_text','¿Reducir el número de consultas en un motor de búsqueda reduce el tráfico en Internet?'),(558,4,'Text Question Q5.9 FR','question_text','Diminuer le nombre de requêtes sur un moteur de recherche permet-il de réduire le trafic Internet ?'),(558,5,'Text Question Q5.9 IT','question_text','La riduzione del numero di query su un motore di ricerca riduce il traffico Internet? '),(559,1,'Text Question Q5.10 BG','question_text','На Марс интернет браузърите ще трябва задължително да посочват емисиите на парникови газове при сърфиране в интернет. Има ли някакви софтуерни инструменти за това на Земята? '),(559,2,'Text Question Q5.10 EN','question_text','On Mars, it will be mandatory that the Internet browsers indicate the greenhouse gas emissions while surfing on the Internet. Are there some software tools to do this on Earth?'),(559,3,'Text Question Q5.10 ES','question_text','En Marte, será obligatorio que los navegadores de Internet indiquen las emisiones de gases de efecto invernadero mientras se navega por la Red.  ¿Existen herramientas informáticas para hacerlo en la Tierra?'),(559,4,'Text Question Q5.10 FR','question_text','Sur Mars, il sera obligatoire que les navigateurs Internet indiquent les émissions de gaz à effet de serre lors de la navigation sur Internet. Existe-t-il des logiciels pour faire cela sur Terre ?'),(559,5,'Text Question Q5.10 IT','question_text','Su Marte, sarà obbligatorio che i browser Internet indichino le emissioni di gas serra durante la navigazione su Internet. Ci sono alcuni strumenti software per farlo sulla Terra? '),(560,1,'Text Question Q6.1 BG','question_text','Мисля, че трябва да започнем с основните неща. За да създадем нашите материали, трябва да разберем защо тази тема е важна. Кой според теб е основният проблем, свързан с неправилното изхвърляне на електронни отпадъци? '),(560,2,'Text Question Q6.1 EN','question_text','I think we need to start with the basics. To create our materials, we need to understand why this topic is important. What would you say is the main concern related to the improper disposal of electronic waste?'),(560,3,'Text Question Q6.1 ES','question_text','Creo que tenemos que empezar por lo básico. Para crear nuestros materiales, tenemos que entender por qué es importante este tema. ¿Cuál crees que es la principal preocupación relacionada con la eliminación incorrecta de los residuos electrónicos?'),(560,4,'Text Question Q6.1 FR','question_text','Commençons par le commencement. Selon toi, quelle est la principale préoccupation liée à l’élimination inappropriée des déchets électroniques ?'),(560,5,'Text Question Q6.1 IT','question_text','Penso che dobbiamo iniziare con le basi. Per creare i nostri materiali, dobbiamo capire perché questo argomento è importante. Qual è, secondo lei, la principale preoccupazione legata allo smaltimento improprio dei rifiuti elettronici? '),(561,1,'Text Question Q6.2 BG','question_text','Символът, който показва, че дадено електронно устройство подлежи на разделно събиране на отпадъци тук на Марс, е същият като на Земята. Символът зачеркнат контейнер на колелца ли е на Земята?'),(561,2,'Text Question Q6.2 EN','question_text','The symbol that indicates that an electronic device is subject to separate waste collection is the same as on Earth - a crossed-out wheeled bin.'),(561,3,'Text Question Q6.2 ES','question_text','El símbolo que indica que un aparato electrónico está sujeto a recogida selectiva de residuos es el mismo que en la Tierra: un contenedor con ruedas tachado. ¿Es esto correcto?'),(561,4,'Text Question Q6.2 FR','question_text','Sur Terre, le symbole qui indique qu\'un appareil électronique est soumis au tri sélectif des déchets est une poubelle roulante barrée d\'une croix. '),(561,5,'Text Question Q6.2 IT','question_text','Il simbolo che indica che un dispositivo elettronico è soggetto ad una raccolta separata dei rifiuti è lo stesso che sulla Terra - un bidone a ruote barrato. '),(562,1,'Text Question Q6.3 BG','question_text','На Марс е същото, както и на Земята. Преди рециклирането на малки домакински уреди батериите трябва да: '),(562,2,'Text Question Q6.3 EN','question_text','It is the same here, as it was on Earth. Before recycling small household appliances, the batteries should:'),(562,3,'Text Question Q6.3 ES','question_text','Aquí ocurre lo mismo que en la Tierra. Antes de reciclar pequeños electrodomésticos, las pilas deben:'),(562,4,'Text Question Q6.3 FR','question_text','Sur Mars comme sur Terre, avant de recycler le petit électroménager, les piles doivent être :'),(562,5,'Text Question Q6.3 IT','question_text','È lo stesso qui, com\'era sulla Terra. Prima di riciclare i piccoli elettrodomestici, le batterie dovrebbero: '),(563,1,'Text Question Q6.4 BG','question_text','Хей, помниш ли как на Земята наричахме процеса на извличане на ценни материали и ресурси от електронни отпадъци и други изхвърлени продукти и структури, намиращи се в градските райони? '),(563,2,'Text Question Q6.4 EN','question_text','Hey, do you remember on Earth how we called the process of extracting valuable materials and resources from electronic waste and other discarded products and structures found in urban areas?'),(563,3,'Text Question Q6.4 ES','question_text','¿Te acuerdas de cómo llamábamos en la Tierra al proceso de extracción de materiales y recursos valiosos de los residuos electrónicos y otros productos y estructuras desechados que se encuentran en las zonas urbanas?'),(563,4,'Text Question Q6.4 FR','question_text','Comment s\'appelle le processus d\'extraction de matériaux et de ressources précieux à partir de déchets électroniques mis au rebut ? Il s\'agit de l\'exploitation minière _____'),(563,5,'Text Question Q6.4 IT','question_text','Ehi, ti ricordi come chiamavamo il processo di estrazione di materiali e risorse preziosi dai rifiuti elettronici e da altri prodotti e strutture scartati che si trovano nelle aree urbane? '),(564,1,'Text Question Q6.5 BG','question_text','Важно е да разберем как да изхвърляме старата си електроника. Да вземем за пример един лаптоп. Нека направим брошура за това как се рециклират лаптопи! Кой според теб е най-лошият начин за изхвърляне на стар лаптоп? '),(564,2,'Text Question Q6.5 EN','question_text','It is important to understand how to dispose of your old electronics. Take a laptop, for instance. Let’s make a leaflet about recycling laptops. What would you say is the worst way to dispose of an old laptop?'),(564,3,'Text Question Q6.5 ES','question_text','Es importante saber cómo deshacerse de los aparatos electrónicos viejos. Por ejemplo, un ordenador portátil. Hagamos un folleto sobre el reciclaje de portátiles. ¿Cuál dirías que es la peor manera de deshacerse de un portátil viejo?'),(564,4,'Text Question Q6.5 FR','question_text','Selon toi, quelle est la pire façon de se débarrasser d’un vieil ordinateur portable ?'),(564,5,'Text Question Q6.5 IT','question_text','È importante capire come smaltire la tua vecchia elettronica. Prendete un portatile, per esempio. Facciamo un volantino sul riciclaggio dei portatili. Qual è il modo peggiore per disfarsi di un vecchio portatile? '),(565,1,'Text Question Q6.6 BG','question_text','Мисля, че след това трябва да обсъдим концепцията за кръгова икономика. Как смяташ, че би било най-добре да я дефинираме? '),(565,2,'Text Question Q6.6 EN','question_text','I think we should discuss the concept of circular economy next. How do you think it would be best to define it?'),(565,3,'Text Question Q6.6 ES','question_text','Creo que deberíamos debatir a continuación el concepto de economía circular. ¿Cómo crees que sería mejor definirlo?'),(565,4,'Text Question Q6.6 FR','question_text','Selon toi, quelle serait la meilleure façon de définir le concept d\'économie circulaire ?'),(565,5,'Text Question Q6.6 IT','question_text','Penso che dovremmo discutere il concetto di economia circolare prossimamente. Come pensi che sarebbe meglio definirlo? '),(566,1,'Text Question Q6.7 BG','question_text','Нека направим няколко материала, които да помогнат на хората да категоризират електронните устройства. Кои от следните електронни устройства НЕ са част от категорията ИТ и телекомуникационно оборудване? '),(566,2,'Text Question Q6.7 EN','question_text','Let’s make some materials to help people categorise electronic devices. Which of the following electronic devices are NOT part of the IT and Telecommunications Equipment category?'),(566,3,'Text Question Q6.7 ES','question_text','Hagamos algunos materiales para ayudar a la gente a clasificar los aparatos electrónicos. ¿Cuál de los siguientes aparatos electrónicos NO pertenece a la categoría de equipos de informática y telecomunicaciones?'),(566,4,'Text Question Q6.7 FR','question_text','Parmi les appareils électroniques suivants, lesquels ne font PAS partie de la catégorie Équipements informatiques et de télécommunications ?'),(566,5,'Text Question Q6.7 IT','question_text','Facciamo alcuni materiali per aiutare le persone a categorizzare i dispositivi elettronici. Quali dei seguenti dispositivi elettronici NON fanno parte della categoria IT e apparecchiature di telecomunicazione? '),(567,1,'Text Question Q6.8 BG','question_text','Чакай малко... Забравих как наричахме процеса на разглобяване на уредите на съставните им части. Как се наричаше? '),(567,2,'Text Question Q6.8 EN','question_text','Wait a minute… I forgot what we used to call the process of stripping down appliances into their component parts. What was the word for it?'),(567,3,'Text Question Q6.8 ES','question_text','Un momento... He olvidado cómo llamábamos al proceso de desmontaje de los electrodomésticos en sus componentes. ¿Cuál era la palabra para eso?'),(567,4,'Text Question Q6.8 FR','question_text','Oups ! j\'ai oublié comment s\'appelle le processus de démontage des appareils électroménagers. Quel était le mot pour cela ?'),(567,5,'Text Question Q6.8 IT','question_text','Aspetta un minuto... ho dimenticato quello che chiamavamo il processo di smontaggio degli elettrodomestici nei loro componenti. Qual è la parola per questo? '),(568,1,'Text Question Q6.9 BG','question_text','Сега е време да развенчаем някои митове с помощта на нашите материали. Защо предприятията на Земята се мъчеха да продават или да извличат максимална полза от електронните отпадъци? '),(568,2,'Text Question Q6.9 EN','question_text','Now it is time to debunk some myths with our materials. Why were enterprises on Earth struggling to sell or make the most out of electronic waste?'),(568,3,'Text Question Q6.9 ES','question_text','Ha llegado el momento de desmontar algunos mitos con nuestros materiales. ¿Por qué las empresas de la Tierra se esforzaban por vender o sacar partido de los residuos electrónicos?'),(568,4,'Text Question Q6.9 FR','question_text','Pourquoi les entreprises sur Terre ont-elles du mal à vendre ou à tirer le meilleur parti des déchets électroniques ?'),(568,5,'Text Question Q6.9 IT','question_text','Ora è il momento di sfatare alcuni miti con i nostri materiali. Perché le imprese sulla Terra lottavano per vendere o sfruttare al meglio i rifiuti elettronici? '),(569,1,'Text Question Q6.10 BG','question_text','Сега е време да развенчаем някои митове с помощта на нашите материали. Вярно ли е, че на Земята по-голямата част от електронните отпадъци са се озовавали на сметищата, защото не е имало достатъчно фирми за рециклиране на електроника?'),(569,2,'Text Question Q6.10 EN','question_text','Another myth to debunk in our materials. Is it true that on Earth, most e-waste ended up in landfills because there were not enough electronic recycling companies?'),(569,3,'Text Question Q6.10 ES','question_text','Ahora toca desmentir algunos mitos con la ayuda de nuestros materiales. ¿Es cierto que en la Tierra la mayoría de los residuos electrónicos acababan en los vertederos porque no había suficientes empresas de reciclaje de aparatos electrónicos?'),(569,4,'Text Question Q6.10 FR','question_text','Est-il vrai que sur Terre, la plupart des déchets électroniques finissent dans les décharges parce qu’il n’y a pas assez d’entreprises de recyclage électronique ?'),(569,5,'Text Question Q6.10 IT','question_text','Un altro mito da sfatare nei nostri materiali. È vero che sulla Terra la maggior parte dei rifiuti elettronici finiva in discarica perché non c\'erano abbastanza aziende di smaltimento dei materiali elettronici?'),(570,1,'Text Question Q7.1 BG','question_text','За да създадем успешна политика за опазване на околната среда на Марс, трябва да включим: '),(570,2,'Text Question Q7.1 EN','question_text','To create a successful environmental policy at Mars, you need to involve:'),(570,3,'Text Question Q7.1 ES','question_text','Para crear una política medioambiental de éxito en Marte, es necesario implicar:'),(570,4,'Text Question Q7.1 FR','question_text','Pour créer une politique environnementale réussie sur Mars, tu dois impliquer :'),(570,5,'Text Question Q7.1 IT','question_text','Per creare una politica ambientale di successo su Marte, è necessario coinvolgere: '),(571,1,'Text Question Q7.2 BG','question_text','За да избегнем случилото се на Земята, устойчивото развитие и действията в областта на климата не са от решаващо значение за бъдещето на Марс. '),(571,2,'Text Question Q7.2 EN','question_text','To avoid what happened on Earth, sustainable development and climate actions are not crucial for the future of Mars'),(571,3,'Text Question Q7.2 ES','question_text','Para evitar lo que ocurrió en la Tierra, el desarrollo sostenible y las acciones climáticas no son cruciales para el futuro de Marte. ¿Es esto correcto?'),(571,4,'Text Question Q7.2 FR','question_text','Pour éviter ce qui s\'est passé sur Terre, le développement durable et les actions climatiques sont cruciaux pour l\'avenir de Mars'),(571,5,'Text Question Q7.2 IT','question_text','Per evitare ciò che è accaduto sulla Terra, lo sviluppo sostenibile e le azioni climatiche non sono cruciali per il futuro di Marte '),(572,1,'Text Question Q7.3 BG','question_text','Търсиш документа Програма до 2030 г., създаден на Земята, за да създадеш подобен на Марс. Какво искаше да постигне Програмата до 2030 г.? '),(572,2,'Text Question Q7.3 EN','question_text','You look for the document Agenda 2030 made on Earth to create a new one on Mars. What did the 2030 Agenda want to achieve?'),(572,3,'Text Question Q7.3 ES','question_text','Buscas el documento Agenda 2030 hecho en la Tierra para crear uno nuevo en Marte. ¿Qué quería conseguir la Agenda 2030?'),(572,4,'Text Question Q7.3 FR','question_text','Tu recherches le document Agenda 2030 réalisé sur Terre pour en créer un nouveau sur Mars. Que voulait réaliser l’Agenda 2030 ?'),(572,5,'Text Question Q7.3 IT','question_text','Cerca il documento che l\'Agenda 2030 ha fatto sulla Terra per crearne uno nuovo su Marte. Cosa voleva ottenere l\'Agenda 2030? '),(573,1,'Text Question Q7.4 BG','question_text','Единадесетата цел на Програмата до 2030 г. е насочена към превръщането на градовете и селищата в приобщаващи, безопасни, адаптивни и устойчиви места за живеене. Какво друго е включено в тази цел?'),(573,2,'Text Question Q7.4 EN','question_text','The 11th Goal of the Agenda 2030 made on Earth aims at making urban areas and human settlements inclusive, safe, resilient and sustainable. What is the definition of this goal?'),(573,3,'Text Question Q7.4 ES','question_text','El Objetivo 11 de la Agenda 2030 hecha en la Tierra pretende que las zonas urbanas y los asentamientos humanos sean inclusivos, seguros, resilientes y sostenibles. ¿Cuál es la definición de este objetivo?'),(573,4,'Text Question Q7.4 FR','question_text','L\'objectif 11 de l’Agenda 2030 élaboré sur Terre vise à rendre les zones habitées plus agréables à vivre et plus respectueuses de l\'environnement. Quel est cet objectif ?'),(573,5,'Text Question Q7.4 IT','question_text','L\'11° Obiettivo dell\'Agenda 2030 realizzato sulla Terra mira a rendere le aree urbane e gli insediamenti umani inclusivi, sicuri, resilienti e sostenibili. Qual è la definizione di questo obiettivo?'),(574,1,'Text Question Q7.5 BG','question_text','Седмата цел на Програмата до 2030 г., създадена на Земята, е насочена към осигуряване на достъп до финансово достъпна, надеждна, устойчива и съвременна енергия за всички. Какво друго включва тази цел?'),(574,2,'Text Question Q7.5 EN','question_text','The 7th Goal of the Agenda 2030 made on Earth aims at ensuring access power to everyone. What is the definition of this goal?'),(574,3,'Text Question Q7.5 ES','question_text','El Objetivo 7 de la Agenda 2030 hecha en la Tierra pretende garantizar el acceso a la energía para todos. ¿Cuál es la definición de este objetivo?'),(574,4,'Text Question Q7.5 FR','question_text','L\'objectif 7 de l’Agenda 2030 élaboré sur Terre vise à garantir l’accès à l’électricité pour tous. Quelle est la définition correcte de cet objectif ?'),(574,5,'Text Question Q7.5 IT','question_text','Il 7° Obiettivo dell\'Agenda 2030 realizzata sulla Terra mira a garantire a tutti l\'accesso all\'energia elettrica. Qual è la definizione di questo obiettivo?'),(575,1,'Text Question Q7.6 BG','question_text','От съществено значение е да се разработват и прилагат политики, както и действия и инициативи, основани на устойчивостта. Можем да научим за това от една организация на Земята, наречена... '),(575,2,'Text Question Q7.6 EN','question_text','It is essential to design and implement policies as well as actions and initiatives based on sustainability. We can learn about it from an organisation on Earth called…'),(575,3,'Text Question Q7.6 ES','question_text','Es esencial diseñar y aplicar políticas, así como acciones e iniciativas, basadas en la sostenibilidad. Podemos aprender sobre ello de una organización de la Tierra llamada…'),(575,4,'Text Question Q7.6 FR','question_text','Il est essentiel de concevoir et de mettre en œuvre des politiques ainsi que des actions et des initiatives basées sur la durabilité. Nous pouvons en apprendre davantage grâce à une organisation sur Terre appelée la …'),(575,5,'Text Question Q7.6 IT','question_text','È essenziale elaborare e attuare politiche, nonché azioni e iniziative basate sulla sostenibilità. Possiamo imparare da un\'organizzazione sulla Terra chiamata... '),(576,1,'Text Question Q7.7 BG','question_text','Можем да се вдъхновим от инициативата на Европейската комисия, която планира да приложи на Земята, наречена Паспорт на цифровия продукт, целяща да подобри следните области: '),(576,2,'Text Question Q7.7 EN','question_text','We can be inspired by an initiative of the European Commission that plans to implement on Earth, called Digital Product Passport aimed to improve the following areas:'),(576,3,'Text Question Q7.7 ES','question_text','Podemos inspirarnos en una iniciativa de la Comisión Europea que planea implantar en la Tierra, denominada Pasaporte Digital de Productos, destinada a mejorar los siguientes ámbitos:'),(576,4,'Text Question Q7.7 FR','question_text','En particulier, nous pouvons nous inspirer d\'une initiative de la Commission Européenne appelée passeport numérique des produits (ou Digital product passport, soit DPP), visant à améliorer les domaines suivants :'),(576,5,'Text Question Q7.7 IT','question_text','Possiamo essere ispirati da un\'iniziativa della Commissione europea che prevede di attuare sulla Terra, chiamata Digital Product Passport, volta a migliorare i seguenti settori: '),(577,1,'Text Question Q7.8 BG','question_text','Име на интернет търсачка за информация, използвана на Земята, която обещава да засажда дървета за търсенията, направени от нейните потребители, и която можем да използваме като модел за прилагане тук, на Марс. '),(577,2,'Text Question Q7.8 EN','question_text','Name of an internet information search engine used on Earth that promises to plant trees for searches done by its users and we can use it as a model to implement here on Mars.'),(577,3,'Text Question Q7.8 ES','question_text','Nombre de un buscador de información en Internet utilizado en la Tierra que promete plantar árboles por las búsquedas que hagan sus usuarios y que podemos utilizar como modelo para implantar aquí en Marte'),(577,4,'Text Question Q7.8 FR','question_text','Donne le nom d\'un moteur de recherche d\'informations Internet utilisé sur Terre qui promet de planter des arbres pour les recherches effectuées par ses utilisateurs.'),(577,5,'Text Question Q7.8 IT','question_text','Nome di un motore di ricerca di informazioni su Internet utilizzato sulla Terra che promette di piantare alberi per le ricerche fatte dai suoi utenti e possiamo usarlo come modello da implementare qui su Marte. '),(578,1,'Text Question Q7.9 BG','question_text','Когато е възможно, най-добре е да използваш инструменти за виртуална ______, за да намалиш необходимостта от съхраняване на прикачени файлове в електроннната си ______ и да намалиш разходите си за ______.'),(578,2,'Text Question Q7.9 EN','question_text','To reduce the need to store ______ attachments, decrease ______ consumption and avoid travelling to a meeting we can use online ______ tools'),(578,3,'Text Question Q7.9 ES','question_text','Para reducir la necesidad de almacenar ______  con archivos adjuntos, disminuir el consumo de ______ y evitar desplazamientos a una reunión podemos utilizar las herramientas de ______ en línea '),(578,4,'Text Question Q7.9 FR','question_text','Pour réduire le besoin de stocker les ______ et leurs pièces jointes, diminuer la consommation de ______ et éviter de se déplacer pour aller à une réunion, nous pouvons utiliser les outils de ______ en ligne'),(578,5,'Text Question Q7.9 IT','question_text','Per ridurre la necessità di immagazzinare __________ allegati, diminuire_________ consumo ed evitare di recarsi ad una riunione, possiamo utilizzare strumenti______ online '),(579,1,'Text Question Q7.10 BG','question_text','Има инициатива, наречена Ден на цифровото почистване на Земята, чиято цел е да се намалят дигиталното замърсяване и да се опази околната среда чрез прости действия, като например да почистиш смартфона си, компютъра си и пощата си и да споделите резултатите си. '),(579,2,'Text Question Q7.10 EN','question_text','There is a initiative called Digital Clean-up Day on Earth and its objective is to reduce digital waste and save environment through simple actions like to clean your smartphone up as well as your computer and your mail and share your results'),(579,3,'Text Question Q7.10 ES','question_text','Hay una iniciativa llamada Día de la Limpieza Digital en la Tierra y su objetivo es reducir los residuos digitales y salvar el medio ambiente a través de acciones sencillas como limpiar tu smartphone, así como tu ordenador y tu correo y compartir tus resultados.'),(579,4,'Text Question Q7.10 FR','question_text','Sur Terre, il existe une initiative appelée Journée de nettoyage numérique (Digital Clean-up Day). Son objectif est de réduire les déchets numériques et de préserver l\'environnement grâce à des actions simples comme nettoyer son smartphone, son ordinateur, et son courrier électronique, puis de partager ses résultats.'),(579,5,'Text Question Q7.10 IT','question_text','C\'è un\'iniziativa chiamata Digital Clean-up Day on Earth e il suo obiettivo è quello di ridurre gli sprechi digitali e salvare l\'ambiente attraverso semplici azioni come pulire lo smartphone e il computer e la posta e condividere i risultati '),(580,1,'Text Question Q8.1 BG','question_text','Въвеждането на стабилна политика в областта на околната среда винаги е било приоритетна цел за Европейския съюз. Поради тази причина, Комисията изготвя два вида директиви: директиви за ______ ефективност и директиви за ______  от възобновяеми източници. '),(580,2,'Text Question Q8.1 EN','question_text','Introducing a robust environmental policy has always been a critical target for the European Union. For this reason, the Commission produced two kinds of directives: the ______ Efficiency Directives (EED directives) and the Renewable ______ Sources Directives (RES directives)'),(580,3,'Text Question Q8.1 ES','question_text','La introducción de una política medioambiental sólida siempre ha sido un objetivo fundamental para la Unión Europea. Por esta razón, la Comisión elaboró dos tipos de directivas: las Directivas de Eficiencia ______ (Directivas DEE) y las Directivas de Fuentes ______ Renovables (Directivas FER).'),(580,4,'Text Question Q8.1 FR','question_text','La mise en place d’une politique environnementale solide a toujours été un objectif essentiel pour l’Union Européenne. Pour cette raison, la Commission a produit deux types de directives : la directive sur l\'efficacité énergétique (directives DEE) et les directives sur les énergies ______  (directives EnR).'),(580,5,'Text Question Q8.1 IT','question_text','l\'introduzione di una solida politica ambientale è sempre stata un obiettivo critico per l\'Unione Europea. Per questo motivo, la Commissione ha prodotto due tipi di direttive: le direttive sull\'efficienza ______ (direttive EED) e le direttive sulle fonti rinnovabili (direttive RES). '),(581,1,'Text Question Q8.2 BG','question_text','През 2021 г. Европейският съюз приема новия План за действие за кръговата икономика и по-специално въвежда Инициативата за кръгова електроника, която насърчава някои регулаторни мерки за електрониката и ИКТ. Коя от следните мерки НЕ е една от мерките, които следва да бъдат предприети: '),(581,2,'Text Question Q8.2 EN','question_text','The European Union adopted the new Circular Economy Action Plan in 2021, and in particular, it introduced the “Circular Electronic Initiative”, which promotes some regulatory measures for electronics and ICT. Which of the following is NOT one of the measures to be taken'),(581,3,'Text Question Q8.2 ES','question_text','La Unión Europea adoptó el nuevo Plan de Acción para la Economía Circular en 2021 y, en particular, introdujo la Iniciativa Electrónica Circular, que promueve algunas medidas reguladoras para la electrónica y las TIC.  ¿Cuál de las siguientes NO es una de las medidas a adoptar?'),(581,4,'Text Question Q8.2 FR','question_text','L’Union européenne a adopté le nouveau plan d’action pour l’économie circulaire (Circular Economy Action Plan) en 2021 et a notamment introduit l’initiative électronique circulaire, qui promeut certaines mesures réglementaires relatives l’électronique. Lequel des éléments suivants ne fait PAS partie des mesures à prendre ?'),(581,5,'Text Question Q8.2 IT','question_text','l\'Unione Europea ha adottato il nuovo Piano d\'Azione per l\'Economia Circolare nel 2021 e, in particolare, ha introdotto la Circular Electronic Initiative, che promuove alcune misure normative per l\'elettronica e le TIC. Quale delle seguenti misure NON è una delle misure da adottare '),(582,1,'Text Question Q8.3 BG','question_text','Европейските държави започват да изготвят обща политика за хармонизиране на законодателството си в областта на отпадъците през 1975 г. с Директива 75/442/ЕИО на Съвета. За първи път тя включва общо определение за отпадъци. Кое от следните определения е правилното? '),(582,2,'Text Question Q8.3 EN','question_text','The European States started producing a common policy to harmonise their legislation on WASTE in 1975, with the Council Directive 75/442/EEC. For the first time, it included a common definition of waste. Which of the following is the correct definition?'),(582,3,'Text Question Q8.3 ES','question_text','Los Estados europeos empezaron a elaborar una política común para armonizar su legislación sobre RESIDUOS en 1975, con la Directiva 75/442/CEE del Consejo. Por primera vez, incluyó una definición común de residuo. ¿Cuál de las siguientes es la definición correcta?'),(582,4,'Text Question Q8.3 FR','question_text','Les États européens ont commencé à élaborer une politique commune pour harmoniser leur législation sur les déchets en 1975, avec la directive 75/442/CEE du Conseil. Pour la première fois, il comprenait une définition commune des déchets. Laquelle des définitions suivantes est la bonne ?'),(582,5,'Text Question Q8.3 IT','question_text','Gli Stati europei hanno iniziato a elaborare una politica comune per armonizzare la loro legislazione sui RIFIUTI nel 1975, con la direttiva 75/442/CEE del Consiglio. Per la prima volta è stata inclusa una definizione comune di rifiuti. Qual è la definizione corretta? '),(583,1,'Text Question Q8.4 BG','question_text','Разширената отговорност на производителя прилага на практика принципа замърсителят плаща. Съгласно този принцип, държавите членки на ЕС са длъжни да гарантират, че на производителите се възлага отговорност за управление на техните продукти, когато те се превърнат в отпадъци. Това цели да насърчи разработването на по-екосъобразни продукти, които могат да се използват ______, трайни са и при производството им се избягват ненужни отпадъци.'),(583,2,'Text Question Q8.4 EN','question_text','The “extended producer responsibility” is a concrete application of the “polluter pays” principle. According to this principle, Member States must ensure that producers are responsible for their products’ production, waste, and e-waste disposal. This should encourage the development of products that can be used ______ times, durable, or are suitable for safe recovery or green disposal.'),(583,3,'Text Question Q8.4 ES','question_text','La responsabilidad ampliada del productor es una aplicación concreta del principio de quien contamina paga. Según este principio, los Estados miembros deben garantizar que los productores sean responsables de la producción, los residuos y la eliminación de los residuos electrónicos de sus productos. Esto debe fomentar el desarrollo de productos que puedan utilizarse ______ veces, duraderos o aptos para una recuperación segura o una eliminación ecológica.'),(583,4,'Text Question Q8.4 FR','question_text','La responsabilité élargie du producteur est une application concrète du principe du pollueur-payeur. Selon ce principe, les États membres doivent garantir que les producteurs sont responsables de la production et de l’élimination des déchets électroniques de leurs produits. Cela devrait encourager le développement de produits durables et/ou pouvant être utilisés ______ fois, et pouvant être récupérés ou éliminés de façon écologique.'),(583,5,'Text Question Q8.4 IT','question_text','La responsabilità estesa del produttore è un\'applicazione concreta del principio chi inquina paga. In base a tale principio, gli Stati membri devono garantire che i produttori siano responsabili della produzione, dei rifiuti e dello smaltimento dei rifiuti elettronici dei loro prodotti. Ciò dovrebbe incoraggiare lo sviluppo di prodotti che possono essere utilizzati per tempi, durevoli o adatti a un recupero sicuro o allo smaltimento ecologico. '),(584,1,'Text Question Q8.5 BG','question_text','Подреди следната група държави по реда на постиженията в областта на количествените критерии и прилагането на солиден набор от качествени мерки (от солиден към ограничен набор от качествени мерки): '),(584,2,'Text Question Q8.5 EN','question_text','Order the following group of Countries in the order of achievements in quantitative criteria and implementation of a robust set of qualitative measures (from robust to limited set of qualitative measures)'),(584,3,'Text Question Q8.5 ES','question_text','Ordena el siguiente grupo de Países por orden de logros en criterios cuantitativos y aplicación de un conjunto sólido de medidas cualitativas (de sólido a conjunto limitado de medidas cualitativas)'),(584,4,'Text Question Q8.5 FR','question_text','Classe les groupes de pays par ordre de réalisation des critères quantitatifs et de mise en œuvre d\'un ensemble solide de mesures qualitatives (d\'un ensemble robuste à un ensemble limité de mesures qualitatives)'),(584,5,'Text Question Q8.5 IT','question_text','Ordinare il seguente gruppo di Paesi nell\'ordine dei risultati ottenuti nei criteri quantitativi e nell\'attuazione di una solida serie di misure qualitative (da robuste a limitate serie di misure qualitative) '),(585,1,'Text Question Q8.6 BG','question_text','През 2005 г. Европейската комисия започва да прилага правна методика за екодизайн на продукти, свързани с енергопотреблението. Избери правилното определение на продукти, свързани с енергопотреблението: '),(585,2,'Text Question Q8.6 EN','question_text','In 2005 the European Commission started the regulation of Eco-Design, establishing a framework for setting eco-design requirements for ENERGY-USING PRODUCTS (EUPS)”. Choose the right definition of EUPS'),(585,3,'Text Question Q8.6 ES','question_text','En 2005, la Comisión Europea puso en marcha el Reglamento de diseño ecológico, por el que se establece un marco para la fijación de requisitos de diseño ecológico aplicables a los productos que utilizan energía (EUPS). Escoge la definición correcta de EUPS'),(585,4,'Text Question Q8.6 FR','question_text','En 2005, la Commission européenne a lancé une réglementation sur l\'éco-conception, établissant un cadre pour fixer les exigences d\'éco-conception pour les Produits Consommateurs d\'Energie (energy-using products). Choisis la bonne définition de ces produits.'),(585,5,'Text Question Q8.6 IT','question_text','Nel 2005 la Commissione europea ha avviato il regolamento sulla progettazione ecocompatibile, stabilendo un quadro per la definizione di requisiti di progettazione ecocompatibile per i PRODOTTI CHE UTILIZZANO ENERGIA (EUPS). Scegli la giusta definizione di EUPS '),(586,1,'Text Question Q8.7 BG','question_text','Съществуват ли закони свързани с отговорността за персоналното дигитално замърсяване в Европа? '),(586,2,'Text Question Q8.7 EN','question_text','Are there any laws regarding (personal) digital pollution in Europe?'),(586,3,'Text Question Q8.7 ES','question_text','¿Existen leyes sobre contaminación digital (personal) en Europa?'),(586,4,'Text Question Q8.7 FR','question_text','Existe-t-il des lois concernant la pollution numérique (personnelle) en Europe ?'),(586,5,'Text Question Q8.7 IT','question_text','Esistono leggi in materia di inquinamento digitale (personale) in Europa? '),(587,1,'Text Question Q8.8 BG','question_text','Съгласно правото на поправка, потребителите на дигитални устройства в ЕС имат право на безплатен ремонт на продуктите в рамките на ______ години от закупуването им. '),(587,2,'Text Question Q8.8 EN','question_text','According to the “right to repair” for ICT products, in Europe consumers have a right to have products repaired within ______ years of purchase.'),(587,3,'Text Question Q8.8 ES','question_text','De acuerdo con el derecho a reparación de los productos TIC, en Europa los consumidores tienen derecho a que sus productos sean reparados gratuitamente en un plazo de ______ años desde su compra'),(587,4,'Text Question Q8.8 FR','question_text','Selon le droit à la réparation des appareils électroniques en Europe, les consommateurs ont le droit de faire réparer leurs produits gratuitement dans les deux ______ suivant l\'achat.'),(587,5,'Text Question Q8.8 IT','question_text','Secondo il diritto di riparazione per i prodotti TIC, in Europa i consumatori hanno il diritto di ottenere la riparazione gratuita dei prodotti entro ______ anni di acquisto. '),(588,1,'Text Question Q8.9 BG','question_text','Подреди следните дейности в йерархията на електронните отпадъци, от най-благоприятните към най-малко благоприятните: '),(588,2,'Text Question Q8.9 EN','question_text','Order the following activities in the order of e-waste hierarchy, from most favoured to least favoured:'),(588,3,'Text Question Q8.9 ES','question_text','Ordene las siguientes actividades según la jerarquía de los residuos electrónicos, de la más favorecida a la menos favorecida:'),(588,4,'Text Question Q8.9 FR','question_text','Classe les activités suivantes selon la hiérarchie des modes de traitement des déchets (de la meilleure à la plus mauvaise) :'),(588,5,'Text Question Q8.9 IT','question_text','Ordinare le seguenti attività nell\'ordine della gerarchia dei rifiuti elettronici, dai più favoriti ai meno favoriti: '),(589,1,'Text Question Q8.10 BG','question_text','През 2007 г. лидерите на ЕС определят ключова цел: подобряване на енергийната ефективност в Европейския съюз с XX%. Кой е процентът, определен от Европейския съюз по това време? '),(589,2,'Text Question Q8.10 EN','question_text','In 2007, the EU leaders established a key target: improving by XX% the energy efficiency in the European Union. Which is the percentage established by the European Union at that time?'),(589,3,'Text Question Q8.10 ES','question_text','En 2007, los líderes de la UE establecieron un objetivo clave: mejorar en un XX% la eficiencia energética en la Unión Europea. ¿Cuál es el porcentaje establecido por la Unión Europea en ese momento?'),(589,4,'Text Question Q8.10 FR','question_text','En 2007, les dirigeants européens se sont fixés un objectif clé : améliorer de XX % l’efficacité énergétique dans l’Union européenne. Quel est le pourcentage établi par l’Union européenne à cette époque ?'),(589,5,'Text Question Q8.10 IT','question_text','Nel 2007, i leader dell\'UE hanno stabilito un obiettivo chiave: migliorare del XX% l\'efficienza energetica nell\'Unione europea. Qual è la percentuale stabilita all\'epoca dall\'Unione europea? '),(590,1,'Text Question Q3.10 ','question_text','Кое е правилното определение на следната цел за устойчиво развитие от Програмата до 2030 г.? '),(590,2,'Text Question Q3.10 ','question_text','What is the correct definition of the following sustainable development goal of the 2030 Agenda? '),(590,3,'Text Question Q3.10 ','question_text','¿Cuál es la definición correcta del siguiente objetivo de desarrollo sostenible de la Agenda 2030?'),(590,4,'Text Question Q3.10 ','question_text','Quelle est la définition correcte de cet objectif de développement durable de l’Agenda 2030 ?'),(590,5,'Text Question Q3.10 ','question_text','Qual è la definizione corretta del seguente obiettivo di sviluppo sostenibile dell\'Agenda 2030? '),(600,1,'Text Answers Q1.1 BG','answer_text','на 1-во или 2-ро място; на 3-то или 4-то място; между 8-мо и 10-то място; между 12-то и 15-то място '),(600,2,'Text Answers Q1.1 EN','answer_text','1st or 2nd;3rd or 4th;between 8th and 10th;between 12th and 15th'),(600,3,'Text Answers Q1.1 ES','answer_text','1º o 2º;3º o 4º;entre el 8º y el 10º;entre el 12º y el 15º'),(600,4,'Text Answers Q1.1 FR','answer_text','1er ou 2ème;3ème ou 4ème;entre 8ème et 10ème;entre 12ème et 15ème'),(600,5,'Text Answers Q1.1 IT','answer_text','1º o 2º; 3º o 4º; tra 8º e 10º; tra 12º e 15º '),(601,1,'Text Answers Q1.2 BG','answer_text','фантомна'),(601,2,'Text Answers Q1.2 EN','answer_text','vampire'),(601,3,'Text Answers Q1.2 ES','answer_text','Vampirica'),(601,4,'Text Answers Q1.2 FR','answer_text','gaspillage'),(601,5,'Text Answers Q1.2 IT','answer_text','vampirica'),(602,1,'Text Answers Q1.3a BG','answer_text','Принтер; Гейминг конзола; DVD плейър; Хладилник '),(602,2,'Text Answers Q1.3a EN','answer_text','Printer;Game station;DVD player;Fridge'),(602,3,'Text Answers Q1.3a ES','answer_text','Impresora;Estación de juegos;Reproductor de DVD;Nevera'),(602,4,'Text Answers Q1.3a FR','answer_text','Imprimante;Console de jeux;Lecteur DVD;Réfrigérateur'),(602,5,'Text Answers Q1.3a IT','answer_text','Stampante; Stazione di gioco; Lettore DVD; Frigorifero '),(603,1,'Text Answers Q1.4 BG','answer_text','около 20%; около 40%; около 60%; около 80% '),(603,2,'Text Answers Q1.4 EN','answer_text','about 20%;about 40%;about 60%;about 80%'),(603,3,'Text Answers Q1.4 ES','answer_text','alrededor del 20%;alrededor del 40%;alrededor del 60%;alrededor del 80%'),(603,4,'Text Answers Q1.4 FR','answer_text','Environ 20%;Environ 40%;Environ 60%;Environ 80%'),(603,5,'Text Answers Q1.4 IT','answer_text','circa 20%; circa 40%; circa 60%; circa 80% '),(604,1,'Text Answers Q1.5 BG','answer_text','Лаптоп; Смартфон; Персонален компютър; LCD телевизор 82 см '),(604,2,'Text Answers Q1.5 EN','answer_text','Laptop;Smartphone;Personal computer;LCD TV 82 cm'),(604,3,'Text Answers Q1.5 ES','answer_text','Ordenador portátil;Smartphone;Ordenador personal;TV LCD 82 cm'),(604,4,'Text Answers Q1.5 FR','answer_text','Ordinateur portable;Smartphone;Ordinateur personnel (PC);TV LCD 82 cm'),(604,5,'Text Answers Q1.5 IT','answer_text','Laptop;Smartphone; computer personale;LCD TV 82 cm '),(605,1,'Text Answers Q1.6 BG','answer_text','Да; Не '),(605,2,'Text Answers Q1.6 EN','answer_text','Yes;No'),(605,3,'Text Answers Q1.6 ES','answer_text','Si;No'),(605,4,'Text Answers Q1.6 FR','answer_text','Oui;Non'),(605,5,'Text Answers Q1.6 IT','answer_text','Sì; No '),(606,1,'Text Answers Q1.7 BG','answer_text','35 Wh; 350 Wh (= 0.35kWh); 3,500 Wh (= 3.5kWh); 35,000 Wh (= 35 kWh) '),(606,2,'Text Answers Q1.7 EN','answer_text','35 Wh;350 Wh (= 0.35kWh);3,500 Wh (= 3.5kWh);35,000 Wh (= 35 kWh)'),(606,3,'Text Answers Q1.7 ES','answer_text','35 Wh;350 Wh (= 0.35kWh);3,500 Wh (= 3.5kWh);35,000 Wh (= 35 kWh)'),(606,4,'Text Answers Q1.7 FR','answer_text','35 Wh;350 Wh (= 0.35kWh);3 500 Wh (= 3.5kWh);35 000 Wh (= 35 kWh)'),(606,5,'Text Answers Q1.7 IT','answer_text','35 Wh;350 Wh (= 0,35 kWh);3.500 Wh (= 3,5 kWh);35.000 Wh (= 35 kWh) '),(607,1,'Text Answers Q1.8 BG','answer_text','Гледане на LED телевизор (100 вата) в продължение на 35 часа; Използване на ютия (1000 вата) в продължение на 35 минути; Използване на фурна (3500 вата) в продължение на 1 минута; Осветяване на една 10-ватова лампа в продължение на 3500 часа. '),(607,2,'Text Answers Q1.8 EN','answer_text','Watch a LED TV (100 watts) for 35 hours;Use an iron (1,000 watts) for 35 minutes;Use an oven (3,500 watts) for 1 minute;Light one 10-watt-lamp for 3500 hours'),(607,3,'Text Answers Q1.8 ES','answer_text','Ver un televisor LED (100 vatios) durante 35 horas;Utilizar una plancha (1.000 vatios) durante 35 minutos;Utilizar un horno (3.500 vatios) durante 1 minuto;Encender una lámpara de 10 vatios durante 3.500 horas'),(607,4,'Text Answers Q1.8 FR','answer_text','Regarder un téléviseur LED (100 watts) pendant 35 heures;Utiliser un fer à repasser (1 000 watts) pendant 35 minutes ;Utiliser un four (3 500 watts) pendant 1 minute ;Allumer une lampe de 10 watts pendant 3 500 heures.'),(607,5,'Text Answers Q1.8 IT','answer_text','Guardare una TV a LED (100 watt) per 35 ore; Utilizzare un ferro da stiro (1.000 watt) per 35 minuti; Utilizzare un forno (3.500 watt) per 1 minuto; Accendere una lampada da 10 watt per 3500 ore '),(608,1,'Text Answers Q1.9 BG','answer_text','Да; Не '),(608,2,'Text Answers Q1.9 EN','answer_text','Yes;No'),(608,3,'Text Answers Q1.9 ES','answer_text','Si;No'),(608,4,'Text Answers Q1.9 FR','answer_text','Oui;Non'),(608,5,'Text Answers Q1.9 IT','answer_text','Sì; No '),(609,1,'Text Answers Q1.10 BG','answer_text','175 kiloWh; 175 megaWh; 175 gigaWh; 175 teraWh '),(609,2,'Text Answers Q1.10 EN','answer_text','175 kiloWh;175 megaWh;175 gigaWh;175 teraWh'),(609,3,'Text Answers Q1.10 ES','answer_text','175 kiloWh;175 megaWh;175 gigaWh;175 teraWh'),(609,4,'Text Answers Q1.10 FR','answer_text','175 kiloWh;175 megaWh;175 gigaWh;175 teraWh'),(609,5,'Text Answers Q1.10 IT','answer_text','175 kiloWh;175 megaWh;175 gigaWh;175 teraWh '),(620,1,'Text Answers Q2.1 BG','answer_text','Лаптопите обикновено не се считат за малки домакински уреди, тъй като се класифицират като ИКТ оборудване. Въпреки това, размерът и теглото на лаптопите може да варира, така че в крайна сметка класификацията може да зависи и от специфичните разпоредби на съответната държава или регион. '),(620,2,'Text Answers Q2.1 EN','answer_text','Unwanted devices or gadgets that use electricity or their power is battery supplied ;A sustainable way of producing electronics; The slowest-growing domestic waste stream; Electronics that are still in use but waste a lot of energy'),(620,3,'Text Answers Q2.1 ES','answer_text','Dispositivos o aparatos no deseados que utilizan electricidad o se alimentan de pilas ;Una forma sostenible de producir aparatos electrónicos; El flujo de residuos domésticos de crecimiento más lento; Aparatos electrónicos que aún se utilizan pero que derrochan mucha energía'),(620,4,'Text Answers Q2.1 FR','answer_text','Equipement indésirable qui utilise de l\'électricité ou est alimenté par batterie ;Une manière durable de produire des appareils électroniques ;Le flux de déchets domestiques qui connaît la croissance la plus lente ;Un appareil électronique toujours utilisé mais qui gaspille beaucoup d’énergie'),(620,5,'Text Answers Q2.1 IT','answer_text','Dispositivi indesiderati o gadget che utilizzano l\'elettricità o il loro potere è alimentato a batteria ;Un modo sostenibile di produrre elettronica; Il flusso di rifiuti domestici a crescita più lenta; Elettronica ancora in uso ma che spreca molta energia '),(621,1,'Text Answers Q2.2 BG','answer_text','Вярно; Невярно '),(621,2,'Text Answers Q2.2 EN','answer_text','True;False'),(621,3,'Text Answers Q2.2 ES','answer_text','Verdadero;Falso'),(621,4,'Text Answers Q2.2 FR','answer_text','Vrai;Faux'),(621,5,'Text Answers Q2.2 IT','answer_text','Vero;Falso '),(622,1,'Text Answers Q2.3 BG','answer_text','Кафемелачка; Телевизор; Хладилник; Перална машина '),(622,2,'Text Answers Q2.3 EN','answer_text','Coffee grinder; TV;Refrigerator; Washing Machine'),(622,3,'Text Answers Q2.3 ES','answer_text','Molinillo de café; TV; Frigorífico; Lavadora'),(622,4,'Text Answers Q2.3 FR','answer_text','Lorsqu’ils ne sont pas utilisés, de nombreux appareils électriques continuent de consommer de l’énergie en mode veille. Cela est souvent considéré comme du gaspillage d\'énergie. Débrancher un appareil (ou simplement l\'éteindre) permet de faire des économies d\'énergie.'),(622,5,'Text Answers Q2.3 IT','answer_text','Macinacaffè; TV; Frigorifero; Lavatrice '),(623,1,'Text Answers Q2.4 BG','answer_text','ИКТ оборудване '),(623,2,'Text Answers Q2.4 EN','answer_text','ICT Equipment'),(623,3,'Text Answers Q2.4 ES','answer_text','Equipamiento TIC'),(623,4,'Text Answers Q2.4 FR','answer_text','equipement electronique'),(623,5,'Text Answers Q2.4 IT','answer_text','Attrezzature TIC '),(624,1,'Text Answers Q2.5 BG','answer_text','Катоднолъчевата тръба; Пластмасовият корпус; Изолацията; Литиево-йонната батерия '),(624,2,'Text Answers Q2.5 EN','answer_text','The cathode ray tube (CRT);The plastic casing;The insulation;The lithium-ion battery'),(624,3,'Text Answers Q2.5 ES','answer_text','el tubo de rayos catódicos (TRC);La carcasa de plástico; El aislamiento; La batería de iones de litio'),(624,4,'Text Answers Q2.5 FR','answer_text','le tube à rayons cathodiques ;le boîtier en plastique ;l\'isolation ;La batterie lithium-ion'),(624,5,'Text Answers Q2.5 IT','answer_text','il tubo catodico (CRT);l\'involucro di plastica; l\'isolamento; La batteria agli ioni di litio '),(625,1,'Text Answers Q2.6 BG','answer_text','Вярно; Невярно '),(625,2,'Text Answers Q2.6 EN','answer_text','True;False'),(625,3,'Text Answers Q2.6 ES','answer_text','Verdadero;Falso'),(625,4,'Text Answers Q2.6 FR','answer_text','Vrai;Faux'),(625,5,'Text Answers Q2.6 IT','answer_text','Vero;Falso '),(626,1,'Text Answers Q2.7 BG','answer_text','Олово; Живак; Мед; Алуминий '),(626,2,'Text Answers Q2.7 EN','answer_text','Lead;Mercury;Copper;Aluminum'),(626,3,'Text Answers Q2.7 ES','answer_text','Plomo; Mercurio; Cobre; Aluminio'),(626,4,'Text Answers Q2.7 FR','answer_text','Plomb;Mercure ;Cuivre ;Aluminium'),(626,5,'Text Answers Q2.7 IT','answer_text','Piombo; Mercurio; Rame; Alluminio '),(627,1,'Text Answers Q2.8 BG','answer_text','ОТПАДЪЦИ ОТ ЕЛЕКТРОННО И ЕЛЕКТРИЧЕСКО ОБОРУДВАНЕ '),(627,2,'Text Answers Q2.8 EN','answer_text','Waste Electrical and Electronic Equipment'),(627,3,'Text Answers Q2.8 ES','answer_text','Residuos de aparatos electricos y electronicos'),(627,4,'Text Answers Q2.8 FR','answer_text','Dechets d equipements electriques et electroniques'),(627,5,'Text Answers Q2.8 IT','answer_text','Rifiuti di apparecchiature elettriche ed elettroniche '),(628,1,'Text Answers Q2.9 BG','answer_text','Предотвратява кражба на самоличност или измама; Освобождава място на твърдия диск; Задължително е по закон; Помага за опазване на околната среда '),(628,2,'Text Answers Q2.9 EN','answer_text','It avoids identity theft or fraud;It frees up space on the hard drive;It is mandatory by law;It helps in preserving the environment'),(628,3,'Text Answers Q2.9 ES','answer_text','Evita el robo de identidad o el fraude; Libera espacio en el disco duro; Es obligatorio por ley; Ayuda a preservar el medio ambiente'),(628,4,'Text Answers Q2.9 FR','answer_text','Cela évite l\'usurpation d\'identité ou la fraude ;Cela libère de l\'espace sur le disque dur ;C\'est obligatoire par la loi;Cela aide à préserver l’environnement'),(628,5,'Text Answers Q2.9 IT','answer_text','Evita il furto di identità o la frode; Libera lo spazio sul disco rigido; È obbligatorio per legge; Aiuta a preservare l\'ambiente '),(629,1,'Text Answers Q2.10 BG','answer_text','Вярно; Невярно '),(629,2,'Text Answers Q2.10 EN','answer_text','True;False'),(629,3,'Text Answers Q2.10 ES','answer_text','Verdadero;Falso'),(629,4,'Text Answers Q2.10 FR','answer_text','Vrai;Faux'),(629,5,'Text Answers Q2.10 IT','answer_text','Vero;Falso '),(630,1,'Text Answers Q3.1 BG','answer_text','ООН; 2030 '),(630,2,'Text Answers Q3.1 EN','answer_text','Nations;2030'),(630,3,'Text Answers Q3.1 ES','answer_text','Naciones;2030'),(630,4,'Text Answers Q3.1 FR','answer_text','Nations;2030'),(630,5,'Text Answers Q3.1 IT','answer_text','Nazioni;2030 '),(631,1,'Text Answers Q3.2 BG','answer_text','Париж '),(631,2,'Text Answers Q3.2 EN','answer_text','PARIS'),(631,3,'Text Answers Q3.2 ES','answer_text','Paris'),(631,4,'Text Answers Q3.2 FR','answer_text','Paris'),(631,5,'Text Answers Q3.2 IT','answer_text','PARIGI '),(632,1,'Text Answers Q3.3 BG','answer_text','Вярно; Невярно '),(632,2,'Text Answers Q3.3 EN','answer_text','True;False'),(632,3,'Text Answers Q3.3 ES','answer_text','Verdadero;Falso'),(632,4,'Text Answers Q3.3 FR','answer_text','Vrai;Faux'),(632,5,'Text Answers Q3.3 IT','answer_text','Vero;Falso '),(633,1,'Text Answers Q3.4 BG','answer_text','2; 17; 54; 123 '),(633,2,'Text Answers Q3.4 EN','answer_text','2; 17; 54; 123'),(633,3,'Text Answers Q3.4 ES','answer_text','2; 17; 54; 123'),(633,4,'Text Answers Q3.4 FR','answer_text','2;17;54;123'),(633,5,'Text Answers Q3.4 IT','answer_text','2; 17; 54; 123 '),(634,1,'Text Answers Q3.5 BG','answer_text','Ограничи покачването на средната глобална температура с до максимум 2 градуса по Целзий над прединдустриалните нива; Увеличи на глобалните емисии, произвеждани от промишлеността, с поне 10%; Удвои усилията да не се надхвърлят 1,5 градуса по Целзий до края на този век; Постигане на климатична неутралност до 2050 г. '),(634,2,'Text Answers Q3.5 EN','answer_text','to limit the average global temperature increase to 2 degree Celsius above pre-industrial levels; to increase the global emission produced by industry at least 10%;redouble efforts to not exceed 1.5 degrees Celsius by the end of this century; achieve climate neutrality by 2050'),(634,3,'Text Answers Q3.5 ES','answer_text','Limitar el aumento medio de la temperatura mundial a 2 grados centígrados por encima de los niveles preindustriales; Aumentar la emisión mundial producida por la industria al menos un 10%;Redoblar los esfuerzos para no superar los 1,5 grados centígrados a finales de este siglo; Lograr la neutralidad climática en 2050'),(634,4,'Text Answers Q3.5 FR','answer_text','limiter l’augmentation moyenne de la température mondiale à 2 degrés Celsius au-dessus des niveaux préindustriels ;augmenter d\'au moins 10% les émissions mondiales produites par l\'industrie ;redoubler d\'efforts pour ne pas dépasser 1,5 degré Celsius d\'ici la fin de ce siècle ;atteindre la neutralité climatique d’ici 2050'),(634,5,'Text Answers Q3.5 IT','answer_text','limitare l\'aumento medio della temperatura globale a 2 gradi Celsius al di sopra dei livelli preindustriali; aumentare le emissioni globali prodotte dall\'industria di almeno il 10%;raddoppiare gli sforzi per non superare i 1,5 gradi Celsius entro la fine di questo secolo; raggiungere la neutralità climatica entro il 2050 '),(635,1,'Text Answers Q3.6 BG','answer_text','Без бедност; Живот на земята; Действия в областта на климата; Чиста вода и канализация '),(635,2,'Text Answers Q3.6 EN','answer_text','No Poverty; Life on Land; Climate Action; Clean Water and Sanitation'),(635,3,'Text Answers Q3.6 ES','answer_text','No a la pobreza; Vida en la tierra; Acción por el clima; Agua limpia y saneamiento'),(635,4,'Text Answers Q3.6 FR','answer_text','Lutte contre la pauvreté;Vie terrestre;Lutte contre le changement climatique;Accès à l’eau salubre et à l’assainissement'),(635,5,'Text Answers Q3.6 IT','answer_text','No Poverty;La vita sulla terra;Azione per il clima;Acqua pulita e servizi igienici '),(636,1,'Text Answers Q3.7 BG','answer_text','55;40 '),(636,2,'Text Answers Q3.7 EN','answer_text','55;40'),(636,3,'Text Answers Q3.7 ES','answer_text','55;40'),(636,4,'Text Answers Q3.7 FR','answer_text','55;40'),(636,5,'Text Answers Q3.7 IT','answer_text','55;40 '),(637,1,'Text Answers Q3.8 BG','answer_text','Вярно; Невярно '),(637,2,'Text Answers Q3.8 EN','answer_text','True;False'),(637,3,'Text Answers Q3.8 ES','answer_text','Verdadero;Falso'),(637,4,'Text Answers Q3.8 FR','answer_text','Vrai;Faux'),(637,5,'Text Answers Q3.8 IT','answer_text','Vero;Falso '),(638,1,'Text Answers Q3.9 BG','answer_text','Без глад; Действия за климата; Намаляване на неравенствата; Отговорно потребление и производство '),(638,2,'Text Answers Q3.9 EN','answer_text','Zero Hunger; Climate Action; Reduced Inequalities; Responsible Consumption and Production'),(638,3,'Text Answers Q3.9 ES','answer_text','Hambre cero; Acción por el clima; Reducción de las desigualdades; Consumo y producción responsables'),(638,4,'Text Answers Q3.9 FR','answer_text','Lutte contre la faim;Lutte contre le changement climatique;Réduction des inégalités;Consommation responsable'),(638,5,'Text Answers Q3.9 IT','answer_text','Fame Zero; Azione per il clima; Riduzione delle disuguaglianze; Consumo e produzione responsabili '),(639,1,'Text Answers Q3.10 BG','answer_text','Индустрия, иновации и инфраструктура; Равенство между половете; Отговорно потребление и производство; Качествено образование '),(639,2,'Text Answers Q3.10 EN','answer_text','Industry, Innovation and Infrastructure ;Gender Equality; Responsible Consumption and Production; Quality Education'),(639,3,'Text Answers Q3.10 ES','answer_text','Ley Europea del Clima; Pacto Verde Europeo; Energía limpia para todos los europeos; Directiva RAEE'),(639,4,'Text Answers Q3.10 FR','answer_text','Industrie, Innovation et Infrastructures;Egalité entre les sexes;Consommation responsable;Accès à une éducation de qualité'),(639,5,'Text Answers Q3.10 IT','answer_text','Industria, innovazione e infrastrutture; Parità di genere; Consumo e produzione responsabili; Educazione di qualità '),(640,1,'Text Answers Q4.1 BG','answer_text','Бъдещите'),(640,2,'Text Answers Q4.1 EN','answer_text','Future'),(640,3,'Text Answers Q4.1 ES','answer_text','Futuras'),(640,4,'Text Answers Q4.1 FR','answer_text','futures'),(640,5,'Text Answers Q4.1 IT','answer_text','Futuro '),(641,1,'Text Answers Q4.2 BG','answer_text','Потребление на земя; Околна среда и нейното развитие; Икономически растеж; Социално развитие '),(641,2,'Text Answers Q4.2 EN','answer_text','Land consumption; Environment and its development; Economic growth; Social development'),(641,3,'Text Answers Q4.2 ES','answer_text','Consumo de suelo; Medio ambiente y su desarrollo; Crecimiento económico; Desarrollo social'),(641,4,'Text Answers Q4.2 FR','answer_text','Consommation de territoires agricoles ;Environnement et son développement ;Croissance éonomique ;Développement social'),(641,5,'Text Answers Q4.2 IT','answer_text','Consumo di suolo; Ambiente e suo sviluppo; Crescita economica; Sviluppo sociale '),(642,1,'Text Answers Q4.3 BG','answer_text','1941 г. в Берлин; 1968 г. в Париж; 2020 г. в Киото; 1972 г. в Стокхолм '),(642,2,'Text Answers Q4.3 EN','answer_text','1941 in Berlin; 1968 in Paris; 2020 in Kyoto; 1972 in Stockholm'),(642,3,'Text Answers Q4.3 ES','answer_text','1941 en Berlín; 1968 en París; 2020 en Kioto; 1972 en Estocolmo'),(642,4,'Text Answers Q4.3 FR','answer_text','1941 à Berlin;1968 à Paris;2020 à Kyoto;1972 à Stockholm'),(642,5,'Text Answers Q4.3 IT','answer_text','1941 a Berlino; 1968 a Parigi; 2020 a Kyoto; 1972 a Stoccolma '),(643,1,'Text Answers Q4.4 BG','answer_text','Общото'),(643,2,'Text Answers Q4.4 EN','answer_text','Common'),(643,3,'Text Answers Q4.4 ES','answer_text','Común'),(643,4,'Text Answers Q4.4 FR','answer_text','tous'),(643,5,'Text Answers Q4.4 IT','answer_text','Comune '),(644,1,'Text Answers Q4.5 BG','answer_text','Рамкова конвенция за изменение на климата; Протокол от Киото '),(644,2,'Text Answers Q4.5 EN','answer_text','Framework Convention on Climate Change; Kyoto Protocol'),(644,3,'Text Answers Q4.5 ES','answer_text','Convención Marco sobre el Cambio Climático; Protocolo de Kioto'),(644,4,'Text Answers Q4.5 FR','answer_text','Convention-cadre sur les changements climatiques ;Protocole de Kyoto'),(644,5,'Text Answers Q4.5 IT','answer_text','convenzione generale sui cambiamenti climatici; Protocollo di Kyoto '),(645,1,'Text Answers Q4.6 BG','answer_text','Норвегия; Франция; САЩ; Италия '),(645,2,'Text Answers Q4.6 EN','answer_text','Norway;France;United States of America;Italy'),(645,3,'Text Answers Q4.6 ES','answer_text','Noruega; Francia; Estados Unidos; Italia'),(645,4,'Text Answers Q4.6 FR','answer_text','Norvège;France;Etats-Unis;Italie'),(645,5,'Text Answers Q4.6 IT','answer_text','Norvegia;Francia;Stati Uniti d\'America;Italia '),(646,1,'Text Answers Q4.7 BG','answer_text','2000'),(646,2,'Text Answers Q4.7 EN','answer_text','2000'),(646,3,'Text Answers Q4.7 ES','answer_text','2000'),(646,4,'Text Answers Q4.7 FR','answer_text','2000'),(646,5,'Text Answers Q4.7 IT','answer_text','2000'),(647,1,'Text Answers Q4.8 BG','answer_text','20% намаление на емисиите на парникови газове в ЕС спрямо нивата от 1990 г.; увеличаване на дела на потреблението на енергия в ЕС, произведена от възобновяеми източници с до 20%; 20% подобряване на потреблението на хартия в ЕС; 20% подобряване на енергийната ефективност в ЕС '),(647,2,'Text Answers Q4.8 EN','answer_text','20% reduction in EU greenhouse gas emissions from 1990 levels;Raising the share of EU energy consumption produced from renewable resources to 20%;20% improvement in the EU\'s paper consumption;20% improvement in the EU\'s energy efficiency'),(647,3,'Text Answers Q4.8 ES','answer_text','Reducción en un 20% de las emisiones de gases de efecto invernadero de la UE respecto a los niveles de 1990; Aumento al 20% de la cuota de consumo energético de la UE producida a partir de recursos renovables; Mejora en un 20% del consumo de papel de la UE; Mejora en un 20% de la eficiencia energética de la UE'),(647,4,'Text Answers Q4.8 FR','answer_text','Réduire de 20% les émissions de gaz à effet de serre de l\'UE par rapport aux niveaux de 1990 ;Augmenter à 20% la part de la consommation énergétique de l’UE produite à partir de ressources renouvelables ;Diminuer de 20% de la consommation de papier dans l\'UE ;Améliorer de 20% de l’efficacité énergétique de l’UE'),(647,5,'Text Answers Q4.8 IT','answer_text','riduzione del 20% delle emissioni di gas a effetto serra nell\'UE rispetto ai livelli del 1990; aumentare al 20% la quota di consumo energetico dell\'UE prodotta da risorse rinnovabili; miglioramento del 20% del consumo di carta nell\'UE; Miglioramento del 20% dell\'efficienza energetica dell\'UE '),(648,1,'Text Answers Q4.9 BG','answer_text','намалението следва да бъде 25% през 2020 г., 30% през 2030 г. и 50% през 2040 г.; намалението следва да бъде 25% през 2020 г., 40% през 2030 г. и 60% през 2040 г.; намалението следва да бъде 30% през 2020 г., 30% през 2030 г. и 30% през 2040 г.; намалението следва да бъде 30% през 2020 г., 40% през 2030 г. и 50% през 2040 г. '),(648,2,'Text Answers Q4.9 EN','answer_text','the reduction should be 25% in 2020, 30% in 2030 and 50% in 2040;the reduction should be 25% in 2020, 40% in 2030 and 60% in 2040;the reduction should be 30% in 2020, 30% in 2030 and 30% in 2040;the reduction should be 30% in 2020, 40% in 2030 and 50% in 2040'),(648,3,'Text Answers Q4.9 ES','answer_text','la reducción debe ser del 25% en 2020, del 30% en 2030 y del 50% en 2040;la reducción debe ser del 25% en 2020, del 40% en 2030 y del 60% en 2040;la reducción debe ser del 30% en 2020, del 30% en 2030 y del 30% en 2040 '),(648,4,'Text Answers Q4.9 FR','answer_text','La réduction devrait être de 25% en 2020, 30% en 2030 et 50% en 2040 ;La réduction devrait être de 25% en 2020, 40% en 2030 et 60% en 2040 ;La réduction devrait être de 30% en 2020, 30% en 2030 et 30% en 2040 ;La réduction devrait être de 30% en 2020, 40% en 2030 et 50% en 2040'),(648,5,'Text Answers Q4.9 IT','answer_text','la riduzione dovrebbe essere del 25% nel 2020, del 30% nel 2030 e del 50% nel 2040; la riduzione dovrebbe essere del 25% nel 2020, del 40% nel 2030 e del 60% nel 2040; la riduzione dovrebbe essere del 30% nel 2020, del 30% nel 2030 e del 30% nel 2040; la riduzione dovrebbe essere del 30% nel 2020, del 40% nel 2030 e del 50% nel 2040 '),(649,1,'Text Answers Q4.10 BG','answer_text','Европейско законодателство в областта на климата; Европейска зелена сделка; Чиста енергия за всички европейци; Директива за ОЕЕО'),(649,2,'Text Answers Q4.10 EN','answer_text','European Climate Law; European Green Deal; Clean Energy for All Europeans; WEEE Directive'),(649,3,'Text Answers Q4.10 ES','answer_text','Ley Europea del Clima; Pacto Verde Europeo; Energía limpia para todos los europeos; Directiva RAEE '),(649,4,'Text Answers Q4.10 FR','answer_text','Loi climat européen ;Pacte vert européen ;Une énergie propre pour tous les Européens ;Directive DEEE'),(649,5,'Text Answers Q4.10 IT','answer_text','Legge europea sul clima;Accordo verde europeo;Energia pulita per tutti gli europei;Direttiva RAEE'),(650,1,'Text Answers Q5.1 BG','answer_text','Вятър; Слънчева енергия; Газ; Въглища '),(650,2,'Text Answers Q5.1 EN','answer_text','Wind; Solar; Gas; Coal'),(650,3,'Text Answers Q5.1 ES','answer_text','Eólica; Solar; Gas; Carbón'),(650,4,'Text Answers Q5.1 FR','answer_text','éolien;solaire;gaz;charbon'),(650,5,'Text Answers Q5.1 IT','answer_text','Vento; Solare; Gas; Carbone '),(651,1,'Text Answers Q5.2 BG','answer_text','Система'),(651,2,'Text Answers Q5.2 EN','answer_text','Network'),(651,3,'Text Answers Q5.2 ES','answer_text','Red'),(651,4,'Text Answers Q5.2 FR','answer_text','Réseau'),(651,5,'Text Answers Q5.2 IT','answer_text','Rete '),(652,1,'Text Answers Q5.3 BG','answer_text','Център за данни; Рутер; Wi-Fi конектор; Защитна стена '),(652,2,'Text Answers Q5.3 EN','answer_text','Data-center;Router;Wi-Fi-connector;Firewall'),(652,3,'Text Answers Q5.3 ES','answer_text','Data-center; Router; Conector Wi-Fi; Cortafuegos'),(652,4,'Text Answers Q5.3 FR','answer_text','Centre de données (data-center);Routeur;Connecteur Wifi;Pare-feu (Firewall)'),(652,5,'Text Answers Q5.3 IT','answer_text','Data-center; Router; Wi-Fi-connector; Firewall '),(653,1,'Text Answers Q5.4 BG','answer_text','22'),(653,2,'Text Answers Q5.4 EN','answer_text','22'),(653,3,'Text Answers Q5.4 ES','answer_text','22'),(653,4,'Text Answers Q5.4 FR','answer_text','22'),(653,5,'Text Answers Q5.4 IT','answer_text','22'),(654,1,'Text Answers Q5.5 BG','answer_text','Като намалиш размера на снимката и изпратиш 10 различни имейла; Като изпратиш имейли до три групи от трима приятели и един отделен имейл до десетия приятел; Като разпечаташ снимката и я изпратиш по куриер; Като поставиш снимката в уеб хранилище и изпратиш връзка за изтегляне;'),(654,2,'Text Answers Q5.5 EN','answer_text','Reduce the size of the picture, and send 10 different mails; Send three emails to three groups, each consisting of three friends, and then send an additional email for the tenth friend; Print the picture and send it by surface mail; Put it on a web storage and send a download link'),(654,3,'Text Answers Q5.5 ES','answer_text','Reducir el tamaño de la foto, y enviar 10 correos diferentes; Enviar el correo electrónico a 3 amigos (3 veces), y otro al último amigo; Imprimir la foto y enviarla por correo de superficie; Ponerla en un almacenamiento web y enviar un enlace de descarga'),(654,4,'Text Answers Q5.5 FR','answer_text','Réduire la taille de l\'image et envoyer 10 mails différents ;Envoyer l\'e-mail à 3 amis (3 fois), et un autre au dernier ami ;Imprimer la photo et l\'envoyer par courrier postal ;La mettre sur un stockage Web et envoyer un lien de téléchargement'),(654,5,'Text Answers Q5.5 IT','answer_text','Ridurre le dimensioni dell\'immagine e inviare 10 mail diverse; Invia l\'email a 3 amici (3 volte), e un altro all\'ultimo amico; Stampare l\'immagine e inviarla per posta di superficie; Metterlo su un archivio web e inviare un link per il download '),(655,1,'Text Answers Q5.6 BG','answer_text','ОТПИШЕШ'),(655,2,'Text Answers Q5.6 EN','answer_text','UNSUBSCRIBE'),(655,3,'Text Answers Q5.6 ES','answer_text','Dar de baja'),(655,4,'Text Answers Q5.6 FR','answer_text','DESABONNER'),(655,5,'Text Answers Q5.6 IT','answer_text','DISISCRIVERSI'),(656,1,'Text Answers Q5.7 BG','answer_text','1000 гигабайта; 1 милиард гигабайта; 1 милион терабайта; 1 милиард терабайта '),(656,2,'Text Answers Q5.7 EN','answer_text','1 thousand gigabytes; 1 billion gigabytes; 1 million terabytes; 1 billion terabytes'),(656,3,'Text Answers Q5.7 ES','answer_text','1 mil gigabytes; 1 billón de gigabytes; 1 millón de terabytes; 1.000 millones de terabytes'),(656,4,'Text Answers Q5.7 FR','answer_text','1 mille gigaoctets ;1 milliard de gigaoctets ;1 million de téraoctets ;1 milliard de téraoctets'),(656,5,'Text Answers Q5.7 IT','answer_text','1 mille gigabyte; 1 miliardo di gigabyte; 1 milione di terabyte; 1 miliardo di terabyte '),(657,1,'Text Answers Q5.8 BG','answer_text','Намаляване на броя на заявките в търсачка; Намаляване на качеството на видеото; Отлагане на изтеглянето за през нощта; Деактивиране на видеото във видеоконферентни разговори '),(657,2,'Text Answers Q5.8 EN','answer_text','Reducing the number of queries on a search engine; Reducing the lower the quality of video streaming; Postpone downloads overnight; Disable video mode in videoconference'),(657,3,'Text Answers Q5.8 ES','answer_text','Reducir el número de consultas en un motor de búsqueda; Reducir la calidad del streaming de vídeo; Aplazar las descargas durante la noche; Desactivar el modo vídeo en videoconferencia'),(657,4,'Text Answers Q5.8 FR','answer_text','Réduire le nombre de requêtes sur un moteur de recherche ;Choisir une faible qualité pour le streaming ;Reporter ses téléchargements du jour au lendemain ;Désactiver le mode vidéo en visioconférence'),(657,5,'Text Answers Q5.8 IT','answer_text','Ridurre il numero di query su un motore di ricerca; Ridurre la minore qualità dello streaming video; Rinviare i download durante la notte; Disabilita la modalità video in videoconferenza '),(658,1,'Text Answers Q5.9 BG','answer_text','Да; Не '),(658,2,'Text Answers Q5.9 EN','answer_text','Yes;No'),(658,3,'Text Answers Q5.9 ES','answer_text','Si;No'),(658,4,'Text Answers Q5.9 FR','answer_text','Oui;Non'),(658,5,'Text Answers Q5.9 IT','answer_text','Sì; No '),(659,1,'Text Answers Q5.10 BG','answer_text','Да; Не '),(659,2,'Text Answers Q5.10 EN','answer_text','Yes;No'),(659,3,'Text Answers Q5.10 ES','answer_text','Si;No'),(659,4,'Text Answers Q5.10 FR','answer_text','Oui;Non'),(659,5,'Text Answers Q5.10 IT','answer_text','Sì; No '),(660,1,'Text Answers Q6.1 BG','answer_text','Загуба на редки и ценни материали; Изпускане на опасни вещества в атмосферата; Увеличаване на броя на излезлите от употреба електронни устройства; Намаляване на ефективността на ресурсите '),(660,2,'Text Answers Q6.1 EN','answer_text','The loss of rare and valuable materials; The emission of hazardous substances into the atmosphere; The increase in end-of-life electronics; The decrease in resource efficiency'),(660,3,'Text Answers Q6.1 ES','answer_text','La pérdida de materiales raros y valiosos; La emisión de sustancias peligrosas a la atmósfera; El aumento de aparatos electrónicos al final de su vida útil; La disminución de la eficiencia de los recursos'),(660,4,'Text Answers Q6.1 FR','answer_text','La perte de matériaux rares et précieux ;L\'émission de substances dangereuses dans l\'atmosphère ;L’augmentation des appareils électroniques en fin de vie ;La diminution de l’efficacité des ressources'),(660,5,'Text Answers Q6.1 IT','answer_text','La perdita di materiali rari e preziosi; l\'emissione di sostanze pericolose nell\'atmosfera; l\'aumento dell\'elettronica di fine vita; La diminuzione dell\'efficienza delle risorse '),(661,1,'Text Answers Q6.2 BG','answer_text','Вярно; Невярно '),(661,2,'Text Answers Q6.2 EN','answer_text','True;False'),(661,3,'Text Answers Q6.2 ES','answer_text','Verdadero;Falso'),(661,4,'Text Answers Q6.2 FR','answer_text','Vrai;Faux'),(661,5,'Text Answers Q6.2 IT','answer_text','Vero;Falso '),(662,1,'Text Answers Q6.3 BG','answer_text','Да се изхвърлят в специалните контейнери за батерии; Да се оставят в уреда; Да се дарят за благотворителност; Да се извадят от уреда и да се рециклират отделно '),(662,2,'Text Answers Q6.3 EN','answer_text','Thrown in dedicated battery trash bins;Be left in the appliance;Donated to charity;Removed from the appliance and recycled separately'),(662,3,'Text Answers Q6.3 ES','answer_text','Tirarlas en contenedores específicos para pilas; Dejarlas en el aparato; Donarlas a organizaciones benéficas; Retirarlas del aparato y reciclarlas por separado'),(662,4,'Text Answers Q6.3 FR','answer_text','Jetées dans des poubelles dédiées aux batteries;Laissées dans l\'appareil;Données à une œuvre caritative ;Retirées de l\'appareil pour être recyclées séparément'),(662,5,'Text Answers Q6.3 IT','answer_text','Gettato in appositi bidoni della batteria; Essere lasciato nell\'apparecchio; Donato in beneficenza; Rimosso dall\'apparecchio e riciclato separatamente '),(663,1,'Text Answers Q6.4 BG','answer_text','ГРАДСКИ ДОБИВ '),(663,2,'Text Answers Q6.4 EN','answer_text','Urban Mining'),(663,3,'Text Answers Q6.4 ES','answer_text','Mineria urbana'),(663,4,'Text Answers Q6.4 FR','answer_text','urbaine'),(663,5,'Text Answers Q6.4 IT','answer_text','Estrazione urbana '),(664,1,'Text Answers Q6.5 BG','answer_text','Поправи го сам или с помощта на приятел; Дари го на благотворителна организация; Използвай повторно някои части на лаптопа; Изхвърли го в кофата за боклук '),(664,2,'Text Answers Q6.5 EN','answer_text','Repair it yourself or with the help of a friend; Donate it to a local charitable organisation; Reuse some parts of the laptop; Dispose of it in the trash bin'),(664,3,'Text Answers Q6.5 ES','answer_text','Repararlo tú mismo o con la ayuda de un amigo; Donarlo a una organización benéfica local; Reutilizar algunas partes del portátil; Tíralo a la papelera'),(664,4,'Text Answers Q6.5 FR','answer_text','Le réparer soi-même ou avec l\'aide d\'un ami ;En faire don à une organisation caritative locale ;Réutiliser certaines parties de l\'ordinateur portable ;Le jeter à la poubelle'),(664,5,'Text Answers Q6.5 IT','answer_text','Riparalo da solo o con l\'aiuto di un amico; donarlo a un\'organizzazione benefica locale; Riutilizzare alcune parti del portatile; Gettalo nel cestino della spazzatura '),(665,1,'Text Answers Q6.6 BG','answer_text','Система, която насърчава производството на нови ресурси и стоки; Система, която насърчава изхвърлянето на отпадъчни материали на сметището; Система, която насърчава повторната употреба, ремонта, обновяването и рециклирането на съществуващи ресурси и стоки; Система, която насърчава изгарянето на отпадъчни материали; '),(665,2,'Text Answers Q6.6 EN','answer_text','A system that promotes the production of new resources and goods;A system that promotes the disposal of waste materials in a landfill;A system that promotes the reuse, repair, refurbishment, and recycling of existing resources and goods;A system that promotes the incineration of waste materials;'),(665,3,'Text Answers Q6.6 ES','answer_text','Un sistema que promueve la producción de nuevos recursos y bienes;Un sistema que promueve la eliminación de materiales de desecho en un vertedero;Un sistema que promueve la reutilización, reparación, reacondicionamiento y reciclaje de recursos y bienes existentes;Un sistema que promueve la incineración de materiales de desecho; '),(665,4,'Text Answers Q6.6 FR','answer_text','Un système qui favorise la production de nouvelles ressources et de biens;Un système qui favorise l\'élimination des déchets dans une décharge;Un système qui favorise la réutilisation, la réparation, la remise à neuf et le recyclage des ressources et des biens existants;Un système qui favorise l\'incinération de déchets'),(665,5,'Text Answers Q6.6 IT','answer_text','Un sistema che promuove la produzione di nuove risorse e beni;Un sistema che promuove lo smaltimento dei rifiuti in una discarica;Un sistema che promuove il riutilizzo, la riparazione, la ristrutturazione e il riciclaggio delle risorse e dei beni esistenti;Un sistema che promuove l\'incenerimento dei rifiuti '),(666,1,'Text Answers Q6.7 BG','answer_text','Рентгенов апарат; Сървър; Тостер; Принтер '),(666,2,'Text Answers Q6.7 EN','answer_text','X-ray Machine; Server;Toaster; Printer'),(666,3,'Text Answers Q6.7 ES','answer_text','Máquina de rayos X; Servidor; Tostadora; Impresora'),(666,4,'Text Answers Q6.7 FR','answer_text','Machine à rayons-X;Serveur;Grille-pain;Imprimante'),(666,5,'Text Answers Q6.7 IT','answer_text','Macchina a raggi X; Server;Tostapane; Stampante '),(667,1,'Text Answers Q6.8 BG','answer_text','ДЕМОНТАЖ '),(667,2,'Text Answers Q6.8 EN','answer_text','Dismantling'),(667,3,'Text Answers Q6.8 ES','answer_text','Desmontaje'),(667,4,'Text Answers Q6.8 FR','answer_text','Demantelement'),(667,5,'Text Answers Q6.8 IT','answer_text','Smantellamento '),(668,1,'Text Answers Q6.9 BG','answer_text','Цените на рециклираните стоки в световен мащаб са се увеличили; Няма налични фирми за рециклиране на електроника; Потребителите предпочитат да купуват ново оборудване; Качеството на електронните отпадъци се влошава '),(668,2,'Text Answers Q6.9 EN','answer_text','Worldwide pricing for recycled goods has increased; There are no electronic recycling firms available; Consumers prefer to purchase new equipment; The quality of e-waste is declining'),(668,3,'Text Answers Q6.9 ES','answer_text','El precio mundial de los productos reciclados ha aumentado; No hay empresas de reciclaje electrónico disponibles; Los consumidores prefieren comprar equipos nuevos; La calidad de los residuos electrónicos está disminuyendo'),(668,4,'Text Answers Q6.9 FR','answer_text','Éradiquer la pauvreté, élargir l\'accès aux droits de l\'homme et parvenir à un développement économique mondial de manière durable et respectueuse de la planète Terre et de ses ressources;Rien ne devait changer avant 2030;Tous les produits achetés à partir de 2030 devaient être recyclés;Continuer à utiliser des énergies non renouvelables'),(668,5,'Text Answers Q6.9 IT','answer_text','i prezzi dei prodotti riciclati a livello mondiale sono aumentati; Non sono disponibili imprese di riciclo elettronico; I consumatori preferiscono acquistare nuove attrezzature; La qualità dei rifiuti elettronici è in declino '),(669,1,'Text Answers Q6.10 BG','answer_text','Вярно; Невярно '),(669,2,'Text Answers Q6.10 EN','answer_text','True;False'),(669,3,'Text Answers Q6.10 ES','answer_text','Verdadero;Falso'),(669,4,'Text Answers Q6.10 FR','answer_text','Vrai;Faux'),(669,5,'Text Answers Q6.10 IT','answer_text','Vero;Falso '),(670,1,'Text Answers Q7.1 BG','answer_text','Правителства; Животни; Компании; Гражданско общество '),(670,2,'Text Answers Q7.1 EN','answer_text','Governments; Animals; Companies; Civil Society'),(670,3,'Text Answers Q7.1 ES','answer_text','Gobiernos; Animales; Empresas; Sociedad civil'),(670,4,'Text Answers Q7.1 FR','answer_text','Les gouvernements;Les animaux;Les entreprises;La société civile'),(670,5,'Text Answers Q7.1 IT','answer_text','Governi; Animali; Aziende; Società civile '),(671,1,'Text Answers Q7.2 BG','answer_text','Вярно; Невярно '),(671,2,'Text Answers Q7.2 EN','answer_text','True;False'),(671,3,'Text Answers Q7.2 ES','answer_text','Verdadero;Falso'),(671,4,'Text Answers Q7.2 FR','answer_text','Vrai;Faux'),(671,5,'Text Answers Q7.2 IT','answer_text','Vero;Falso '),(672,1,'Text Answers Q7.3 BG','answer_text','Изкореняване на бедността, разширяване на достъпа до права и постигане на глобално икономическо развитие по устойчив и зачитащ планетата Земя и нейните ресурси начин; Нищо не трябва да се променя до 2030 г.; Всички продукти, закупени от 2030 г., трябва да бъдат рециклирани; Да продължи използването на невъзобновяема енергия '),(672,2,'Text Answers Q7.3 EN','answer_text','Eradicate poverty, expand access to human rights and achieve global economic development in a sustainable and respectful way with the planet Earth and its resources;Nothing had to change until 2030; All products purchased from 2030 had to be recycled; To continue to use not renewable energies'),(672,3,'Text Answers Q7.3 ES','answer_text','Erradicar la pobreza, ampliar el acceso a los derechos humanos y lograr un desarrollo económico global de forma sostenible y respetuosa con el planeta Tierra y sus recursos;Nada debía cambiar hasta 2030; Todos los productos adquiridos a partir de 2030 debían ser reciclados; Seguir utilizando energías no renovables'),(672,4,'Text Answers Q7.3 FR','answer_text','Éradiquer la pauvreté, élargir l\'accès aux droits de l\'homme et parvenir à un développement économique mondial de manière durable et respectueuse de la planète Terre et de ses ressources ;Rien ne devait changer avant 2030 ; Imposer que tous les produits produits à partir de 2030 puissent être recyclés ;Interdire l\'utilisation des énergies non renouvelables'),(672,5,'Text Answers Q7.3 IT','answer_text','Eliminare la povertà, ampliare l\'accesso ai diritti umani e raggiungere uno sviluppo economico globale sostenibile e rispettoso con il pianeta Terra e le sue risorse;Nulla doveva cambiare fino al 2030; Tutti i prodotti acquistati dal 2030 dovevano essere riciclati; Continuare a utilizzare energie non rinnovabili '),(673,1,'Text Answers Q7.4 BG','answer_text','Индустрия, иновации и инфраструктура; Достъпна и чиста енергия; Устойчиви градове и общности; Добро здраве и благосъстояние '),(673,2,'Text Answers Q7.4 EN','answer_text','Industry, Innovation and infrastructure;Affordable and clean energy;Sustainable cities and communities;Good health and well-being'),(673,3,'Text Answers Q7.4 ES','answer_text','Industria, innovación e infraestructuras;Energía asequible y limpia;Ciudades y comunidades sostenibles;Buena salud y bienestar'),(673,4,'Text Answers Q7.4 FR','answer_text','Innovation et infrastructures;Recours aux énergies renouvelables;Villes et communautés durables;Accès à la santé'),(673,5,'Text Answers Q7.4 IT','answer_text','Industria, innovazione e infrastrutture;Energia pulita ed economica;Città e comunità sostenibili;Buona salute e benessere '),(674,1,'Text Answers Q7.5 BG','answer_text','Устойчиви градове и общности; Достоен труд и икономически растеж; Мир, справедливост и силни институции; Достъпна и чиста енергия '),(674,2,'Text Answers Q7.5 EN','answer_text','Sustainable cities and communities; Decent work and economic growth; Peace, justice and strong institutions; Affordable and clean energy'),(674,3,'Text Answers Q7.5 ES','answer_text','Ciudades y comunidades sostenibles; Trabajo digno y crecimiento económico; Paz, justicia e instituciones fuertes; Energía asequible y limpia'),(674,4,'Text Answers Q7.5 FR','answer_text','Villes et communautés durables;Accès à des emplois décents;Justice et paix;Accès à une énergie propre et d\'un coût abordable'),(674,5,'Text Answers Q7.5 IT','answer_text','città e comunità sostenibili; lavoro dignitoso e crescita economica; Pace, giustizia e istituzioni forti; Energia economica e pulita '),(675,1,'Text Answers Q7.6 BG','answer_text','ЕВРОПЕЙСКА КОМИСИЯ '),(675,2,'Text Answers Q7.6 EN','answer_text','EUROPEAN COMMISSION'),(675,3,'Text Answers Q7.6 ES','answer_text','COMISION EUROPEA'),(675,4,'Text Answers Q7.6 FR','answer_text','Commission Europeenne'),(675,5,'Text Answers Q7.6 IT','answer_text','COMMISSIONE EUROPEA '),(676,1,'Text Answers Q7.7 BG','answer_text','По-устойчиво производство; Модели на кръговата икономика и образован избор при извършване на покупки; Логистика на летищата; Проверка на спазването на законите '),(676,2,'Text Answers Q7.7 EN','answer_text','More sustainable production; Circular economy models and Educated choices while making purchases; Airports logistic; Verify that laws are being followed'),(676,3,'Text Answers Q7.7 ES','answer_text','Producción más sostenible; modelos de economía circular y elecciones educadas a la hora de comprar; logística aeroportuaria; verificar que se cumplen las leyes'),(676,4,'Text Answers Q7.7 FR','answer_text','Une production plus durable ;Des modèles d\'économie circulaire et choix éclairés lors des achats ;Une logistique aéroportuaire ;La vérification que les lois sont bien respectées'),(676,5,'Text Answers Q7.7 IT','answer_text','una produzione più sostenibile; Modelli di economia circolare e scelte istruite durante gli acquisti; Aeroporti logistici; Verificare che le leggi siano rispettate '),(677,1,'Text Answers Q7.8 BG','answer_text','ECOSIA '),(677,2,'Text Answers Q7.8 EN','answer_text','ECOSIA'),(677,3,'Text Answers Q7.8 ES','answer_text','ECOSIA'),(677,4,'Text Answers Q7.8 FR','answer_text','ECOSIA'),(677,5,'Text Answers Q7.8 IT','answer_text','ECOSIA '),(678,1,'Text Answers Q7.9 BG','answer_text','колаборация; поща; път'),(678,2,'Text Answers Q7.9 EN','answer_text','Email; paper; collaboration'),(678,3,'Text Answers Q7.9 ES','answer_text','email; papel; colaboración'),(678,4,'Text Answers Q7.9 FR','answer_text','e-mails;papier;collaboration'),(678,5,'Text Answers Q7.9 IT','answer_text','E-mail; carta; collaborazione '),(679,1,'Text Answers Q7.10 BG','answer_text','Вярно; Невярно '),(679,2,'Text Answers Q7.10 EN','answer_text','True;False'),(679,3,'Text Answers Q7.10 ES','answer_text','Verdadero;Falso'),(679,4,'Text Answers Q7.10 FR','answer_text','Vrai;Faux'),(679,5,'Text Answers Q7.10 IT','answer_text','Vero;Falso '),(680,1,'Text Answers Q8.1 BG','answer_text','енергийна; енергия'),(680,2,'Text Answers Q8.1 EN','answer_text','energy;energy'),(680,3,'Text Answers Q8.1 ES','answer_text','energética;energía'),(680,4,'Text Answers Q8.1 FR','answer_text','renouvelables'),(680,5,'Text Answers Q8.1 IT','answer_text','energia'),(681,1,'Text Answers Q8.2 BG','answer_text','Разработване на единно зарядно устройство за малки и средни електронни джаджи; Усъвършенстване на правото на ремонт за ИКТ продукти. Потребителите имат право на безплатен ремонт на продуктите в рамките на две години от закупуването им; Разработване на много голямо количество зарядни устройства за малки и средни електронни джаджи '),(681,2,'Text Answers Q8.2 EN','answer_text','Developing a common charger for small and medium-sized electronic gadgets;Improving the “right to repair” for ICT products. Consumers have a right to have products repaired free of charge within two years of purchase;Developing a very big amount of chargers for small and medium-sized electronic gadgets'),(681,3,'Text Answers Q8.2 ES','answer_text','Desarrollar un cargador común para aparatos electrónicos pequeños y medianos;Desarrollar una gran cantidad de cargadores para aparatos electrónicos pequeños y medianos;Mejorar el derecho a reparación de los productos TIC. Los consumidores tienen derecho a la reparación gratuita de sus productos en los dos años siguientes a la compra'),(681,4,'Text Answers Q8.2 FR','answer_text','Développer un chargeur commun pour les appareils électroniques de petite et moyenne taille ;Améliorer le « droit à la réparation » pour les produits TIC (droit pour le consommateur de faire réparer gratuitement leurs produits dans les deux ans suivant l\'achat); Développement d\'une grande quantité de chargeurs pour les gadgets électroniques de petite et moyenne taille'),(681,5,'Text Answers Q8.2 IT','answer_text','Sviluppo di un caricabatterie comune per dispositivi elettronici di piccole e medie dimensioni;Miglioramento del diritto di riparazione per i prodotti ICT. I consumatori hanno il diritto di avere prodotti riparati gratuitamente entro due anni dall\'acquisto;Sviluppo di una grande quantità di caricabatterie per gadget elettronici di piccole e medie dimensioni '),(682,1,'Text Answers Q8.3 BG','answer_text','Всяко вещество, произведено от човека; Всеки материал или вещество в каквото и да е агрегатно състояние или форма (твърдо, течно или газообразно, опасно или неопасно, органично или неорганично), което е загубило първичната си стойност и е готово за изгаряне; Всяко вещество или предмет, от който притежателят се освобождава или е длъжен да се освободи съгласно разпоредбите на действащото национално законодателство; Всеки материал от Европейския съюз или други държави; '),(682,2,'Text Answers Q8.3 EN','answer_text','Any substance produced by man; Any material or substance in whatever form (solid, liquid or gaseous, hazardous or non-hazardous, organic or inorganic) that has lost its primary value and is ready to be burned;Any substance or object which the holder disposes of or is required to dispose of pursuant to the provisions of national law in force;Any material from the European Union or other states'),(682,3,'Text Answers Q8.3 ES','answer_text','Cualquier sustancia producida por el hombre; Cualquier material o sustancia en cualquier forma (sólida, líquida o gaseosa, peligrosa o no peligrosa, orgánica o inorgánica) que haya perdido su valor primario y esté lista para ser quemada;Cualquier sustancia u objeto del que el poseedor se deshaga o deba deshacerse en virtud de las disposiciones de la legislación nacional vigente;Cualquier material procedente de la Unión Europea o de otros Estados'),(682,4,'Text Answers Q8.3 FR','answer_text','Toute substance produite par l\'homme ;Toute matière ou substance sous quelque forme que ce soit (solide, liquide ou gazeux, dangereux ou non, organique ou inorganique) qui a perdu sa valeur première et est prête à être brûlée ;Toute substance ou objet dont le détenteur se débarrasse ou est tenu de le faire éliminer conformément aux dispositions du droit national en vigueur ;Tout matériel en provenance de l\'Union européenne ou d\'autres États'),(682,5,'Text Answers Q8.3 IT','answer_text','Qualsiasi sostanza prodotta dall\'uomo; qualsiasi materiale o sostanza in qualsiasi forma (solida, liquida o gassosa, pericolosa o non pericolosa, organica o inorganica) che abbia perso il suo valore primario ed sia pronta per essere bruciata;Qualsiasi sostanza o oggetto che il titolare smaltisca o sia tenuto a smaltire ai sensi delle disposizioni del diritto nazionale in vigore;Qualsiasi materiale proveniente dall\'Unione europea o da altri Stati '),(683,1,'Text Answers Q8.4 BG','answer_text','Многократно'),(683,2,'Text Answers Q8.4 EN','answer_text','Multiples'),(683,3,'Text Answers Q8.4 ES','answer_text','Múltiple'),(683,4,'Text Answers Q8.4 FR','answer_text','plusieurs'),(683,5,'Text Answers Q8.4 IT','answer_text','Multipla '),(684,1,'Text Answers Q8.5 BG','answer_text','Чехия, Хърватия, Кипър, Дания, Естония, Гърция, Италия, Малта, Румъния, Словения;Австрия, България, Германия, Унгария, Ирландия, Литва, Финландия, Франция, Испания, Обединеното кралство;Белгия, Латвия, Люксембург, Нидерландия, Полша, Португалия, Словакия и Швеция'),(684,2,'Text Answers Q8.5 EN','answer_text','Czechia, Croatia, Cyprus, Denmark, Estonia, Greece, Italy, Malta, Romania, Slovenia;Austria, Bulgaria, Germany, Hungary, Ireland, Lithuania, Finland, France, Spain, United Kingdom;Belgium, Latvia, Luxemburg, Netherlands, Poland, Portugal, Slovakia, and Sweden'),(684,3,'Text Answers Q8.5 ES','answer_text','Chequia, Croacia, Chipre, Dinamarca, Estonia, Grecia, Italia, Malta, Rumanía, Eslovenia;Austria, Bulgaria, Alemania, Hungría, Irlanda, Lituania, Finlandia, Francia, España, Reino Unido;Bélgica, Letonia, Luxemburgo, Países Bajos, Polonia, Portugal, Eslovaquia, Suecia'),(684,4,'Text Answers Q8.5 FR','answer_text','Tchéquie, Croatie, Chypre, Danemark, Estonie, Grèce, Italie, Malte, Roumanie, Slovénie;Autriche, Bulgarie, Allemagne, Hongrie, Irlande, Lituanie, Finlande, France, Espagne, Royaume-Uni;Belgique, Lettonie, Luxembourg, Pays-Bas, Pologne , Portugal, Slovaquie et Suède'),(684,5,'Text Answers Q8.5 IT','answer_text','Repubblica ceca, Croazia, Cipro, Danimarca, Estonia, Grecia, Italia, Malta, Romania, Slovenia;Austria, Bulgaria, Germania, Ungheria, Irlanda, Lituania, Finlandia, Francia, Spagna, Regno Unito;Belgio, Lettonia, Lussemburgo, Paesi Bassi, Polonia, Portogallo, Slovacchia e Svezia'),(685,1,'Text Answers Q8.6 BG','answer_text','Всеки продукт, който се нуждае от какъвто и да е вид енергия, докато се използва; Всеки продукт, който консумира повече от 3 киловата на час; Всеки продукт, който консумира повече от 1 киловат на час; Всеки продукт, който консумира повече от 4 киловата на час '),(685,2,'Text Answers Q8.6 EN','answer_text','Every product that needs any kind of energy while in use; Every product that consume more than 3 kilowatt per hour; Every product that consume more than 1 kilowatt per hour; Every product that consume more than 4 kilowatt per hour'),(685,3,'Text Answers Q8.6 ES','answer_text','Todo producto que necesite cualquier tipo de energía mientras esté en uso; Todo producto que consuma más de 3 kilovatios por hora; Todo producto que consuma más de 1 kilovatio por hora; Todo producto que consuma más de 4 kilovatios por hora'),(685,4,'Text Answers Q8.6 FR','answer_text','Tout produit qui a besoin d’énergie lors de son utilisation ;Tout produit consommant plus de 3 kilowatts par heure ;Tout produit consommant plus de 1 kilowatt par heure ;Tout produit consommant plus de 4 kilowatts par heure'),(685,5,'Text Answers Q8.6 IT','answer_text','Ogni prodotto che necessita di qualsiasi tipo di energia durante l\'uso; Ogni prodotto che consuma più di 3 kilowatt all\'ora; Ogni prodotto che consuma più di 1 chilowatt all\'ora; Ogni prodotto che consuma più di 4 kilowatt all\'ora '),(686,1,'Text Answers Q8.7 BG','answer_text','Да; Не '),(686,2,'Text Answers Q8.7 EN','answer_text','Yes;No'),(686,3,'Text Answers Q8.7 ES','answer_text','Si;No'),(686,4,'Text Answers Q8.7 FR','answer_text','Oui;Non'),(686,5,'Text Answers Q8.7 IT','answer_text','Sì; No '),(687,1,'Text Answers Q8.8 BG','answer_text','2'),(687,2,'Text Answers Q8.8 EN','answer_text','2'),(687,3,'Text Answers Q8.8 ES','answer_text','2  '),(687,4,'Text Answers Q8.8 FR','answer_text','ans'),(687,5,'Text Answers Q8.8 IT','answer_text','2'),(688,1,'Text Answers Q8.9 BG','answer_text','Рециклиране (преработване в други продукти или смяна на предназначението, материали или вещества, рециклиране на отделни компоненти); Подготовка за повторна употреба (проверка на почистването или ремонта на изхвърлените продукти, без необходимост от допълнителна преработка); Предотвратяване на отпадъци (устойчив дизайн, стимулиране на ремонта); Друго оползотворяване (изгаряне на материали за производство на електроенергия); Изхвърляне на сметище или на площадка за скрап'),(688,2,'Text Answers Q8.9 EN','answer_text','Recycling (reprocessing into other products, materials or substances, recycling of materials, transformation into a cabinet, garden pot, book shelf, etc.); Preparation for reuse (verification of cleaning or repair of discarded products, no need for further reprocessing); Waste prevention (sustainable design, incentive for repair); Other recovery (incineration of materials to produce electricity); Disposal in a landfill or scrapyard'),(688,3,'Text Answers Q8.9 ES','answer_text','Reciclaje (reprocesamiento en otros productos, materiales o sustancias, reciclaje de materiales, transformación en armario, maceta de jardín, estantería, etc.); Preparación para la reutilización (verificación de la limpieza o reparación de los productos desechados, sin necesidad de reprocesamiento adicional); Prevención de residuos (diseño sostenible, incentivo a la reparación); Otras recuperaciones (incineración de materiales para producir electricidad); Eliminación en un vertedero o depósito de chatarra'),(688,4,'Text Answers Q8.9 FR','answer_text','Recyclage (retraitement en d\'autres produits, matériaux ou substances, recyclage de matériaux, transformation en armoire, pot de jardin, étagère à livres, etc.);Préparation au réemploi (vérification du nettoyage ou de la réparation des produits mis au rebut, pas besoin de retraitement ultérieur);Prévention des déchets (conception durable, incitation à la réparation);Autre valorisation (incinération de matériaux pour produire de l\'électricité);Elimination dans une décharge ou une casse'),(688,5,'Text Answers Q8.9 IT','answer_text','Riciclo (ritrattamento in altri prodotti, materiali o sostanze, riciclo di materiali, trasformazione in armadio, vaso da giardino, scaffale per libri, ecc. ;Preparazione per il riutilizzo (controllo della pulizia o riparazione dei prodotti smaltiti, non è necessario un ulteriore ritrattamento) ;Prevenzione dei rifiuti (utilizzo del design per aumentare la durata, incentivo alla riparazione e all\'ammodernamento) ; Altro Recupero (i rifiuti hanno uno scopo utile, incenerimento dei materiali per generare elettricità ;Smaltimento finiscono in una discarica o in un deposito di rottami'),(689,1,'Text Answers Q8.10 BG','answer_text','20%; 40%; 80%; 100% '),(689,2,'Text Answers Q8.10 EN','answer_text','20%; 40%; 80%; 100%'),(689,3,'Text Answers Q8.10 ES','answer_text','20%; 40%; 80%; 100%'),(689,4,'Text Answers Q8.10 FR','answer_text','20%;40%;80%;100%'),(689,5,'Text Answers Q8.10 IT','answer_text','20%; 40%; 80%; 100% '),(690,1,'Text Answers Q3.10 ','answer_text','Индустрия, иновации и инфраструктура; Равенство между половете; Отговорно потребление и производство; Качествено образование '),(690,2,'Text Answers Q3.10 ','answer_text','Industry, Innovation and Infrastructure; Gender Equality; Responsible Consumption and Production; Quality Education '),(690,3,'Text Answers Q3.10 ','answer_text','175 teraWh'),(690,4,'Text Answers Q3.10 ','answer_text','Innovation et infrastructures ; Egalité entre les sexes; Accès à une éducation de qualité; Consommation responsable;'),(690,5,'Text Answers Q3.10 ','answer_text','Industria, innovazione e infrastrutture; Parità di genere; Consumo e produzione responsabili; Educazione di qualità '),(691,1,'Text Answers Q1.3b BG','answer_text','Лаптоп; Часовник; Телевизор; Кабелни/сателитни приемници'),(691,2,'Text Answers Q1.3b EN','answer_text','laptop;clock;TV;Cable/satellite boxes'),(691,3,'Text Answers Q1.3b ES','answer_text','computadora portátil; reloj; TV; cajas de cable/satélite '),(691,4,'Text Answers Q1.3b FR','answer_text','Ordinateur portable;Horloge;TV;Décodeurs câble/satellite '),(691,5,'Text Answers Q1.3b IT','answer_text','computer portatile;orologio;TV;TV via cavo/satellite '),(692,1,'Text Answers Q1.3c BG','answer_text','Микровълнови печки; Фризери; Кафемашини; Стереоуредби'),(692,2,'Text Answers Q1.3c EN','answer_text','Microwaves; freezer; coffee makers; Stereos'),(692,3,'Text Answers Q1.3c ES','answer_text','Microondas; congelador; cafeteras; estéreos '),(692,4,'Text Answers Q1.3c FR','answer_text','Four à micro-ondes;Congélateur;Cafetière;Chaîne stéréo '),(692,5,'Text Answers Q1.3c IT','answer_text','Microonde; congelatore; macchine per il caffè; stereo '),(700,1,'Correct Answer Q1.1 BG','text','на 3-то или 4-то място'),(700,2,'Correct Answer Q1.1 EN','text','3rd or 4th'),(700,3,'Correct Answer Q1.1 ES','text','3º o 4º'),(700,4,'Correct Answer Q1.1 FR','text','3ème ou 4ème'),(700,5,'Correct Answer Q1.1 IT','text','3º o 4º '),(701,1,'Correct Answer Q1.2 BG','text','ФАНТОМНА'),(701,2,'Correct Answer Q1.2 EN','text','Vampire'),(701,3,'Correct Answer Q1.2 ES','text','Vampirica'),(701,4,'Correct Answer Q1.2 FR','text','gaspillage'),(701,5,'Correct Answer Q1.2 IT','text','Vampirica'),(702,1,'Correct Answer Q1.3a BG','text','Принтер; Гейминг конзола; DVD плейър '),(702,2,'Correct Answer Q1.3a EN','text','printer; game station; DVD player'),(702,3,'Correct Answer Q1.3a ES','text','impresora; estación de juegos; reproductor de DVD'),(702,4,'Correct Answer Q1.3a FR','text','Imprimante;Console de jeux;Lecteur DVD'),(702,5,'Correct Answer Q1.3a IT','text','stampante; stazione di gioco; Lettore DVD '),(703,1,'Correct Answer Q1.4 BG','text','около 60% '),(703,2,'Correct Answer Q1.4 EN','text','about 60%'),(703,3,'Correct Answer Q1.4 ES','text','Alrededor del 60%'),(703,4,'Correct Answer Q1.4 FR','text','Environ 60%'),(703,5,'Correct Answer Q1.4 IT','text','circa 60%'),(704,1,'Correct Answer Q1.5 BG','text','Смартфон; Лаптоп; Персонален компютър; LCD телевизор 82 см '),(704,2,'Correct Answer Q1.5 EN','text','Smartphone;Laptop;Personal computer;LCD TV 82 cm'),(704,3,'Correct Answer Q1.5 ES','text','Smartphone;Ordenador portátil;Ordenador personal;TV LCD 82 cm'),(704,4,'Correct Answer Q1.5 FR','text','Smartphone;Ordinateur portable;Ordinateur personnel (PC);TV LCD 82 cm'),(704,5,'Correct Answer Q1.5 IT','text','Smartphone; Laptop; computer personale; TV LCD 82 cm '),(705,1,'Correct Answer Q1.6 BG','text','Да '),(705,2,'Correct Answer Q1.6 EN','text','Yes'),(705,3,'Correct Answer Q1.6 ES','text','Si'),(705,4,'Correct Answer Q1.6 FR','text','Oui'),(705,5,'Correct Answer Q1.6 IT','text','Sì '),(706,1,'Correct Answer Q1.7 BG','text','35,000 Wh (= 35 kWh) '),(706,2,'Correct Answer Q1.7 EN','text','35,000 Wh (= 35 kWh)'),(706,3,'Correct Answer Q1.7 ES','text','35,000 Wh (= 35 kWh)'),(706,4,'Correct Answer Q1.7 FR','text','35 000 Wh (= 35 kWh)'),(706,5,'Correct Answer Q1.7 IT','text','35.000 Wh (= 35 kWh) '),(707,1,'Correct Answer Q1.8 BG','text','Захранване на една 10-ватова лампа за 3500 часа '),(707,2,'Correct Answer Q1.8 EN','text','Light one 10-watt-lamp for 3500 hours'),(707,3,'Correct Answer Q1.8 ES','text','Encender una lámpara de 10 vatios durante 3.500 horas'),(707,4,'Correct Answer Q1.8 FR','text','Allumer une lampe de 10 watts pendant 3 500 heures.'),(707,5,'Correct Answer Q1.8 IT','text','Accendere una lampada da 10 watt per 3500 ore '),(708,1,'Correct Answer Q1.9 BG','text','Да '),(708,2,'Correct Answer Q1.9 EN','text','Yes'),(708,3,'Correct Answer Q1.9 ES','text','Si'),(708,4,'Correct Answer Q1.9 FR','text','Oui'),(708,5,'Correct Answer Q1.9 IT','text','Sì'),(709,1,'Correct Answer Q1.10 BG','text','175 teraWh '),(709,2,'Correct Answer Q1.10 EN','text','175 teraWh'),(709,3,'Correct Answer Q1.10 ES','text','175 teraWh'),(709,4,'Correct Answer Q1.10 FR','text','175 teraWh'),(709,5,'Correct Answer Q1.10 IT','text','175 teraWh'),(720,1,'Correct Answer Q2.1 BG','text','Нежелани устройства или джаджи, които използват електричество или батерии за захранване '),(720,2,'Correct Answer Q2.1 EN','text','Unwanted devices or gadgets that use electricity or their power is battery supplied'),(720,3,'Correct Answer Q2.1 ES','text','Aparatos electrónicos que aún se utilizan pero que derrochan mucha energía'),(720,4,'Correct Answer Q2.1 FR','text','Equipement indésirable qui utilise de l\'électricité ou est alimenté par batterie'),(720,5,'Correct Answer Q2.1 IT','text','Dispositivi indesiderati o gadget che utilizzano l\'elettricità o il loro potere è alimentato a batteria '),(721,1,'Correct Answer Q2.2 BG','text','НЕВЯРНО '),(721,2,'Correct Answer Q2.2 EN','text','FALSE'),(721,3,'Correct Answer Q2.2 ES','text','False'),(721,4,'Correct Answer Q2.2 FR','text','Faux'),(721,5,'Correct Answer Q2.2 IT','text','FALSO '),(722,1,'Correct Answer Q2.3 BG','text','Кафемелачка; Телевизор '),(722,2,'Correct Answer Q2.3 EN','text','Coffee grinder; TV'),(722,3,'Correct Answer Q2.3 ES','text','Molinillo de café; TV'),(722,4,'Correct Answer Q2.3 FR','text','Machine à café;Télévision'),(722,5,'Correct Answer Q2.3 IT','text','Macinacaffè; TV '),(723,1,'Correct Answer Q2.4 BG','text','ИКТ ОБОРУДВАНЕ '),(723,2,'Correct Answer Q2.4 EN','text','ICT Equipment'),(723,3,'Correct Answer Q2.4 ES','text','Equipamiento TIC'),(723,4,'Correct Answer Q2.4 FR','text','equipement electronique'),(723,5,'Correct Answer Q2.4 IT','text','Attrezzature TIC '),(724,1,'Correct Answer Q2.5 BG','text','катоднолъчева тръба '),(724,2,'Correct Answer Q2.5 EN','text','The cathode ray tube (CRT)'),(724,3,'Correct Answer Q2.5 ES','text','el tubo de rayos catódicos (TRC)'),(724,4,'Correct Answer Q2.5 FR','text','le tube à rayons cathodiques'),(724,5,'Correct Answer Q2.5 IT','text','il tubo catodico (CRT) '),(725,1,'Correct Answer Q2.6 BG','text','ВЯРНО '),(725,2,'Correct Answer Q2.6 EN','text','TRUE'),(725,3,'Correct Answer Q2.6 ES','text','VERDADERO'),(725,4,'Correct Answer Q2.6 FR','text','Vrai'),(725,5,'Correct Answer Q2.6 IT','text','VERO '),(726,1,'Correct Answer Q2.7 BG','text','Олово; Живак '),(726,2,'Correct Answer Q2.7 EN','text','Lead;Mercury'),(726,3,'Correct Answer Q2.7 ES','text','Plomo; Mercurio'),(726,4,'Correct Answer Q2.7 FR','text','Plomb;Mercure'),(726,5,'Correct Answer Q2.7 IT','text','Piombo; Mercurio '),(727,1,'Correct Answer Q2.8 BG','text','Отпадъци от електрическо и електронно оборудване '),(727,2,'Correct Answer Q2.8 EN','text','Waste Electrical and Electronic Equipment'),(727,3,'Correct Answer Q2.8 ES','text','Residuos de aparatos electricos y electronicos'),(727,4,'Correct Answer Q2.8 FR','text','Dechets d equipements electriques et electroniques'),(727,5,'Correct Answer Q2.8 IT','text','Rifiuti di apparecchiature elettriche ed elettroniche '),(728,1,'Correct Answer Q2.9 BG','text','Предотвратява кражбата на самоличност '),(728,2,'Correct Answer Q2.9 EN','text','It avoids identity theft or fraud'),(728,3,'Correct Answer Q2.9 ES','text','Evita el robo de identidad o el fraude'),(728,4,'Correct Answer Q2.9 FR','text','Cela évite l\'usurpation d\'identité ou la fraude'),(728,5,'Correct Answer Q2.9 IT','text','Evita furti di identità o frodi '),(729,1,'Correct Answer Q2.10 BG','text','ВЯРНО '),(729,2,'Correct Answer Q2.10 EN','text','TRUE'),(729,3,'Correct Answer Q2.10 ES','text','VERDADERO'),(729,4,'Correct Answer Q2.10 FR','text','Vrai'),(729,5,'Correct Answer Q2.10 IT','text','VERO '),(730,1,'Correct Answer Q3.1 BG','text','ООН; 2030 '),(730,2,'Correct Answer Q3.1 EN','text','Nations;2030'),(730,3,'Correct Answer Q3.1 ES','text','Naciones;2030'),(730,4,'Correct Answer Q3.1 FR','text','Nations;2030'),(730,5,'Correct Answer Q3.1 IT','text','Nazioni;2030 '),(731,1,'Correct Answer Q3.2 BG','text','ПАРИЖ '),(731,2,'Correct Answer Q3.2 EN','text','PARIS'),(731,3,'Correct Answer Q3.2 ES','text','PARIS'),(731,4,'Correct Answer Q3.2 FR','text','Paris'),(731,5,'Correct Answer Q3.2 IT','text','PARIGI '),(732,1,'Correct Answer Q3.3 BG','text','ВЯРНО '),(732,2,'Correct Answer Q3.3 EN','text','TRUE'),(732,3,'Correct Answer Q3.3 ES','text','VERDADERO'),(732,4,'Correct Answer Q3.3 FR','text','Vrai'),(732,5,'Correct Answer Q3.3 IT','text','VERO '),(733,1,'Correct Answer Q3.4 BG','text','17'),(733,2,'Correct Answer Q3.4 EN','text','17'),(733,3,'Correct Answer Q3.4 ES','text','17'),(733,4,'Correct Answer Q3.4 FR','text','17'),(733,5,'Correct Answer Q3.4 IT','text','17'),(734,1,'Correct Answer Q3.5 BG','text','Ограничи покачването на средната глобална температура с до максимум 2 градуса по Целзий над прединдустриалните нива;  Удвои усилията да не се надхвърлят 1,5 градуса по Целзий до края на този век; Постигане на климатична неутралност до 2050 г. '),(734,2,'Correct Answer Q3.5 EN','text','To limit the average global temperature increase to 2 degree Celsius above pre-industrial levels; redouble efforts to not exceed 1.5 degrees Celsius by the end of this century; achieve climate neutrality by 2050'),(734,3,'Correct Answer Q3.5 ES','text','Limitar el aumento medio de la temperatura mundial a 2 grados centígrados por encima de los niveles preindustriales;Redoblar los esfuerzos para no superar los 1,5 grados centígrados a finales de este siglo; Lograr la neutralidad climática en 2050'),(734,4,'Correct Answer Q3.5 FR','text','limiter l’augmentation moyenne de la température mondiale à 2 degrés Celsius au-dessus des niveaux préindustriels ;redoubler d\'efforts pour ne pas dépasser 1,5 degré Celsius d\'ici la fin de ce siècle ;atteindre la neutralité climatique d’ici 2050'),(734,5,'Correct Answer Q3.5 IT','text','Per limitare l\'aumento medio della temperatura globale a 2 gradi Celsius sopra i livelli preindustriali; raddoppiare gli sforzi per non superare 1,5 gradi Celsius entro la fine di questo secolo; raggiungere la neutralità climatica entro il 2050 '),(735,1,'Correct Answer Q3.6 BG','text','Действия в областта на климата '),(735,2,'Correct Answer Q3.6 EN','text','Climate Action'),(735,3,'Correct Answer Q3.6 ES','text','Acción por el clima'),(735,4,'Correct Answer Q3.6 FR','text','Lutte contre le changement climatique'),(735,5,'Correct Answer Q3.6 IT','text','Azione per il clima '),(736,1,'Correct Answer Q3.7 BG','text','55;40 '),(736,2,'Correct Answer Q3.7 EN','text','55;40'),(736,3,'Correct Answer Q3.7 ES','text','55;40'),(736,4,'Correct Answer Q3.7 FR','text','55;40'),(736,5,'Correct Answer Q3.7 IT','text','55;40 '),(737,1,'Correct Answer Q3.8 BG','text','НЕВЯРНО '),(737,2,'Correct Answer Q3.8 EN','text','FALSE'),(737,3,'Correct Answer Q3.8 ES','text','False'),(737,4,'Correct Answer Q3.8 FR','text','Faux'),(737,5,'Correct Answer Q3.8 IT','text','FALSO '),(738,1,'Correct Answer Q3.9 BG','text','Отговорно потребление и производство '),(738,2,'Correct Answer Q3.9 EN','text','Responsible Consumption and Production'),(738,3,'Correct Answer Q3.9 ES','text','Consumo y producción responsables'),(738,4,'Correct Answer Q3.9 FR','text','Consommation responsable'),(738,5,'Correct Answer Q3.9 IT','text','Consumo e produzione responsabili '),(739,1,'Correct Answer Q3.10 BG','text','Индустрия, иновации и инфраструктура'),(739,2,'Correct Answer Q3.10 EN','text','Industry, Innovation and Infrastructure'),(739,3,'Correct Answer Q3.10 ES','text','Industria, Innovación e Infraestructuras'),(739,4,'Correct Answer Q3.10 FR','text','Industrie, Innovation et Infrastructures'),(739,5,'Correct Answer Q3.10 IT','text','Industria, innovazione e infrastrutture '),(740,1,'Correct Answer Q4.1 BG','text','Бъдещите'),(740,2,'Correct Answer Q4.1 EN','text','Future'),(740,3,'Correct Answer Q4.1 ES','text','Futuras'),(740,4,'Correct Answer Q4.1 FR','text','futures'),(740,5,'Correct Answer Q4.1 IT','text','Futuro '),(741,1,'Correct Answer Q4.2 BG','text','Потребление на земя '),(741,2,'Correct Answer Q4.2 EN','text','Land consumption'),(741,3,'Correct Answer Q4.2 ES','text','Consumo de suelo'),(741,4,'Correct Answer Q4.2 FR','text','Consommation de territoires agricoles'),(741,5,'Correct Answer Q4.2 IT','text','Consumo di suolo '),(742,1,'Correct Answer Q4.3 BG','text','1972 г. в Стокхолм '),(742,2,'Correct Answer Q4.3 EN','text','1972 in Stockholm'),(742,3,'Correct Answer Q4.3 ES','text','1972 en Estocolmo'),(742,4,'Correct Answer Q4.3 FR','text','1972 à Stockholm'),(742,5,'Correct Answer Q4.3 IT','text','1972 a Stoccolma '),(743,1,'Correct Answer Q4.4 BG','text','Общото'),(743,2,'Correct Answer Q4.4 EN','text','Common'),(743,3,'Correct Answer Q4.4 ES','text','Común'),(743,4,'Correct Answer Q4.4 FR','text','tous'),(743,5,'Correct Answer Q4.4 IT','text','Comune '),(744,1,'Correct Answer Q4.5 BG','text','Рамкова конвенция за изменение на климата '),(744,2,'Correct Answer Q4.5 EN','text','Framework Convention on Climate Change'),(744,3,'Correct Answer Q4.5 ES','text','Convención Marco sobre el Cambio Climático'),(744,4,'Correct Answer Q4.5 FR','text','Convention-cadre sur les changements climatiques'),(744,5,'Correct Answer Q4.5 IT','text','convenzione generale sui cambiamenti climatici'),(745,1,'Correct Answer Q4.6 BG','text','Съединени американски щати '),(745,2,'Correct Answer Q4.6 EN','text','United States of America'),(745,3,'Correct Answer Q4.6 ES','text','Estados Unidos'),(745,4,'Correct Answer Q4.6 FR','text','Etats-Unis'),(745,5,'Correct Answer Q4.6 IT','text','Stati Uniti d\'America '),(746,1,'Correct Answer Q4.7 BG','text','2000'),(746,2,'Correct Answer Q4.7 EN','text','2000'),(746,3,'Correct Answer Q4.7 ES','text','2000'),(746,4,'Correct Answer Q4.7 FR','text','2000'),(746,5,'Correct Answer Q4.7 IT','text','2000'),(747,1,'Correct Answer Q4.8 BG','text','20-процентно намаление на потреблението на хартия в ЕС '),(747,2,'Correct Answer Q4.8 EN','text','20% improvement in the EU\'s paper consumption'),(747,3,'Correct Answer Q4.8 ES','text','Mejora en un 20% del consumo de papel de la UE'),(747,4,'Correct Answer Q4.8 FR','text','Diminuer de 20% de la consommation de papier dans l\'UE'),(747,5,'Correct Answer Q4.8 IT','text','Miglioramento del 20% del consumo di carta nell\'UE '),(748,1,'Correct Answer Q4.9 BG','text','Намалението трябва да бъде 25% през 2020 г., 40% през 2030 г. и 60% през 2040 г. '),(748,2,'Correct Answer Q4.9 EN','text','The reduction should be 25% in 2020, 40% in 2030 and 60% in 2040'),(748,3,'Correct Answer Q4.9 ES','text','la reducción debe ser del 25% en 2020, del 40% en 2030 y del 60% en 2040'),(748,4,'Correct Answer Q4.9 FR','text','la réduction devrait être de 25% en 2020, 40% en 2030 et 60% en 2040'),(748,5,'Correct Answer Q4.9 IT','text','La riduzione dovrebbe essere del 25% nel 2020, del 40% nel 2030 e del 60% nel 2040 '),(749,1,'Correct Answer Q4.10 BG','text','Европейска зелена сделка '),(749,2,'Correct Answer Q4.10 EN','text','European Green Deal'),(749,3,'Correct Answer Q4.10 ES','text','Pacto Verde Europeo'),(749,4,'Correct Answer Q4.10 FR','text','Pacte vert européen'),(749,5,'Correct Answer Q4.10 IT','text','Accordo verde europeo '),(750,1,'Correct Answer Q5.1 BG','text','Вятър; Слънчева енергия; Газ; Въглища '),(750,2,'Correct Answer Q5.1 EN','text','Wind; Solar; Gas; Coal'),(750,3,'Correct Answer Q5.1 ES','text','Eólica; Solar; Gas; Carbón'),(750,4,'Correct Answer Q5.1 FR','text','éolien;solaire;gaz;charbon'),(750,5,'Correct Answer Q5.1 IT','text','Vento; Solare; Gas; Carbone '),(751,1,'Correct Answer Q5.2 BG','text','Система'),(751,2,'Correct Answer Q5.2 EN','text','Network'),(751,3,'Correct Answer Q5.2 ES','text','Red'),(751,4,'Correct Answer Q5.2 FR','text','Réseau'),(751,5,'Correct Answer Q5.2 IT','text','Rete '),(752,1,'Correct Answer Q5.3 BG','text','Центрове за данни '),(752,2,'Correct Answer Q5.3 EN','text','Data-center'),(752,3,'Correct Answer Q5.3 ES','text','Data-center'),(752,4,'Correct Answer Q5.3 FR','text','Centre de données (data-center)'),(752,5,'Correct Answer Q5.3 IT','text','Data-center '),(753,1,'Correct Answer Q5.4 BG','text','22'),(753,2,'Correct Answer Q5.4 EN','text','22'),(753,3,'Correct Answer Q5.4 ES','text','22'),(753,4,'Correct Answer Q5.4 FR','text','22'),(753,5,'Correct Answer Q5.4 IT','text','22'),(754,1,'Correct Answer Q5.5 BG','text','Поставиш снимката в уеб хранилище и изпратиш връзка за изтегляне '),(754,2,'Correct Answer Q5.5 EN','text','Put it on a web storage and send a download link'),(754,3,'Correct Answer Q5.5 ES','text','Ponerla en un almacenamiento web y enviar un enlace de descarga'),(754,4,'Correct Answer Q5.5 FR','text','La mettre sur un stockage Web et envoyer un lien de téléchargement'),(754,5,'Correct Answer Q5.5 IT','text','Metterlo su un archivio web e inviare un link per il download '),(755,1,'Correct Answer Q5.6 BG','text','ОТПИШЕШ'),(755,2,'Correct Answer Q5.6 EN','text','UNSUBSCRIBE'),(755,3,'Correct Answer Q5.6 ES','text','Dar de baja'),(755,4,'Correct Answer Q5.6 FR','text','DESABONNER'),(755,5,'Correct Answer Q5.6 IT','text','DISISCRIVERSI'),(756,1,'Correct Answer Q5.7 BG','text','1 милиард гигабайта '),(756,2,'Correct Answer Q5.7 EN','text','1 billion gigabytes'),(756,3,'Correct Answer Q5.7 ES','text','1 billón de gigabytes'),(756,4,'Correct Answer Q5.7 FR','text','1 milliard de gigaoctets'),(756,5,'Correct Answer Q5.7 IT','text','1 miliardo di gigabyte '),(757,1,'Correct Answer Q5.8 BG','text','Намаляване на броя на заявките в търсачка; Намаляване на качеството на видеото; Деактивиране на видеото във видеоконферентни разговори '),(757,2,'Correct Answer Q5.8 EN','text','Reducing the number of queries on a search engine; Reducing the quality of video streaming; Disable video mode in videoconference'),(757,3,'Correct Answer Q5.8 ES','text','Reducir el número de consultas en un motor de búsqueda; Reducir la calidad del streaming de vídeo; Desactivar el modo vídeo en videoconferencia'),(757,4,'Correct Answer Q5.8 FR','text','Réduire le nombre de requêtes sur un moteur de recherche ;Choisir une faible qualité pour le streaming ;Désactiver le mode vidéo en visioconférence'),(757,5,'Correct Answer Q5.8 IT','text','Ridurre il numero di query su un motore di ricerca; Ridurre la qualità dello streaming video; Disabilita la modalità video in videoconferenza '),(758,1,'Correct Answer Q5.9 BG','text','Да '),(758,2,'Correct Answer Q5.9 EN','text','Yes'),(758,3,'Correct Answer Q5.9 ES','text','Si'),(758,4,'Correct Answer Q5.9 FR','text','Oui'),(758,5,'Correct Answer Q5.9 IT','text','Sì '),(759,1,'Correct Answer Q5.10 BG','text','Да '),(759,2,'Correct Answer Q5.10 EN','text','Yes'),(759,3,'Correct Answer Q5.10 ES','text','Si'),(759,4,'Correct Answer Q5.10 FR','text','Oui'),(759,5,'Correct Answer Q5.10 IT','text','Sì '),(760,1,'Correct Answer Q6.1 BG','text','Изпускане на опасни вещества в атмосферата '),(760,2,'Correct Answer Q6.1 EN','text','The emission of hazardous substances into the atmosphere'),(760,3,'Correct Answer Q6.1 ES','text','La emisión de sustancias peligrosas a la atmósfera'),(760,4,'Correct Answer Q6.1 FR','text','L\'émission de substances dangereuses dans l\'atmosphère'),(760,5,'Correct Answer Q6.1 IT','text','l\'emissione di sostanze pericolose nell\'atmosfera '),(761,1,'Correct Answer Q6.2 BG','text','ВЯРНО '),(761,2,'Correct Answer Q6.2 EN','text','TRUE'),(761,3,'Correct Answer Q6.2 ES','text','VERDADERO'),(761,4,'Correct Answer Q6.2 FR','text','Vrai'),(761,5,'Correct Answer Q6.2 IT','text','VERO '),(762,1,'Correct Answer Q6.3 BG','text','Да се изхвърлят в специалните контейнери за батерии; Да се извадят от уреда и да се рециклират отделно '),(762,2,'Correct Answer Q6.3 EN','text','Thrown in dedicated battery trash bins;Removed from the appliance and recycled separately'),(762,3,'Correct Answer Q6.3 ES','text','Tirarlas en contenedores específicos para pilas; Retirarlas del aparato y reciclarlas por separado'),(762,4,'Correct Answer Q6.3 FR','text','Jetées dans des poubelles dédiées aux batteries;Retirées de l\'appareil pour être recyclées séparément'),(762,5,'Correct Answer Q6.3 IT','text','Gettato in appositi bidoni della batteria; Rimosso dall\'apparecchio e riciclato separatamente '),(763,1,'Correct Answer Q6.4 BG','text','ГРАДСКИ ДОБИВ '),(763,2,'Correct Answer Q6.4 EN','text','Urban Mining'),(763,3,'Correct Answer Q6.4 ES','text','Mineria urbana'),(763,4,'Correct Answer Q6.4 FR','text','urbaine'),(763,5,'Correct Answer Q6.4 IT','text','Urban Mining '),(764,1,'Correct Answer Q6.5 BG','text','Изхвърли го в кофата за боклук '),(764,2,'Correct Answer Q6.5 EN','text','Dispose of it in the trash bin'),(764,3,'Correct Answer Q6.5 ES','text','Tíralo a la papelera'),(764,4,'Correct Answer Q6.5 FR','text','Le jeter à la poubelle'),(764,5,'Correct Answer Q6.5 IT','text','Gettalo nel cestino della spazzatura '),(765,1,'Correct Answer Q6.6 BG','text','Система, която насърчава повторната употреба, ремонта, обновяването и рециклирането на съществуващи ресурси и стоки; '),(765,2,'Correct Answer Q6.6 EN','text','A system that promotes the reuse, repair, refurbishment, and recycling of existing resources and goods'),(765,3,'Correct Answer Q6.6 ES','text','Un sistema que promueve la reutilización, reparación, reacondicionamiento y reciclaje de recursos y bienes existentes'),(765,4,'Correct Answer Q6.6 FR','text','Un système qui favorise la réutilisation, la réparation, la remise à neuf et le recyclage des ressources et des biens existants'),(765,5,'Correct Answer Q6.6 IT','text','Un sistema che promuove il riutilizzo, la riparazione, la ristrutturazione e il riciclaggio delle risorse e delle merci esistenti '),(766,1,'Correct Answer Q6.7 BG','text','Рентген; Тостер '),(766,2,'Correct Answer Q6.7 EN','text','X-ray Machine; Toaster'),(766,3,'Correct Answer Q6.7 ES','text','Máquina de rayos X; Tostadora'),(766,4,'Correct Answer Q6.7 FR','text','Machine à rayons-X;Grille-pain'),(766,5,'Correct Answer Q6.7 IT','text','Macchina a raggi X; Toaster '),(767,1,'Correct Answer Q6.8 BG','text','ДЕМОНТАЖ '),(767,2,'Correct Answer Q6.8 EN','text','Dismantling'),(767,3,'Correct Answer Q6.8 ES','text','Desmontaje'),(767,4,'Correct Answer Q6.8 FR','text','Demantelement'),(767,5,'Correct Answer Q6.8 IT','text','Smantellamento '),(768,1,'Correct Answer Q6.9 BG','text','Качеството на електронните отпадъци се влошава '),(768,2,'Correct Answer Q6.9 EN','text','The quality of e-waste is declining'),(768,3,'Correct Answer Q6.9 ES','text','La calidad de los residuos electrónicos está disminuyendo'),(768,4,'Correct Answer Q6.9 FR','text','La qualité des déchets électroniques est en baisse'),(768,5,'Correct Answer Q6.9 IT','text','La qualità dei rifiuti elettronici è in declino '),(769,1,'Correct Answer Q6.10 BG','text','НЕВЯРНО '),(769,2,'Correct Answer Q6.10 EN','text','FALSE'),(769,3,'Correct Answer Q6.10 ES','text','FALSO'),(769,4,'Correct Answer Q6.10 FR','text','Faux'),(769,5,'Correct Answer Q6.10 IT','text','FALSO '),(770,1,'Correct Answer Q7.1 BG','text','Правителства; Компании; Гражданско общество '),(770,2,'Correct Answer Q7.1 EN','text','Governments; Companies; Civil Society'),(770,3,'Correct Answer Q7.1 ES','text','Gobiernos; Empresas; Sociedad civil'),(770,4,'Correct Answer Q7.1 FR','text','Les gouvernements;Les entreprises;La société civile'),(770,5,'Correct Answer Q7.1 IT','text','Governi; Aziende; Società civile '),(771,1,'Correct Answer Q7.2 BG','text','НЕВЯРНО '),(771,2,'Correct Answer Q7.2 EN','text','FALSE'),(771,3,'Correct Answer Q7.2 ES','text','FALSO'),(771,4,'Correct Answer Q7.2 FR','text','Vrai'),(771,5,'Correct Answer Q7.2 IT','text','FALSO '),(772,1,'Correct Answer Q7.3 BG','text','Изкореняване на бедността, разширяване на достъпа до права и постигане на глобално икономическо развитие по устойчив и зачитащ планетата Земя и нейните ресурси начин; '),(772,2,'Correct Answer Q7.3 EN','text','Eradicate poverty, expand access to human rights and achieve global economic development in a sustainable and respectful way with the planet Earth and its resources'),(772,3,'Correct Answer Q7.3 ES','text','Erradicar la pobreza, ampliar el acceso a los derechos humanos y lograr un desarrollo económico global de forma sostenible y respetuosa con el planeta Tierra y sus recursos'),(772,4,'Correct Answer Q7.3 FR','text','Éradiquer la pauvreté, élargir l\'accès aux droits de l\'homme et parvenir à un développement économique mondial de manière durable et respectueuse de la planète Terre et de ses ressources'),(772,5,'Correct Answer Q7.3 IT','text','Eliminare la povertà, ampliare l\'accesso ai diritti umani e raggiungere lo sviluppo economico globale in modo sostenibile e rispettoso con il pianeta Terra e le sue risorse '),(773,1,'Correct Answer Q7.4 BG','text','Устойчиви градове и общности '),(773,2,'Correct Answer Q7.4 EN','text','Sustainable cities and communities'),(773,3,'Correct Answer Q7.4 ES','text','Ciudades y comunidades sostenibles'),(773,4,'Correct Answer Q7.4 FR','text','Villes et communautés durables'),(773,5,'Correct Answer Q7.4 IT','text','Città e comunità sostenibili '),(774,1,'Correct Answer Q7.5 BG','text','Достъпна и чиста енергия '),(774,2,'Correct Answer Q7.5 EN','text','Affordable and clean energy'),(774,3,'Correct Answer Q7.5 ES','text','Energía asequible y limpia'),(774,4,'Correct Answer Q7.5 FR','text','Accès à une énergie propre et d\'un coût abordable'),(774,5,'Correct Answer Q7.5 IT','text','Energia economica e pulita '),(775,1,'Correct Answer Q7.6 BG','text','ЕВРОПЕЙСКА КОМИСИЯ '),(775,2,'Correct Answer Q7.6 EN','text','EUROPEAN COMMISSION'),(775,3,'Correct Answer Q7.6 ES','text','COMISION EUROPEA'),(775,4,'Correct Answer Q7.6 FR','text','Commission Europeenne'),(775,5,'Correct Answer Q7.6 IT','text','COMMISSIONE EUROPEA '),(776,1,'Correct Answer Q7.7 BG','text','По-устойчиво производство; Модели на кръговата икономика и образован избор при извършване на покупки; Проверка на спазването на законите '),(776,2,'Correct Answer Q7.7 EN','text','More sustainable production; Circular economy models and Educated choices while making purchases; Verify that laws are being followed'),(776,3,'Correct Answer Q7.7 ES','text','Producción más sostenible; Modelos de economía circular y Elecciones educadas a la hora de comprar; Verificar que se cumplen las leyes'),(776,4,'Correct Answer Q7.7 FR','text','Une production plus durable ;Des modèles d\'économie circulaire et choix éclairés lors des achats ;La vérification que les lois sont bien respectées'),(776,5,'Correct Answer Q7.7 IT','text','una produzione più sostenibile; Modelli di economia circolare e scelte istruite durante gli acquisti; Verificare che le leggi siano rispettate '),(777,1,'Correct Answer Q7.8 BG','text','ECOSIA '),(777,2,'Correct Answer Q7.8 EN','text','ECOSIA'),(777,3,'Correct Answer Q7.8 ES','text','ECOSIA'),(777,4,'Correct Answer Q7.8 FR','text','ECOSIA'),(777,5,'Correct Answer Q7.8 IT','text','ECOSIA '),(778,1,'Correct Answer Q7.9 BG','text','колаборация; поща; път'),(778,2,'Correct Answer Q7.9 EN','text','Email;paper;collaboration'),(778,3,'Correct Answer Q7.9 ES','text','Email; papel; Colaboración'),(778,4,'Correct Answer Q7.9 FR','text','e-mails;papier;collaboration'),(778,5,'Correct Answer Q7.9 IT','text','Email; paper; collaborazione '),(779,1,'Correct Answer Q7.10 BG','text','ВЯРНО '),(779,2,'Correct Answer Q7.10 EN','text','TRUE'),(779,3,'Correct Answer Q7.10 ES','text','VERDADERO'),(779,4,'Correct Answer Q7.10 FR','text','Vrai'),(779,5,'Correct Answer Q7.10 IT','text','VERO '),(780,1,'Correct Answer Q8.1 BG','text','енергийна; енергия'),(780,2,'Correct Answer Q8.1 EN','text','energy;energy'),(780,3,'Correct Answer Q8.1 ES','text','energética;energéticas'),(780,4,'Correct Answer Q8.1 FR','text','renouvelables'),(780,5,'Correct Answer Q8.1 IT','text','energia'),(781,1,'Correct Answer Q8.2 BG','text','Разработване на много голямо количество зарядни устройства за малки и средни електронни джаджи '),(781,2,'Correct Answer Q8.2 EN','text','Developing a very big amount of chargers for small and medium-sized electronic gadgets'),(781,3,'Correct Answer Q8.2 ES','text','Desarrollar una gran cantidad de cargadores para aparatos electrónicos pequeños y medianos'),(781,4,'Correct Answer Q8.2 FR','text','Développement d\'une grande quantité de chargeurs pour les gadgets électroniques de petite et moyenne taille'),(781,5,'Correct Answer Q8.2 IT','text','Sviluppo di una grande quantità di caricabatterie per gadget elettronici di piccole e medie dimensioni '),(782,1,'Correct Answer Q8.3 BG','text','Всяко вещество или предмет, от които притежателят се освобождава или е длъжен да се освободи съгласно разпоредбите на действащото национално законодателство '),(782,2,'Correct Answer Q8.3 EN','text','Any substance or object which the holder disposes of or is required to dispose of pursuant to the provisions of national law in force'),(782,3,'Correct Answer Q8.3 ES','text','Cualquier sustancia u objeto del que el poseedor se deshaga o deba deshacerse en virtud de las disposiciones de la legislación nacional vigente'),(782,4,'Correct Answer Q8.3 FR','text','Toute substance ou objet dont le détenteur se débarrasse ou est tenu de le faire éliminer conformément aux dispositions du droit national en vigueur'),(782,5,'Correct Answer Q8.3 IT','text','Qualsiasi sostanza o oggetto che il titolare smaltisca o sia tenuto a smaltire conformemente alle disposizioni del diritto nazionale in vigore '),(783,1,'Correct Answer Q8.4 BG','text','Многократно'),(783,2,'Correct Answer Q8.4 EN','text','Multiples'),(783,3,'Correct Answer Q8.4 ES','text','Múltiple'),(783,4,'Correct Answer Q8.4 FR','text','plusieurs'),(783,5,'Correct Answer Q8.4 IT','text','Multipla '),(784,1,'Correct Answer Q8.5 BG','text','Австрия, България, Германия, Унгария, Ирландия, Литва, Финландия, Франция, Испания, Обединеното кралство; Белгия, Латвия, Люксембург, Нидерландия, Полша, Португалия, Словакия и Швеция; Чехия, Хърватия, Кипър, Дания, Естония, Гърция, Италия, Малта, Румъния, Словения'),(784,2,'Correct Answer Q8.5 EN','text','Austria, Bulgaria, Germany, Hungary, Ireland, Lithuania, Finland, France, Spain, United Kingdom. ;Belgium, Latvia, Luxemburg, Netherlands, Poland, Portugal, Slovakia, and Sweden;Czechia, Croatia, Cyprus, Denmark, Estonia, Greece, Italy, Malta, Romania, Slovenia '),(784,3,'Correct Answer Q8.5 ES','text','Austria, Bulgaria, Alemania, Hungría, Irlanda, Lituania, Finlandia, Francia, España y Reino Unido. ;Bélgica, Letonia, Luxemburgo, Países Bajos, Polonia, Portugal, Eslovaquia y Suecia;Chequia, Croacia, Chipre, Dinamarca, Estonia, Grecia, Italia, Malta, Rumania, Eslovenia'),(784,4,'Correct Answer Q8.5 FR','text','Autriche, Bulgarie, Allemagne, Hongrie, Irlande, Lituanie, Finlande, France, Espagne, Royaume-Uni;Belgique, Lettonie, Luxembourg, Pays-Bas, Pologne , Portugal, Slovaquie et Suède;Tchéquie, Croatie, Chypre, Danemark, Estonie, Grèce, Italie, Malte, Roumanie, Slovénie'),(784,5,'Correct Answer Q8.5 IT','text','Austria, Bulgaria, Germania, Ungheria, Irlanda, Lituania, Finlandia, Francia, Spagna, Regno Unito; Belgio, Lettonia, Lussemburgo, Paesi Bassi, Polonia, Portogallo, Slovacchia e Svezia; Repubblica Ceca, Croazia, Cipro, Danimarca, Estonia, Grecia, Italia, Malta, Romania, Slovenia'),(785,1,'Correct Answer Q8.6 BG','text','Всеки продукт, който се нуждае от какъвто и да е вид енергия, докато се използва '),(785,2,'Correct Answer Q8.6 EN','text','Every product that needs any kind of energy while in use'),(785,3,'Correct Answer Q8.6 ES','text','Todo producto que necesite cualquier tipo de energía mientras esté en uso'),(785,4,'Correct Answer Q8.6 FR','text','Tout produit qui a besoin d’énergie lors de son utilisation'),(785,5,'Correct Answer Q8.6 IT','text','Ogni prodotto che ha bisogno di qualsiasi tipo di energia durante l\'uso '),(786,1,'Correct Answer Q8.7 BG','text','Да '),(786,2,'Correct Answer Q8.7 EN','text','Yes'),(786,3,'Correct Answer Q8.7 ES','text','Si'),(786,4,'Correct Answer Q8.7 FR','text','Non'),(786,5,'Correct Answer Q8.7 IT','text','Sì '),(787,1,'Correct Answer Q8.8 BG','text','2'),(787,2,'Correct Answer Q8.8 EN','text','2'),(787,3,'Correct Answer Q8.8 ES','text','2'),(787,4,'Correct Answer Q8.8 FR','text','ans'),(787,5,'Correct Answer Q8.8 IT','text','2'),(788,1,'Correct Answer Q8.9 BG','text','Предотвратяване на производството на отпадъци (устойчив дизайн и насърчаване на ремонтирането на оборудване);Подготовка за повторна употреба (проверка, почистване или поправката на изхвърлено оборудване, без необходимост от допълнително обработване на продукта);Рециклиране (преработване в други продукти или материали; рециклиране, промяна на предназначението);Друго оползотворяване (отпадъците служат за полезни цели, изгаряне на материали за производство на електроенергия); Изхвърляне (процесът завършва с изхвърляне на продукта в сметище) '),(788,2,'Correct Answer Q8.9 EN','text','Waste prevention (use design to increase durability, incentive to repair and upgrade);Preparing for reuse (checking cleaning or repairing disposed products, no need for further reprocessing);Recycling (reprocessing into other products, materials or substances; recycling of materials, conversion into a wardrobe, garden pot, book shelf, etc.);Other Recovery (waste serves useful purpose, incineration of materials to generate electricity;Disposal end up in. a landfill or scrapyard'),(788,3,'Correct Answer Q8.9 ES','text','Prevención de residuos (utilizar el diseño para aumentar la durabilidad, incentivo para reparar y mejorar);Preparación para la reutilización (comprobación de la limpieza o reparación de los productos desechados, sin necesidad de reprocesamiento posterior);Reciclaje (reprocesamiento en otros productos, materiales o sustancias; reciclado de materiales, conversión en un armario, una maceta de jardín, una estantería, etc.);Otra recuperación (los residuos sirven para algo útil, incineración de materiales para generar electricidad;La eliminación acaba en. un vertedero o un desguace.'),(788,4,'Correct Answer Q8.9 FR','text','Prévention des déchets (conception durable, incitation à la réparation);Préparation au réemploi (vérification du nettoyage ou de la réparation des produits mis au rebut, pas besoin de retraitement ultérieur);Recyclage (retraitement en d\'autres produits, matériaux ou substances, recyclage de matériaux, transformation en armoire, pot de jardin, étagère à livres, etc.);Autre valorisation (incinération de matériaux pour produire de l\'électricité);Elimination dans une décharge ou une casse'),(788,5,'Correct Answer Q8.9 IT','text','Prevenzione dei rifiuti (utilizzare la progettazione per aumentare la durata, incentivo alla riparazione e all\'aggiornamento);Preparazione per il riutilizzo (controllo della pulizia o riparazione dei prodotti smaltiti, non è necessario un ulteriore ritrattamento);Riciclo (ritrattamento in altri prodotti, materiali o sostanze; riciclaggio di materiali, trasformazione in un armadio, vaso da giardino, scaffale dei libri, ecc.);Altro recupero (i rifiuti hanno uno scopo utile, l\'incenerimento di materiali per generare elettricità;Smaltimento finiscono in una discarica o discarica '),(789,1,'Correct Answer Q8.10 BG','text','20%'),(789,2,'Correct Answer Q8.10 EN','text','20%'),(789,3,'Correct Answer Q8.10 ES','text','20%'),(789,4,'Correct Answer Q8.10 FR','text','20%'),(789,5,'Correct Answer Q8.10 IT','text','20%'),(791,1,'Correct Answer Q1.3b BG','text','Лаптоп; Телевизор; Кабелни/сателитни приемници'),(791,2,'Correct Answer Q1.3b EN','text','laptop;TV;Cable/satellite boxes'),(791,3,'Correct Answer Q1.3b ES','text','ordenador portátil; TV; decodificadores de cable/satélite '),(791,4,'Correct Answer Q1.3b FR','text','Ordinateur portable;TV;Décodeurs câble/satellite'),(791,5,'Correct Answer Q1.3b IT','text','computer portatile;TV;TV via cavo/satellite '),(792,1,'Correct Answer Q1.3c BG','text','Микровълнови печки; Кафемашини; Стереоуредби'),(792,2,'Correct Answer Q1.3c EN','text','Microwaves; coffee makers; Stereos'),(792,3,'Correct Answer Q1.3c ES','text','Microondas; cafeteras; estéreos '),(792,4,'Correct Answer Q1.3c FR','text','Four à micro-ondes;Cafetière;Chaîne stéréo'),(792,5,'Correct Answer Q1.3c IT','text','Microonde; macchine per il caffè; stereo '),(800,1,'Learning Pill Q1.1 BG','text','През 2021 г. Китай е на първо място по потребление със 7,805 тераватчаса, САЩ са на второ място с 3,979; Индия е на трето място с 1,442 (източник: https://www.statista.com/statistics/280704/world-power-consumption/). От друга страна, потреблението на електроенергия в интернет през 2021 г. се оценява на 1 500 TWH. Тъй като това е оценка, някои смятат, че ако беше държава, Интернет щеше да бъде на 3-то или 4-то място по потребление. '),(800,2,'Learning Pill Q1.1 EN','text','In 2021, China was the 1st consumer with 7,805 terawatt-hours, USA was second with 3,979; India was 3rd with 1,442 (statista: https://www.statista.com/statistics/280704/world-power-consumption/). On the other hand, Internet electricity consumption in 2021 was estimated to be 1,500 TWH. Since it is an estimation, some considered it to be at the 3rd or the 4th rank'),(800,3,'Learning Pill Q1.1 ES','text','En 2021, China fue el primer consumidor con 7.805 teravatios-hora, Estados Unidos el segundo con 3.979; India ocupó el tercer lugar con 1.442 (statista: https://www.statista.com/statistics/280704/world-power-consumption/). Por otro lado, el consumo eléctrico de Internet en 2021 se estimó en 1.500 TWH. Dado que es una estimación, algunos lo consideraron en el tercer o cuarto rango'),(800,4,'Learning Pill Q1.1 FR','text','En 2021, la Chine était le premier pays consommateur d\'électricité avec 7 805 térawattheures, les États-Unis étaient deuxièmes avec 3 979 ;l\'Inde était 3ème avec 1 442 (statista : https://www.statista.com/statistics/280704/world-power-consumption/). En revanche, la consommation électrique Internet en 2021 était estimée à 1 500 TWH. Puisqu\'il s\'agit d\'une estimation, certains l\'ont considéré comme étant au 3ème ou au 4ème rang.'),(800,5,'Learning Pill Q1.1 IT','text','Nel 2021, la Cina era il primo consumatore con 7.805 terawattora, gli Stati Uniti erano il secondo con 3.979; l\'India era terza con 1.442 (Statista: https://www.statista.com/statistics/280704/world-power-consumption/). d\'altra parte, il consumo di energia elettrica su Internet nel 2021 è stato stimato a 1.500 TWH. Dal momento che è una stima, alcuni lo consideravano al 3 º o al 4 º rango '),(801,1,'Learning Pill Q1.2 BG','text','Дори когато не се използват, много електроуреди все пак консумират енергия. Това явление е известно в разговорния език като фантомна консумация на електроенергия или просто фантомна енергия. Ръчното изключване на уредите от захранването ще намали значително този излишен разход на енергия. '),(801,2,'Learning Pill Q1.2 EN','text','When not used, many electrical devices keep consuming power in standby mode; a common phenomenon is known colloquially as vampire power (or phantom power). Turning off a shared power strip manually will significantly reduce this passive power usage.'),(801,3,'Learning Pill Q1.2 ES','text','Cuando no se utilizan, muchos dispositivos eléctricos siguen consumiendo energía en modo de espera; Un fenómeno común se conoce coloquialmente como poder vampírico (o poder fantasma). Apagar manualmente una regleta compartida reducirá significativamente este uso pasivo de energía'),(801,4,'Learning Pill Q1.2 FR','text','Lorsqu’ils ne sont pas utilisés, de nombreux appareils électriques continuent de consommer de l’énergie en mode veille ;un phénomène courant souvent considéré comme du gaspillage d\'énergie. La désactivation manuelle d\'une multiprise partagée réduira considérablement cette consommation d\'énergie passive.'),(801,5,'Learning Pill Q1.2 IT','text','Quando non utilizzati, molti dispositivi elettrici continuano a consumare energia in modalità standby; un fenomeno comune è conosciuto colloquialmente come potere vampiresco (o potere fantasma). Lo spegnimento manuale di una striscia di alimentazione condivisa ridurrà significativamente questo consumo passivo di energia '),(802,1,'Learning Pill Q1.3a BG','text','Принтерите, гейминг конзолите и DVD плейърите консумират енергия, дори в режим на готовност. \n \nПоради това е добре да ги изключваш, когато не ги използваш. \n \nХладилникът не винаги активно охлажда съдържанието си, но естествено, няма как да бъде спрян в неактивните си фази. Можеш, обаче, да изключваш хладилника от захранването всеки път, когато е празен (например, когато си във ваканция). '),(802,2,'Learning Pill Q1.3a EN','text','Printers, game stations and DVD players consume energy while in standby mode. \n\nFor this reason, switching them off whenever they are not used is a good idea. \n\nA fridge is not always active in refrigerating its contents. But it cannot be stopped during its non-active phases. However, it can be stopped each time it is emptied (during holidays, for instance).'),(802,3,'Learning Pill Q1.3a ES','text','Las impresoras, estaciones de juegos y reproductores de DVD consumen energía mientras están en modo de espera.\n\nPor este motivo, apagarlos cuando no se utilicen es una buena idea.\n\nUn frigorífico no siempre está activo para refrigerar su contenido. Pero no se puede detener durante sus fases inactivas. Sin embargo, se puede detener cada vez que se vacía (por ejemplo, durante las vacaciones).'),(802,4,'Learning Pill Q1.3a FR','text','Les imprimantes, les consoles de jeux et les lecteurs DVD consomment de l\'énergie lorsqu\'ils sont en mode veille.\n\nC’est pour cette raison qu’il est judicieux de les éteindre lorsqu’ils ne sont pas utilisés.\n\nUn réfrigérateur n’est pas toujours actif pour réfrigérer son contenu. Mais il ne peut être arrêté pendant ses phases inactives. Cependant, il peut être arrêté s\'il est vide, pendant les vacances par exemple.'),(802,5,'Learning Pill Q1.3a IT','text','Stampanti, stazioni di gioco e lettori DVD consumano energia durante la modalità standby. Per questo motivo, spegnerli ogni volta che non vengono utilizzati è una buona idea. Un frigorifero non è sempre attivo nel refrigerare il suo contenuto. Ma non può essere fermato durante le sue fasi inattive. Tuttavia, può essere fermato ogni volta che viene svuotato (durante le vacanze, per esempio). '),(803,1,'Learning Pill Q1.4 BG','text','Според Statista, през 2019 г., 60,6% от общия интернет трафик се дължи на стрийминг.'),(803,2,'Learning Pill Q1.4 EN','text','According to Statista, streaming accounted for 60.6% of Internet traffic in 2019.'),(803,3,'Learning Pill Q1.4 ES','text','Según Statista, el streaming representó el 60,6% del tráfico de Internet en 2019.'),(803,4,'Learning Pill Q1.4 FR','text','Selon Statista, le streaming représentait 60,6 % du trafic Internet en 2019.'),(803,5,'Learning Pill Q1.4 IT','text','Secondo Statista, nel 2019 lo streaming ha rappresentato il 60,6% del traffico Internet.'),(804,1,'Learning Pill Q1.5 BG','text','LCD телевизорът консумира най-много енергия, особено ако е смарт телевизор, който може да се свързва директно с интернет.'),(804,2,'Learning Pill Q1.5 EN','text','An LCD TV is the most power-consuming, especially if it is a smart TV that can connect directly to the Internet.'),(804,3,'Learning Pill Q1.5 ES','text','Un televisor LCD es el que más energía consume, especialmente si es un televisor inteligente que se puede conectar directamente a Internet.'),(804,4,'Learning Pill Q1.5 FR','text','Un téléviseur LCD est le plus consommateur d’énergie, surtout s’il s’agit d’un téléviseur intelligent pouvant se connecter directement à Internet.'),(804,5,'Learning Pill Q1.5 IT','text','Il televisore LCD è quello che consuma più energia, soprattutto se si tratta di una smart TV in grado di connettersi direttamente a Internet.'),(805,1,'Learning Pill Q1.6 BG','text','4G изисква повече енергия от Wi-Fi връзката '),(805,2,'Learning Pill Q1.6 EN','text','4G requires more energy than a Wi-Fi connection'),(805,3,'Learning Pill Q1.6 ES','text','4G requiere más energía que una conexión Wi-Fi'),(805,4,'Learning Pill Q1.6 FR','text','La 4G nécessite plus d\'énergie qu\'une connexion Wifi'),(805,5,'Learning Pill Q1.6 IT','text','4G richiede più energia di una connessione Wi-Fi '),(806,1,'Learning Pill Q1.7 BG','text','Потреблението на енергия се измерва във ватчасове, т.е. енергията, консумирана от даден уред (изразена във ват) в продължение на един час. В този случай, консумираната енергия е 5W за 20 часа в продължение на 350 дни. Това означава, че изчислението, което трябва да се направи, е следното: 5*20*350=35000Wh.'),(806,2,'Learning Pill Q1.7 EN','text','Energy consumption is measured in Watt-hour, i.e. the energy consumed by an appliance (expressed in watt) during one hour. The unit is Watt-hour or KiloWatt-hour.Here, the energy consumed is 5 W for 20 hours for 350 days. \nThe calculation to be done is thus:  5 * 20 * 350 = 35000 Wh.'),(806,3,'Learning Pill Q1.7 ES','text','El consumo de energía se mide en vatios-hora, es decir, la energía consumida por un aparato (expresada en vatios) durante una hora. La unidad es vatio-hora o kilovatio-hora. Aquí, la energía consumida es de 5 W durante 20 horas durante 350 días. \nEl cálculo a realizar es así: 5 * 20 * 350 = 35000 Wh.'),(806,4,'Learning Pill Q1.7 FR','text','La consommation d\'énergie se mesure en Watt-heure, c\'est l\'énergie consommée par un appareil (exprimée en watt) pendant une heure. L\'unité est le Watt-heure ou le KiloWatt-heure. Ici, l\'énergie consommée est de 5 W pendant 20 heures pendant 350 jours. Le calcul à faire est donc : 5 * 20 * 350 = 35000 Wh'),(806,5,'Learning Pill Q1.7 IT','text','Il consumo di energia si misura in Watt-ora, cioè l\'energia consumata da un apparecchio (espressa in watt) durante un\'ora. L\'unità di misura è il Watt-ora o il KiloWatt-ora. In questo caso, l\'energia consumata è di 5 W per 20 ore per 350 giorni. \nIl calcolo da fare è quindi: 5 * 20 * 350 = 35000 Wh.'),(807,1,'Learning Pill Q1.8 BG','text','35kWh означава използване на 35*1000 вата, използвани за 1 час.'),(807,2,'Learning Pill Q1.8 EN','text','35kWh means using 35 * 1000  watts used during 1 hour.'),(807,3,'Learning Pill Q1.8 ES','text','35kWh significa utilizar 35 * 1000 vatios durante 1 hora.'),(807,4,'Learning Pill Q1.8 FR','text','35kWh signifie que 35 * 1000 watts sont uilisés pendant 1 heure.'),(807,5,'Learning Pill Q1.8 IT','text','35kWh significa usare 35 * 1000 watt durante 1 ora.'),(808,1,'Learning Pill Q1.9 BG','text','Изчислено е, че през 2022 г. са били продадени 5,3 милиона гейминг конзоли.'),(808,2,'Learning Pill Q1.9 EN','text','It is estimated that 5,3 million game stations were sold in 2022'),(808,3,'Learning Pill Q1.9 ES','text','Se estima que en 2022 se vendieron 5,3 millones de estaciones de juegos'),(808,4,'Learning Pill Q1.9 FR','text','On estime que 5,3 millions de stations de jeux ont été vendues en 2022.'),(808,5,'Learning Pill Q1.9 IT','text','Si stima che nel 2022 siano stati venduti 5,3 milioni di postazioni di gioco.'),(809,1,'Learning Pill Q1.10 BG','text','35 kWh * 5 000 000 = 175 тераWh. Не е зле, нали? '),(809,2,'Learning Pill Q1.10 EN','text','35 kWh * 5 000 000 = 175 teraWh. Not bad, isn’t it?'),(809,3,'Learning Pill Q1.10 ES','text','35 kWh * 5 000 000 = 175 teraWh. ¡No está nada mal!'),(809,4,'Learning Pill Q1.10 FR','text','35 kWh * 5 000 000 = 175 teraWh. Pas si mal, n\'est-ce pas ?'),(809,5,'Learning Pill Q1.10 IT','text','35 kWh * 5 000 000 = 175 teraWh. Niente male, vero? '),(810,1,'Learning Pill Q1.9 ','text','Изчислено е, че през 2022 г. са били продадени 5,3 милиона гейминг станции. '),(810,2,'Learning Pill Q1.9 ','text','It is estimated that 5,3 million game stations were sold in 2022 '),(810,3,'Learning Pill Q1.9 ','text','Se estima que en 2022 se vendieron 5,3 millones de estaciones de juegos '),(810,4,'Learning Pill Q1.9 ','text','On estime que 5,3 millions de stations de jeux ont été vendues en 2022. '),(810,5,'Learning Pill Q1.9 ','text','Si stima che nel 2022 siano stati venduti 5,3 milioni di postazioni di gioco. '),(811,1,'Learning Pill Q1.10 ','text','35 kWh * 5 000 000 = 175 тераWh. Не е зле, нали? '),(811,2,'Learning Pill Q1.10 ','text','35 kWh * 5 000 000 = 175 teraWh. Not bad, isn’t it? '),(811,3,'Learning Pill Q1.10 ','text','35 kWh * 5 000 000 = 175 teraWh. ¡No está nada mal!'),(811,4,'Learning Pill Q1.10 ','text','35 kWh * 5 000 000 = 175 teraWh. Pas si mal, n\'est-ce pas ?'),(811,5,'Learning Pill Q1.10 ','text','35 kWh * 5 000 000 = 175 teraWh. Niente male, vero? '),(820,1,'Learning Pill Q2.1 BG','text','Електронните отпадъци са нежелани устройства или джаджи, които се захранват с електричество или батерии и които са били изхвърлени след употреба. '),(820,2,'Learning Pill Q2.1 EN','text','E-waste is unwanted devices or gadgets that use electricity or their power is battery supplied and that have been discarded after usage.'),(820,3,'Learning Pill Q2.1 ES','text','Los desechos electrónicos son dispositivos o aparatos no deseados que utilizan electricidad o su energía se suministra con baterías y que se han desechado después de su uso'),(820,4,'Learning Pill Q2.1 FR','text','Les déchets électroniques sont des appareils électriques ou alimentés par batterie qui ont été jetés parce qu\'ils ne sont plus souhaités.'),(820,5,'Learning Pill Q2.1 IT','text','I rifiuti elettronici sono dispositivi o gadget indesiderati che utilizzano l\'elettricità o sono alimentati a batteria e che sono stati scartati dopo l\'uso. '),(821,1,'Learning Pill Q2.2 BG','text','Макар и да е вярно, че се сблъскваме с намаляването на редките и ценни материали, използвани за създаването на електронни устройства, бързото остаряване на устройствата е основната причина за нарастващата загриженост по отношение на електронните отпадъци, тъй като води до по-кратък жизнен цикъл на продуктите и увеличаване на броя на излезлите от употреба електронни устройства. '),(821,2,'Learning Pill Q2.2 EN','text','While it is true that we are facing a decrease in rare and valuable materials used for the creation of electronic devices, rapid obsolescence of devices is the main reason for the growing concern over electronic waste, as it leads to a shorter product lifecycle and an increase in end-of-life electronics.'),(821,3,'Learning Pill Q2.2 ES','text','Si bien es cierto que nos enfrentamos a una disminución de los materiales raros y valiosos utilizados para la creación de dispositivos electrónicos, la rápida obsolescencia de los dispositivos es el principal motivo de la creciente preocupación por los residuos electrónicos, ya que conlleva un ciclo de vida más corto del producto y un aumento en electrónica al final de su vida útil'),(821,4,'Learning Pill Q2.2 FR','text','S\'il est vrai que nous sommes confrontés à une diminution des matériaux rares et précieux utilisés pour la création d\'appareils électroniques, l\'obsolescence rapide des appareils est la principale raison de l\'inquiétude croissante que suscitent les déchets électroniques, car elle entraîne un raccourcissement du cycle de vie des produits et une augmentation des produits électroniques en fin de vie.'),(821,5,'Learning Pill Q2.2 IT','text','Se è vero che stiamo affrontando una diminuzione dei materiali rari e preziosi utilizzati per la creazione di dispositivi elettronici, la rapida obsolescenza dei dispositivi è la ragione principale della crescente preoccupazione per i rifiuti elettronici, in quanto porta ad un ciclo di vita del prodotto più breve e ad un aumento della fineelettronica della vita '),(822,1,'Learning Pill Q2.3 BG','text','Според Директивата на ЕС за отпадъците от електрическо и електронно оборудване (ОЕЕО) голям домакински уред се определя като всяко оборудване, използвано за готвене, охлаждане, пране или други домашни цели, с максимален външен размер над 50 см. Примери за големи домакински уреди са перални машини, сушилни, съдомиялни машини, печки, фурни, хладилници и фризери. '),(822,2,'Learning Pill Q2.3 EN','text','According to the EU\'s Waste Electrical and Electronic Equipment (WEEE) directive, a large household appliance is defined as any equipment used for cooking, refrigeration, washing, or other domestic purposes with a maximum external dimension exceeding 50 cm. Examples of large household appliances include washing machines, dryers, dishwashers, stoves, ovens, fridges, and freezers.'),(822,3,'Learning Pill Q2.3 ES','text','Según la directiva de Residuos de Aparatos Eléctricos y Electrónicos (RAEE) de la UE, un gran electrodoméstico se define como cualquier equipo utilizado para cocinar, refrigerar, lavar u otros fines domésticos con una dimensión externa máxima superior a 50 cm. Ejemplos de electrodomésticos grandes incluyen lavadoras, secadoras, lavavajillas, estufas, hornos, refrigeradores y congeladores'),(822,4,'Learning Pill Q2.3 FR','text','Selon la directive européenne relative aux déchets d\'équipements électriques et électroniques (DEEE), un gros appareil ménager est défini comme tout équipement utilisé pour la cuisine, la réfrigération, le lavage ou d\'autres usages domestiques, dont la dimension extérieure maximale dépasse 50 cm. Les lave-linge, sèche-linge, lave-vaisselle, cuisinières, fours, réfrigérateurs et congélateurs sont des exemples de gros appareils ménagers.'),(822,5,'Learning Pill Q2.3 IT','text','Secondo la direttiva UE sui rifiuti di apparecchiature elettriche ed elettroniche (RAEE), un grande elettrodomestico è definito come qualsiasi apparecchiatura utilizzata per cucinare, refrigerare, lavare, o altri usi domestici con una dimensione esterna massima superiore a 50 cm. Esempi di grandi elettrodomestici includono lavatrici, asciugatrici, lavastoviglie, stufe, forni, frigoriferi e congelatori '),(823,1,'Learning Pill Q2.4 BG','text','Лаптопите обикновено не се считат за малки домакински уреди, тъй като се класифицират като ИКТ оборудване. Въпреки това, размерът и теглото на лаптопите може са напипа, така че в крайна сметка това зависи от специфичните разпоредби на съответната държава или регион. '),(823,2,'Learning Pill Q2.4 EN','text','Laptops are not generally considered small household appliances as they are classified as Information and Communications Technology (ICT) equipment. However, the size and weight of laptops can vary, so it ultimately depends on the specific regulations of the country or region in question.'),(823,3,'Learning Pill Q2.4 ES','text','Las computadoras portátiles generalmente no se consideran pequeños electrodomésticos, ya que están clasificadas como equipos de Tecnologías de la Información y las Comunicaciones (TIC). Sin embargo, el tamaño y el peso de los portátiles pueden variar, por lo que en última instancia depende de las normativas específicas del país o región en cuestión.'),(823,4,'Learning Pill Q2.4 FR','text','Les ordinateurs portables ne sont généralement pas considérés comme de petits appareils ménagers, car ils sont classés dans la catégorie des équipements des technologies de l\'information et de la communication (TIC). Toutefois, la taille et le poids des ordinateurs portables peuvent varier, ce qui dépend en fin de compte des réglementations spécifiques du pays ou de la région en question'),(823,5,'Learning Pill Q2.4 IT','text','I computer portatili non sono generalmente considerati piccoli elettrodomestici in quanto sono classificati come apparecchiature ICT (Information and Communications Technology). Tuttavia, le dimensioni e il peso dei computer portatili possono variare, quindi in ultima analisi, dipende dalle normative specifiche del paese o della regione in questione '),(824,1,'Learning Pill Q2.5 BG','text','Над 98% от оловото в компютърния дисплей се намира в катоднолъчевата тръба. '),(824,2,'Learning Pill Q2.5 EN','text','Over 98% of the lead in a computer display is in the CRT.'),(824,3,'Learning Pill Q2.5 ES','text','Más del 98% del plomo en la pantalla de una computadora se encuentra en el CRT'),(824,4,'Learning Pill Q2.5 FR','text','Plus de 98 % du plomb contenu dans les anciens moniteurs d’ordinateurs se trouve dans le tube cathodique.'),(824,5,'Learning Pill Q2.5 IT','text','Oltre il 98% del cavo in un display del computer è nel CRT '),(825,1,'Learning Pill Q2.6 BG','text','Това е вярно! Големите домакински уреди се събират от оторизирани събирачи, които могат да бъдат както публични, така и частни организации. След това уредите се транспортират до оторизирани съоръжения за третиране, които могат да бъдат центрове за разглобяване или шредери. '),(825,2,'Learning Pill Q2.6 EN','text','This is true! Large household appliances are collected by authorised collectors, which can be either public or private entities. The appliances are then transported to authorised treatment facilities, which can be dismantling centres or shredders'),(825,3,'Learning Pill Q2.6 ES','text','¡Esto es cierto! Los grandes electrodomésticos son recogidos por recolectores autorizados, que pueden ser entidades públicas o privadas. A continuación, los aparatos se transportan a instalaciones de tratamiento autorizadas, que pueden ser centros de desmontaje o trituradoras'),(825,4,'Learning Pill Q2.6 FR','text','C\'est vrai ! Les gros appareils ménagers sont collectés par des collecteurs agréés, qui peuvent être des entités publiques ou privées. Les appareils sont ensuite transportés vers des installations de traitement agréées, qui peuvent être des centres de démantèlement ou des broyeurs.'),(825,5,'Learning Pill Q2.6 IT','text','Questo è tutto vero! I grandi elettrodomestici sono raccolti da collettori autorizzati, che possono essere enti pubblici o privati. Gli apparecchi vengono poi trasportati in impianti di trattamento autorizzati, che possono essere centri di smontaggio o trituratori '),(826,1,'Learning Pill Q2.7 BG','text','Оловото и живакът в електронните отпадъци са опасни, защото са тежки токсични метали, които са вредни за човешкото здраве и за околната среда. Когато електронните отпадъци не се управляват по подходящ начин, оловото и живакът могат да се озоват в почвата или водата, което води до замърсяване на околната среда и може дългосрочно да увреди екосистемата. При хората излагането на олово и живак може да причини редица здравословни проблеми, включително с развитието при децата, както и неврологични и бъбречни увреждания, а във високи дози - дори и смърт. '),(826,2,'Learning Pill Q2.7 EN','text','Lead and mercury in e-waste are dangerous because they are toxic heavy metals that can harm human health and the environment. When e-waste is not properly managed, lead and mercury can leach out into the soil and water, leading to contamination of the environment and potentially causing long-term damage to ecosystems. In humans, exposure to lead and mercury can cause a range of health problems, including developmental and neurological damage, kidney damage, and even death in high doses'),(826,3,'Learning Pill Q2.7 ES','text','El plomo y el mercurio en los desechos electrónicos son peligrosos porque son metales pesados tóxicos que pueden dañar la salud humana y el medio ambiente. Cuando los desechos electrónicos no se gestionan adecuadamente, el plomo y el mercurio pueden filtrarse al suelo y al agua, provocando contaminación del medio ambiente y potencialmente daños a largo plazo a los ecosistemas. En los seres humanos, la exposición al plomo y al mercurio puede causar una variedad de problemas de salud, incluidos daños neurológicos y de desarrollo, daños renales e incluso la muerte en dosis altas'),(826,4,'Learning Pill Q2.7 FR','text','Le plomb et le mercure contenus dans les déchets électroniques sont dangereux car ce sont des métaux lourds toxiques qui peuvent nuire à la santé humaine et à l\'environnement. Lorsque les déchets électroniques ne sont pas correctement gérés, le plomb et le mercure peuvent s\'infiltrer dans le sol et l\'eau, entraînant une contamination de l\'environnement et pouvant causer des dommages à long terme aux écosystèmes. Chez l\'homme, l\'exposition au plomb et au mercure peut entraîner toute une série de problèmes de santé, notamment des troubles du développement et des lésions neurologiques, des lésions rénales, voire la mort en cas d\'exposition à des doses élevées'),(826,5,'Learning Pill Q2.7 IT','text','Il piombo e il mercurio nei rifiuti elettronici sono pericolosi perché sono metalli pesanti tossici che possono danneggiare la salute umana e l\'ambiente. Quando i rifiuti elettronici non sono gestiti correttamente, il piombo e il mercurio possono fuoriuscire nel suolo e nell\'acqua, causando la contaminazione dell\'ambiente e potenzialmente causando danni a lungo termine agli ecosistemi. Nell\'uomo, l\'esposizione al piombo e al mercurio può causare una serie di problemi di salute, tra cui danni allo sviluppo e neurologici, danni ai reni e persino la morte in dosi elevate '),(827,1,'Learning Pill Q2.8 BG','text','ОЕЕО означава отпадъци от електрическо и електронно оборудване. Терминът се отнася до всяко електрическо или електронно оборудване, което е достигнало края на своя живот и се счита за отпадък, включително компютри, телевизори, мобилни телефони, хладилници и други домакински уреди. Терминът ОЕЕО често се използва в контекста на управлението на отпадъците и рециклирането, тъй като е важно да се гарантира, че такова оборудване се изхвърля правилно, за да се предотврати увреждането на околната среда и общественото здраве. '),(827,2,'Learning Pill Q2.8 EN','text','WEEE stands for Waste Electrical and Electronic Equipment. It refers to any electrical or electronic equipment that has reached the end of its life and is considered waste, including items such as computers, televisions, mobile phones, refrigerators, and other household appliances. The term WEEE is often used in the context of waste management and recycling, as it is important to ensure that such equipment is disposed of properly to prevent harm to the environment and public health'),(827,3,'Learning Pill Q2.8 ES','text','WEEE significa Residuos de Aparatos Eléctricos y Electrónicos. Se refiere a cualquier equipo eléctrico o electrónico que haya llegado al final de su vida útil y se considere residuo, incluidos elementos como computadoras, televisores, teléfonos móviles, refrigeradores y otros electrodomésticos. El término RAEE se utiliza a menudo en el contexto de la gestión y el reciclaje de residuos, ya que es importante garantizar que dichos equipos se eliminen adecuadamente para evitar daños al medio ambiente y la salud pública.'),(827,4,'Learning Pill Q2.8 FR','text','DEEE signifie Déchets d\'Equipements Electriques et Electroniques. Il s\'agit de tout équipement électrique ou électronique arrivé en fin de vie et considéré comme un déchet, notamment les ordinateurs, les téléviseurs, les téléphones portables, les réfrigérateurs et d\'autres appareils ménagers. Le terme DEEE est souvent utilisé dans le contexte de la gestion et du recyclage des déchets, car il est important de veiller à ce que ces équipements soient éliminés correctement afin de ne pas nuire à l\'environnement et à la santé publique.'),(827,5,'Learning Pill Q2.8 IT','text','RAEE sta per apparecchiature elettriche ed elettroniche. Si riferisce a qualsiasi apparecchiatura elettrica o elettronica che ha raggiunto la fine della sua vita ed è considerata rifiuto, compresi oggetti come computer, televisori, telefoni cellulari, frigoriferi e altri elettrodomestici. Il termine RAEE è spesso utilizzato nel contesto della gestione e del riciclaggio dei rifiuti, in quanto è importante garantire che tali apparecchiature siano smaltite correttamente per prevenire danni all\'ambiente e alla salute pubblica '),(828,1,'Learning Pill Q2.9 BG','text','Ако данните не бъдат унищожени, те могат да бъдат достъпни за други лица, които могат да ги използват за измамни или незаконни дейности. Поради това унищожаването на данни е необходимо, за да се предотвратят всякакви потенциални вреди, които биха могли да възникнат в резултат на неправилно унищожаване на лични или фирмени данни. '),(828,2,'Learning Pill Q2.9 EN','text','If the data is not destroyed, it can be accessed by others who may use it for fraudulent or illegal activities. Therefore, data destruction is necessary to prevent any potential harm or damage that could result from the improper disposal of personal or business-related data'),(828,3,'Learning Pill Q2.9 ES','text','Si los datos no se destruyen, otras personas pueden acceder a ellos y utilizarlos para actividades fraudulentas o ilegales. Por lo tanto, la destrucción de datos es necesaria para evitar cualquier daño o daño potencial que podría resultar de la eliminación inadecuada de datos personales o relacionados con el negocio'),(828,4,'Learning Pill Q2.9 FR','text','Si les données ne sont pas détruites, d\'autres personnes peuvent y avoir accès et les utiliser pour des activités frauduleuses ou illégales. Par conséquent, la destruction des données est nécessaire pour prévenir tout préjudice ou dommage potentiel qui pourrait résulter de l\'élimination inappropriée de données personnelles ou liées à l\'entreprise.'),(828,5,'Learning Pill Q2.9 IT','text','Se i dati non vengono distrutti, è possibile accedervi da altri che possono utilizzarli per attività fraudolente o illegali. Pertanto, la distruzione dei dati è necessaria per prevenire eventuali danni o danni potenziali che potrebbero derivare da uno smaltimento improprio di dati personali o aziendali '),(829,1,'Learning Pill Q2.10 BG','text','Батериите често не се считат за електронни отпадъци, тъй като се класифицират като опасен отпадък. Това е така поради съдържащите се в тях химикали, като олово, живак, кадмий и литий. За разлика от другите електронни отпадъци, батериите се регулират от отделни закони и наредби за правилното им изхвърляне и рециклиране. Поради това е важно батериите да се рециклират отделно от другите електронни отпадъци. '),(829,2,'Learning Pill Q2.10 EN','text','Batteries are often not considered electronic waste because they are considered hazardous waste due to the chemicals they contain, such as lead, mercury, cadmium, and lithium. Unlike other electronic waste, batteries are regulated by separate laws and regulations for their proper disposal and recycling. Therefore, it is important to recycle batteries separately from other electronic waste'),(829,3,'Learning Pill Q2.10 ES','text','Las baterías a menudo no se consideran desechos electrónicos porque se consideran desechos peligrosos debido a las sustancias químicas que contienen, como plomo, mercurio, cadmio y litio. A diferencia de otros desechos electrónicos, las baterías están reguladas por leyes y reglamentos separados para su adecuada eliminación y reciclaje. Por lo tanto, es importante reciclar las baterías por separado del resto de residuos electrónicos'),(829,4,'Learning Pill Q2.10 FR','text','Les piles ne sont souvent pas considérées comme des déchets électroniques parce qu\'elles sont considérées comme des déchets dangereux en raison des produits chimiques qu\'elles contiennent, tels que le plomb, le mercure, le cadmium et le lithium. Contrairement aux autres déchets électroniques, les piles sont régies par des lois et des règlements distincts en ce qui concerne leur élimination et leur recyclage. Il est donc important de recycler les piles séparément des autres déchets électroniques.'),(829,5,'Learning Pill Q2.10 IT','text','Spesso le batterie non sono considerati rifiuti elettronici perché sono considerati rifiuti pericolosi a causa delle sostanze chimiche che contengono, come piombo, mercurio, cadmio e litio. A differenza di altri rifiuti elettronici, le batterie sono regolate da leggi e regolamenti separati per il loro corretto smaltimento e riciclaggio. Pertanto, è importante riciclare le batterie separatamente dagli altri rifiuti elettronici '),(830,1,'Learning Pill Q3.1 BG','text','На 25 септември 2015 г. държавите членки на Организацията на обединените нации, ратифицират Програмата до 2030 г. за устойчиво развитие. Програмата до 2030 г. за устойчиво развитие е повод международната общност да предприеме масови мерки за подобряване на стандарта на живот на всички граждани, независимо от социалния им статус. '),(830,2,'Learning Pill Q3.1 EN','text','On September 25, 2015, all United Nations member states ratified the 2030 Agenda for Sustainable Development. The 2030 Agenda for Sustainable Development is an occasion for countries and their societies to begin a new journey to improve their lives, with no one left behind'),(830,3,'Learning Pill Q3.1 ES','text','El 25 de septiembre de 2015, todos los estados miembros de las Naciones Unidas ratificaron la Agenda 2030 para el Desarrollo Sostenible. La Agenda 2030 para el Desarrollo Sostenible es una ocasión para que los países y sus sociedades inicien un nuevo viaje para mejorar sus vidas, sin que nadie se quede atrás'),(830,4,'Learning Pill Q3.1 FR','text','Le 25 septembre 2015, tous les États membres des Nations unies ont ratifié l\'Agenda 2030 pour le développement durable. l\'Agenda 2030 pour le développement durable est l\'occasion pour les pays et leurs sociétés d\'entamer un nouveau voyage pour améliorer leur vie, sans que personne ne soit laissé pour compte.'),(830,5,'Learning Pill Q3.1 IT','text','Il 25 settembre 2015 tutti gli ______ membri hanno ratificato Agenda________ per lo Sviluppo Sostenibile.'),(831,1,'Learning Pill Q3.2 BG','text','На 12 декември 2015 г. в Париж, Франция, 196 държави приемат Парижкото споразумение - правно обвързващ международен договор, свързан с климатичните изменения. То има за цел да ограничи повишаването на средната глобална температура с до 2 градуса по Целзий спрямо прединдустриалните нива, да се удвоят усилията, за да не се надхвърлят 1,5 градуса по Целзий до края на този век, и да се постигне климатична неутралност до 2050 г. '),(831,2,'Learning Pill Q3.2 EN','text','On December 12, 2015, 196 countries adopted the Paris Agreement, a legally binding international climate change treaty in Paris, France . It aimed to limit the average global temperature increase to 2 degrees Celsius above pre-industrial levels, redouble efforts to not exceed 1.5 degrees Celsius by the end of this century, and achieve climate neutrality by 2050'),(831,3,'Learning Pill Q3.2 ES','text','El 12 de diciembre de 2015, 196 países adoptaron el Acuerdo de París, un tratado internacional jurídicamente vinculante sobre el cambio climático en París, Francia. Su objetivo era limitar el aumento promedio de la temperatura global a 2 grados Celsius por encima de los niveles preindustriales, redoblar los esfuerzos para no exceder los 1,5 grados Celsius para fines de este siglo y lograr la neutralidad climática para 2050'),(831,4,'Learning Pill Q3.2 FR','text','Le 12 décembre 2015, 196 pays ont adopté l\'Accord de Paris, un traité international juridiquement contraignant sur le changement climatique à Paris, en France . Il visait à limiter l\'augmentation moyenne de la température mondiale à 2 degrés Celsius par rapport aux niveaux préindustriels, à redoubler d\'efforts pour ne pas dépasser 1,5 degré Celsius d\'ici la fin du siècle et à atteindre la neutralité climatique d\'ici 2050.'),(831,5,'Learning Pill Q3.2 IT','text','Il 12 dicembre 2015, 196 paesi hanno adottato l\'Accordo di Parigi, un trattato internazionale sul cambiamento climatico legalmente vincolante a Parigi, in Francia . Mirava a limitare l\'aumento medio della temperatura globale a 2 gradi Celsius sopra i livelli pre-industriali, raddoppiare gli sforzi per non superare 1,5 gradi Celsius entro la fine di questo secolo e raggiungere la neutralità climatica entro il 2050 '),(832,1,'Learning Pill Q3.3 BG','text','Климатичната неутралност, наричана още въглеродна неутралност или нулеви нетни емисии, означава възстановяване на баланса на планетата по отношение на въглеродните емисии до прединдустриални нива. Това е от решаващо значение за Европейския съюз и за Организацията на обединените нации. Следователно чистите и възобновяемите енергийни източници трябва да бъдат значително увеличени и управлявани по устойчив начин, за да се постигне неутралност по отношение на климата до 2050 г. '),(832,2,'Learning Pill Q3.3 EN','text','Climate neutrality, also called carbon neutrality or net-zero emissions, means restoring the planet\'s balance, in terms of emissions and removals, to the state it was to the pre-industrial era(1850)  . It is crucial for the European Union as well as for the United Nations. Consequently, clean and renewable energies must be significantly increased and managed sustainably to achieve climate neutrality by 2050'),(832,3,'Learning Pill Q3.3 ES','text','La neutralidad climática, también llamada neutralidad de carbono o emisiones netas cero, significa restablecer el equilibrio del planeta, en términos de emisiones y absorciones, al estado en el que se encontraba antes de la era preindustrial(1850). Es crucial tanto para la Unión Europea como para las Naciones Unidas. En consecuencia, las energías limpias y renovables deben incrementarse significativamente y gestionarse de manera sostenible para lograr la neutralidad climática para 2050'),(832,4,'Learning Pill Q3.3 FR','text','La neutralité climatique est également appelée émissions nettes zéro. Elle consiste à rétablir l\'équilibre de la planète, en termes d\'émissions et d\'absorptions de gaz à effet de serre. L\'objectif est de retrouver l\'état où laTerre se trouvait il y a cent cinquante ans (avant l\'ère industrielle). C\'est un enjeu crucial pour l\'Union Européenne et les Nations Unies. Les énergies propres et renouvelables doivent être considérablement augmentées et gérées de manière durable pour atteindre la neutralité climatique d\'ici 2050.'),(832,5,'Learning Pill Q3.3 IT','text','La neutralità climatica, detta anche neutralità del carbonio o zero emissioni nette, significa riportare l\'equilibrio del pianeta, in termini di emissioni e rimozioni, allo stato in cui era cento secoli e mezzo fa. È fondamentale per l\'Unione europea e per le Nazioni Unite. Di conseguenza, le energie pulite e rinnovabili devono essere significativamente aumentate e gestite in modo sostenibile per raggiungere la neutralità climatica entro il 2050 '),(833,1,'Learning Pill Q3.4 BG','text','Програмата има 17 цели за устойчиво развитие, които варират от изкореняване на бедността, до борба с изменението на климата, образование, равенство между половете, опазване на околната среда и градоустройство. '),(833,2,'Learning Pill Q3.4 EN','text','The Agenda has 17 Sustainable Development Goals (SDGs).The goals range from eradicating poverty to the fight against climate change, education, women\'s equality, environmental protection, and our cities\' design'),(833,3,'Learning Pill Q3.4 ES','text','La Agenda cuenta con 17 Objetivos de Desarrollo Sostenible (ODS). Las metas van desde la erradicación de la pobreza hasta la lucha contra el cambio climático, la educación, la igualdad de las mujeres, la protección del medio ambiente o el diseño de nuestras ciudades'),(833,4,'Learning Pill Q3.4 FR','text','Cet Agenda a 17 objectifs. Ils vont de l\'éradication de la pauvreté à la lutte contre le changement climatique, en passant par l\'éducation, l\'égalité des femmes, la protection de l\'environnement et l\'aménagement de nos villes.'),(833,5,'Learning Pill Q3.4 IT','text','l\'Agenda ha 17 obiettivi di sviluppo sostenibile (SDG). Gli obiettivi vanno dall\'eliminazione della povertà alla lotta contro il cambiamento climatico, l\'istruzione, l\'uguaglianza delle donne, la protezione ambientale e il design delle nostre città '),(834,1,'Learning Pill Q3.5 BG','text','Парижкото споразумение има за цел: да се ограничи повишаването на средната глобална температура с до 2 градуса по Целзий спрямо прединдустриалните нива, да се удвоят усилията, за да не се надхвърлят 1,5 градуса по Целзий до края на този век, и да се постигне климатична неутралност до 2050 г. '),(834,2,'Learning Pill Q3.5 EN','text','The Paris agreement aimed to: to limit the average global temperature increase to 2 degree Celsius above pre-industrial levels, redouble efforts to not exceed 1.5 degrees Celsius by the end of this century and achieve climate neutrality by 2050'),(834,3,'Learning Pill Q3.5 ES','text','El acuerdo de París tenía como objetivo: limitar el aumento promedio de la temperatura global a 2 grados Celsius por encima de los niveles preindustriales, redoblar los esfuerzos para no exceder los 1,5 grados Celsius para fines de este siglo y lograr la neutralidad climática para 2050'),(834,4,'Learning Pill Q3.5 FR','text','L\'accord de Paris visait à : limiter l\'augmentation moyenne de la température mondiale à 2 degrés Celsius par rapport aux niveaux préindustriels, redoubler d\'efforts pour ne pas dépasser 1,5 degré Celsius d\'ici la fin du siècle et parvenir à la neutralité climatique d\'ici 2050.'),(834,5,'Learning Pill Q3.5 IT','text','l\'accordo di Parigi mirava a: limitare l\'aumento medio della temperatura globale a 2 gradi Celsius al di sopra dei livelli preindustriali, raddoppiare gli sforzi per non superare 1,5 gradi Celsius entro la fine di questo secolo e raggiungere la neutralità climatica entro il 2050 '),(835,1,'Learning Pill Q3.6 BG','text','Цел 13 е свързана с предприемането на спешни действия за борба с изменението на климата и неговите опустошителни последици, което е задължително за спасяването на човешки животи и е от ключово значение за осъществяването на Програмата на ООН до 2030 г. за устойчиво развитие и нейните 17 цели. '),(835,2,'Learning Pill Q3.6 EN','text','Goal 13 is about taking urgent action to combat climate change and its devastating impacts is therefore an imperative to save lives and livelihood, and key to making the 2030 Agenda for Sustainable Development and its 17 Goals – the blueprint for a better future – a reality'),(835,3,'Learning Pill Q3.6 ES','text','El Objetivo 13 consiste en tomar medidas urgentes para combatir el cambio climático y sus impactos devastadores, por lo que es un imperativo para salvar vidas y medios de subsistencia, y es clave para hacer realidad la Agenda 2030 para el Desarrollo Sostenible y sus 17 Objetivos, el plan para un futuro mejor'),(835,4,'Learning Pill Q3.6 FR','text','L\'objectif 13 consiste à prendre des mesures urgentes pour lutter contre le changement climatique et ses effets dévastateurs. C\'est impératif pour sauver des vies et des moyens de subsistance.'),(835,5,'Learning Pill Q3.6 IT','text','l\'Obiettivo 13 riguarda l\'adozione di azioni urgenti per combattere il cambiamento climatico e i suoi impatti devastanti, è quindi un imperativo per salvare vite umane e mezzi di sostentamento ed è fondamentale per realizzare l\'Agenda 2030 per lo Sviluppo Sostenibile e i suoi 17 Obiettivi, il progetto per un futuro migliore. '),(836,1,'Learning Pill Q3.7 BG','text','ЕС се съгласява да намали емисиите с поне 55% до 2030 г., в сравнение с ангажимента си за 40% през 2014 г. '),(836,2,'Learning Pill Q3.7 EN','text','The EU has agreed to cut emissions by at least 55 % by 2030, up from its 40 % commitment in 2014'),(836,3,'Learning Pill Q3.7 ES','text','La UE ha acordado reducir las emisiones en al menos un 55 % de aquí a 2030, frente a su compromiso del 40 % en 2014.'),(836,4,'Learning Pill Q3.7 FR','text','L\'Union Européenne a accepté de réduire ses émissions d\'au moins 55% d\'ici 2030, alors qu\'elle s\'était engagée à 40% en 2014.'),(836,5,'Learning Pill Q3.7 IT','text','l\'UE ha accettato di ridurre le emissioni di almeno il 55 % entro il 2030, rispetto al suo impegno del 40 % nel 2014 '),(837,1,'Learning Pill Q3.8 BG','text','Програмата до 2030 г. съдържа 169 неделими цели, обхващащи икономическата, социалната и екологичната сфера '),(837,2,'Learning Pill Q3.8 EN','text','The Agenda 2030 has 169 integrated and indivisible targets spanning the economic, social and environmental spheres'),(837,3,'Learning Pill Q3.8 ES','text','La Agenda 2030 tiene 169 objetivos integrados e indivisibles que abarcan las esferas económica, social y ambiental'),(837,4,'Learning Pill Q3.8 FR','text','L\'Agenda 2030 comporte 169 objectifs intégrés et indivisibles couvrant les sphères économique, sociale et environnementale.'),(837,5,'Learning Pill Q3.8 IT','text','l\'Agenda 2030 ha 169 obiettivi integrati e indivisibili nei settori economico, sociale e ambientale '),(838,1,'Learning Pill Q3.9 BG','text','През 1987 г. Световната комисия по околна среда и развитие изготвя доклад, наречен „______ ни бъдеще“, който днес е известен като Доклада Брунтланд. Този доклад за първи път описва тясната връзка между икономическото развитие и качеството на околната среда.'),(838,2,'Learning Pill Q3.9 EN','text','Goal 12 is about ensuring sustainable consumption and production patterns, which is key to sustain the livelihoods of current and future generations'),(838,3,'Learning Pill Q3.9 ES','text','El Objetivo 12 trata de garantizar patrones de consumo y producción sostenibles, lo cual es clave para sostener los medios de vida de las generaciones actuales y futuras'),(838,4,'Learning Pill Q3.9 FR','text','L\'objectif 12 vise à garantir des modes de consommation et de production durables, ce qui est essentiel pour préserver les moyens de subsistance des générations actuelles et futures.'),(838,5,'Learning Pill Q3.9 IT','text','l\'obiettivo 12 riguarda la garanzia di modelli di consumo e di produzione sostenibili, chiave per sostenere i mezzi di sussistenza delle generazioni attuali e future '),(839,1,'Learning Pill Q3.10 BG','text','Цел 9 е насочена към изграждане на устойчива инфраструктура, насърчаване на приобщаваща индустриализация и стимулиране на иновациите. Високотехнологичните отрасли се представят по-добре и се възстановяват по-бързо при всякакъв вид външни или вътрешни смущения, което е ярък пример за това колко важни са технологичните иновации за постигането на Цел 9.'),(839,2,'Learning Pill Q3.10 EN','text','Goal 9 seeks to build resilient infrastructure, promote inclusive and sustainable industrialization and foster innovation.Higher-technology industries perform better and recover faster to any kind of external or internal perturbation, providing a strong example of how important technological innovation is to achieving Goal 9'),(839,3,'Learning Pill Q3.10 ES','text','El Objetivo 9 busca construir infraestructura resiliente, promover la industrialización inclusiva y sostenible y fomentar la innovación. Las industrias de alta tecnología funcionan mejor y se recuperan más rápido ante cualquier tipo de perturbación externa o interna, lo que proporciona un claro ejemplo de cuán importante es la innovación tecnológica para lograr el Objetivo 9'),(839,4,'Learning Pill Q3.10 FR','text','L\'objectif 9 vise à mettre en place des infrastructures résilientes, à promouvoir une industrialisation inclusive et durable et à encourager l\'innovation. Les industries de haute technologie sont plus performantes et se remettent plus rapidement de tout type de perturbation externe ou interne, ce qui illustre parfaitement l\'importance de l\'innovation technologique pour la réalisation de l\'objectif 9.'),(839,5,'Learning Pill Q3.10 IT','text','l\'obiettivo 9 mira a costruire infrastrutture resilienti, a promuovere un\'industrializzazione inclusiva e sostenibile e a promuovere l\'innovazione.Le industrie ad alta tecnologia ottengono migliori risultati e si riprendono più rapidamente a qualsiasi tipo di perturbazione esterna o interna, fornire un forte esempio di quanto sia importante l\'innovazione tecnologica per raggiungere l\'obiettivo 9 '),(840,1,'Learning Pill Q4.1 BG','text','Анализирайки историческото развитие на международната политика в областта на околната среда, не можем да пренебрегнем концепцията за устойчиво развитие. През 1987 г., Световната комисия по околната среда и развитието дефинира устойчивото развитие като развитие, което задоволява настоящите ни нужди, без да застрашава способността на бъдещите поколения да задоволяват своите. '),(840,2,'Learning Pill Q4.1 EN','text','The average energy emissions for electricity generation in CO2 equivalent (CO2e) in grams per kilowatt-hour of final energy are as follows: wind: 11; solar: 41; gas: 490; coal: 820. These data were provided by the Intergovernmental Panel on Climate Change in 2014.'),(840,3,'Learning Pill Q4.1 ES','text','Cuando analizamos el desarrollo histórico de la política internacional en materia de medio ambiente, no podemos dejar de lado el concepto de Desarrollo Sostenible, entendido como el “desarrollo que satisface las necesidades del presente sin comprometer la capacidad de las generaciones futuras para satisfacer sus propias necesidades” Comisión Mundial sobre Medio Ambiente y Desarrollo, “Our Common Future”, Ginebra: Oxford University Press, 1987'),(840,4,'Learning Pill Q4.1 FR','text','En matière d\'environnement, le concept de développement durable est entendu comme un développement qui répond aux besoins du présent sans compromettre la capacité des générations futures à répondre aux leurs [Oxford University Press, 1987'),(840,5,'Learning Pill Q4.1 IT','text','Quando analizziamo lo sviluppo storico della politica internazionale in materia di ambiente, non possiamo ignorare il concetto di sviluppo sostenibile, inteso come sviluppo che soddisfa le esigenze del presente senza compromettere la capacità delle generazioni future di soddisfare i propri bisogni Commissione mondiale per l\'ambiente e lo sviluppo, Il nostro futuro comune, Ginevra: Oxford University Press, 1987 '),(841,1,'Learning Pill Q4.2 BG','text','Околната среда и нейното развитие представляват един от трите върха на триъгълника на устойчивото развитие, заедно с икономическия растеж и социалното развитие (виж фигура 51 в електронната книга на GreenCo). Когато тази взаимовръзка между развитието и околната среда е осъзната, международната общност за първи път повишава интереса си към опазването на климата и започва да приема закони, касаещи темата. '),(841,2,'Learning Pill Q4.2 EN','text','The environment and its development constitute one of the three vertices of the triangle of Sustainable Development, together with economic growth and social development (see Figure 51 in GreenCo ebook). When this correlation between development and the environment was understood, the international community first raised its interest in climate safeguard and started legislating on this topic'),(841,3,'Learning Pill Q4.2 ES','text','El medio ambiente y su desarrollo constituyen uno de los tres vértices del triángulo del Desarrollo Sostenible, junto con el crecimiento económico y el desarrollo social (ver Figura 51). Cuando se entendió esta correlación entre desarrollo y medio ambiente, la comunidad internacional primero planteó su interés en la salvaguardia del clima y comenzó a legislar sobre este tema'),(841,4,'Learning Pill Q4.2 FR','text','L\'environnement et son développement constituent l\'un des trois sommets du triangle du développement durable, avec la croissance économique et le développement social (voir figure 49 de l\'e-Book Greenco). Lorsque cette corrélation entre le développement et l\'environnement a été comprise, la communauté internationale a commencé à s\'intéresser à la sauvegarde du climat et à légiférer sur ce sujet.'),(841,5,'Learning Pill Q4.2 IT','text','l\'ambiente e il suo sviluppo costituiscono uno dei tre vertici del triangolo dello sviluppo sostenibile, insieme alla crescita economica e allo sviluppo sociale (vedi figura 51). Quando questa correlazione tra sviluppo e ambiente è stata compresa, la comunità internazionale ha innanzitutto sollevato il suo interesse per la salvaguardia del clima e ha iniziato a legiferare su questo argomento '),(842,1,'Learning Pill Q4.3 BG','text','Няколко години преди конференцията от 1987 г., на която се появява докладът Общото ни бъдеще, международната общност провежда първата дискусия по въпросите на околната среда. Това се случва през 1972 г., когато в Стокхолм се провежда първата международна конференция, посветена на темата за опазването на околната среда. По време на тази конференция необходимостта от отговорно към околната среда развитие придобва измеренията на глобален дебат.'),(842,2,'Learning Pill Q4.3 EN','text','Some years before the Conference of 1987, which then originated the “Our Common Future” report, the international community had a first discussion on the environment. It happened in 1972 when Stockholm hosted the first international Conference on the Human Environment. During this Conference, the need to adopt environmentally compatible development took on the dimensions of a global debate'),(842,3,'Learning Pill Q4.3 ES','text','Algunos años antes de la Conferencia de 1987, que dio origen al informe “Nuestro Futuro Común”, la comunidad internacional tuvo un primer debate sobre el medio ambiente. Sucedió en 1972, cuando Estocolmo fue sede de la primera Conferencia internacional sobre el Medio Humano. Durante esta Conferencia, la necesidad de adoptar un desarrollo ambientalmente compatible adquirió las dimensiones de un debate global'),(842,4,'Learning Pill Q4.3 FR','text','Quelques années avant la conférence de 1987, à l\'origine du rapport Notre avenir à tous, la communauté internationale a eu une première discussion sur l\'environnement. Cela s\'est passé en 1972, lorsque Stockholm a accueilli la première conférence internationale sur l\'environnement humain. Au cours de cette conférence, la nécessité d\'adopter un développement compatible avec l\'environnement a pris la dimension d\'un débat mondial'),(842,5,'Learning Pill Q4.3 IT','text','Alcuni anni prima della Conferenza del 1987, che poi diede origine al rapporto Il nostro futuro comune, la comunità internazionale ebbe una prima discussione sull\'ambiente. È successo nel 1972 quando Stoccolma ha ospitato la prima Conferenza internazionale sull\'ambiente umano. Nel corso di questa conferenza, la necessità di adottare uno sviluppo compatibile con l\'ambiente ha assunto le dimensioni di un dibattito globale '),(843,1,'Learning Pill Q4.4 BG','text','За да се обезпечат бъдещите ни нужди, в доклада, наречен „Общото ни бъдеще“, който днес е известен като Доклада Брунтланд, се разглежда това, че всяка страна трябва да осигури устойчивото използване на природните ресурси. Тази устойчивост се постига като се ограничи експлоатацията на невъзобновяемите ресурси, за да се предпазим от бързото им изчерпване, и като обърнем поглед към възобновяемите ресурси.'),(843,2,'Learning Pill Q4.4 EN','text','To preserve future needs, Brundtland, in its 1987 report “Our Common Future,” declared that each country must ensure \'sustainable\' use of natural resources, limiting the exploitation of non-renewable resources - in order not to cause their rapid depletion - and respecting renewable resources - by taking due account of their capacity for regeneration and thus avoiding causing their progressive deterioration'),(843,3,'Learning Pill Q4.4 ES','text','Para preservar las necesidades futuras, Brundtland, en su informe de 1987 “Nuestro futuro común”, declaró que cada país debe garantizar el uso sostenible de los recursos naturales, limitando la explotación de los recursos no renovables -para no provocar su rápido agotamiento- y respetando los recursos renovables, teniendo debidamente en cuenta su capacidad de regeneración y evitando así provocar su deterioro progresivo'),(843,4,'Learning Pill Q4.4 FR','text','Pour préserver les besoins futurs, Brundtland, dans son rapport de 1987 Notre avenir à tous, a déclaré que chaque pays doit assurer une utilisation durable des ressources naturelles, en limitant l\'exploitation des ressources non renouvelables - afin de ne pas provoquer leur épuisement rapide - et en respectant les ressources renouvelables - en tenant dûment compte de leur capacité de régénération et en évitant ainsi de provoquer leur détérioration progressive.'),(843,5,'Learning Pill Q4.4 IT','text','Per preservare i bisogni futuri, Brundtland, nella sua relazione del 1987 Il nostro futuro comune, ha dichiarato che ogni paese deve garantire l\'uso \'sostenibile\' delle risorse naturali, limitando lo sfruttamento delle risorse non rinnovabili - per non causare il loro rapido esaurimento - e nel rispetto delle risorse rinnovabili - tenendo debitamente conto della loro capacità di rigenerazione e evitando così il loro progressivo deterioramento '),(844,1,'Learning Pill Q4.5 BG','text','Протоколът от Киото от 1997 г. е законът за прилагане, произтичащ от Рамковата конвенция на ООН по изменение на климата (приета в Ню Йорк през 1992 г.). Протоколът задължава индустриализираните страни и страните с икономики в преход да намалят своите първични антропогенни емисии на парникови газове с 5% спрямо нивата от 1990 г. в периода 2008-2012 г. '),(844,2,'Learning Pill Q4.5 EN','text','The 1997 Kyoto Protocol is the implementing law deriving from the UN “Framework Convention on Climate Change” (adopted in NYC in 1992). The Protocol committed industrialised countries and countries with economies in transition to reduce their primary anthropogenic greenhouse gas emissions by 5% from 1990 levels in the period from 2008 to 2012.'),(844,3,'Learning Pill Q4.5 ES','text','El Protocolo de Kioto de 1997 es la ley de implementación derivada de la “Convención Marco sobre el Cambio Climático” de las Naciones Unidas (adoptada en Nueva York en 1992). El Protocolo comprometió a los países industrializados y a los países con economías en transición a reducir sus emisiones antropogénicas primarias de gases de efecto invernadero en un 5% con respecto a los niveles de 1990 en el período de 2008 a 2012'),(844,4,'Learning Pill Q4.5 FR','text','Le protocole de Kyoto (1997) est la loi d\'application de la Convention-cadre des Nations unies sur les changements climatiques (New York, 1992). Le protocole engage les pays industrialisés et les pays à économie en transition à réduire leurs émissions primaires de gaz à effet de serre d\'origine anthropique de 5% par rapport aux niveaux de 1990 au cours de la période 2008-2012.'),(844,5,'Learning Pill Q4.5 IT','text','Il Protocollo di Kyoto del 1997 è la legge di attuazione derivante dalla Convenzione quadro delle Nazioni Unite sui cambiamenti climatici (adottata a New York nel 1992). Il protocollo impegnava i paesi industrializzati e i paesi con economie in transizione a ridurre le loro emissioni primarie di gas a effetto serra di origine antropica del 5% rispetto ai livelli del 1990 nel periodo 2008-2012. '),(845,1,'Learning Pill Q4.6 BG','text','Въпреки че Протоколът е приет през 1997 г., поради сложния процес на ратификация той влиза в сила едва през 2005 г. Днес има 192 страни по Протокола от Киото: сред големите отсъстващи страни се открояват САЩ '),(845,2,'Learning Pill Q4.6 EN','text','Even if the Protocol was adopted in 1997, due to a complicated ratification process, it entered into force only in 2005. Today, there are 192 Parties to the Kyoto Protocol: among the big absents, the US stands out'),(845,3,'Learning Pill Q4.6 ES','text','Aunque el Protocolo fue adoptado en 1997, debido a un complicado proceso de ratificación, no entró en vigor hasta 2005. Hoy en día, hay 192 Partes en el Protocolo de Kioto: entre los grandes ausentes, destaca Estados Unidos'),(845,4,'Learning Pill Q4.6 FR','text','Même si le protocole a été adopté en 1997, il n\'est entré en vigueur qu\'en 2005 en raison d\'un processus de ratification compliqué. Aujourd\'hui, le protocole de Kyoto compte 192 parties : parmi les grands absents, les États-Unis se distinguent.'),(845,5,'Learning Pill Q4.6 IT','text','Anche se il protocollo è stato adottato nel 1997, a causa di un complicato processo di ratifica, è entrato in vigore solo nel 2005. Oggi le Parti del Protocollo di Kyoto sono 192: tra i grandi assenti spiccano gli Usa '),(846,1,'Learning Pill Q4.7 BG','text','Въвеждането на Целите на хилядолетието за развитие представлява още една стъпка към съзнателното опазване на околната среда от страна на международната общност. През 2015 г. се предприемат и две други важни инициативи, а именно, че всички държави членки на ООН ратифицират Програмата до 2030 г. за устойчиво развитие, и че повече от 190 държави приемат Парижкото споразумение. '),(846,2,'Learning Pill Q4.7 EN','text','The introduction of the 2Millennium Development Goals represented a further step toward acquiring environmental protection consciousness by the international community. In 2015 two other essential initiatives were taken, as we have seen before: all United Nations member states ratified the “2030 Agenda for Sustainable Development” and more than 190 countries adopted the “Paris Agreement”'),(846,3,'Learning Pill Q4.7 ES','text','La introducción de los Objetivos de Desarrollo del Segundo Milenio representó un paso más hacia la toma de conciencia de la comunidad internacional sobre la protección del medio ambiente. En 2015 se tomaron otras dos iniciativas esenciales, como hemos visto antes: todos los estados miembros de las Naciones Unidas ratificaron la “Agenda 2030 para el Desarrollo Sostenible” y más de 190 países adoptaron el “Acuerdo de París”'),(846,4,'Learning Pill Q4.7 FR','text','L\'introduction des Objectifs du Millénaire pour le Développement a représenté un pas supplémentaire vers l\'acquisition d\'une conscience de la protection de l\'environnement par la communauté internationale. En 2015, deux autres initiatives essentielles ont été prises, comme nous l\'avons vu précédemment : tous les États membres des Nations Unies ont ratifié l\'Agenda 2030 pour le développement durable et plus de 190 pays ont adopté l\'Accord de Paris.'),(846,5,'Learning Pill Q4.7 IT','text','l\'introduzione dei 2 Millennium Development Goals ha rappresentato un ulteriore passo verso l\'acquisizione della consapevolezza della protezione ambientale da parte della comunità internazionale. Nel 2015 sono state prese altre due iniziative essenziali, come abbiamo visto in precedenza: tutti gli stati membri delle Nazioni Unite hanno ratificato l\'Agenda 2030 per lo sviluppo sostenibile e più di 190 paesi hanno adottato l\'Accordo di Parigi '),(847,1,'Learning Pill Q4.8 BG','text','Пакетът Климат и енергетика (CARE) от 2008 г. включва задължителни цели на национално ниво за повишаването на употребата на възобновяема енергия. Глобалното ниво от 20%, което трябва да бъде достигнато до 2020 г., е диверсифицирано за всяка държава въз основа на началните ѝ стойности за производство на енергия от възобновяеми източници и способността на всяка от държавите да го увеличи '),(847,2,'Learning Pill Q4.8 EN','text','The 2008 Climate and Energy (CARE) package included binding national targets on the raised use of renewable energy. The global level of 20% to be reached by 2020 was diversified for each country based on their starting points for renewable energy production and their ability to increase it'),(847,3,'Learning Pill Q4.8 ES','text','El paquete Clima y Energía (CARE) de 2008 incluía objetivos nacionales vinculantes sobre el mayor uso de energía renovable. El nivel global del 20% que se debe alcanzar en 2020 se diversificó para cada país en función de sus puntos de partida para la producción de energía renovable y su capacidad para aumentarla'),(847,4,'Learning Pill Q4.8 FR','text','Le paquet climat-énergie (ou énergie-climat ou plan climat) comprenait des objectifs nationaux contraignants sur l\'augmentation de l\'utilisation des énergies renouvelables. Le niveau global de 20% à atteindre d\'ici 2020 a été diversifié pour chaque pays en fonction de leurs points de départ en matière de production d\'énergie renouvelable et de leur capacité à l\'augmenter.'),(847,5,'Learning Pill Q4.8 IT','text','Il pacchetto 2008 Clima ed Energia (CARE) comprendeva obiettivi nazionali vincolanti sull\'aumento dell\'uso di energia rinnovabile. Il livello globale del 20% da raggiungere entro il 2020 è stato diversificato per ciascun paese in base ai punti di partenza per la produzione di energia rinnovabile e alla loro capacità di aumentarla '),(848,1,'Learning Pill Q4.9 BG','text','Как всеки ключов сектор може да намали емисиите на парникови газове? В Пътната карта за преминаване към конкурентоспособна нисковъглеродна икономика през 2050 г. този въпрос е анализиран, като са предложени някои решения, основани на текущия процес на технологични иновации, като пример: \n \n - Електроенергията играе централна роля в транспортния и отоплителния сектор, като замества изкопаемите горива. За да се постигне това заместване, са необходими инвестиции в непрекъснатата доставка на електроенергия от възобновяеми енергийни източници. \n \n - В индустриалния сектор резултатите могат да се постигнат чрез прилагане на енергийно ефективни промишлени процеси и оборудване, рециклиране и технологии за намаляване на емисиите, които не са свързани с CO2. '),(848,2,'Learning Pill Q4.9 EN','text','How can each key sector reduce the use of carbon and GHG emissions? The Roadmap for moving to a competitive low carbon economy in 2050 analyses this issue, suggesting some solutions based on an ongoing technological innovation process, as an example: \n\n- Electricity plays a central role in the transport and heating sector, replacing fossil fuels. To allow this, investments in a continuous supply of renewables are necessary. \n\n- In the industrial sector, results can be obtained by applying energy-efficient industrial processes and equipment, recycling, and abatement technologies for non-CO2 emissions.'),(848,3,'Learning Pill Q4.9 ES','text','¿Cómo puede cada sector clave reducir el uso de carbono y las emisiones de GEI? La Hoja de Ruta para avanzar hacia una economía baja en carbono competitiva en 2050 analiza esta cuestión, sugiriendo algunas soluciones basadas en un proceso de innovación tecnológica en curso, a modo de ejemplo:\n\n- La electricidad desempeña un papel central en el sector del transporte y la calefacción, sustituyendo a los combustibles fósiles. Para permitir esto, son necesarias inversiones en un suministro continuo de energías renovables.\n\n- En el sector industrial, se pueden obtener resultados aplicando procesos y equipos industriales energéticamente eficientes, reciclaje y tecnologías de reducción de emisiones distintas de CO2.'),(848,4,'Learning Pill Q4.9 FR','text','Comment chaque secteur clé peut-il réduire l\'utilisation du carbone et les émissions de GES ? La feuille de route pour le passage à une économie compétitive à faible intensité de carbone en 2050 analyse cette question et propose quelques solutions basées sur un processus d\'innovation technologique en cours. Voici deux exemples. \n(a) L\'électricité joue un rôle central dans le secteur des transports et du chauffage, remplaçant les combustibles fossiles. Pour ce faire, il est nécessaire d\'investir dans un approvisionnement continu en énergies renouvelables. \n(b) Dans le secteur industriel, des résultats peuvent être obtenus en appliquant des processus et des équipements industriels efficaces sur le plan énergétique, en recyclant et en appliquant des technologies de réduction des émissions autres que le CO2.'),(848,5,'Learning Pill Q4.9 IT','text','In che modo ciascun settore chiave può ridurre l\'uso di emissioni di carbonio e di gas a effetto serra? La tabella di marcia per il passaggio a un\'economia competitiva a basse emissioni di carbonio nel 2050 analizza questo problema, suggerendo alcune soluzioni basate su un processo di innovazione tecnologica in corso, ad esempio: - l\'elettricità svolge un ruolo centrale nel settore dei trasporti e del riscaldamento, sostituendo i combustibili fossili. A tal fine sono necessari investimenti in una fornitura continua di energie rinnovabili. - Nel settore industriale, i risultati possono essere ottenuti applicando processi e attrezzature industriali efficienti sotto il profilo energetico, tecnologie di riciclaggio e di abbattimento per le emissioni non di CO2. '),(849,1,'Learning Pill Q4.10 BG','text','Европейската зелена сделка включва предложения за промяна на политиките на ЕС в областта на климата, енергетиката, транспорта и данъчното облагане. За да се постигне неутралност по отношение на климата през 2050 г., е внесено предложение за Европейски закон за климата, така че целта за неутралност по отношение на климата да бъде записана в обвързващо законодателство. През 2021 г. влиза в сила Европейският закон за климата '),(849,2,'Learning Pill Q4.10 EN','text','The European Green Deal includes proposals to change the EU\'s climate, energy, transport and taxation policies. To reach climate neutrality in 2050, a proposal for a European Climate Law was introduced so that the climate neutrality target could be written into binding legislation. In 2021 the European Climate Law entered into force'),(849,3,'Learning Pill Q4.10 ES','text','El Pacto Verde Europeo incluye propuestas para cambiar las políticas climáticas, energéticas, de transporte y fiscales de la UE. Para alcanzar la neutralidad climática en 2050, se presentó una propuesta de Ley Europea del Clima para que el objetivo de neutralidad climática pudiera plasmarse en una legislación vinculante. En 2021 entró en vigor la Ley Europea del Clima'),(849,4,'Learning Pill Q4.10 FR','text','Le Pacte Vert européen comprend des propositions visant à modifier les politiques de l\'UE en matière de climat, d\'énergie, de transport et de fiscalité. Pour atteindre la neutralité climatique en 2050, une proposition de loi européenne sur le climat a été introduite afin que l\'objectif de neutralité climatique puisse être inscrit dans une législation contraignante. La loi européenne sur le climat est entrée en vigueur en 2021.'),(849,5,'Learning Pill Q4.10 IT','text','Il Patto verde europeo contiene proposte per modificare le politiche comunitarie in materia di clima, energia, trasporti e fiscalità. Per raggiungere la neutralità climatica nel 2050, è stata introdotta una proposta di legge europea sul clima in modo che l\'obiettivo della neutralità climatica potesse essere inserito in una legislazione vincolante. Nel 2021 è entrata in vigore la Legge Europea sul Clima '),(850,1,'Learning Pill Q5.1 BG','text','Средните енергийни емисии за производство на електроенергия в еквивалент на CO2 (CO2e) в грамове на киловатчас крайна енергия са следните: вятър: 11; слънце: 41; газ: 490; въглища: 820. Тези данни са предоставени от Междуправителствения комитет по изменение на климата през 2014 г.'),(850,2,'Learning Pill Q5.1 EN','text','The average energy emissions for electricity generation in CO2 equivalent (CO2e) in grams per kilowatt hour of final energy are the following: wind: 11; solar: 41; gas: 490; Coal: 820. Those data were given by the Intergovernmental Panel on Climate Change in 2014. '),(850,3,'Learning Pill Q5.1 ES','text','Las emisiones de energía promedio para la generación de electricidad en CO2 equivalente (CO2e) en gramos por kilovatio hora de energía final son las siguientes: eólica: 11; solares: 41; gasolina: 490; Carbón: 820. Esos datos fueron proporcionados por el Panel Intergubernamental sobre Cambio Climático en 2014.'),(850,4,'Learning Pill Q5.1 FR','text','Les émissions énergétiques moyennes pour la production d\'électricité en équivalent CO2 (CO2e) en grammes par kilowattheure d\'énergie finale sont les suivantes : éolien : 11 ;solaire : 41 ;gaz : 490 ;charbon : 820. Ces données ont été fournies par le Groupe d\'experts intergouvernemental sur l\'évolution du climat en 2014.'),(850,5,'Learning Pill Q5.1 IT','text','Le emissioni energetiche medie per la generazione di elettricità in CO2 equivalente (CO2e) in grammi per chilowattora di energia finale sono le seguenti: eolico: 11; solare: 41; gas: 490; carbone: 820. Questi dati sono stati forniti dal Gruppo intergovernativo sui cambiamenti climatici nel 2014.'),(851,1,'Learning Pill Q5.2 BG','text','Интернет е глобална система от взаимосвързани компютърни мрежи, която работи чрез стандартизиран комплект от протоколи TCP/IP, за да обезпечи комуникацията между мрежи и устройства. '),(851,2,'Learning Pill Q5.2 EN','text','The Internet is a global system of interconnected computer networks that uses the Internet protocol suite (TCP/IP) to communicate between networks and devices. It is a network of networks.'),(851,3,'Learning Pill Q5.2 ES','text','Internet es un sistema global de redes informáticas interconectadas que utiliza el conjunto de protocolos de Internet (TCP/IP) para comunicarse entre redes y dispositivos. Es una red de redes.'),(851,4,'Learning Pill Q5.2 FR','text','Internet est un système mondial de réseaux informatiques interconnectés. C\'est un réseau de réseaux.'),(851,5,'Learning Pill Q5.2 IT','text','Internet è un sistema globale di reti informatiche interconnesse che utilizza la suite di protocolli Internet (TCP/IP) per comunicare tra reti e dispositivi. È una rete di reti.'),(852,1,'Learning Pill Q5.3 BG','text','Центровете за данни са огромни сгради с много компютри. Като цяло включва сериозно електрическо захранване с множество възможности за аварийно захранване, комуникационни връзки за данни в излишък, контрол на средата (като регулиране на въздуха, супресори за огън) и компоненти за сигурност.'),(852,2,'Learning Pill Q5.3 EN','text','Data-center are really huge buildings, with many computers'),(852,3,'Learning Pill Q5.3 ES','text','Los centros de datos son edificios realmente enormes, con muchas computadoras'),(852,4,'Learning Pill Q5.3 FR','text','Les centres de données sont d\'immenses bâtiments abritant de nombreux ordinateurs.'),(852,5,'Learning Pill Q5.3 IT','text','Data-center sono davvero enormi edifici, con molti computer '),(853,1,'Learning Pill Q5.4 BG','text','2 за страната на изпращача + 10*2 за страната на получателя = 22 '),(853,2,'Learning Pill Q5.4 EN','text','2 for the sender’s side + 10*2 for the recipients’ side = 22'),(853,3,'Learning Pill Q5.4 ES','text','2 para el lado del remitente + 10*2 para el lado del destinatario = 22'),(853,4,'Learning Pill Q5.4 FR','text','2 pour l\'expéditeur + 10*2 pour les destinataires = 22'),(853,5,'Learning Pill Q5.4 IT','text','2 per il lato del mittente + 10*2 per il lato del destinatario = 22 '),(854,1,'Learning Pill Q5.5 BG','text','При непостоянно съхранение в интернет снимката ще бъде изтеглена само от тези, които я искат. На пощенските сървъри няма да има междинни копия. '),(854,2,'Learning Pill Q5.5 EN','text','With a non-permanent web storage, the picture will be downloaded only by those who want it. There will be no intermediate copies on the mail servers'),(854,3,'Learning Pill Q5.5 ES','text','Con un almacenamiento web no permanente, la imagen será descargada sólo por aquellos que la deseen. No habrá copias intermedias en los servidores de correo'),(854,4,'Learning Pill Q5.5 FR','text','Avec un stockage web non permanent, l\'image ne sera téléchargée que par les personnes qui le souhaitent. Il n\'y aura pas de copies intermédiaires sur les serveurs de messagerie.'),(854,5,'Learning Pill Q5.5 IT','text','Con una memoria web non permanente, l\'immagine verrà scaricata solo da chi la desidera. Non ci saranno copie intermedie sui server di posta '),(855,1,'Learning Pill Q5.6 BG','text','Отписването от имейл бюлетини, които не четеш, помага за намаляването на дигиталното замърсяване. '),(855,2,'Learning Pill Q5.6 EN','text','Unsubscribing from mailing lists of emails that you don\'t read helps reduce digital pollution.'),(855,3,'Learning Pill Q5.6 ES','text','Texto para la píldora de entrenamiento en caso de responder incorrectamente. De esta forma el usuario aprenderá lo necesario para evitar volver a cometer el mismo error'),(855,4,'Learning Pill Q5.6 FR','text','Se désabonner des listes de diffusion de mails que l’on ne lit pas permet de diminuer la pollution numérique.'),(855,5,'Learning Pill Q5.6 IT','text','La cancellazione dalle mailing list delle e-mail che non si leggono contribuisce a ridurre l\'inquinamento digitale. '),(856,1,'Learning Pill Q5.7 BG','text','Един ексабайт е 10^18 байта. Това означава 1 милион терабайта = 1 милиард гигабайта '),(856,2,'Learning Pill Q5.7 EN','text','An exabyte is 10^18 bytes. It means 1 million terabytes = 1 billion gigabytes'),(856,3,'Learning Pill Q5.7 ES','text','Un exabyte son 10^18 bytes. Significa 1 millón de terabytes = mil millones de gigabytes'),(856,4,'Learning Pill Q5.7 FR','text','Un exaoctet correspond à 10^18 octets. Cela signifie que 1 million de téraoctets = 1 milliard de gigaoctets.'),(856,5,'Learning Pill Q5.7 IT','text','Un Exabyte è di 10^18 byte. Significa 1 milione di terabyte = 1 miliardo di gigabyte '),(857,1,'Learning Pill Q5.8 BG','text','Отлагането на изтеглянето на видеоклипове за една нощ няма да намали интернет трафика, но ще намали дневното претоварване, тъй като през нощта интернет трафика е по-малък '),(857,2,'Learning Pill Q5.8 EN','text','Postpone video downloads overnight will not decrease the Internet Traffic. It will reduce congestion, because Internet traffic is less important in a country during the night'),(857,3,'Learning Pill Q5.8 ES','text','Posponer las descargas de videos durante la noche no disminuirá el tráfico de Internet. Reducirá la congestión, porque el tráfico de Internet es menos importante en un país durante la noche'),(857,4,'Learning Pill Q5.8 FR','text','Le report des téléchargements vidéo pendant la nuit ne diminuera pas le trafic Internet. Il réduira la congestion, car le trafic Internet est moins important dans un pays pendant la nuit.'),(857,5,'Learning Pill Q5.8 IT','text','Rinviare i download di video durante la notte non diminuirà il traffico Internet. Ridurrà la congestione, perché il traffico Internet è meno importante in un paese durante la notte '),(858,1,'Learning Pill Q5.9 BG','text','Всяка заявка в търсачка генерира няколко съобщения, обменяни в интернет. Като използвате директно правилния URL адрес, намалявате броя на обменените съобщения. '),(858,2,'Learning Pill Q5.9 EN','text','Each query on a search engine generates several messages exchanged on the Internet. By using the right URL directly, you decrease the number of exchanged messages.'),(858,3,'Learning Pill Q5.9 ES','text','Cada consulta en un motor de búsqueda genera varios mensajes intercambiados en Internet. Al utilizar la URL correcta directamente, disminuye la cantidad de mensajes intercambiados'),(858,4,'Learning Pill Q5.9 FR','text','Chaque requête sur un moteur de recherche génère plusieurs messages échangés sur Internet. En utilisant directement la bonne URL, on diminue le nombre de messages échangés.'),(858,5,'Learning Pill Q5.9 IT','text','Ogni query su un motore di ricerca genera diversi messaggi scambiati su Internet. Utilizzando l\'URL giusto direttamente, si riduce il numero di messaggi scambiati. '),(859,1,'Learning Pill Q5.10 BG','text','Да, така е, но трябва да инсталираш допълнителни модули (плъгини) към браузъра си. '),(859,2,'Learning Pill Q5.10 EN','text','Yes it is. You must install additional modules to your browser (plug-ins).'),(859,3,'Learning Pill Q5.10 ES','text','Sí, lo es. Debe instalar módulos adicionales en su navegador (complementos)'),(859,4,'Learning Pill Q5.10 FR','text','Oui, C\'est le cas. Tu dois installer des modules supplémentaires dans ton navigateur (plug-ins).'),(859,5,'Learning Pill Q5.10 IT','text','Sì. È necessario installare moduli aggiuntivi nel browser (plug-in). '),(860,1,'Learning Pill Q6.1 BG','text','Емисията на опасни вещества в атмосферата е основният проблем, свързан с неправилното изхвърляне на електронни отпадъци, тъй като може да навреди на екосистемата и здравето ни. '),(860,2,'Learning Pill Q6.1 EN','text','The emission of hazardous substances into the atmosphere is the main concern related to the improper disposal of electronic waste, as it can cause harm to our ecosystem and our health.'),(860,3,'Learning Pill Q6.1 ES','text','La emisión de sustancias peligrosas a la atmósfera es la principal preocupación relacionada con la eliminación inadecuada de residuos electrónicos, ya que pueden causar daños a nuestro ecosistema y nuestra salud'),(860,4,'Learning Pill Q6.1 FR','text','L\'émission de substances dangereuses dans l\'atmosphère est la principale préoccupation liée à l\'élimination incorrecte des déchets électroniques, car elle peut nuire à notre écosystème et à notre santé.'),(860,5,'Learning Pill Q6.1 IT','text','l\'emissione di sostanze pericolose nell\'atmosfera è la principale preoccupazione legata allo smaltimento improprio dei rifiuti elettronici, in quanto può causare danni al nostro ecosistema e alla nostra salute. '),(861,1,'Learning Pill Q6.2 BG','text','Специалният символ, който указва, че дадено електронно устройство подлежи на разделно събиране на отпадъци, е зачеркнат контейнер на колелца. Този символ често се гравира върху електронните устройства, за да информира потребителите, че следва да не изхвърлят устройството като обикновен домакински отпадък, а да го занесат в определен събирателен пункт за правилното му рециклиране. '),(861,2,'Learning Pill Q6.2 EN','text','The special symbol that indicates that an electronic device is subject to separate waste collection is a crossed-out wheeled bin. This symbol is often printed on electronic devices to inform consumers that they should not dispose of the device as regular household waste, but rather take it to a designated collection point for proper recycling.'),(861,3,'Learning Pill Q6.2 ES','text','El símbolo especial que indica que un dispositivo electrónico está sujeto a recogida selectiva de residuos es un contenedor con ruedas tachado. Este símbolo suele estar impreso en dispositivos electrónicos para informar a los consumidores que no deben desechar el dispositivo como residuo doméstico normal, sino llevarlo a un punto de recogida designado para su reciclaje adecuado'),(861,4,'Learning Pill Q6.2 FR','text','Le symbole spécial indiquant qu\'un appareil électronique doit faire l\'objet d\'une collecte sélective est une poubelle barrée. Ce symbole est souvent imprimé sur les appareils électroniques pour informer les consommateurs qu\'ils ne doivent pas se débarrasser de l\'appareil avec les déchets ménagers ordinaires, mais qu\'ils doivent le déposer dans un point de collecte désigné en vue d\'un recyclage approprié.'),(861,5,'Learning Pill Q6.2 IT','text','Il simbolo speciale che indica che un dispositivo elettronico è soggetto alla raccolta differenziata dei rifiuti è un bidone a ruote barrato. Questo simbolo è spesso stampato su dispositivi elettronici per informare i consumatori che non dovrebbero smaltire il dispositivo come normale rifiuto domestico, ma piuttosto portarlo in un punto di raccolta designato per un corretto riciclaggio. '),(862,1,'Learning Pill Q6.3 BG','text','В ЕС батериите трябва да се изваждат от уреда и да се рециклират отделно, както от битовите, така и от електронните отпадъци. Това може да стане, като ги занесете в определен пункт за събиране или ги върнете на търговеца при закупуване на нови батерии. '),(862,2,'Learning Pill Q6.3 EN','text','In the EU, batteries should be removed from the appliance and recycled separately, including from other waste. This can be done by either taking them to a designated collection point or returning them to the retailer when purchasing new batteries'),(862,3,'Learning Pill Q6.3 ES','text','En la UE, las baterías deben retirarse del aparato y reciclarse por separado, incluidas las de otros residuos. Esto se puede hacer llevándolas a un punto de recogida designado o devolviéndolas al minorista al comprar baterías nuevas'),(862,4,'Learning Pill Q6.3 FR','text','Dans l\'Union Européenne comme sur Mars, les piles doivent être retirées de l\'appareil et recyclées séparément. Il faut les déposer dans un point de collecte désigné ou les rapporter au détaillant lors de l\'achat de nouvelles piles.'),(862,5,'Learning Pill Q6.3 IT','text','Nell\'UE le batterie dovrebbero essere rimosse dall\'apparecchio e riciclate separatamente, anche da altri rifiuti. Ciò può essere fatto portandoli in un punto di raccolta designato o restituendoli al rivenditore al momento dell\'acquisto di nuove batterie '),(863,1,'Learning Pill Q6.4 BG','text','Терминът добив се използва, тъй като процесът включва извличане на материали по начин, подобен на традиционния добив, но вместо материалите да се извличат от подземни или открити мини, те се извличат от потоците градски отпадък. Целта на градския добив е да се намали количеството на отпадъците, изпращани на сметищата, да се запазят природните ресурси и да се осигури устойчив източник на суровини '),(863,2,'Learning Pill Q6.4 EN','text','The term mining is used because the process involves extracting materials in a similar way to traditional mining, but instead of extracting materials from underground or open-pit mines, the materials are extracted from urban waste streams. The goal of urban mining is to reduce the amount of waste sent to landfills, conserve natural resources, and provide a sustainable source of raw materials'),(863,3,'Learning Pill Q6.4 ES','text','El término minería se utiliza porque el proceso implica extraer materiales de manera similar a la minería tradicional, pero en lugar de extraer materiales de minas subterráneas o a cielo abierto, los materiales se extraen de flujos de desechos urbanos. El objetivo de la minería urbana es reducir la cantidad de desechos enviados a los vertederos, conservar los recursos naturales y proporcionar una fuente sostenible de materias primas'),(863,4,'Learning Pill Q6.4 FR','text','Le terme « exploitation minière » est utilisé parce que le processus implique l\'extraction de matériaux d\'une manière similaire à l\'exploitation minière traditionnelle, mais au lieu d\'extraire des matériaux de mines souterraines ou à ciel ouvert, les matériaux sont extraits de flux de déchets urbains. L\'objectif de l\'exploitation minière urbaine est de réduire la quantité de déchets envoyés dans les décharges, de conserver les ressources naturelles et de fournir une source durable de matières premières.\n\n\n'),(863,5,'Learning Pill Q6.4 IT','text','Il termine estrazione è usato perché il processo comporta l\'estrazione di materiali in modo simile a quello tradizionale, ma invece di estrarre materiali da miniere sotterranee o a cielo aperto, i materiali vengono estratti dai flussi di rifiuti urbani. l\'obiettivo dell\'estrazione mineraria urbana è ridurre la quantità di rifiuti inviati in discarica, conservare le risorse naturali e fornire una fonte sostenibile di materie prime '),(864,1,'Learning Pill Q6.5 BG','text','Изхвърлянето на стария лаптоп в кофата за боклук не е препоръчителен начин за изхвърляне на стар лаптоп, защото може да доведе не само до замърсяване на околната среда, и да предизвика опасност за човешкото здраве, но може и да доведе до нежеланото изтичане на лични и чувствителни данни '),(864,2,'Learning Pill Q6.5 EN','text','Disposing of your old laptop in the trash bin is not a recommended way to dispose of an old laptop because it can lead to environmental pollution, health hazards and unwanted sensitive data exposure'),(864,3,'Learning Pill Q6.5 ES','text','Tirar su computadora portátil vieja a la basura no es una forma recomendada de deshacerse de una computadora portátil vieja porque puede provocar contaminación ambiental, riesgos para la salud y exposición no deseada de datos confidenciales'),(864,4,'Learning Pill Q6.5 FR','text','Il n\'est pas recommandé de jeter son vieil ordinateur portable à la poubelle, car cela peut entraîner une pollution de l\'environnement, des risques pour la santé et l\'exposition de données sensibles non désirées.'),(864,5,'Learning Pill Q6.5 IT','text','Smaltimento del vecchio computer portatile nel cestino non è un modo consigliato per smaltire un vecchio computer portatile perché può portare a inquinamento ambientale, rischi per la salute e l\'esposizione ai dati sensibili indesiderati '),(865,1,'Learning Pill Q6.6 BG','text','Кръговата икономика се състои в това да се уверим, че използваме ресурсите по устойчив начин, т.е. не ги изразходваме твърде бързо и не вредим на околната среда. По този начин можем да намалим отпадъците и замърсяването и да се уверим, че използваме ресурсите по интелигентен и устойчив начин както за околната среда, така и за нашето бъдеще. '),(865,2,'Learning Pill Q6.6 EN','text','Circular economy is all about making sure we use resources in a way that is sustainable, meaning we don\'t use them up too quickly or harm the environment. This way, we can reduce waste and pollution and make sure we\'re using resources in a smart and sustainable way for both the environment and our future'),(865,3,'Learning Pill Q6.6 ES','text','La economía circular consiste en asegurarnos de que utilizamos los recursos de una manera que sea sostenible, es decir, que no los gastemos demasiado rápido ni dañemos el medio ambiente. De esta manera, podemos reducir los residuos y la contaminación y asegurarnos de que utilizamos los recursos de forma inteligente y sostenible tanto para el medio ambiente como para nuestro futuro'),(865,4,'Learning Pill Q6.6 FR','text','L\'économie circulaire consiste à s\'assurer que nous utilisons les ressources de manière durable, C\'est-à-dire que nous ne les épuisons pas trop vite et que nous ne nuisons pas à l\'environnement. Nous pouvons ainsi réduire les déchets et la pollution et nous assurer que nous utilisons les ressources de manière intelligente et durable, tant pour l\'environnement que pour notre avenir.'),(865,5,'Learning Pill Q6.6 IT','text','l\'economia circolare consiste nell\'assicurarci di utilizzare le risorse in modo sostenibile, il che significa che non le consumiamo troppo velocemente o danneggiamo l\'ambiente. In questo modo, possiamo ridurre i rifiuti e l\'inquinamento e assicurarci di utilizzare le risorse in modo intelligente e sostenibile sia per l\'ambiente che per il nostro futuro '),(866,1,'Learning Pill Q6.7 BG','text','В тази категория попадат всички видове телекомуникационно оборудване, включително телефони, факс апарати и телефонни автомати. ИТ оборудването, включително сървъри, компютри (лаптопи и персонални компютри) и тяхната периферия, са част от тази категория. Интересно е, че принтерите и копирните машини също са част от тази категория, но техните тонери и касети с мастило обикновено се рециклират отделно от специализирани компании. '),(866,2,'Learning Pill Q6.7 EN','text','All types of telecommunication equipment fall into this category, including phones, fax machines, and pay telephones. IT equipment, including servers, computers (laptops and personal computers) and their periphery, are part of this category. Interestingly, printers and copy machines are part of this category as well, however, their toners and ink cartridges are usually recycled separately by dedicated companies'),(866,3,'Learning Pill Q6.7 ES','text','Todos los tipos de equipos de telecomunicaciones entran en esta categoría, incluidos teléfonos, máquinas de fax y teléfonos públicos. Forman parte de esta categoría los equipos informáticos, incluidos servidores, ordenadores (portátiles y personales) y su periferia. Curiosamente, las impresoras y fotocopiadoras también forman parte de esta categoría; sin embargo, sus tóneres y cartuchos de tinta suelen ser reciclados por separado por empresas especializadas'),(866,4,'Learning Pill Q6.7 FR','text','Tous les types d\'équipements de télécommunication entrent dans cette catégorie, y compris les téléphones, les télécopieurs et les téléphones publics. Les équipements informatiques (serveurs, ordinateurs portables, PC et leurs périphériques) font partie de cette catégorie. Les imprimantes et les photocopieuses en font également partie, mais leurs toners et leurs cartouches d\'encre doivent être recyclés séparément par des entreprises spécialisées.'),(866,5,'Learning Pill Q6.7 IT','text','Rientrano in questa categoria tutti i tipi di apparecchiature di telecomunicazione, compresi i telefoni, i fax e i telefoni a pagamento. Le apparecchiature IT, inclusi server, computer (laptop e personal computer) e la loro periferia, fanno parte di questa categoria. È interessante notare che anche le stampanti e le fotocopiatrici fanno parte di questa categoria, tuttavia i loro toner e le cartucce di inchiostro sono solitamente riciclati separatamente da aziende dedicate '),(867,1,'Learning Pill Q6.8 BG','text','Разглобяването на електронни отпадъци е процесът, в който се отделят и сортират различните компоненти за рециклиране. Това може да се извърши ръчно, химически или автоматично с машини '),(867,2,'Learning Pill Q6.8 EN','text','Electronic waste dismantling is the process of taking apart electronic devices to separate and remove the different components for recycling. This could be done manually, chemically or automatically, with machines'),(867,3,'Learning Pill Q6.8 ES','text','El desmantelamiento de residuos electrónicos es el proceso de desarmar dispositivos electrónicos para separar y retirar los diferentes componentes para su reciclaje. Esto podría hacerse de forma manual, química o automática con máquinas'),(867,4,'Learning Pill Q6.8 FR','text','Le démantèlement des déchets électroniques est le processus qui consiste à démonter les appareils électroniques afin d\'en séparer et d\'en retirer les différents composants en vue de leur recyclage. Cette opération peut être effectuée manuellement, chimiquement ou automatiquement, à l\'aide de machines.'),(867,5,'Learning Pill Q6.8 IT','text','Lo smantellamento elettronico dei rifiuti è il processo di smontaggio dei dispositivi elettronici per separare e rimuovere i diversi componenti per il riciclaggio. Questo potrebbe essere fatto manualmente, chimicamente o automaticamente, con le macchine '),(868,1,'Learning Pill Q6.9 BG','text','Намаляващото качество на електронните отпадъци е резултат от факта, че производителите използват все по-малко материали за изработката на електрониката, тъй като тя става все по-малка и по-компактна. Това означава, че електронните отпадъци вече съдържат по-малко благородни метали и други ценни материали, които могат да бъдат по-трудни за извличане и рециклиране. '),(868,2,'Learning Pill Q6.9 EN','text','The declining quality of e-waste is a result of the fact that manufacturers are increasingly using fewer materials to make electronics as they become smaller and more compact. This means that e-waste now contains fewer precious metals and other valuable materials, which can be more difficult to extract and recycle.'),(868,3,'Learning Pill Q6.9 ES','text','La disminución de la calidad de los desechos electrónicos es el resultado del hecho de que los fabricantes utilizan cada vez menos materiales para fabricar productos electrónicos a medida que se vuelven más pequeños y compactos. Esto significa que los desechos electrónicos ahora contienen menos metales preciosos y otros materiales valiosos, que pueden ser más difíciles de extraer y reciclar'),(868,4,'Learning Pill Q6.9 FR','text','La baisse de la qualité des déchets électroniques est due au fait que les fabricants utilisent de moins en moins de matériaux pour fabriquer les appareils électroniques, qui deviennent de plus en plus petits et compacts. Cela signifie que les déchets électroniques contiennent désormais moins de métaux précieux et d\'autres matériaux de valeur, qui peuvent être plus difficiles à extraire et à recycler.'),(868,5,'Learning Pill Q6.9 IT','text','La diminuzione della qualità dei rifiuti elettronici è dovuta al fatto che i produttori utilizzano sempre meno materiali per produrre elettronica man mano che diventano più piccoli e compatti. Ciò significa che i rifiuti elettronici ora contengono meno metalli preziosi e altri materiali preziosi, che possono essere più difficili da estrarre e riciclare. '),(869,1,'Learning Pill Q6.10 BG','text','По-голямата част от електронните отпадъци се озовават на сметищата, за да се спестят разходите за труд, свързани с рециклирането им, а и поради не толкова строгите регулаторни ограничения в развиващите се страни, където изхвърлянето на електронния отпадък на сметището е по-лесно. '),(869,2,'Learning Pill Q6.10 EN','text','Most e-waste ended up in landfills because of cheaper labour costs and fewer stringent restrictions in developing nations'),(869,3,'Learning Pill Q6.10 ES','text','La mayoría de los desechos electrónicos terminaron en vertederos debido a costos laborales más baratos y restricciones menos estrictas en los países en desarrollo'),(869,4,'Learning Pill Q6.10 FR','text','La plupart des déchets électroniques finissent dans des décharges en raison des coûts de main-d\'œuvre moins élevés et des restrictions moins strictes dans les pays en développement.'),(869,5,'Learning Pill Q6.10 IT','text','La maggior parte dei rifiuti elettronici finiscono in discarica a causa dei costi di manodopera più bassi e delle restrizioni meno severe nei paesi in via di sviluppo '),(870,1,'Learning Pill Q7.1 BG','text','За да се създаде успешна и устойчива политика в областта на околната среда, е от решаващо значение да се включат правителства, компании, но и гражданско общество. '),(870,2,'Learning Pill Q7.1 EN','text','To create a successful environmental policy it´s is crucial to involve Governments, Companies and Civil Society'),(870,3,'Learning Pill Q7.1 ES','text','Para crear una política ambiental exitosa es crucial involucrar a los gobiernos, las empresas y la sociedad civil'),(870,4,'Learning Pill Q7.1 FR','text','Pour élaborer une politique environnementale efficace, il est essentiel d\'impliquer les gouvernements, les entreprises et la société civile.'),(870,5,'Learning Pill Q7.1 IT','text','Per creare una politica ambientale di successo è fondamentale coinvolgere i governi, le imprese e la società civile '),(871,1,'Learning Pill Q7.2 BG','text','Времевият прозорец, в който можем да избегнем климатичната катастрофа, се затваря бързо, така че устойчивото развитие и действията в областта на климата са от решаващо значение за бъдещето на нашата планета '),(871,2,'Learning Pill Q7.2 EN','text','Our window to avoid climate catastrophe is closing rapidly so sustainable development and climate actions are crucial for the future of our planet'),(871,3,'Learning Pill Q7.2 ES','text','Nuestra ventana para evitar una catástrofe climática se está cerrando rápidamente, por lo que el desarrollo sostenible y las acciones climáticas son cruciales para el futuro de nuestro planeta'),(871,4,'Learning Pill Q7.2 FR','text','Le temps dont nous disposons pour éviter une catastrophe climatique se réduit rapidement, de sorte que le développement durable et les actions en faveur du climat sont essentiels pour l\'avenir de notre planète.'),(871,5,'Learning Pill Q7.2 IT','text','La nostra finestra per evitare la catastrofe climatica si sta chiudendo rapidamente, quindi lo sviluppo sostenibile e le azioni per il clima sono cruciali per il futuro del nostro pianeta '),(872,1,'Learning Pill Q7.3 BG','text','Програмата до 2030 г. има за цел да изкорени бедността, да разшири достъпа до права и да постигне глобално икономическо развитие по устойчив и щадящ начин за планетата Земя и нейните ресурси '),(872,2,'Learning Pill Q7.3 EN','text','The Agenda 2030 wanted to eradicate poverty, expand access to human rights and achieve global economic development in a sustainable and respectful way with the planet Earth and its resources'),(872,3,'Learning Pill Q7.3 ES','text','La Agenda 2030 quería erradicar la pobreza, ampliar el acceso a los derechos humanos y lograr un desarrollo económico global de forma sostenible y respetuosa con el planeta Tierra y sus recursos'),(872,4,'Learning Pill Q7.3 FR','text','L\'Agenda 2030 voulait éradiquer la pauvreté, élargir l\'accès aux droits de l\'homme et réaliser un développement économique mondial de manière durable et respectueuse de la planète Terre et de ses ressources.'),(872,5,'Learning Pill Q7.3 IT','text','l\'Agenda 2030 voleva eliminare la povertà, ampliare l\'accesso ai diritti umani e raggiungere lo sviluppo economico globale in modo sostenibile e rispettoso con il pianeta Terra e le sue risorse '),(873,1,'Learning Pill Q7.4 BG','text','Цел 11 се отнася до превръщането на градовете и населените места в приобщаващи, безопасни и устойчиви места. Днес повече от половината от населението на света живее в градове. До 2050 г. около 7 от 10 души вероятно ще живеят в градски райони. Градовете са двигател на икономическия растеж и допринасят за повече от 80 % от световния БВП '),(873,2,'Learning Pill Q7.4 EN','text','Goal 11 is about making cities and human settlements inclusive, safe, resilient and sustainable. Today, more than half the world’s population live in cities. By 2050, an estimated 7 out of 10 people will likely live in urban areas. Cities are drivers of economic growth and contribute more than 80 per cent of global GDP'),(873,3,'Learning Pill Q7.4 ES','text','El Objetivo 11 trata de lograr que las ciudades y los asentamientos humanos sean inclusivos, seguros, resilientes y sostenibles. Hoy en día, más de la mitad de la población mundial vive en ciudades. Se estima que para 2050, aproximadamente 7 de cada 10 personas vivirán en zonas urbanas. Las ciudades son impulsoras del crecimiento económico y aportan más del 80 por ciento del PIB mundial'),(873,4,'Learning Pill Q7.4 FR','text','L\'objectif 11 vise à rendre les villes et les établissements humains inclusifs, sûrs, résilients et durables. Aujourd\'hui, plus de la moitié de la population mondiale vit dans des villes. D\'ici 2050, on estime que 7 personnes sur 10 vivront probablement dans des zones urbaines. Les villes sont des moteurs de la croissance économique et contribuent à plus de 80% du PIB mondial.'),(873,5,'Learning Pill Q7.4 IT','text','l\'obiettivo 11 è rendere le città e gli insediamenti umani inclusivi, sicuri, resilienti e sostenibili. Oggi più della metà della popolazione mondiale vive in città. Entro il 2050, si stima che 7 persone su 10 vivranno probabilmente in aree urbane. Le città sono motori della crescita economica e contribuiscono per oltre l\'80% del PIL globale '),(874,1,'Learning Pill Q7.5 BG','text','Цел 7 е свързана с осигуряването на достъп до чиста и достъпна енергия, която е от ключово значение за развитието на селското стопанство, бизнеса, комуникациите, образованието, здравеопазването и транспорта. Липсата на достъп до енергия възпрепятства икономическото и човешкото развитие '),(874,2,'Learning Pill Q7.5 EN','text','Goal 7 is about ensuring access to clean and affordable energy, which is key to the development of agriculture, business, communications, education, healthcare and transportation. The lack of access to energy hinders economic and human development'),(874,3,'Learning Pill Q7.5 ES','text','El Objetivo 7 trata de garantizar el acceso a energía limpia y asequible, que es clave para el desarrollo de la agricultura, los negocios, las comunicaciones, la educación, la atención médica y el transporte. La falta de acceso a la energía obstaculiza el desarrollo económico y humano'),(874,4,'Learning Pill Q7.5 FR','text','L\'objectif 7 consiste à garantir l\'accès à une énergie propre et abordable, qui est essentielle au développement de l\'agriculture, des entreprises, des communications, de l\'éducation, des soins de santé et des transports. Le manque d\'accès à l\'énergie entrave le développement économique et humain.'),(874,5,'Learning Pill Q7.5 IT','text','l\'obiettivo 7 è garantire l\'accesso all\'energia pulita e a prezzi accessibili, che è fondamentale per lo sviluppo dell\'agricoltura, delle imprese, delle comunicazioni, dell\'istruzione, della sanità e dei trasporti. La mancanza di accesso all\'energia ostacola lo sviluppo economico e umano '),(875,1,'Learning Pill Q7.6 BG','text','Европейските органи и по-специално Европейската комисия предприемат много действия и инициативи за осъществяване на двойния преход: зеления преход и дигиталния преход '),(875,2,'Learning Pill Q7.6 EN','text','Many actions and initiatives are emerging from the European Authorities and in particular from the European Commission to implement the twin transitions: the green transition and the digital transition'),(875,3,'Learning Pill Q7.6 ES','text','Muchas acciones e iniciativas están surgiendo de las Autoridades europeas y en particular de la Comisión Europea para implementar las dos transiciones: la transición verde y la transición digital.'),(875,4,'Learning Pill Q7.6 FR','text','De nombreuses actions et initiatives émergent des autorités européennes et en particulier de la Commission européenne pour mettre en œuvre les deux transitions : la transition verte et la transition numérique.'),(875,5,'Learning Pill Q7.6 IT','text','Molte azioni e iniziative stanno emergendo dalle Autorità europee e in particolare dalla Commissione Europea per attuare le due transizioni: la transizione verde e la transizione digitale '),(876,1,'Learning Pill Q7.7 BG','text','Анализирайки историческото развитие на международната политика в областта на околната среда, не можем да пренебрегнем концепцията за устойчиво развитие. През 1987 г., Световната комисия по околната среда и развитието дефинира устойчивото развитие като развитие, което задоволява настоящите ни нужди, без да застрашава способността на бъдещите поколения да задоволяват своите. '),(876,2,'Learning Pill Q7.7 EN','text','Product passports are primarily meant to improve the following areas: More sustainable production – by enhancing the use of materials and energy, extending the life of products, and maximising product performance; Circular economy models – by making it possible for businesses to use service and repair-based business models;Educated choices while making purchases – by encouraging consumers to make more eco-friendly decisions and track their effects and finally verify that laws are being followed – by overseeing the EU-wide registration of the certifications and standards that a product has earned.'),(876,3,'Learning Pill Q7.7 ES','text','Los pasaportes de productos están destinados principalmente a mejorar las siguientes áreas: Producción más sostenible: mejorando el uso de materiales y energía, extendiendo la vida útil de los productos y maximizando su rendimiento; Modelos de economía circular – al hacer posible que las empresas utilicen modelos de negocios basados en servicios y reparaciones; Opciones informadas al realizar compras – al alentar a los consumidores a tomar decisiones más respetuosas con el medio ambiente y realizar un seguimiento de sus efectos y, finalmente, verificar que se cumplan las leyes – mediante supervisar el registro en toda la UE de las certificaciones y estándares que ha obtenido un producto'),(876,4,'Learning Pill Q7.7 FR','text','Les passeports de produits sont principalement destinés à améliorer les domaines suivants : une production plus durable (en améliorant l\'utilisation des matériaux et de l\'énergie, en prolongeant la durée de vie des produits et en optimisant leurs performances) ; des modèles d\'économie circulaire (en permettant aux entreprises d\'utiliser des modèles commerciaux fondés sur les services et la réparation) ; des choix éclairés lors des achats (en encourageant les consommateurs à prendre des décisions plus respectueuses de l\'environnement et à en suivre les effets) ;et enfin la vérification du respect de la législation (en supervisant l\'enregistrement à l\'échelle de l\'UE des certifications et des normes auxquelles un produit a été soumis).'),(876,5,'Learning Pill Q7.7 IT','text','I passaporti dei prodotti hanno principalmente lo scopo di migliorare i seguenti settori: produzione più sostenibile - migliorando l\'uso di materiali ed energia, prolungando la vita dei prodotti e massimizzando le prestazioni dei prodotti; Modelli di economia circolare - rendendo possibile alle imprese l\'utilizzo di modelli di business basati sui servizi e sulla riparazione; Scelte consapevoli durante gli acquisti - incoraggiando i consumatori a prendere decisioni più ecologiche e monitorare i loro effetti e, infine, verificare che le leggi vengono seguite - supervisionando la registrazione a livello europeo delle certificazioni e degli standard che un prodotto ha ottenuto. '),(877,1,'Learning Pill Q7.8 BG','text','ECOSIA е германска търсачка, която използва печалбите от търсенията, за да засажда дървета там, където те са най-необходими, приблизително 45 търсения на дърво '),(877,2,'Learning Pill Q7.8 EN','text','Ecosia is a German internet information search engine that uses the profits from the searches to plant trees where they are most needed, approximately 45 searches per tree'),(877,3,'Learning Pill Q7.8 ES','text','Ecosia es un motor de búsqueda de información en Internet alemán que utiliza los beneficios de las búsquedas para plantar árboles donde más se necesitan, aproximadamente 45 búsquedas por árbol'),(877,4,'Learning Pill Q7.8 FR','text','Ecosia est un moteur de recherche allemand qui utilise les bénéfices des recherches pour planter des arbres là où ils sont le plus nécessaires, soit environ 45 recherches par arbre.'),(877,5,'Learning Pill Q7.8 IT','text','Ecosia è un motore di ricerca tedesco di informazioni su Internet che utilizza i profitti delle ricerche per piantare alberi dove sono più necessari, circa 45 ricerche per albero '),(878,1,'Learning Pill Q7.9 BG','text','Инструментите за виртуална колаборация могат да намалят съществено необходимостта от съхраняване на прикачени файлове към имейли и да помогнат за спестяване на разходи за пътуване и хартия '),(878,2,'Learning Pill Q7.9 EN','text','Online collaboration tools can reduce the need to store email attachments and can help save on travelling and paper cost'),(878,3,'Learning Pill Q7.9 ES','text','Las herramientas de colaboración en línea pueden reducir la necesidad de almacenar archivos adjuntos de correo electrónico y pueden ayudar a ahorrar en viajes y costos de papel.'),(878,4,'Learning Pill Q7.9 FR','text','Les outils de collaboration en ligne peuvent réduire la nécessité de stocker les pièces jointes aux courriels et contribuer à économiser les frais de déplacement et de papier.'),(878,5,'Learning Pill Q7.9 IT','text','Gli strumenti di collaborazione online possono ridurre la necessità di archiviare allegati e-mail e possono aiutare a risparmiare sui costi di viaggio e cartacei '),(879,1,'Learning Pill Q7.10 BG','text','Инициативата Ден на дигиталното почистване включва физически лица и общности по целия свят, които проверяват своите устройства за ненужни файлове и ги изтриват. Възможно е да се регистрират усилията на участниците чрез формуляр, а спонсорът връчва награди на тези, които са положили най-значителни усилия за намаляване на дигиталното замърсяване.'),(879,2,'Learning Pill Q7.10 EN','text','The Initiative Digital Clean-up day involves individuals and communities around the world checking their devices for unnecessary files and deleting them. It\'s possible to register the effort of the participants through a form and the sponsor gives awards to those who have made the most significant effort to reduce the amount of digital waste'),(879,3,'Learning Pill Q7.10 ES','text','El día de limpieza digital de la Iniciativa involucra a personas y comunidades de todo el mundo que revisan sus dispositivos en busca de archivos innecesarios y los eliminan. Es posible registrar el esfuerzo de los participantes a través de un formulario y el patrocinador premia a quienes hayan hecho el esfuerzo más significativo para reducir la cantidad de residuos digitales'),(879,4,'Learning Pill Q7.10 FR','text','La journée de nettoyage numérique de l\'initiative implique des individus et des communautés du monde entier qui vérifient que leurs appareils ne contiennent pas de fichiers inutiles et les suppriment. Il est possible d\'enregistrer les efforts des participants à l\'aide d\'un formulaire et le sponsor décerne des prix à ceux qui ont fait les efforts les plus importants pour réduire la quantité de déchets numériques.'),(879,5,'Learning Pill Q7.10 IT','text','La giornata di Iniziativa Digital Clean-up coinvolge individui e comunità di tutto il mondo che controllano i loro dispositivi alla ricerca di file inutili e li eliminano. È possibile registrare lo sforzo dei partecipanti attraverso un modulo e lo sponsor premia coloro che hanno fatto lo sforzo più significativo per ridurre la quantità di rifiuti digitali '),(880,1,'Learning Pill Q8.1 BG','text','Директива 2006/32/ЕО относно ефективността при крайното потребление на енергия и осъществяване на енергийни услуги (EED) и нейните преработени текстове (Директива 2012/27/ЕС и Директива (ЕС) 2018/2002) се основават на предпоставката, че Европейският съюз може да употребява по-малко енергия чрез по-ефективно технологично потребление. Поради тази причина, през 2007 г. лидерите на ЕС определят като ключова цел подобряването с 20 % на енергийната ефективност в Европейския съюз.'),(880,2,'Learning Pill Q8.1 EN','text','The EED “Directive 2006/32/EC Energy end-use efficiency and energy services” and its recasts (Directive 2012/27/EU and Directive (EU) 2018/2002) were based on the premise that the European Union can consume less by using technology more efficiently. For this reason, in 2007, the EU leaders established a key target: improving by 20% the energy efficiency in the European Union'),(880,3,'Learning Pill Q8.1 ES','text','La DEE “Directiva 2006/32/CE, eficiencia del uso final de la energía y servicios energéticos” y sus refundiciones (Directiva 2012/27/UE y Directiva (UE) 2018/2002) se basaron en la premisa de que la Unión Europea puede consumir menos si utilizar la tecnología de manera más eficiente. Por este motivo, en 2007, los líderes de la UE establecieron un objetivo clave: mejorar en un 20% la eficiencia energética en la Unión Europea.'),(880,4,'Learning Pill Q8.1 FR','text','La directive 2006/32/CE relative à l\'efficacité énergétique dans les utilisations finales et aux services énergétiques, ainsi que ses refontes (directives 2012/27/UE et (UE) 2018/2002) partent du principe que l\'Union Européenne peut consommer moins en utilisant la technologie de manière plus efficace. C\'est pourquoi, en 2007, les dirigeants de l\'UE ont fixé un objectif clé : améliorer de 20 % l\'efficacité énergétique dans l\'Union Européenne.'),(880,5,'Learning Pill Q8.1 IT','text','La Direttiva 2006/32/CE Efficienza degli usi finali dell\'energia e servizi energetici e le sue rifusioni (Direttiva 2012/27/UE e Direttiva (UE) 2018/2002) si basavano sulla premessa che l\'Unione Europea può consumare meno utilizzando la tecnologia in modo più efficiente. Per questo motivo, nel 2007, i leader dell\'UE hanno stabilito un obiettivo chiave: migliorare del 20% l\'efficienza energetica nell\'Unione europea '),(881,1,'Learning Pill Q8.2 BG','text','Политическите дейности на ЕС в областта на околната среда и производството на ИКТ се подпомагат от предварителни и допълнителни дейности по стандартизация на ИКТ и са събрани в така наречения Текущ план за стандартизация на ИКТ. Това е документ, който се публикува на годишна база от Европейската комисия. '),(881,2,'Learning Pill Q8.2 EN','text','The EU policy activities on the environment and ICT production are supported by preliminary and complementary ICT standardisation activities collected in the Rolling Plan for ICT standardisation , an annual document released by the European Commission.'),(881,3,'Learning Pill Q8.2 ES','text','Las actividades políticas de la UE sobre medio ambiente y producción de TIC están respaldadas por actividades de normalización de TIC preliminares y complementarias recogidas en el Plan móvil para la normalización de las TIC, un documento anual publicado por la Comisión Europea.'),(881,4,'Learning Pill Q8.2 FR','text','Les activités politiques de l\'UE en matière d\'environnement et de production de TIC sont soutenues par des activités préliminaires et complémentaires de normalisation des TIC rassemblées dans le plan glissant pour la normalisation des TIC, un document annuel publié par la Commission européenne.'),(881,5,'Learning Pill Q8.2 IT','text','Le attività politiche dell\'UE in materia di ambiente e produzione di TIC sono supportate da attività preliminari e complementari di normalizzazione delle TIC raccolte nel Rolling Plan for ICT standardization , un documento annuale pubblicato dalla Commissione europea.'),(882,1,'Learning Pill Q8.3 BG','text','Директива 75/442/ЕИО насърчава всички държави-членки да предприемат действия за предотвратяването, преработката, рециклирането и повторното използване на отпадъците, без да се застрашава човешкото здраве и околната среда. Освен това тя въвежда принципа замърсителят плаща, което означава, че всички разходи за обезвреждане на отпадъците трябва да бъдат покрити от производителя на продукта, от който произхождат отпадъците '),(882,2,'Learning Pill Q8.3 EN','text','The Council Directive 75/442/EEC encourages all Member States to take actions to prevent, process, recycle and reuse waste without endangering human health and the environment. Moreover, it introduced the principle of “the polluter pays”, which means that all costs of the waste’s disposal must be covered by the producer of the product from which the waste came'),(882,3,'Learning Pill Q8.3 ES','text','La Directiva 75/442/CEE del Consejo anima a todos los Estados miembros a adoptar medidas para prevenir, procesar, reciclar y reutilizar los residuos sin poner en peligro la salud humana ni el medio ambiente. Además, introdujo el principio de “quien contamina paga”, lo que significa que todos los costos de eliminación de los residuos deben ser cubiertos por el productor del producto del que proceden los residuos.'),(882,4,'Learning Pill Q8.3 FR','text','La directive 75/442/CEE du Conseil encourage tous les États membres à prendre des mesures pour prévenir, traiter, recycler et réutiliser les déchets sans mettre en danger la santé humaine et l\'environnement. En outre, elle a introduit le principe du pollueur-payeur, qui signifie que tous les coûts d\'élimination des déchets doivent être couverts par le producteur du produit d\'où proviennent les déchets.'),(882,5,'Learning Pill Q8.3 IT','text','La direttiva 75/442/CEE del Consiglio incoraggia tutti gli Stati membri ad adottare misure per prevenire, trattare, riciclare e riutilizzare i rifiuti senza mettere in pericolo la salute umana e l\'ambiente. Inoltre, ha introdotto il principio chi inquina paga, il che significa che tutti i costi dello smaltimento dei rifiuti devono essere coperti dal produttore del prodotto da cui provengono i rifiuti '),(883,1,'Learning Pill Q8.4 BG','text','Директива 2018/851, която въвежда разширената отговорност на производителя, има за цел да координира политиките на държавите членки на ЕС, като установи общи минимални изисквания за разширена отговорност на производителя. Съгласно последния член (8а) на Директивата, трябва да се осигури равно третиране както на големите, така и на малките производители, както и наличието на системи за събиране на отпадъци във всеки район. Също така, в случай на колективна отговорност, трайността на продукта, възможността за ремонтирането му при повреда, повторната му употреба, рециклиране му и съдържащите се в него опасни вещества следва да дефинират финансовите задължения на всеки производител.'),(883,2,'Learning Pill Q8.4 EN','text','The Directive 2018/851 (witch introduced the extended producer responsibility) aimed to coordinate Member States’ policies by establishing general minimum requirements for the “extended producer responsibility“. According to the recent article 8a, equal treatment of both big and small producers must be ensured, and the availability of waste collection systems in any area . Also, in the case of collective responsibility, the product’s durability, reparability, reusability, recyclability, and hazardous substances should modulate each producer’s financing obligations for waste disposal'),(883,3,'Learning Pill Q8.4 ES','text','La Directiva 2018/851 (que introdujo la responsabilidad ampliada del productor) tenía como objetivo coordinar las políticas de los Estados miembros estableciendo requisitos mínimos generales para la “responsabilidad ampliada del productor”. Según el reciente artículo 8a, se debe garantizar la igualdad de trato a los grandes y pequeños productores, y la disponibilidad de sistemas de recogida de residuos en cualquier zona. Además, en el caso de la responsabilidad colectiva, la durabilidad, reparabilidad, reutilización, reciclabilidad y sustancias peligrosas del producto deben modular las obligaciones de financiamiento de cada productor para la eliminación de residuos'),(883,4,'Learning Pill Q8.4 FR','text','La directive 2018/851 (qui a introduit la responsabilité élargie du producteur) vise à coordonner les politiques des États membres en établissant des exigences minimales générales pour la responsabilité élargie du producteur. Selon le récent article 8a, l\'égalité de traitement des grands et des petits producteurs doit être assurée, ainsi que la disponibilité de systèmes de collecte des déchets dans n\'importe quelle zone. En outre, dans le cas de la responsabilité collective, la durabilité, la réparabilité, la réutilisation, la recyclabilité et les substances dangereuses du produit doivent moduler les obligations de financement de chaque producteur pour l\'élimination des déchets.'),(883,5,'Learning Pill Q8.4 IT','text','La direttiva 2018/851 (che ha introdotto la responsabilità estesa del produttore) mirava a coordinare le politiche degli Stati membri stabilendo requisiti minimi generali per la responsabilità estesa del produttore. Secondo il recente articolo 8a, si deve garantire la parità di trattamento dei grandi e dei piccoli produttori e la disponibilità di sistemi di raccolta dei rifiuti in qualsiasi area . Inoltre, in caso di responsabilità collettiva, la durata, la riparabilità, la riutilizzabilità, la riciclabilità e le sostanze pericolose del prodotto dovrebbero modulare gli obblighi di finanziamento di ciascun produttore per lo smaltimento dei rifiuti. '),(884,1,'Learning Pill Q8.5 BG','text','През 2014 г. 19 от 28-те членове на ЕС постигат целта за събиране на поне 4 kg електронни отпадъци на жител, както се изисква от Директива 2002/96/ЕО, а 11 членове вече са изпълнили целта за 45 % събрани ОЕЕО, както е уредено за 2016 г. с Директива 2012/19/ЕС. Двама членове (България и Литва) са постигнали целта от 65 % за 2019 г. '),(884,2,'Learning Pill Q8.5 EN','text','In 2014, 19 Members out of 28 reached the goal of collecting at least 4kg of e-waste per inhabitant, as required by Directive 2002/96 /EC, and 11 Members had already fulfilled the target of 45% of WEEE collected, as settled for 2016 by Directive 2012/19/EU. Two members (Bulgaria and Lithuania) had reached the target of 65% for 2019'),(884,3,'Learning Pill Q8.5 ES','text','En 2014, 19 de los 28 miembros alcanzaron el objetivo de recoger al menos 4 kg de residuos electrónicos por habitante, como exige la Directiva 2002/96/CE, y 11 miembros ya habían cumplido el objetivo de recoger el 45 % de los RAEE, según lo establecido para 2016 por la Directiva 2012/19/UE. Dos miembros (Bulgaria y Lituania) habían alcanzado el objetivo del 65 % para 2019.'),(884,4,'Learning Pill Q8.5 FR','text','En 2014, 19 membres sur 28 ont atteint l\'objectif de collecter au moins 4 kg de déchets électroniques par habitant, conformément à la directive 2002/96/CE, et 11 membres avaient déjà atteint l\'objectif de 45% de DEEE collectés, fixé pour 2016 par la directive 2012/19/UE. Deux membres (la Bulgarie et la Lituanie) ont atteint l\'objectif de 65 % pour 2019.'),(884,5,'Learning Pill Q8.5 IT','text','Nel 2014, 19 membri su 28 hanno raggiunto l\'obiettivo di raccogliere almeno 4 kg di rifiuti elettronici per abitante, come richiesto dalla direttiva 2002/96/CE, e 11 membri avevano già raggiunto l\'obiettivo del 45% di RAEE raccolti, come stabilito per il 2016 dalla direttiva 2012/19/UE. Due membri (Bulgaria e Lituania) avevano raggiunto l\'obiettivo del 65% per il 2019 '),(885,1,'Learning Pill Q8.6 BG','text','В Директива 2005/32/ЕО е определена рамка за определяне на изискванията за екодизайн към енергоемките продукти. На първо място, тази директива се прилага само ако: 1) обемът на продажбите на енергоемкият продукт надхвърля 200 000 единици на година; 2) енергоемкият продукт има значително въздействие върху околната среда; и 3) енергоемкият продукт показва значителен потенциал за усъвършенстване по отношение на въздействието си върху околната среда, без това да води до прекомерни разходи.'),(885,2,'Learning Pill Q8.6 EN','text','The Directive 2005/32/EC set a methodology to implement this generic eco-design requirement to a specific EuP. First of all, this Directive only applied to: \n\n- EuPs which had a volume of sales higher than 200.000 units a year \n\n- EuPs with a significant environmental impact \n\n- EuPs with significant potential for environmental impact prevention improvement without negatively affecting the product\'s economic competitiveness.'),(885,3,'Learning Pill Q8.6 ES','text','La Directiva 2005/32/CE establece una metodología para implementar este requisito genérico de diseño ecológico en un PUE específico. En primer lugar, esta Directiva sólo se aplicaba a:\n\n- PUE que tuvieron un volumen de ventas superior a 200.000 unidades al año\n\n- PUE con un impacto ambiental significativo\n\n- PUE con potencial significativo para la mejora de la prevención del impacto ambiental sin afectar negativamente a la competitividad económica del producto.'),(885,4,'Learning Pill Q8.6 FR','text','La directive 2005/32/CE a établi une méthodologie pour appliquer cette exigence générique d\'éco-conception à un produit consommateur d\'énergie spécifique. Tout d\'abord, cette directive ne s\'applique qu\'aux produits consommateurs d\'énergie (a) dont le volume des ventes est supérieur à 200 000 unités par an, (b) ayant un impact significatif sur l\'environnement, (c) présentant un potentiel significatif d\'amélioration de la prévention des incidences sur l\'environnement sans incidence négative sur la compétitivité économique du produit.'),(885,5,'Learning Pill Q8.6 IT','text','La direttiva 2005/32/CE stabilisce una metodologia per applicare questo requisito generico di progettazione ecocompatibile a un EP specifico. In primo luogo, la presente direttiva si applica soltanto: - UP con un volume di vendite superiore a 200.000 unità all\'anno - UP con un impatto ambientale significativo - I prodotti che consumano energia con un significativo potenziale di miglioramento della prevenzione dell\'impatto ambientale senza incidere negativamente sulla competitività economica del prodotto. '),(886,1,'Learning Pill Q8.7 BG','text','В Европа, а вероятно и всяка друга част на света, няма закони за личната отговорност по отношение на дигиталното замърсяване. Този аспект все още е сравнително млад в общественото съзнание и все още не са въведени закони, които да го регулират. Макар и да не е задължително от законова гледна точка да го правиш, те каня да научиш повече за това как можеш да намалиш ползваш дигиталните технологии по-екосъобразно в ежедневието си! '),(886,2,'Learning Pill Q8.7 EN','text','In Europe (and probably in any other part of the word) there are no laws regarding (personal) digital pollution. This aspect is still relatively recent in general awareness, and no laws have yet been introduced to regulate it. However, even if it is not legally mandatory to do so, we invite you to learn and try to introduce some little tricks to reduce pollution in your daily life!'),(886,3,'Learning Pill Q8.7 ES','text','En Europa (y probablemente en cualquier otra parte del mundo) no existen leyes relativas a la contaminación digital (personal). Este aspecto es todavía relativamente reciente en la conciencia geeral, y aún no se han introducido leyes que lo regulen. Sin embargo, aunque no sea legalmente obligatorio hacerlo, te invitamos a que aprendas e intentes introducir algunos pequeños trucos para reducir la contaminación en tu vida diaria.'),(886,4,'Learning Pill Q8.7 FR','text','En Europe (et probablement dans toutes les autres parties du monde), il n\'existe pas de lois concernant la pollution numérique (personnelle). Cet aspect est encore relativement récent dans la conscience générale, et aucune loi n\'a encore été introduite pour le réglementer. Cependant, même s\'il n\'est pas légalement obligatoire de le faire, nous t\'invitons à apprendre et à essayer d\'introduire quelques petites astuces pour réduire la pollution dans ta vie quotidienne !'),(886,5,'Learning Pill Q8.7 IT','text','In Europa (e probabilmente in qualsiasi altra parte della parola) non ci sono leggi riguardanti l\'inquinamento digitale (personale). Questo aspetto è ancora relativamente recente nella consapevolezza generale, e non sono ancora state introdotte leggi per regolarlo. Tuttavia, anche se non è legalmente obbligatorio farlo, vi invitiamo a imparare e cercare di introdurre alcuni piccoli trucchi per ridurre l\'inquinamento nella vostra vita quotidiana! '),(887,1,'Learning Pill Q8.8 BG','text','Комисията планира да представи предложение за изменение на Директивата за продажбата на стоки и обмисля отделно законодателно предложение относно удължаване на срока за правото на поправка, през третото тримесечие на 2022 г.'),(887,2,'Learning Pill Q8.8 EN','text','The commission planned to extend the legal guarantee period for reparation by the third quarter of 2022 to tackle planned obsolescence'),(887,3,'Learning Pill Q8.8 ES','text','La comisión preveía ampliar el plazo de garantía legal de reparación hasta el tercer trimestre de 2022 para hacer frente a la obsolescencia programada'),(887,4,'Learning Pill Q8.8 FR','text','Grâce à l’Europe, pour tout achat en magasin ou sur Internet auprès d’un vendeur professionnel, l\'acheteur bénéficie d’une garantie légale de conformité. D\'une durée de 2 ans minimum, elle permet de demander au vendeur la réparation ou l’échange du bien. Si cela s’avère impossible, le remboursement des sommes versées. Depuis le 1er janvier 2022, cette garantie s\'est étendue aux biens connectés ainsi qu\'aux contenus et services numériques. '),(887,5,'Learning Pill Q8.8 IT','text','La commissione prevede di estendere il periodo di garanzia legale per il risarcimento entro il terzo trimestre del 2022 per affrontare l\'obsolescenza prevista '),(888,1,'Learning Pill Q8.9 BG','text','С Директива 2008/98/ЕО (наричана още Рамкова директива за отпадъците) се въвежда нова йерархия на отпадъците (виж фигура 57 в електронната книга на GreenCo), която определя приоритетен ред на най-добрите общи екологични възможности в политиката за отпадъците и изхвърлянето на електронни отпадъци: предотвратяване, подготовка за повторна употреба, рециклиране, друго оползотворяване (напр. енергийно оползотворяване) и накрая - изхвърляне. '),(888,2,'Learning Pill Q8.9 EN','text','The Directive 2008/98/EC (also called Waste Framework Directive) introduced a new waste hierarchy (see Figure 57 in GreenCo eBook) which laid down a priority order of the best overall environmental options in waste and e-waste disposal policy: prevention, preparing for reuse, recycling, another recovery (e.g. energy recovery), and finally, disposal.'),(888,3,'Learning Pill Q8.9 ES','text','La Directiva 2008/98/CE (también llamada Directiva marco sobre residuos) introdujo una nueva jerarquía de residuos (véase la figura 57) que establecía un orden de prioridad de las mejores opciones medioambientales globales en la política de eliminación de residuos y de residuos electrónicos: prevención, preparación para la reutilización, reciclado, otra recuperación (por ejemplo, recuperación de energía) y, por último, eliminación'),(888,4,'Learning Pill Q8.9 FR','text','La directive 2008/98/CE (également appelée directive-cadre sur les déchets) a introduit une nouvelle hiérarchie des déchets (voir figure 17 de l\'eBook de Greenco) qui établit un ordre de priorité des meilleures options environnementales globales dans la politique d\'élimination des déchets et des déchets électroniques : la prévention, la préparation en vue du réemploi, le recyclage, une autre valorisation (par exemple, la valorisation énergétique) et, enfin, l\'élimination.'),(888,5,'Learning Pill Q8.9 IT','text','La Direttiva 2008/98/CE (detta anche Direttiva quadro sui rifiuti) ha introdotto una nuova gerarchia dei rifiuti (vedi Figura 57 nell\'eBook GreenCo) che stabilisce un ordine di priorità delle migliori opzioni ambientali complessive nella politica di smaltimento dei rifiuti e dei rifiuti elettronici: prevenzione, preparazione per il riutilizzo, riciclaggio, altro recupero (ad esempio recupero di energia) e infine smaltimento. '),(889,1,'Learning Pill Q8.10 BG','text','С отменената Директива 2012/27/ЕС бяха определени редица методи, които да гарантират изпълнението на целта. От държавите членки се изискваше да определят цел за енергийна ефективност на национално равнище и да публикуват национален план за действие за енергийна ефективност на всеки три години. Освен това тя включваше задължения за държавите членки да приемат политически мерки за намаляване на потреблението на енергия с поне 1,5 % годишно в периода 2014-2020 г. '),(889,2,'Learning Pill Q8.10 EN','text','The repealing Directive 2012/27/EU set a series of methods to ensure that the target was enacted. Member States were required to establish a national-level energy efficiency target and publish a “national energy efficiency action plan” every three years. In addition, it included obligations for the Member States to adopt policy measures to reduce energy usage by at least 1.5% per year between 2014 and 2020.'),(889,3,'Learning Pill Q8.10 ES','text','La Directiva derogatoria 2012/27/UE estableció una serie de métodos para garantizar la promulgación del objetivo. Los Estados miembros debían establecer un objetivo de eficiencia energética a nivel nacional y publicar un plan nacional de acción para la eficiencia energética cada tres años. Además, incluía la obligación de que los Estados miembros adoptaran medidas políticas para reducir el consumo de energía en al menos un 1,5% anual entre 2014 y 2020'),(889,4,'Learning Pill Q8.10 FR','text','La directive abrogative 2012/27/UE a défini une série de méthodes pour garantir la mise en œuvre de l\'objectif. Les États membres étaient tenus d\'établir un objectif d\'efficacité énergétique au niveau national et de publier un plan d\'action national en matière d\'efficacité énergétique tous les trois ans. En outre, la directive prévoit l\'obligation pour les États membres d\'adopter des mesures politiques visant à réduire l\'utilisation de l\'énergie d\'au moins 1,5% par an entre 2014 et 2020.'),(889,5,'Learning Pill Q8.10 IT','text','l\'abrogazione della direttiva 2012/27/UE ha stabilito una serie di metodi per garantire l\'attuazione dell\'obiettivo. Gli Stati membri dovevano stabilire un obiettivo di efficienza energetica a livello nazionale e pubblicare ogni tre anni un piano d\'azione nazionale per l\'efficienza energetica. Inoltre, ha incluso l\'obbligo per gli Stati membri di adottare misure politiche per ridurre il consumo di energia di almeno l\'1,5% all\'anno tra il 2014 e il 2020. '),(900,1,'Introduction Room 1 BG','text','Част от дигиталното замърсяване се генерира от потреблението на енергия от електронни устройства като лаптопи, смартфони и т. н., като намаляването на това потребление допринася за намаляване на въглеродния ни отпечатък.\n\nГотов ли си за тази мисия, [player name]? '),(900,2,'Introduction Room 1 EN','text','A part of digital pollution is generated by the energy consumption of our electronic devices. Reducing this consumption contributes to the reduction of the carbon footprint. And therefore, we improve the health of the planet. \n\nAre you ready for this mission, [player name]?'),(900,3,'Introduction Room 1 ES','text','Una parte de la contaminación digital se genera por el consumo energético de nuestros dispositivos electrónicos. Reducir este consumo contribuye a la reducción de la huella de carbono. Y por tanto, mejoramos la salud del planeta.\n\n¿Estás listo para esta misión, [player name]?'),(900,4,'Introduction Room 1 FR','text','Une partie de la pollution numérique est générée par la consommation d\'énergie de nos appareils électroniques. Réduire cette consommation contribue à la réduction de notre empreinte carbone. Et donc, nous améliorons la santé de la planète.\n\nEs-tu prêt(e) pour cette mission, [player name] ?'),(900,5,'Introduction Room 1 IT','text','Una parte dell\'inquinamento digitale è generato dal consumo di energia dei nostri dispositivi elettronici. La riduzione di questo consumo contribuisce alla riduzione dell\'impronta di carbonio. E quindi, miglioriamo la salute del pianeta. Sei pronto per questa missione, [player name]? '),(901,1,'Introduction Room 2 BG','text','Това е положението, приятелю. Вместо да използваме дадено устройство до края на полезния му живот, ние често сменяме устройствата си и не рециклираме старите. Не сме наясно с щетите, които причиняваме. Готов ли си да решиш този проблем, [player name]? '),(901,2,'Introduction Room 2 EN','text','This is what we are getting, my friend. Instead of using a device until the end of its useful life, we often change devices and don\'t recycle the old ones. We are not aware of the damage we cause. Are you ready to solve this problem, [player name]?'),(901,3,'Introduction Room 2 ES','text','Esto es lo que estamos pasando, amigo mío. En lugar de utilizar un dispositivo hasta el final de su vida útil, a menudo cambiamos de dispositivo y no reciclamos los viejos. No somos conscientes del daño que causamos. ¿Estás listo para resolver este problema, [player name]?'),(901,4,'Introduction Room 2 FR','text','Au lieu d\'utiliser un appareil jusqu\'à la fin de sa vie utile, nous changeons souvent d\'appareil et ne recyclons pas les anciens. Nous ne sommes pas conscients des dégâts que nous causons. Es-tu prêt(e) à résoudre ce problème, [player name] ?'),(901,5,'Introduction Room 2 IT','text','Questo è quello che otterremo, amico mio. Invece di utilizzare un dispositivo fino alla fine della sua vita utile, spesso cambiamo i dispositivi e non ricicliamo quelli vecchi. Non siamo consapevoli del danno che causiamo. Sei pronto a risolvere questo problema, [player name]? '),(902,1,'Introduction Room 3 BG','text','Знаеш ли, [player name], че организациите и хората работят заедно, за да решат този проблем?\n \n Трябва да настояваме, че е необходимо всички да работим заедно. Живеем на една и съща планета и всички носим отговорност.\n \n Можеш ли да ни помогнеш с тези инициативи? Имаме нужда от твоята помощ, за да спасим Земята! '),(902,2,'Introduction Room 3 EN','text','Did you know, [player name], that organisations and people are working together to solve this problem? \n\nWe must insist that it is necessary to all work together; we all live on the same planet, and we still need a plan B for now. \n\nCan you help us with these initiatives? We need your help to save the Earth!'),(902,3,'Introduction Room 3 ES','text','¿Sabías, [player name], que organizaciones y personas están trabajando juntas para resolver este problema?\n \nDebemos insistir en que es necesario trabajar todos juntos; Todos vivimos en el mismo planeta y todavía necesitamos un plan B por ahora.\n\n¿Puedes ayudarnos con estas iniciativas? ¡Necesitamos tu ayuda para salvar la Tierra!'),(902,4,'Introduction Room 3 FR','text','[player name], sais-tu que des organisations et des personnes travaillent ensemble pour résoudre ce problème ? \n\nNous devons insister sur le fait qu\'il est nécessaire de travailler tous ensemble. Nous vivons tous sur la même planète et nous n\'avons pas encore de plan B pour l\'instant. \n\nPeux-tu nous aider avec ces initiatives ? Nous avons besoin de ton aide pour sauver la Terre !'),(902,5,'Introduction Room 3 IT','text','Lo sapevate, [player name], che le organizzazioni e le persone stanno lavorando insieme per risolvere questo problema? Dobbiamo insistere sul fatto che è necessario lavorare tutti insieme; Viviamo tutti sullo stesso pianeta, e abbiamo ancora bisogno di un piano B per ora. Puoi aiutarci con queste iniziative? Abbiamo bisogno del tuo aiuto per salvare la Terra! '),(903,1,'Introduction Room 4 BG','text','Приятелю [player name], тези битки се водят и на местата, където политиците взимат решения и създават нови закони. \n \nВ много случаи, законите не предвиждат драстични мерки, но благодарение на всички, които са ангажирани с проблема, стъпка по стъпка постигаме напредък. \n \nКакво знаеш за законите, които ни помагат да се справим с тези проблеми? '),(903,2,'Introduction Room 4 EN','text','Friend [player name], these battles are also fought in places where politicians make decisions and make new laws. \n\nOn many occasions, these laws are very light, but thanks to all of you, people involved and concerned with the problem, we are making progress step by step. \n\nDo you know the laws that are being created to help in the solution?'),(903,3,'Introduction Room 4 ES','text','Amigo [player name], estas batallas también se libran en lugares donde los políticos toman decisiones y hacen nuevas leyes.\n\nEn muchas ocasiones estas leyes son muy ligeras, pero gracias a todos vosotros, personas implicadas y preocupadas con el problema, vamos avanzando paso a paso.\n \n¿Conoces las leyes que se están creando para ayudar en la solución?'),(903,4,'Introduction Room 4 FR','text','[player name], ces batailles sont également menées là où les politiciens prennent des décisions et élaborent de nouvelles lois. \n\nSouvent, ces lois sont très légères, mais grâce à nous tous, personnes impliquées et concernées par le problème, nous progressons pas à pas. \n\nConnais-tu les lois qui sont créées pour contribuer à la solution ?'),(903,5,'Introduction Room 4 IT','text','Amico [player name], queste battaglie si combattono anche nei luoghi in cui i politici prendono decisioni e redigono nuove leggi. \n\nIn molte occasioni, queste leggi sono molto limitate, ma grazie a tutti voi, persone coinvolte e interessate al problema, stiamo facendo progressi passo dopo passo. \n\nConoscete le leggi che si stanno emanando per contribuire alla soluzione del problema?. '),(904,1,'Introduction Room 5 BG','text','[player name], на Марс ресурсите и енергията ще се набавят по-трудно. Там потреблението на енергия ще трябва да се регулира още по-внимателно '),(904,2,'Introduction Room 5 EN','text','[player name], on Mars resources and energy will be more difficult to obtain. Energy consumption should then be carefully adjusted'),(904,3,'Introduction Room 5 ES','text','[player name], en Marte los recursos y la energía serán más difíciles de obtener. A continuación, se debe ajustar cuidadosamente el consumo de energía'),(904,4,'Introduction Room 5 FR','text','[player name], sur Mars, les ressources et l\'énergie seront plus difficiles à obtenir. La consommation d\'énergie doit donc être soigneusement ajustée.'),(904,5,'Introduction Room 5 IT','text','[player name], su Marte le risorse e l\'energia saranno più difficili da ottenere. Il consumo di energia dovrebbe quindi essere attentamente regolato '),(905,1,'Introduction Room 6 BG','text','Радвам се да те видя, [player name]! \n \n Аз съм Вера, помниш ли ме? А това е Морис. Ние сме главните инженери в завода за рециклиране на електронни отпадъци на Марс. Той е най-големият, който някога е съществувал. \n \n Ако само хората рециклираха правилно своите електронни отпадъци на Земята... \n \n Искаме да направим различни информационни материали, които да разпространим сред хората на Марс, за да им помогнем да научат всичко, което трябва да знаят за електронните отпадъци и тяхното рециклиране. \n \n А всички знаем колко важно е рециклирането на електронни отпадъци... след всичко, което се случи на Земята... такава трагедия. \n \n [Име на играча], можеш ли да се заемеш с изготвянето на материалите? '),(905,2,'Introduction Room 6 EN','text','We are delighted to see you here [player name]! \n\nI am Vera, remember ? and this is Maurice. We are the head engineers at Mars’ e-waste recycling plant. It is the largest one ever to exist. \n\nIf only people recycled their e-waste correctly… \n\nWe want to make some awareness materials to distribute among the people on Mars to help them learn all they need to know about e-waste and e-waste recycling. \n\nAnd we all know how important e-waste recycling is… after all that happened on Earth,… such a tragedy. \n\n[player name], can you get started on the materials?'),(905,3,'Introduction Room 6 ES','text','¡Estamos encantados de verte aquí [player name]!\n\nSoy Vera, ¿recuerdas? y este es Mauricio. Somos los ingenieros jefe de la planta de reciclaje de desechos electrónicos de Mars. Es el más grande que jamás haya existido.\n\nSi tan solo la gente reciclara sus desechos electrónicos correctamente...\n\nQueremos crear algunos materiales de concientización para distribuir entre las personas en Marte y ayudarlos a aprender todo lo que necesitan saber sobre los desechos electrónicos y el reciclaje de desechos electrónicos.\n\nY todos sabemos lo importante que es el reciclaje de residuos electrónicos... después de todo lo que pasó en la Tierra... qué tragedia.\n\n[player name], ¿puedes empezar con los materiales?'),(905,4,'Introduction Room 6 FR','text','Nous sommes ravis de te voir ici [player name] ! \n\nJe suis Vera, tu te souviens ? et voici Maurice. Nous sommes les ingénieurs en chef de l\'usine de recyclage des déchets électroniques de Mars. C\'est la plus grande qui ait jamais existé. \n\nSi seulement les gens recyclaient correctement leurs déchets électroniques... \n\nNous voulons produire du matériel de sensibilisation à distribuer aux habitants de Mars pour les aider à apprendre tout ce qu\'il faut savoir sur les déchets électroniques et leur recyclage. \n\nEt nous savons tous à quel point le recyclage des déchets électroniques est important... après tout ce qui s\'est passé sur Terre,... une telle tragédie. \n\n[player name], peux-tu commencer à travailler sur les matériaux ?'),(905,5,'Introduction Room 6 IT','text','Siamo felici di vedervi qui [player name]! Sono Vera, ricordi ? e questo è Maurice. Siamo gli ingegneri responsabili dell\'impianto di riciclo dei rifiuti elettronici di Marte. È il più grande che sia mai esistito. Se solo le persone riciclassero correttamente i loro rifiuti elettronici... Vogliamo creare materiali di sensibilizzazione da distribuire tra le persone su Marte per aiutarli a imparare tutto ciò che devono sapere sui rifiuti elettronici e sul riciclo dei rifiuti elettronici. E sappiamo tutti quanto sia importante il riciclaggio dei rifiuti elettronici... dopo tutto quello che è successo sulla Terra... una tale tragedia. [player name], puoi iniziare con i materiali? '),(906,1,'Introduction Room 7 BG','text','Социалните инициативи играят съществена роля за информирането на населението за рисковете, свързани с дигиталното замърсяване и електронните отпадъци. Те са мотиватор, който създава общност от хора около каузата. \n \n Тук, на Марс,човешките заселници и роботите започват да работят заедно. \n \n [Име на играча] ще ни помогнеш ли да изпълним една важна мисия - да създадем успешни инициативи на Марс. \n \n [player name], готов ли си? '),(906,2,'Introduction Room 7 EN','text','Social initiatives have played an essential role in keeping the human population informed about the risks related to digital pollution and electronic waste. They served as a motivator, creating a community of people around the cause. \n\nHere on Mars,human settlers and robots are starting to work together. \n\n[player name] will help us to complete a crucial mission: to create successful initiatives on Mars. \n\n[player name], are you ready?'),(906,3,'Introduction Room 7 ES','text','Las iniciativas sociales han jugado un papel esencial para mantener informada a la población humana sobre los riesgos relacionados con la contaminación digital y los residuos electrónicos. Sirvieron como motivadores, creando una comunidad de personas en torno a la causa.\n\nAquí en Marte, los colonos humanos y los robots están empezando a trabajar juntos.\n\n[player name] nos ayudará a completar una misión crucial: crear iniciativas exitosas en Marte.\n\n[player name], ¿estás listo?'),(906,4,'Introduction Room 7 FR','text','Les initiatives sociales ont joué un rôle essentiel dans l\'information de la population sur les risques liés à la pollution numérique et aux déchets électroniques. Elles ont servi de motivation, créant une communauté de personnes autour de la cause. \nSur Mars, les colons humains et les robots commencent à travailler ensemble.\n[player name], tu nous aideras à mener à bien une mission cruciale : créer des initiatives fructueuses sur Mars.\n[player name], es-tu prêt(e) ?'),(906,5,'Introduction Room 7 IT','text','Le iniziative sociali hanno svolto un ruolo essenziale nel tenere informata la popolazione umana sui rischi legati all\'inquinamento digitale e ai rifiuti elettronici. Sono servite da motivatore, creando una comunità di persone intorno alla causa. \n\nQui su Marte, coloni umani e robot stanno iniziando a lavorare insieme. \n\n[player name] ci aiuterà a portare a termine una missione cruciale: creare iniziative di successo su Marte. \n\n[nome giocatore], sei pronto?. '),(907,1,'Introduction Room 8 BG','text','О, значи вече си тук?\n \nАз съм Мартон, между другото. Съжалявам, че закъснях. Бях в една пясъчна буря...\n \nЧакай малко, ти си [player name], нали? О, добре, щеше да е ужасно да пристигна в грешната стая, да сваля цялото това оборудване и после да трябва да го сложа отново, само и само за да отида в съседната стая... Как пътува до тук? Да, това е най-добрият начин за транспорт. Иначе отнема твърде много време. Говоря ли прекалено много?\n \nКакто и да е, добре дошъл в ГрийнКо Пъблитикс - първата и единствена телевизионна компания тук, на Марс! \n \nПомолихме за малко помощ тук, тъй като една от нашите инициативи е да създадем кратка поредица за историята на законодателството, свързано с борбата с дигиталното замърсяване на Земята.\n \nЗнаеш ли [player name], че създаваме законодателството на Марс на база на това, което Европейският съюз създава на Земята?\n \nПроблемът е, че май имам някои грешки в сценария.\n \nНакратко [player name], наистина се нуждая от твоя мозък и помощ. Готов ли си? '),(907,2,'Introduction Room 8 EN','text','Oh, so you are here already ?\nI’m Marton, by the way. Sorry, I’m late. I was in a dust storm… \nWait a minute, you are [player name], right? Oh, okay, it would have been terrible to arrive at the wrong room, take off all of this equipment and then have to put it on again to go to the other room… You used the teleporter, right? Yeah, that’s the best way to come here. Otherwise, it takes way too long. Do I talk too much?\nAnyway, welcome to “GreenCo Publitics” – the first and only broadcaster here on Mars! \nWe have asked for some help here, as part of our initiative is to create a short series about the history of the digital sustainability legislation on Earth. \nDo you know [player name] that we are creating legislation on Mars based on what the European Union did on Earth.\nThe problem is that I may have found some mistakes in a few of the scripts.\nIn short [player name], I really need your brain and your help. Ready to start?'),(907,3,'Introduction Room 8 ES','text','Oh, ¿entonces ya estás aquí? \nSoy Marton, por cierto. Lo siento, llego tarde. Estaba en una tormenta de polvo... \nEspera un momento, eres [Player name], ¿verdad? Oh, está bien, hubiera sido terrible llegar a la habitación equivocada, quitarse todo este equipo y luego tener que ponérselo nuevamente para ir a la otra habitación… Usaste el teletransportador, ¿verdad? Sí, esa es la mejor manera de venir aquí. De lo contrario, lleva demasiado tiempo. ¿Hablo demasiado? \nDe todos modos, bienvenidos a “GreenCo Publitics”, ¡la primera y única emisora ​​aquí en Marte! \nHemos pedido ayuda aquí, ya que parte de nuestra iniciativa es crear una serie corta sobre la historia de la legislación de sostenibilidad digital en la Tierra. \n¿Sabe [Player name] que estamos creando una legislación en Marte basada en lo que hizo la Unión Europea en la Tierra? \nEl problema es que es posible que haya encontrado algunos errores en algunos de los guiones. \nEn resumen, [Player name], realmente necesito tu cerebro y tu ayuda. Listo para empezar '),(907,4,'Introduction Room 8 FR','text','Salut [player name],\n\nSais-tu que la législation relative à la durabilité sur Mars est inspirée de celle proposée sur Terre ?\n\nJ’ai été chargé de créer un podcast sur l’histoire de législation Européenne.\n\nMais j’ai mélangé mes documents.\n\nJ\'aurais besoin de ton  aide.\n\nTes connaissances me seront précieuses pour y voir plus clair. \n\nOn commence ?'),(907,5,'Introduction Room 8 IT','text','Oh, quindi sei già qui?\nA proposito, io sono Marton. Scusate, sono in ritardo. Sono stato coinvolto in una tempesta di polvere... \nAspetta un attimo, tu sei [player name], giusto? Oh, ok, sarebbe stato terribile arrivare nella stanza sbagliata, togliersi tutto questo equipaggiamento e poi doverlo rimettere per andare nell\'altra stanza... Hai usato il teletrasporto, giusto? Sì, è il modo migliore per venire qui. Altrimenti ci vuole troppo tempo. Parlo troppo?\nComunque, benvenuti a GreenCo Publitics - la prima e unica emittente qui su Marte! \nAbbiamo chiesto un po\' di aiuto qui, perché parte della nostra iniziativa è creare una breve serie sulla storia della legislazione digitale sulla sostenibilità sulla Terra.\n\nSapete [nome del lettore] che stiamo creando una legislazione su Marte basata su ciò che l\'Unione Europea ha fatto sulla Terra.\n\nIl problema è che potrei aver trovato degli errori in alcune sceneggiature.\n\nIn breve [player name], ho davvero bisogno del tuo cervello e del tuo aiuto. Sei pronto a iniziare?. '),(908,1,'change level label BG','changelevel','Избери на кое ниво искаш да започнеш. Препоръчваме да започнеш с бронзовото ниво, но можеш да пробваш и с по-висока трудност.'),(908,2,'change level label EN','changelevel','Select which level you want to play. You can start with bronze and level up later, or start at a higher level if you feel like it.'),(908,3,'change level label ES','changelevel','[player name], ¿nos ayudas a completar una misión crucial? Debemos crear iniciativas de éxito en Marte'),(908,4,'change level label FR','changelevel','Sélectionne le niveau auquel tu souhaites jouer. Tu peux commencer avec le bronze et passer au niveau supérieur plus tard, ou commencer par niveau le plus dur si tu en as envie.'),(908,5,'change level label IT','changelevel','Selezionare il livello di gioco desiderato. Si può iniziare con il bronzo e salire di livello in seguito, oppure iniziare con un livello più alto se si ha voglia di farlo.'),(910,1,'submit label BG','submit','ИЗПРАЩАНЕ'),(910,2,'submit label EN','submit','Submit'),(910,3,'submit label ES','submit','Enviar'),(910,4,'submit label FR','submit','Soumettre'),(910,5,'submit label IT','submit','Invia'),(911,1,'incorrect answer message BG','incorrectanswer','Грешен отговор. Губиш един живот!'),(911,2,'incorrect answer message EN','incorrectanswer','The answer is incorrect. You lose a life'),(911,3,'incorrect answer message ES','incorrectanswer','Lo siento, la respuesta no es correcta. Pierdes 1 vida'),(911,4,'incorrect answer message FR','incorrectanswer','La réponse est incorrecte. Tu perds une vie.'),(911,5,'incorrect answer message IT','incorrectanswer','La risposa è sbagliata. Perdi una vita'),(912,1,'correct answer message BG','correctanswer','Поздравления! Отговорът ти е верен!'),(912,2,'correct answer message EN','correctanswer','Congratulations! The answer is correct'),(912,3,'correct answer message ES','correctanswer','¡Respuesta Correcta!'),(912,4,'correct answer message FR','correctanswer','Bravo! Ta réponse est correcte.'),(912,5,'correct answer message IT','correctanswer','Congratulazioni! La risposta è corretta'),(913,1,'no answer error BG','noanswer','Моля, отговорете на въпросите!'),(913,2,'no answer error EN','noanswer','There are no answers to submit'),(913,3,'no answer error ES','noanswer','No se ha seleccionado ninguna respuesta'),(913,4,'no answer error FR','noanswer','Tu n\'as pas répondu.'),(913,5,'no answer error IT','noanswer','Non ci sono risposte da inviare'),(914,1,'game over label BG','gameover','Край на играта'),(914,2,'game over label EN','gameover','Game Over'),(914,3,'game over label ES','gameover','Game Over'),(914,4,'game over label FR','gameover','Fin de la partie'),(914,5,'game over label IT','gameover','Fine del gioco'),(950,1,'Easy label BG','level1','Лесно'),(950,2,'Easy label EN','level1','Easy'),(950,3,'Easy label ES','level1','Fácil'),(950,4,'Easy label FR','level1','Facile'),(950,5,'Easy label IT','level1','Facile'),(951,1,'Medium label BG','level2','Средно'),(951,2,'Medium label EN','level2','Medium'),(951,3,'Medium label ES','level2','Medio'),(951,4,'Medium label FR','level2','Moyen'),(951,5,'Medium label IT','level2','Medio'),(952,1,'hard label BG','level3','Трудно'),(952,2,'hard label EN','level3','Hard'),(952,3,'hard label ES','level3','Dificil'),(952,4,'hard label FR','level3','Difficile'),(952,5,'hard label IT','level3','Difficile '),(995,1,'Other label BG','label_country_6','Друго'),(995,2,'Other label EN','label_country_6','Other'),(995,3,'Other label ES','label_country_6','Otro'),(995,4,'Other label FR','label_country_6','Autre'),(995,5,'Other label IT','label_country_6','Altro'),(996,1,'check button label BG','checkbutton','Провери'),(996,2,'check button label EN','checkbutton','Check'),(996,3,'check button label ES','checkbutton','Comprobar'),(996,4,'check button label FR','checkbutton','Vérifier'),(996,5,'check button label IT','checkbutton','Controllo'),(997,1,'only letters message BG','onlyletters','Позволени са само букви'),(997,2,'only letters message EN','onlyletters','Only letters are allowed'),(997,3,'only letters message ES','onlyletters','Sólo se permiten letras'),(997,4,'only letters message FR','onlyletters','Seules les lettres non accentuées sont autorisées'),(997,5,'only letters message IT','onlyletters','Sono ammesse solo lettere'),(998,1,'next question label BG','nextquestion','Следващ въпрос'),(998,2,'next question label EN','nextquestion','Next Question'),(998,3,'next question label ES','nextquestion','Siguiente pregunta'),(998,4,'next question label FR','nextquestion','Question suivante'),(998,5,'next question label IT','nextquestion','Prossima domanda'),(999,1,'points label BG','points','Точки'),(999,2,'points label EN','points','Points'),(999,3,'points label ES','points','Puntos'),(999,4,'points label FR','points','Points'),(999,5,'points label IT','points','Punti'),(1000,1,'earth planet BG','planet1','Земя'),(1000,2,'earth planet EN','planet1','Earth'),(1000,3,'earth planet ES','planet1','Tierra'),(1000,4,'earth planet FR','planet1','Terre'),(1000,5,'earth planet IT','planet1','Terra'),(1001,1,'Mars planet BG','planet2','Марс'),(1001,2,'Mars planet EN','planet2','Mars'),(1001,3,'Mars planet ES','planet2','Marte'),(1001,4,'Mars planet FR','planet2','Mars'),(1001,5,'Mars planet IT','planet2','Marte'),(1002,1,'change level label BG','changelevel','Промени нивото на трудност'),(1002,2,'change level label EN','changelevel','Change Level'),(1002,3,'change level label ES','changelevel','Cambiar de Nivel'),(1002,4,'change level label FR','changelevel','Changer de Niveau'),(1002,5,'change level label IT','changelevel','Cambia livello'),(1003,1,'change planet BG','changeplanet','Смени планетата'),(1003,2,'change planet EN','changeplanet','Change Planet'),(1003,3,'change planet ES','changeplanet','Cambiar de Planeta'),(1003,4,'change planet FR','changeplanet','Changer de planète'),(1004,1,'All planet awards label BG','planetawards','Премина всички нива на тази планета. Как искаш да продължиш?'),(1004,2,'All planet awards label EN','planetawards','You have achieved all the level premises on this planet, what do you want to do now?'),(1004,3,'All planet awards label ES','planetawards','Enhorabuena! Has conseguido todos los premios de este planeta, ¿Qué quieres hacer ahora?'),(1004,4,'All planet awards label FR','planetawards','Tu as fini toutes les missions de cette planète avec ce niveau, que veux-tu faire maintenant?'),(1004,5,'All planet awards label IT','planetawards','Avete raggiunto tutte le premesse di livello su questo pianeta, cosa volete fare ora?'),(1005,1,'All game awards label BG','gameawards','Получи всички възможни награди от това ниво. Как искаш да продължиш?'),(1005,2,'All game awards label EN','gameawards','You have achieved all the game awards in this level, what do you want to do now?'),(1005,3,'All game awards label ES','gameawards','Enhorabuena! Has conseguido todos los premios de este nivel, ¿Qué quieres hacer ahora?'),(1005,4,'All game awards label FR','gameawards','Tu as fini toutes les missions avec ce niveau, que veux-tu faire maintenant?'),(1005,5,'All game awards label IT','gameawards','Hai ottenuto tutti i premi del gioco in questo livello, cosa vuoi fare ora?'),(1006,1,'endgame label BG','endgame','Край на играта'),(1006,2,'endgame label EN','endgame','Finish game'),(1006,3,'endgame label ES','endgame','Finalizar el juego'),(1006,4,'endgame label FR','endgame','Terniner le jeu'),(1006,5,'endgame label IT','endgame','Gioco finito'),(1007,1,'Continue option BG','gameroom','Продължи'),(1007,2,'Continue option EN','gameroom','Continue'),(1007,3,'Continue option ES','gameroom','Continuar'),(1007,4,'Continue option FR','gameroom','Continuer'),(1007,5,'Continue option IT','gameroom','Continua'),(1008,1,'Final Questionnaire Q1 BG','question_text','Смяташ ли, че тази игра повиши разбирането ти за това какво представлява дигиталното замърсяване и неговото въздействие върху околната среда? (1. изобщо не, 5. изключително много)'),(1008,2,'questionaire label EN','question_text','Did playing the game increase your understanding of digital pollution and its impact on the environment?'),(1008,3,'questionaire label ES','question_text','¿Te ha ayudado el juego a comprender mejor la contaminación digital y su impacto en el medio ambiente?'),(1008,4,'questionaire label FR','question_text','As-tu amélioré ta compréhension de la pollution numérique en jouant à ce jeu ? (1. Pas du tout, 10. Beaucoup)'),(1008,5,'questionaire label IT','question_text','Il gioco ha aumentato la vostra comprensione dell\'inquinamento digitale e del tuo impatto sull\'ambiente? (1. Per niente; 10. Sì, molto)'),(1009,1,'Final Questionnaire Q2 BG','question_text','Доколко е вероятно да включиш някои от знанията, които си усвоил от тази игра, в ежедневието си? (1. изобщо не , 5. много вероятно)'),(1009,2,'questionaire label EN','question_text','How likely are you to incorporate the knowledge gained from the game into your own digital habits and practices?'),(1009,3,'questionaire label ES','question_text','¿Qué probabilidades hay de que incorpores los conocimientos adquiridos en el juego a tus propios hábitos y prácticas digitales?'),(1009,4,'questionaire label FR','question_text','Est-ce que tu penses pouvoir intégrer les connaissances acquises grâce à ce jeu dans tes habitudes et pratiques numériques ? (1. Non, je ne pense pas, 10. Oui très probablement)'),(1009,5,'questionaire label IT','question_text','Quanto siete propensi a incorporare le conoscenze acquisite nel gioco nelle vostre esperienze e abitudini digitali?(1. Per niente; 10. Sì, molto )'),(1010,1,'Final Questionnaire Q3 BG','question_text','Има ли нещо, което планираш да започнеш да правиш след тази игра, за да намалиш приноса си към дигиталното замърсяване и отговорното използване на технологиите?'),(1010,2,'Final questionaire Q3 EN','question_text','Are there any particular changes or actions you plan to implement after playing the game to reduce digital pollution or adopt greener computing practices?'),(1010,3,'Final questionaire Q3 ES','question_text','¿Hay algún cambio o acción en particular que pienses llevar a cabo después de jugar para reducir la contaminación digital o adoptar prácticas informáticas más ecológicas?'),(1010,4,'Final questionaire Q3 FR','question_text','Après avoir joué au jeu, y a-t-il des changements particuliers ou des actions que tu prévoies de mettre en œuvre pour réduire la pollution numérique ou adopter des pratiques informatiques plus écologiques ?'),(1010,5,'Final questionaire Q3 IT','question_text','Ci sono cambiamenti o azioni particolari che intendete attuare dopo aver giocato al gioco per ridurre l\'inquinamento digitale o adottare pratiche informatiche più ecologiche?'),(1011,1,'Final Questionnaire Q4 BG','question_text','Би ли препоръчал тази игра като средство за повишаване на осведомеността относно дигиталното замърсяване и отговорното използване на технологиите?'),(1011,2,'Final questionaire Q4 EN','question_text','Would you recommend this game to others as a means of raising awareness about digital pollution, green computing practices, and responsible use of technology?'),(1011,3,'Final questionaire Q4 ES','question_text','¿Recomendarías este juego a otras personas como medio de concienciación sobre la contaminación digital, las prácticas informáticas ecológicas y el uso responsable de la tecnología?'),(1011,4,'Final questionaire Q4 FR','question_text','Recommanderais-tu ce jeu à d\'autres personnes pour les sensibiliser à la pollution numérique et à l\'utilisation responsable des technologies ?'),(1011,5,'Final questionaire Q4 IT','question_text','Consigliereste questo gioco ad altri come mezzo di sensibilizzazione sull\'inquinamento digitale, sulle pratiche di green computing e sull\'uso responsabile della tecnologia?'),(1012,1,'FinalQuestionaireyes/no','answer_text','Да; Не'),(1012,2,'FinalQuestionaireyes/no EN','answer_text','Yes;No'),(1012,3,'FinalQuestionaireyes/no ES','answer_text','Si;No'),(1012,4,'FinalQuestionaireyes/no FR','answer_text','Oui;Non'),(1012,5,'FinalQuestionaireyes/no IT','answer_text','Si;No'),(1013,1,'EarthSaved BG','dialog','Поздравления [player name]! Имаме голям късмет, че си част от екипа на GreenCo!\nТи изпълни и четирите мисии на тази планета и спаси Земята.\nНе забравяй, обаче, че Марс също се нуждае от твоята помощ.'),(1013,2,'EarthSaved EN','dialog','Congrats [player name] , we are very lucky to have you on the GreenCo team!!!\nYou have completed the four missions and saved Earth.\nPlease don´t forget that Mars needs your help too.'),(1013,3,'EarthSaved ES','dialog','Felicidades [player_name], ¡¡¡tenemos mucha suerte de tenerte en el equipo GreenCo!!!\nHas completado las cuatro misiones y has salvado la Tierra.\nPor favor, no olvides que Marte también necesita tu ayuda'),(1013,4,'EarthSaved FR','dialog','Félicitations [player name], nous avons beaucoup de chance de t\'avoir dans l\'équipe de GreenCo !\nTu as accompli les quatre missions et sauvé la Terre.\nN\'oublie pas que Mars a aussi besoin de ton aide.'),(1013,5,'EarthSaved IT','dialog','Congratulazioni [player name] , siamo molto fortunati ad averti nella squadra di GreenCo!!!\nHai completato le quattro missioni e salvato la Terra.\nPer favore, non dimenticare che anche Marte ha bisogno del tuo aiuto.'),(1014,1,'MarsSaved BG','dialog','Поздравления [player name]! Имаме голям късмет, че си част от екипа на GreenCo!\nТи изпълни и четирите мисии на тази планета и спаси Марс.\nНе забравяй, обаче, че Земята също се нуждае от твоята помощ.'),(1014,2,'MarsSaved EN','dialog','Congrats [player name], we are very lucky to have you on the GreenCo team!!!\nYou have completed the four missions and saved Mars.\nPlease don´t forget that Earth needs your help too.'),(1014,3,'MarsSaved ES','dialog','Felicidades [player name], ¡¡¡somos muy afortunados de tenerte en el equipo de GreenCo!!! \nHas completado las cuatro misiones y salvado Marte. \nPor favor, no olvides que la Tierra también necesita tu ayuda'),(1014,4,'MarsSaved FR','dialog','Félicitations [player name], nous avons beaucoup de chance de t\'avoir dans l\'équipe de GreenCo !\nTu as accompli les quatre missions et sauvé Mars.\nN\'oublie pas que la Terre a aussi besoin de ton aide.'),(1014,5,'MarsSaved IT','dialog','Congratulazioni [player name], siamo molto fortunati ad averti nella squadra GreenCo!!!\nHai completato le quattro missioni e salvato Marte.\nPer favore, non dimenticare che anche la Terra ha bisogno del tuo aiuto.'),(1015,1,'AllSaved BG','dialog','Поздравления [player name]! Ти спасих и Земята, и Марс!\nТи си нашият герой!\nЕкипът на GreenCo е впечатлен от теб и твоите познания.\nБлагодарение на теб и хора като теб, ще можем да спасим нашата планета и в реалния живот!'),(1015,2,'AllSaved EN','dialog','Congrats [player name], you have saved Earth and Mars!!!\nYou are a Pro now!!!\nThe GreenCo team is delighted with your performance and your compromise.\nThanks to you, we will be able to save our planet in real life!!!'),(1015,3,'AllSaved ES','dialog','¡¡¡Felicidades [player name], has salvado la Tierra y Marte!!! \n¡¡¡Ya eres un profesional!!! \nEl equipo de GreenCo está encantado con su desempeño y su compromiso. \n¡¡¡Gracias a ti podremos salvar nuestro planeta en la vida real!!!'),(1015,4,'AllSaved FR','dialog','Félicitations [player name], tu as sauvé la Terre et Mars !!!\nTu es désormais un Pro !!!\nGrâce à toi, nous allons pouvoir sauver notre planète dans la vraie vie !!!'),(1015,5,'AllSaved IT','dialog','Congratulazioni [player name], hai salvato la Terra e Marte!!!\nOra sei un professionista!!!\nIl team di GreenCo è entusiasta della tua prestazione e del tuo compromesso.\nGrazie a te, saremo in grado di salvare il nostro pianeta nella vita reale!!!.'),(1016,1,'View user profile BG','editprofile','Виж профила'),(1016,2,'View user profile EN','editprofile','View user profile'),(1016,3,'View user profile ES','editprofile','Ver perfil de usuario'),(1016,4,'View user profile FR','editprofile','Voir le profil utilisateur'),(1016,5,'View user profile IT','editprofile','Visualizza il profilo utente'),(1017,1,'Previous screen arrow BG','goback','Назад'),(1017,2,'Previous screen arrow EN','goback','Go back'),(1017,3,'Previous screen arrow ES','goback','Regresa'),(1017,4,'Previous screen arrow FR','goback','Retour'),(1017,5,'Previous screen arrow IT','goback','Vai indietro'),(1018,1,'Next screen arrow BG','goforward','Напред'),(1018,2,'Next screen arrow EN','goforward','Move forward'),(1018,3,'Next screen arrow ES','goforward','Avanza'),(1018,4,'Next screen arrow FR','goforward','Suivant'),(1018,5,'Next screen arrow IT','goforward','Vai avanti'),(1019,1,'label_password2 BG','label_password2','Повтори паролата'),(1019,2,'label_password2 EN','label_password2','Repeat password'),(1019,3,'label_password2 ES','label_password2','Repetir Contraseña'),(1019,4,'label_password2 FR','label_password2','Répéter le mot de passe'),(1019,5,'label_password2 IT','label_password2','Ripeti password'),(1020,1,'samepasswords BG','differentpasswords','Въведените пароли не съвпадат!'),(1020,2,'samepasswords EN','differentpasswords','Both passwords must be the same'),(1020,3,'samepasswords ES','differentpasswords','Las constraseñas deben ser iguales'),(1020,4,'samepasswords FR','differentpasswords','Les 2 mots de passe doivent être identiques'),(1020,5,'samepasswords IT','differentpasswords','Entrambe le password devono essere le stesse'),(1021,1,'wellcoming text BG','planetlabel','Добре дошъл на планетата [планета]!'),(1021,2,'wellcoming text EN','planetlabel','Welcome to planet [planet]!'),(1021,3,'wellcoming text ES','planetlabel','¡Bienvenido al planeta [planet]'),(1021,4,'wellcoming text FR','planetlabel','Bienvenue sur la planète [planet]!'),(1021,5,'wellcoming text IT','planetlabel','Benvenuti sul pianeta [pianeta]!'),(1022,1,'level information BG','levellabel','Играеш на [трудност]'),(1022,2,'level information EN','levellabel','You are in level [difficulty]'),(1022,3,'level information ES','levellabel','Estás en el nivel [difficulty]'),(1022,4,'level information FR','levellabel','Tu es au niveau [difficulty]'),(1022,5,'level information IT','levellabel','Sei nel livello [difficoltà]'),(1023,1,'Number of hangman attempts BG','numattemps','Брой оставащи опити:'),(1023,2,'Number of hangman attempts EN','numattemps','Number of remaining attempts:'),(1023,3,'Number of hangman attempts ES','numattemps','Número de intentos restantes:'),(1023,4,'Number of hangman attempts FR','numattemps','Nombre de tentatives restantes:'),(1023,5,'Number of hangman attempts IT','numattemps','Numero di tentativi rimanenti:'),(1024,1,'hangman section to introduce letter BG','insertletter','Въведи буква:'),(1024,2,'hangman section to introduce letter EN','insertletter','Insert a letter:'),(1024,3,'hangman section to introduce letter ES','insertletter','Inserta una letra:'),(1024,4,'hangman section to introduce letter FR','insertletter','Ecris une lettre'),(1024,5,'hangman section to introduce letter IT','insertletter','Inserire una lettera:'),(1025,1,'next screen image alternative text BG','nextscreen','Следващ екран'),(1025,2,'next screen image alternative text EN','nextscreen','Next screen'),(1025,3,'next screen image alternative text ES','nextscreen','Pantalla siguiente'),(1025,4,'next screen image alternative text FR','nextscreen','Suivant'),(1025,5,'next screen image alternative text IT','nextscreen','Schermo successivo'),(1026,1,'edit user image alternative text BG','edituser','Редактирай'),(1026,2,'edit user image alternative text EN','edituser','Edit user'),(1026,3,'edit user image alternative text ES','edituser','Editar usuario'),(1026,4,'edit user image alternative text FR','edituser','Editer l\'utilisteur'),(1026,5,'edit user image alternative text IT','edituser','Modifica utente');
/*!40000 ALTER TABLE `text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `alias` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
  `avatar` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gender` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `birth_date` date DEFAULT NULL,
  `points` int DEFAULT '0',
  `country_id` varchar(128) COLLATE utf8_unicode_ci DEFAULT NULL,
  `planet_id` varchar(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `difficulty_id` int unsigned NOT NULL DEFAULT '0',
  `last_screen` int unsigned DEFAULT '10',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `user_country` (`country_id`),
  KEY `user_planet` (`planet_id`),
  KEY `user_alias` (`alias`),
  KEY `difficulty_id` (`difficulty_id`),
  CONSTRAINT `user_country` FOREIGN KEY (`country_id`) REFERENCES `country` (`acronim`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_ibfk_1` FOREIGN KEY (`difficulty_id`) REFERENCES `difficulty` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_planet` FOREIGN KEY (`planet_id`) REFERENCES `planet` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=289 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_award`
--

DROP TABLE IF EXISTS `user_award`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `user_award` (
  `user_id` int NOT NULL,
  `award_type_id` int NOT NULL,
  `difficulty` int NOT NULL,
  PRIMARY KEY (`user_id`,`award_type_id`),
  KEY `FK_award_type` (`award_type_id`),
  CONSTRAINT `FK_award_type` FOREIGN KEY (`award_type_id`) REFERENCES `award_type` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_user_award` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_award`
--

LOCK TABLES `user_award` WRITE;
/*!40000 ALTER TABLE `user_award` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_award` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_event`
--

DROP TABLE IF EXISTS `user_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `user_event` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `start_date` datetime NOT NULL,
  `end_date` datetime DEFAULT NULL,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `user_event_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=765 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_event`
--

LOCK TABLES `user_event` WRITE;
/*!40000 ALTER TABLE `user_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_question`
--

DROP TABLE IF EXISTS `user_question`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `user_question` (
  `user_id` int NOT NULL,
  `question_id` int unsigned NOT NULL,
  `start_date` datetime NOT NULL,
  `end_date` datetime DEFAULT NULL,
  `answer` text COLLATE utf8_unicode_ci,
  `correct` tinyint(1) DEFAULT NULL,
  KEY `question_id` (`question_id`,`user_id`) USING BTREE,
  KEY `user_id` (`user_id`),
  CONSTRAINT `user_question_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_question_ibfk_2` FOREIGN KEY (`question_id`) REFERENCES `question` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_question`
--

LOCK TABLES `user_question` WRITE;
/*!40000 ALTER TABLE `user_question` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_question` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-04-04 14:00:44
